﻿<?php
/**
 * @package Zo2Framework for Joomla! 2.5
 * @author http://www.ZooTemplate.com
 * @copyright(C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if(! is_file(JPATH_BASE . DS . 'components' . DS . 'com_zo2framework' . DS . 'zo2framework.php')) {
	die(JTEXT::_('ZO2_TPL_SOURCE_NOT_FOUND'));
}

// require library
require_once(JPATH_BASE . DS . 'components' . DS . 'com_zo2framework' . DS . 'zo2framework.php');

/* Declaration variable */	
$prefix		= $this->template . "_default_";
$menutype	= 'mega';

/* Declaration object */
$function	= new Zo2Functions($prefix, $this, $params);				

/* Check direction block*/
$vdirection 	= JRequest::getVar('direction');
$cdirection 	= $function->getCookie('direction');
$direction		= $params->get('direction');

if($vdirection != NULL) {
	$direction	= $vdirection;
}
else if($cdirection != NULL && $cdirection != FALSE) {
	$direction	= $cdirection;
}
else {
	$direction	= $direction;
}
$function->setCookie('direction', $direction);
/* End direction block */
?>
<!DOCTYPE html>
<!--[if IE 8 ]><html class="ie8 <?php echo $direction; ?>" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 9 ]><html class="ie9 <?php echo $direction; ?>" lang="<?php echo $this->language; ?>"><![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html class="<?php echo $direction; ?>" lang="<?php echo $this->language; ?>"><!--<![endif]-->
<head>
<jdoc:include type="head" />
<?php
	$document = JFactory::getDocument();
	echo '<meta name="viewport" content="width=device-width, minimum-scale=1, maximum-scale=1">';
	echo '<link href="'.$function->loadMediaFiles('favicon.ico','images').'" rel="shortcut icon" type="image/vnd.microsoft.icon" />';
	// Add global stylesheet
	$document->addStyleSheet($function->loadMediaFiles('bootstrap.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('bootstrap-responsive.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('general.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('template.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('typo.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('menu.css', 'css'));		
	
	if(is_dir(JPATH_SITE . DS . 'components' . DS . 'com_k2')) {
		$document->addStyleSheet($function->loadMediaFiles('k2.css', 'css'));
		if (JRequest::getVar('print', 0)=='1') {
			$document->addStyleSheet($function->loadMediaFiles('k2.print.css', 'css'));
		}
	}
	
	if($params->get('fonts_feature')) { 
		$document->addStyleSheet($function->loadMediaFiles('fonts_feature.css', 'css')); 
	}
	
	$document->addStyleSheet($function->loadMediaFiles('css3.css', 'css'));
	
	if($params->get('google_fonts')) {
		if($function->getColorsValue('font', 'googlefont_body') != "Default" ){
			echo "<link href='http://fonts.googleapis.com/css?family=".$function->getColorsValue('font', 'googlefont_body')."&subset=latin,latin-ext' rel='stylesheet' type='text/css'>";
			echo'<style type="text/css">
				body,
				#menusys_mega .news-events,
				#menusys_mega .menu-desc,
				#menusys_mega .megacol ul li a .menu-title{ font-family:  '.$function->getColorsValue('font', 'googlefont_body').'; }
			</style>';
		}
		if($function->getColorsValue('font', 'googlefont_menu') != "Default" ){
			echo "<link href='http://fonts.googleapis.com/css?family=".$function->getColorsValue('font', 'googlefont_menu')."&subset=latin,latin-ext' rel='stylesheet' type='text/css'>";
			echo'<style type="text/css">
				.drillmenu li a span.menusys_name,
				#menusys_mega .menu-title { font-family:  '.$function->getColorsValue('font', 'googlefont_menu').'; }
			</style>';
		}
		if($function->getColorsValue('font', 'googlefont_heading') != "Default" ){
			echo "<link href='http://fonts.googleapis.com/css?family=".$function->getColorsValue('font', 'googlefont_heading')."&subset=latin,latin-ext' rel='stylesheet' type='text/css'>";
			echo'<style type="text/css">
				h1, h2, h3, h4, h5, h6 { font-family:  '.$function->getColorsValue('font', 'googlefont_heading').'; }
			</style>';
		}
	}	
	//load JS
	$document->addScript($function->loadMediaFiles('bootstrap.js', 'js'));
	
	switch($params->get('include_jquery'))
	{
		case "local":
			$document->addScript($function->loadMediaFiles('jquery.min.js', 'js'));
		break;
		case "google":
			$document->addScript("https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js");
		break;
	}

	$document->addScript($function->loadMediaFiles('jquery.cookies.2.2.0.js', 'js'));
	
	$document->addScript($function->loadMediaFiles('zo2-' . 'uncompressed' . '.js', 'js'));
?>
<script language="javascript" type="text/javascript">
$ZO2(document).ready(function() {
	/* Mega Menu script block */
	<?php if($menutype == 'mega') { ?>
	var megas = $ZO2('div[class="menusub_mega"]');
	var _tmp  = Array();
	
	$ZO2.each(megas, function(key, item) {
		var id = $ZO2(item).attr('id').split("_");
		if(id[2] != null) {
			var smart = "_" + id[1] + "_" + id[2];
			if($ZO2.inArray(smart, _tmp)) {
				$ZO2.merge(_tmp, Array(smart));
				ZTMenu(smart, "megamenu_close", '<?php echo $params->get('menu_mega_show_effect', 'show'); ?>', 
				'<?php echo $params->get('menu_mega_show_duration', 'slow'); ?>', 
				'<?php echo $params->get('menu_mega_hide_effect', 'hide'); ?>', 
				'<?php echo $params->get('menu_mega_hide_duration', 'slow'); ?>',
				'<?php echo $direction; ?>');
			}
		}
	});
	
	/* Add/remove class hover when mouse enter/mouse leave */
	$ZO2.each($ZO2('ul#menusys_mega li'), function(i, item) {
		$ZO2(item).mouseenter(function() {
			$ZO2(item).addClass('hover');
		}).mouseleave(function() {
			$ZO2(item).removeClass('hover');
		});
	});
	<?php } ?>
	
	/* Fancy Menu script block */
	<?php if($params->get('enable_fancy')) { ?>
	$ZO2(function() {
		$ZO2("#menusys_mega").ZO2Fancy({
			speed: <?php echo $params->get('menu_fancy_duration', 350); ?>,
			click: function(event, menuItem) {
				return false;
			}
		});
	});
	<?php } ?>
	
	/* Accordion menu */
	$ZO2(document).ready(function() {
		$ZO2("#zo2-drilldown-menu").mtAccordionMenu({
			accordion:true,
			speed: 500,
			closedSign: 'collapse',
			openedSign: 'expand',
			mouseType: 0,
			easing: 'easeInOutBack'
		});
	}); 
	
});
</script>
<!-- Echo Header Script -->
<?php echo (strlen($params->get('header_text')) > 2) ? base64_decode($params->get('header_text')) : ''; ?>

</head>
<body id="bd" class="<?php echo $function->getFontSize(); ?> <?php echo $direction; ?> clearfix <?php echo $function->getColorsValue('image', 'bd');?>">
	<div id="zt-wrapper">
		<div id="zt-wrapper-inner">
			<?php if($params->get('enable_top_panel')): ?>	
				<?php
				$result = $function->calculateSpotlight(array('top1', 'top2', 'top3', 'top4'));
				if (count($result)) : ?>
				<div id="zt-userwrap1-outer" class="clearfix">
					<div id="zt-userwrap1" class="clearfix">
						<div class="container">
							<div id="zt-userwrap1-inner" class="row-fluid">
								<?php for ($i = 1; $i <= 4; $i++) : ?>
									<?php if ($this->countModules('top' . $i)) : ?>
									<div id="zt-top<?php echo $i; ?>" class="span<?php echo (12/count($result)); ?>">
										<div class="zt-box-inside">
											<jdoc:include type="modules" name="top<?php echo $i; ?>" style="ztxhtml" />
										</div>
									</div>
									<?php endif; ?>
								<?php endfor; ?>
								<div class="clearfix"></div>
							</div>
						</div>
					</div>
				</div>
				<?php endif; ?>
			<?php  endif; ?>
			<!--header-->
			<div id="zt-header" class="clearfix  <?php echo $function->getColorsValue('image', 'zt-header');?>">
				<div class="container">
					<div id="zt-header-inner" class="row">
						<?php if($params->get('enable_top_panel')): ?>
						<div class="bkg-control-down" id="control"><span>&nbsp;</span></div>
						<?php endif; ?>
						<?php if($params->get('logo_type') == 0 ) { ?>
							<a  id="zt-logo-image"  class="span6" href="<?php echo JURI::base(); ?>" title="<?php echo $function->siteName(); ?>"><img src="<?php echo $this->baseurl; ?>/<?php echo $params->get('logo_image');?>" alt="<?php echo $function->siteName(); ?>" /></a>
						<?php  }else{ ?>
							<div id="zt-text-outer"  class="span6">
								<a  id="zt-logo-text" href="<?php echo JURI::base(); ?>" title="<?php echo $function->siteName(); ?>"><span><?php echo $function->siteName(); ?></span></a>
								<?php if($params->get('logo_text') != ''){ ?>
								<p 	id="zt-logo-slogan"><?php echo $params->get('logo_text'); ?></p>
								<?php } ?>
							</div>
						<?php }?>
						<?php if($this->countModules('zt-position-0')) : ?>
							<div id="zt-search" class="span6">
								<!--search-->
								<jdoc:include type="modules" name="zt-position-0"  />
								<!--#search-->
							</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<!--#header-->
			<!--mainmenu-->
			<div id="zt-mainmenu" class="clearfix <?php echo $function->getColorsValue('image', 'zt-mainmenu');?>" >
				<div class="container">
					<div id="zt-mainmenu-inner" class="row-fluid">
						<?php
							echo '<div class="span12 visible-desktop">';
							//Mega menu
							$menu 	  = new Zo2MenuSystem('mega', $params->get('menutype', 'mainmenu'));
							$menu->show();							
							echo '</div>';
						?>
						
					</div>
					<div class="container zt-drillmenu-inner hidden-desktop">
						<div class="navbar">
							<h3><span>Main Menu</span></h3><a class="btn btn-navbar" data-toggle="collapse" data-target=".menusys_drill"><span><?php echo JTEXT::_("Main Menu"); ?></span></a>
							<?php
								//Drilldown menu
								$menu 	  = new Zo2MenuSystem('drill', $params->get('menutype', 'mainmenu'));
								$menu->show();
							?>
						</div>
					</div>
				</div>
			</div>
			<!--#mainmenu-->
			
			<?php if($this->countModules('zt-banners')) : ?>
			<!--#begin banners-->
			<div id="zt-banners" class="clearfix">
				<div class="container">
					<div class="zt-banners-inside row-fluid">
						<div class="span12">
							<jdoc:include type="modules" name="zt-banners" />
						</div>
					</div>
				</div>
			</div>
			<!--#end Banners-->
			<?php endif; ?>
			<?php if($this->countModules('breadcrumbs')) : ?>
			<!--#begin Banners-->
			<div id="zt-breadcrumbs" class="clearfix">
				<div class="container">
					<div class="zt-breadcrumbs-inside row-fluid">
						<div class="span12">
							<jdoc:include type="modules" name="breadcrumbs" />
						</div>
					</div>
				</div>
			</div>
			<!--#end Banners-->
			<?php endif; ?>
			<?php
			$result2 = $function->calculateSpotlight(array('zt-position-1', 'zt-position-2', 'zt-position-3', 'zt-position-4'));
			if (count($result2)) : ?>
			<div id="zt-userwrap2" class="hidden-phone clearfix <?php echo $function->getColorsValue('image', 'zt-userwrap2');?>">
				<div class="container">
					<div id="zt-userwrap2-inner" class="row-fluid"> 
						<?php for ($i = 1; $i <= 4; $i++) : ?>
							<?php if ($this->countModules('zt-position-' . $i)) : ?>
							<div id="zt-position-<?php echo $i; ?>" class="span<?php echo (12/count($result2)); ?>">
								<div class="zt-box-inside">
									<jdoc:include type="modules" name="zt-position-<?php echo $i; ?>" style="ztxhtml" />
								</div>
							</div>
							<?php endif; ?>
						<?php endfor; ?>
						<div class="clearfix"></div>
					</div>
				</div>
			</div>
			<?php endif; ?>
			<?php
			$result3 = $function->calculateSpotlight(array('zt-position-5', 'zt-position-6', 'zt-position-7', 'zt-position-8'));
			if (count($result3)) : ?>
			<div id="zt-userwrap3" class="hidden-phone clearfix <?php echo $function->getColorsValue('image', 'zt-userwrap3');?>">
				<div class="container">
					<div id="zt-userwrap3-inner" class="row-fluid"> 
						<?php for ($i = 5; $i <= 8; $i++) : ?>
							<?php if ($this->countModules('zt-position-' . $i)) : ?>
							<div id="zt-position-<?php echo $i; ?>" class="span<?php echo (12/count($result3)); ?>">
								<div class="zt-box-inside">
									<jdoc:include type="modules" name="zt-position-<?php echo $i; ?>" style="ztxhtml" />
								</div>
							</div>
							<?php endif; ?>
						<?php endfor; ?>
						<div class="clearfix"></div>
					</div>
				</div>
			</div>
			<?php endif; ?>
			<!--#main-->
			<?php if(!$function->isShowContent()) : ?>
			<div id="zt-mainframe" class="clearfix <?php echo $function->getColorsValue('image', 'zt-mainframe');?>">
				<div class="container">
					<div id="zt-mainframe-inner" class="row-fluid clearfix">
						<div id="zt-mainframe-inner2" class="zt-container">
							<?php   if($this->countModules('position-7')) : ?>
								<div id="zt-left" class="<?php echo $function->getColorsValue('image', 'zt-left');?> hidden-phone <?php echo $function->isRightOrLeft();?>">
									<div id="zt-left-inner">
										<jdoc:include type="modules" name="position-7" style="ztxhtml" />
									</div>
								</div>
							<?php endif; ?>
							<div id="zt-content" class="<?php echo $function->isContent();?>">
								<?php
								$result4 = $function->calculateSpotlight(array('zt-position-9', 'zt-position-10'));
								if (count($result4)) : ?>
								<div id="zt-userwrap4" class="clearfix">
									<div id="zt-userwrap4-inner" class="row-fluid">
										<?php for ($i = 9; $i <= 10; $i++) : ?>
											<?php if ($this->countModules('zt-position-' . $i)) : ?>
											<div id="zt-position-<?php echo $i; ?>" class="span<?php echo (12/count($result4)); ?>">
												<div class="zt-box-inside">
													<jdoc:include type="modules" name="zt-position-<?php echo $i; ?>" style="ztxhtml" />
												</div>
											</div>
											<?php endif; ?>
										<?php endfor; ?>
										<div class="clearfix"></div>
									</div>
								</div>
								<?php endif; ?>
								<div id="zt-component" class="clearfix">
									<jdoc:include type="message" />
									<jdoc:include type="component" />
								</div>
								<?php
								$result5 = $function->calculateSpotlight(array('zt-position-11', 'zt-position-12'));
								if (count($result5)) : ?>
								<div id="zt-userwrap5" class="clearfix">
									<div id="zt-userwrap5-inner" class="row-fluid">
										<?php for ($i = 11; $i <= 12; $i++) : ?>
											<?php if ($this->countModules('zt-position-' . $i)) : ?>
											<div id="zt-position-<?php echo $i; ?>" class="span<?php echo (12/count($result5)); ?>">
												<div class="zt-box-inside">
													<jdoc:include type="modules" name="zt-position-<?php echo $i; ?>" style="ztxhtml" />
												</div>
											</div>
											<?php endif; ?>
										<?php endfor; ?>
										<div class="clearfix"></div>
									</div>
								</div>
								<?php endif; ?>
								<div id="zt-position5" class="clearfix">
									<?php if($this->countModules('position-9')) : ?>
										<div id="position-9" class="span4">
											<div class="zt-box-inside">
												<jdoc:include type="modules" name="position-9" style="ztxhtml" />
											</div>
										</div>
									<?php endif; ?>
									<?php if($this->countModules('position-10')) : ?>
										<div id="position-10" class="span4">
											<div class="zt-box-inside">
												<jdoc:include type="modules" name="position-10" style="ztxhtml" />
											</div>
										</div>
									<?php endif; ?>
									<?php if($this->countModules('position-11')) : ?>
									<div id="position-11" class="span4">
										<div class="zt-box-inside">
											<jdoc:include type="modules" name="position-11" style="ztxhtml" />
										</div>
									</div>
									<?php endif; ?>
									<div class="clearfix"></div>
								</div>
							</div>
							
							<?php   if($this->countModules('position-5')) : ?>
								<div id="zt-right" class="<?php echo $function->getColorsValue('image', 'zt-right');?> hidden-phone <?php echo $function->isRightOrLeft();?>">
									<div id="zt-right-inner">
										<jdoc:include type="modules" name="position-5" style="ztxhtml" />
									</div>
								</div>
							<?php endif; ?>
							<div class="clearfix"></div>
						</div>
					</div>
				</div>
			</div>
			<!--#main-->
			<?php endif; ?>
			<?php
			$result6 = $function->calculateSpotlight(array('zt-position-13','zt-position-14','zt-position-15','zt-position-16'));
			if (count($result6)) : ?>
			<div id="zt-userwrap6" class="hidden-phone clearfix  <?php echo $function->getColorsValue('image', 'zt-userwrap6');?>">
				<div id="zt-userwrap6-inner0">
					<div class="container">
						<div id="zt-userwrap6-inner" class="row-fluid">
							<div id="zt-userwrap6-inner2">	
								<?php for ($i = 13; $i <= 16; $i++) : ?>
									<?php if ($this->countModules('zt-position-' . $i)) : ?>
									<div id="zt-position-<?php echo $i; ?>" class="span<?php echo (12/count($result6)); ?>">
										<div class="zt-box-inside">
											<jdoc:include type="modules" name="zt-position-<?php echo $i; ?>" style="ztxhtml" />
										</div>
									</div>
									<?php endif; ?>
								<?php endfor; ?>
								<div class="clearfix"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<?php endif; ?>
			<?php
			$result7 = $function->calculateSpotlight(array('zt-position-17','zt-position-18','zt-position-19','zt-position-20'));
			if (count($result7)) : ?>
			<div id="zt-userwrap7" class="hidden-phone clearfix">
				<div class="container">
					<div id="zt-userwrap7-inner" class="row-fluid">
						<div id="zt-userwrap7-inner2">
							<?php for ($i = 17; $i <= 20; $i++) : ?>
								<?php if ($this->countModules('zt-position-' . $i)) : ?>
								<div id="zt-position-<?php echo $i; ?>" class="span<?php echo (12/count($result7)); ?>">
									<div class="zt-box-inside">
										<jdoc:include type="modules" name="zt-position-<?php echo $i; ?>" style="ztxhtml" />
									</div>
								</div>
								<?php endif; ?>
							<?php endfor; ?>
							<div class="clearfix"></div>
						</div>
					</div>
				</div>
			</div>
			<?php endif; ?>
			<!--Footer-->
			<div id="zt-footer" class="clearfix <?php echo $function->getColorsValue('image', 'zt-footer');?>">
				<div class="container">
					<div id="zt-footer-inner" class="row-fluid">
						<div id="zt-footer-left" class="span8">
							<?php if($this->countModules('footer')) : ?>
							<div id="zt-footer-menu" class="hidden-phone">
								<jdoc:include type="modules" name="footer" />
							</div>
							<?php endif; ?>								
							
							<div id="zt-footer-copy">
							<?php 
								if($params->get('enable_copyright') == 1 ) {
									echo $params->get('copyright_text'); 
								}else{ 
							?>
								Copyright &copy; 2008 - 2012. All Rights Reserved. Powered by <a href="http://www.ZO2Framework.org" title="Joomla Template">ZO2Framework.org</a>
							<?php }?>
							</div>
						</div>
						<?php if($this->countModules('social')) : ?>
						<div id="social" class="hidden-phone span4">
							<jdoc:include type="modules" name="social" />
						</div>
						<?php endif; ?>
						<?php if($params->get('footer_text') == 1) { ?>
							<div class="zt-footer-text span12 clearfix">
								<?php echo $params->get('footer_text'); ?>
							</div>
						<?php } ?>
						<div class="clearfix"></div>
					</div>
				</div>
			</div>
			
		</div>
	</div>
	<jdoc:include type="modules" name="debug" />
	<?php
		require_once($function->loadPHPFile('colors_box.php'));
	?>
	<?php if($params->get('enable_backtop')) : ?>
	<a href="#top" id="gototop" class="no-click no-print"><span>Top of Page</span></a>
	<script type="text/javascript">
		$ZO2(document).ready(function(){
			$ZO2(function () {
			var scrollDiv = document.createElement("div");
			$ZO2(scrollDiv).attr("id", "gototop").html("Back to top").appendTo("body");    
			$ZO2(window).scroll(function () {
					if ($ZO2(this).scrollTop() != 0) {
						$ZO2("#gototop").fadeIn();
					} else {
						$ZO2("#gototop").fadeOut();
					}
				});
				$ZO2("#gototop").click(function () {
					$ZO2("body,html").animate({
						scrollTop: 0
					},
					800);
				});
			});
		});
	</script>
	<?php endif; ?>
    <!-- Echo Footer Script -->
    <?php echo (strlen($params->get('footer_text')) > 2) ? base64_decode($params->get('footer_text')) : ''; ?>
</body>
</html>