<?php
/**
 * @package Zo2Framework for Joomla! 2.5
 * @author http://www.ZooTemplate.com
 * @copyright(C) 2012- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if(! is_file(JPATH_BASE . DS . 'components' . DS . 'com_zo2framework' . DS . 'zo2framework.php')) {
	die(JTEXT::_('ZO2_TPL_SOURCE_NOT_FOUND'));
}

// require library
require_once(JPATH_BASE . DS . 'components' . DS . 'com_zo2framework' . DS . 'zo2framework.php');

/* Declaration variable */	
$prefix		= $this->template . "_default_";
$menutype	= 'mega';

/* Declaration object */
$function	= new Zo2Functions($prefix, $this, $params);				

/* Check direction block*/
$vdirection 	= JRequest::getVar('direction');
$cdirection 	= $function->getCookie('direction');
$direction		= $params->get('direction');

if($vdirection != NULL) {
	$direction	= $vdirection;
}
else if($cdirection != NULL && $cdirection != FALSE) {
	$direction	= $cdirection;
}
else {
	$direction	= $direction;
}
$function->setCookie('direction', $direction);
/* End direction block */

/* Check wide box layout*/
$vlayouts 	= JRequest::getVar('layouts');
$clayouts 	= $function->getCookie('layouts');
$layouts		= $params->get('layouts', 'wide');

if($vlayouts != NULL) {
	$layouts	= $vlayouts;
}
else if($clayouts != NULL && $clayouts != FALSE) {
	$layouts	= $clayouts;
}
else {
	$layouts	= $layouts;
}
$function->setCookie('layouts', $layouts);
/* End wide box layout */
?>
<!DOCTYPE html>
<!--[if IE 8 ]><html class="ie8 <?php echo $direction; ?>" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 9 ]><html class="ie9 <?php echo $direction; ?>" lang="<?php echo $this->language; ?>"><![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html class="<?php echo $direction; ?>" lang="<?php echo $this->language; ?>"><!--<![endif]-->
<head>
<jdoc:include type="head" />
<?php
	$document = JFactory::getDocument();
	echo '<meta name="viewport" content="width=device-width, minimum-scale=1, maximum-scale=1">';
	echo '<meta name="viewport" content="width=device-width, user-scalable=yes" />';
	echo '<link href="'.$function->loadMediaFiles('favicon.ico','images').'" rel="shortcut icon" type="image/vnd.microsoft.icon" />';
	// Add global stylesheet
	$document->addStyleSheet($function->loadMediaFiles('bootstrap.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('bootstrap-responsive.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('template.responsive.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('general.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('template.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('patterns.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('typo.css', 'css'));
	$document->addStyleSheet($function->loadMediaFiles('menu.css', 'css'));		
	if(is_dir(JPATH_SITE . DS . 'components' . DS . 'com_k2')) {
		$document->addStyleSheet($function->loadMediaFiles('k2.css', 'css'));
	}
	
	if($params->get('fonts_feature')) { 
		$document->addStyleSheet($function->loadMediaFiles('fonts_feature.css', 'css')); 
	}
	if($layouts=="boxed") { 
		$document->addStyleSheet($function->loadMediaFiles('template-boxed.css', 'css')); 
	}
	
	$document->addStyleSheet($function->loadMediaFiles('css3.css', 'css'));
	
	if($params->get('google_fonts')) {
		if($function->getColorsValue('font', 'googlefont_body') != "Default" ){
			echo "<link href='http://fonts.googleapis.com/css?family=".$function->getColorsValue('font', 'googlefont_body')."&subset=latin,latin-ext' rel='stylesheet' type='text/css'>";
			echo'<style type="text/css">
				body,
				#menusys_mega .news-events,
				#menusys_mega .menu-desc,
				#menusys_mega .megacol ul li a .menu-title{ font-family:  '.$function->getColorsValue('font', 'googlefont_body').'; }
			</style>';
		}
		if($function->getColorsValue('font', 'googlefont_menu') != "Default" ){
			echo "<link href='http://fonts.googleapis.com/css?family=".$function->getColorsValue('font', 'googlefont_menu')."&subset=latin,latin-ext' rel='stylesheet' type='text/css'>";
			echo'<style type="text/css">
				.drillmenu li a span.menusys_name,
				#menusys_mega .menu-title { font-family:  '.$function->getColorsValue('font', 'googlefont_menu').'; }
			</style>';
		}
		if($function->getColorsValue('font', 'googlefont_heading') != "Default" ){
			echo "<link href='http://fonts.googleapis.com/css?family=".$function->getColorsValue('font', 'googlefont_heading')."&subset=latin,latin-ext' rel='stylesheet' type='text/css'>";
			echo'<style type="text/css">
				h1, h2, h3, h4, h5, h6 { font-family:  '.$function->getColorsValue('font', 'googlefont_heading').'; }
			</style>';
		}
	}	
	//load JS
	$document->addScript($function->loadMediaFiles('bootstrap.js', 'js'));
	
	switch($params->get('include_jquery'))
	{
		case "local":
			$document->addScript($function->loadMediaFiles('jquery.min.js', 'js'));
		break;
		case "google":
			$document->addScript("https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js");
		break;
	}

	$document->addScript($function->loadMediaFiles('jquery.cookies.2.2.0.js', 'js'));
	
	$document->addScript($function->loadMediaFiles('zo2-' . 'uncompressed' . '.js', 'js'));
?>
<script language="javascript" type="text/javascript">
$ZO2(document).ready(function() {
	/* Mega Menu script block */
	<?php if($menutype == 'mega') { ?>
	var megas = $ZO2('div[class="menusub_mega"]');
	var _tmp  = Array();
	
	$ZO2.each(megas, function(key, item) {
		var id = $ZO2(item).attr('id').split("_");
		if(id[2] != null) {
			var smart = "_" + id[1] + "_" + id[2];
			if($ZO2.inArray(smart, _tmp)) {
				$ZO2.merge(_tmp, Array(smart));
				ZTMenu(smart, "megamenu_close", '<?php echo $params->get('menu_mega_show_effect', 'show'); ?>', 
				'<?php echo $params->get('menu_mega_show_duration', 'slow'); ?>', 
				'<?php echo $params->get('menu_mega_hide_effect', 'hide'); ?>', 
				'<?php echo $params->get('menu_mega_hide_duration', 'slow'); ?>',
				'<?php echo $direction; ?>');
			}
		}
	});
	
	/* Add/remove class hover when mouse enter/mouse leave */
	$ZO2.each($ZO2('ul#menusys_mega li'), function(i, item) {
		$ZO2(item).mouseenter(function() {
			$ZO2(item).addClass('hover');
		}).mouseleave(function() {
			$ZO2(item).removeClass('hover');
		});
	});
	<?php } ?>
	
	/* Fancy Menu script block */
	<?php if($params->get('enable_fancy')) { ?>
	$ZO2(function() {
		$ZO2("#menusys_mega").ZO2Fancy({
			speed: <?php echo $params->get('menu_fancy_duration', 350); ?>,
			click: function(event, menuItem) {
				return false;
			}
		});
	});
	<?php } ?>
	/* Accordion menu */
	$ZO2(document).ready(function() {
		$ZO2("#zo2-drilldown-menu").mtAccordionMenu({
			accordion:true,
			speed: 500,
			closedSign: 'collapse',
			openedSign: 'expand',
			mouseType: 0,
			easing: 'easeInOutBack'
		});
	}); 
});
</script>
<!-- Echo Header Script -->
<?php echo (strlen($params->get('header_text')) > 2) ? base64_decode($params->get('header_text')) : ''; ?>
<!--[if IE 8]>
	<?php $document->addStyleSheet($function->loadMediaFiles('ie8.css', 'css'));?>	
<![endif]-->
</head>
<?php require_once("layouts".DS.$layouts.".php"); ?>
</html>