SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=182 ;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 432, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 2, 3, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 4, 13, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 14, 15, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 16, 17, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 18, 19, 1, 'com_config', 'com_config', '{}'),
(7, 1, 20, 89, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(8, 1, 90, 303, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 304, 305, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 306, 307, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 308, 309, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 310, 311, 1, 'com_login', 'com_login', '{}'),
(13, 1, 312, 313, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 314, 315, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 316, 317, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
(16, 1, 318, 319, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 39, 40, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 322, 323, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 324, 331, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(20, 1, 332, 333, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 334, 335, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 336, 337, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 338, 339, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 340, 343, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25, 1, 344, 361, 1, 'com_weblinks', 'com_weblinks', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1,"10":0,"12":0},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
(26, 1, 362, 363, 1, 'com_wrapper', 'com_wrapper', '{}'),
(33, 1, 424, 425, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 8, 107, 110, 2, 'com_content.category.9', 'Uncategorised', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(35, 3, 7, 8, 2, 'com_banners.category.10', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(36, 7, 25, 26, 2, 'com_contact.category.11', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(37, 19, 327, 328, 2, 'com_newsfeeds.category.12', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(38, 25, 351, 352, 2, 'com_weblinks.category.13', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(39, 8, 111, 302, 2, 'com_content.category.14', 'Sample Data-Articles', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(40, 3, 9, 10, 2, 'com_banners.category.15', 'Sample Data-Banners', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(41, 7, 27, 88, 2, 'com_contact.category.16', 'Sample Data-Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 19, 329, 330, 2, 'com_newsfeeds.category.17', 'Sample Data-Newsfeeds', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(43, 25, 353, 360, 2, 'com_weblinks.category.18', 'Sample Data-Weblinks', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(44, 39, 112, 251, 3, 'com_content.category.19', 'Joomla!', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 44, 113, 226, 4, 'com_content.category.20', 'Extensions', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 45, 114, 129, 5, 'com_content.category.21', 'Components', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 45, 130, 191, 5, 'com_content.category.22', 'Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(48, 45, 192, 203, 5, 'com_content.category.23', 'Templates', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(49, 45, 204, 205, 5, 'com_content.category.24', 'Languages', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(50, 45, 206, 225, 5, 'com_content.category.25', 'Plugins', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(51, 39, 252, 283, 3, 'com_content.category.26', 'Park Site', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(52, 51, 253, 258, 4, 'com_content.category.27', 'Park Blog', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(53, 51, 259, 280, 4, 'com_content.category.28', 'Photo Gallery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(54, 39, 284, 297, 3, 'com_content.category.29', 'Fruit Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(55, 54, 285, 290, 4, 'com_content.category.30', 'Growers', '{"core.create":{"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"10":1}}'),
(56, 43, 354, 355, 3, 'com_weblinks.category.31', 'Park Links', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(57, 43, 356, 359, 3, 'com_weblinks.category.32', 'Joomla! Specific Links', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(58, 57, 357, 358, 4, 'com_weblinks.category.33', 'Other Resources', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(59, 41, 28, 29, 3, 'com_contact.category.34', 'Park Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(60, 41, 30, 87, 3, 'com_contact.category.35', 'Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(61, 60, 31, 32, 4, 'com_contact.category.36', 'Staff', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(62, 60, 33, 86, 4, 'com_contact.category.37', 'Fruit Encyclopedia', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(63, 62, 34, 35, 5, 'com_contact.category.38', 'A', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 62, 36, 37, 5, 'com_contact.category.39', 'B', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(65, 62, 38, 39, 5, 'com_contact.category.40', 'C', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(66, 62, 40, 41, 5, 'com_contact.category.41', 'D', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(67, 62, 42, 43, 5, 'com_contact.category.42', 'E', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(68, 62, 44, 45, 5, 'com_contact.category.43', 'F', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(69, 62, 46, 47, 5, 'com_contact.category.44', 'G', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(70, 62, 48, 49, 5, 'com_contact.category.45', 'H', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(71, 62, 50, 51, 5, 'com_contact.category.46', 'I', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(72, 62, 52, 53, 5, 'com_contact.category.47', 'J', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(73, 62, 54, 55, 5, 'com_contact.category.48', 'K', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(74, 62, 56, 57, 5, 'com_contact.category.49', 'L', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(75, 62, 58, 59, 5, 'com_contact.category.50', 'M', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(76, 62, 60, 61, 5, 'com_contact.category.51', 'N', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(77, 62, 62, 63, 5, 'com_contact.category.52', 'O', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(78, 62, 64, 65, 5, 'com_contact.category.53', 'P', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(79, 62, 66, 67, 5, 'com_contact.category.54', 'Q', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(80, 62, 68, 69, 5, 'com_contact.category.55', 'R', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(81, 62, 70, 71, 5, 'com_contact.category.56', 'S', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(82, 62, 72, 73, 5, 'com_contact.category.57', 'T', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(83, 62, 74, 75, 5, 'com_contact.category.58', 'U', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(84, 62, 76, 77, 5, 'com_contact.category.59', 'V', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(85, 62, 78, 79, 5, 'com_contact.category.60', 'W', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(86, 62, 80, 81, 5, 'com_contact.category.61', 'X', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(87, 62, 82, 83, 5, 'com_contact.category.62', 'Y', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(88, 62, 84, 85, 5, 'com_contact.category.63', 'Z', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(89, 46, 115, 116, 6, 'com_content.article.1', 'Administrator Components', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(90, 93, 132, 133, 7, 'com_content.article.2', 'Archive Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(91, 93, 134, 135, 7, 'com_content.article.3', 'Article Categories Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(92, 93, 136, 137, 7, 'com_content.article.4', 'Articles Category Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(93, 47, 131, 146, 6, 'com_content.category.64', 'Content Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(94, 47, 147, 154, 6, 'com_content.category.65', 'User Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(95, 47, 155, 168, 6, 'com_content.category.66', 'Display Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(96, 47, 169, 182, 6, 'com_content.category.67', 'Utility Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(97, 48, 193, 194, 6, 'com_content.category.68', 'Atomic', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(98, 48, 195, 196, 6, 'com_content.category.69', 'Beez 20', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(99, 48, 197, 198, 6, 'com_content.category.70', 'Beez5', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 48, 199, 200, 6, 'com_content.category.71', 'Milky Way', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(101, 50, 207, 208, 6, 'com_content.article.5', 'Authentication', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(102, 51, 281, 282, 4, 'com_content.article.6', 'Australian Parks ', '{"core.delete":[],"core.edit":{"2":1},"core.edit.state":[]}'),
(103, 95, 156, 157, 7, 'com_content.article.7', 'Banner Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(104, 44, 227, 228, 4, 'com_content.article.8', 'Beginners', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(105, 46, 117, 118, 6, 'com_content.article.9', 'Contact', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(106, 46, 119, 120, 6, 'com_content.article.10', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(107, 109, 271, 272, 6, 'com_content.article.11', 'Cradle Mountain', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(108, 53, 260, 269, 5, 'com_content.category.72', 'Animals', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(109, 53, 270, 279, 5, 'com_content.category.73', 'Scenery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(110, 95, 158, 159, 7, 'com_content.article.12', 'Custom HTML Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(111, 54, 291, 292, 4, 'com_content.article.13', 'Directions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(112, 50, 209, 210, 6, 'com_content.article.14', 'Editors', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(113, 50, 211, 212, 6, 'com_content.article.15', 'Editors-xtd', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(114, 95, 160, 161, 7, 'com_content.article.16', 'Feed Display', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(115, 52, 254, 255, 5, 'com_content.article.17', 'First Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(116, 52, 256, 257, 5, 'com_content.article.18', 'Second Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(117, 95, 162, 163, 7, 'com_content.article.19', 'Footer Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(118, 54, 293, 294, 4, 'com_content.article.20', 'Fruit Shop', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(119, 44, 229, 230, 4, 'com_content.article.21', 'Getting Help', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(120, 44, 231, 232, 4, 'com_content.article.22', 'Getting Started', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(121, 55, 286, 287, 5, 'com_content.article.23', 'Happy Orange Orchard', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(122, 44, 233, 234, 4, 'com_content.article.24', 'Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(123, 108, 261, 262, 6, 'com_content.article.25', 'Koala', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(124, 96, 170, 171, 7, 'com_content.article.26', 'Language Switcher', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(125, 93, 138, 139, 7, 'com_content.article.27', 'Latest Articles Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(126, 94, 148, 149, 7, 'com_content.article.28', 'Login Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(127, 166, 186, 187, 7, 'com_content.article.29', 'Menu Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(128, 93, 140, 141, 7, 'com_content.article.30', 'Most Read Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(129, 93, 142, 143, 7, 'com_content.article.31', 'News Flash', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(130, 44, 235, 236, 4, 'com_content.article.32', 'Parameters', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(131, 108, 263, 264, 6, 'com_content.article.33', 'Phyllopteryx', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(132, 109, 273, 274, 6, 'com_content.article.34', 'Pinnacles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(133, 44, 237, 238, 4, 'com_content.article.35', 'Professionals', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(134, 95, 164, 165, 7, 'com_content.article.36', 'Random Image Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(135, 93, 144, 145, 7, 'com_content.article.37', 'Related Items Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(136, 44, 239, 240, 4, 'com_content.article.38', 'Sample Sites', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(137, 46, 121, 122, 6, 'com_content.article.39', 'Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(138, 96, 172, 173, 7, 'com_content.article.40', 'Search Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(139, 50, 213, 214, 6, 'com_content.article.41', 'Search ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(140, 39, 298, 299, 3, 'com_content.article.42', 'Site Map', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(141, 108, 265, 266, 6, 'com_content.article.43', 'Spotted Quoll', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(142, 96, 174, 175, 7, 'com_content.article.44', 'Statistics Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(143, 96, 176, 177, 7, 'com_content.article.45', 'Syndicate Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(144, 50, 215, 216, 6, 'com_content.article.46', 'System', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(145, 44, 241, 242, 4, 'com_content.article.47', 'The Joomla! Community', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(146, 44, 243, 244, 4, 'com_content.article.48', 'The Joomla! Project', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(147, 48, 201, 202, 6, 'com_content.article.49', 'Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(148, 44, 245, 246, 4, 'com_content.article.50', 'Upgraders', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(149, 50, 217, 218, 6, 'com_content.article.51', 'User', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(150, 46, 123, 124, 6, 'com_content.article.52', 'Users', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(151, 44, 247, 248, 4, 'com_content.article.53', 'Using Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(152, 46, 125, 126, 6, 'com_content.article.54', 'Weblinks', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(153, 95, 166, 167, 7, 'com_content.article.55', 'Weblinks Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(154, 94, 150, 151, 7, 'com_content.article.56', 'Who''s Online', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(155, 108, 267, 268, 6, 'com_content.article.57', 'Wobbegone', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(156, 55, 288, 289, 5, 'com_content.article.58', 'Wonderful Watermelon', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(157, 96, 178, 179, 7, 'com_content.article.59', 'Wrapper Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(158, 46, 127, 128, 6, 'com_content.article.60', 'News Feeds', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(159, 166, 188, 189, 7, 'com_content.article.61', 'Breadcrumbs Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(160, 50, 219, 220, 6, 'com_content.article.62', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(162, 109, 275, 276, 6, 'com_content.article.64', 'Blue Mountain Rain Forest', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(163, 109, 277, 278, 6, 'com_content.article.65', 'Ormiston Pound', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(165, 94, 152, 153, 7, 'com_content.article.66', 'Latest Users Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(166, 47, 185, 190, 6, 'com_content.category.75', 'Navigation Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(167, 54, 295, 296, 4, 'com_content.category.76', 'Recipes', '{"core.create":{"12":1,"10":1},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"12":1,"10":1}}'),
(168, 34, 108, 109, 3, 'com_content.article.67', 'What''s New in 1.5?', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(169, 24, 341, 342, 2, 'com_users.notes.category.77', 'Uncategorised', ''),
(170, 50, 221, 222, 6, 'com_content.article.68', 'Captcha', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(171, 50, 223, 224, 6, 'com_content.article.69', 'Quick Icons', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(172, 96, 180, 181, 7, 'com_content.article.70', 'Smart Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(173, 1, 426, 427, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(174, 1, 428, 429, 1, 'com_k2', 'k2', '{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(181, 1, 430, 431, 1, 'com_zo2framework', 'com_zo2framework', '{}'),
(178, 3, 11, 12, 2, 'com_banners.category.78', 'zooteamplate', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(180, 44, 249, 250, 4, 'com_content.article.71', 'Our Services', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` varchar(50) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`) VALUES
(2, 3, 0, 'Shop 1', 'shop-1', 0, 98, 2, 'http://shop.joomla.org/amazoncom-bookstores.html', 1, 15, 'Get books about Joomla! at the Joomla! Book Shop.', '', 0, 1, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":"Joomla! Books"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB'),
(3, 2, 0, 'Shop 2', 'shop-2', 0, 144, 2, 'http://shop.joomla.org', 1, 15, 'T Shirts, caps and more from the Joomla! Shop.', '', 0, 2, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":"Joomla! Shop"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB'),
(4, 1, 0, 'Support Joomla!', 'support-joomla', 0, 63, 1, 'http://contribute.joomla.org', 1, 15, 'Your contributions of time, talent and money make Joomla possible.', '', 0, 3, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'en-GB'),
(5, 0, 0, '9Magentotheme', '9magentotheme', 0, 301, 0, 'http://9magentothemes.com/', 1, 78, '', '', 0, 1, '', '{"imageurl":"images\\/banners\\/magento-themes.jpg","width":250,"height":450,"alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2012-10-01 09:11:44', '*');

DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__banner_clients` (`id`, `name`, `contact`, `email`, `extrainfo`, `state`, `checked_out`, `checked_out_time`, `metakey`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`) VALUES
(1, 'Joomla!', 'Administrator', 'email@email.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, -1, -1),
(2, 'Shop', 'Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0),
(3, 'Bookstore', 'Bookstore Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0);

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=79 ;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES
(1, 0, 0, 0, 137, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(9, 34, 1, 131, 132, 1, 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(10, 35, 1, 129, 130, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(11, 36, 1, 125, 126, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(12, 37, 1, 61, 62, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(13, 38, 1, 57, 58, 1, 'uncategorised', 'com_weblinks', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(14, 39, 1, 9, 56, 1, 'sample-data-articles', 'com_content', 'Sample Data-Articles', 'sample-data-articles', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(15, 40, 1, 127, 128, 1, 'sample-data-banners', 'com_banners', 'Sample Data-Banners', 'sample-data-banners', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(16, 41, 1, 63, 124, 1, 'sample-data-contact', 'com_contact', 'Sample Data-Contact', 'sample-data-contact', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(17, 42, 1, 59, 60, 1, 'sample-data-newsfeeds', 'com_newsfeeds', 'Sample Data-Newsfeeds', 'sample-data-newsfeeds', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(18, 43, 1, 1, 8, 1, 'sample-data-weblinks', 'com_weblinks', 'Sample Data-Weblinks', 'sample-data-weblinks', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(19, 44, 14, 10, 39, 2, 'sample-data-articles/joomla', 'com_content', 'Joomla!', 'joomla', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(20, 45, 19, 11, 38, 3, 'sample-data-articles/joomla/extensions', 'com_content', 'Extensions', 'extensions', '', '<p>The Joomla! content management system lets you create webpages of various types using extensions. There are 5 basic types of extensions: components, modules, templates, languages, and plugins. Your website includes the extensions you need to create a basic website in English, but thousands of additional extensions of all types are available. The <a href="http://extensions.joomla.org" style="color: #1b57b1; text-decoration: none; font-weight: normal;">Joomla! Extensions Directory</a> is the largest directory of Joomla extensions.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 11:57:22', 0, '*'),
(21, 46, 20, 12, 13, 4, 'sample-data-articles/joomla/extensions/components', 'com_content', 'Components', 'components', '', '<p><img class="image-left" src="administrator/templates/bluestork/images/header/icon-48-component.png" border="0" alt="Component Image" />Components are larger extensions that produce the major content for your site. Each component has one or more "views" that control how content is displayed. In the Joomla administrator there are additional extensions such as Menus, Redirection, and the extension managers.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 11:58:12', 0, '*'),
(22, 47, 20, 14, 25, 4, 'sample-data-articles/joomla/extensions/modules', 'com_content', 'Modules', 'modules', '', '<p><img class="image-left" src="administrator/templates/bluestork/images/header/icon-48-module.png" border="0" alt="Media Image" />Modules are small blocks of content that can be displayed in positions on a web page. The menus on this site are displayed in modules. The core of Joomla! includes 24 separate modules ranging from login to search to random images. Each module has a name that starts mod_ but when it displays it has a title. In the descriptions in this section, the titles are the same as the names.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 11:59:44', 0, '*'),
(23, 48, 20, 26, 33, 4, 'sample-data-articles/joomla/extensions/templates', 'com_content', 'Templates', 'templates', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-themes.png" border="0" alt="Media Image" align="left" />Templates give your site its look and feel. They determine layout, colours, typefaces, graphics and other aspects of design that make your site unique. Your installation of Joomla comes prepackaged with three front end templates and two backend templates. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Template_Manager_Templates">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:04:51', 0, '*'),
(24, 49, 20, 34, 35, 4, 'sample-data-articles/joomla/extensions/languages', 'com_content', 'Languages', 'languages', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-language.png" border="0" alt="Languages Image" align="left" />Joomla! installs in English, but translations of the interfaces, sample data and help screens are available in dozens of languages. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Language_Manager_Installed">Help</a></p>\r\n<p><a href="http://community.joomla.org/translations.html">Translation information</a></p>\r\n<p>If there is no language pack available for your language, instructions are available for creating your own translation, which you can also contribute to the community by starting a translation team to create an accredited translation. </p>\r\n<p>Translations of the interfaces are installed using the extensions manager in the site administrator and then managed using the language manager.</p>\r\n<p>If you have two or more languages installed you may enable the language switcher plugin and module. They should always be used together. If you create multilingual content and mark your content, menu items or modules as being in specific languages and follow <a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6">the complete instructions</a> your users will be able to select a specific content language using the module. By default both the plugin and module are disabled.</p>\r\n<p>Joomla 2.5 installs with a language override manager that allows you to change the specific words (such as Edit or Search) used in the Joomla application.</p>\r\n<p>There are a number of extensions that can help you manage translations of content available in the<a href="http://extensions.joomla.org"> Joomla! Extensions Directory</a>.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2012-01-17 16:18:40', 0, '*'),
(25, 50, 20, 36, 37, 4, 'sample-data-articles/joomla/extensions/plugins', 'com_content', 'Plugins', 'plugins', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-plugin.png" border="0" alt="Plugin Image" align="left" />Plugins are small task oriented extensions that enhance the Joomla! framework. Some are associated with particular extensions and others, such as editors, are used across all of Joomla. Most beginning users do not need to change any of the plugins that install with Joomla. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Plugin_Manager_Edit">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:11:56', 0, '*'),
(26, 51, 14, 40, 49, 2, 'sample-data-articles/park-site', 'com_content', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(27, 52, 26, 41, 42, 3, 'sample-data-articles/park-site/park-blog', 'com_content', 'Park Blog', 'park-blog', '', '<p><span style="font-size: 12px;">Here is where I will blog all about the parks of Australia.</span></p>\r\n<p><em>You can make a blog on your website by creating a category to write your blog posts in (this one is called Park Blog). Each blog post will be an article in that category. If you make a category blog menu link with 1 column it will look like this page, if you display the category description then this part is displayed. </em></p>\r\n<p><em>To enhance your blog you may want to add extensions for <a href="http://extensions.joomla.org/extensions/contacts-and-feedback/articles-comments" style="color: #1b57b1; text-decoration: none; font-weight: normal;">comments</a>,<a href="http://extensions.joomla.org/extensions/social-web" style="color: #1b57b1; text-decoration: none; font-weight: normal;"> interacting with social network sites</a>, <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">tagging</a>, and <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">keeping in contact with your readers</a>. You can also enable the syndication that is included in Joomla (in the Integration Options set Show Feed Link to Show and make sure to display the syndication module on the page).</em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:15:40', 0, 'en-GB'),
(28, 53, 26, 43, 48, 3, 'sample-data-articles/park-site/photo-gallery', 'com_content', 'Photo Gallery', 'photo-gallery', '', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" /></p>\r\n<p>These are my photos from parks I have visited (I didn''t take them, they are all from <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>).</p>\r\n<p><em>This shows you how to make a simple image gallery using articles in com_content. </em></p>\r\n<p><em>In each article put a thumbnail image before a "readmore" and the full size image after it. Set the article to Show Intro Text: Hide. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(29, 54, 14, 50, 55, 2, 'sample-data-articles/fruit-shop-site', 'com_content', 'Fruit Shop Site', 'fruit-shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(30, 55, 29, 51, 52, 3, 'sample-data-articles/fruit-shop-site/growers', 'com_content', 'Growers', 'growers', '', '<p>We search the whole countryside for the best fruit growers.</p>\r\n<p><em>You can let each supplier have a page that he or she can edit. To see this in action you will need to create a user who is in the suppliers group.  </em></p>\r\n<p><em>Create one page in the growers category for that user and make that supplier the author of the page. That user will be able to edit his or her page. </em></p>\r\n<p><em>This illustrates the use of the Edit Own permission. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:17:40', 0, '*'),
(31, 56, 18, 2, 3, 2, 'sample-data-weblinks/park-links', 'com_weblinks', 'Park Links', 'park-links', '', '<p>Here are links to some of my favorite parks.</p>\r\n<p><em>The weblinks component provides an easy way to make links to external sites that are consistently formatted and categorised. You can create weblinks from the front end of your site.</em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(32, 57, 18, 4, 7, 2, 'sample-data-weblinks/joomla-specific-links', 'com_weblinks', 'Joomla! Specific Links', 'joomla-specific-links', '', '<p>A selection of links that are all related to the Joomla Project.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:32:00', 0, '*'),
(33, 58, 32, 5, 6, 3, 'sample-data-weblinks/joomla-specific-links/other-resources', 'com_weblinks', 'Other Resources', 'other-resources', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(34, 59, 16, 64, 65, 2, 'sample-data-contact/park-site', 'com_contact', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(35, 60, 16, 66, 123, 2, 'sample-data-contact/shop-site', 'com_contact', 'Shop Site', 'shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(36, 61, 35, 67, 68, 3, 'sample-data-contact/shop-site/staff', 'com_contact', 'Staff', 'staff', '', '<p>Please feel free to contact our staff at any time should you need assistance.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(37, 62, 35, 69, 122, 3, 'sample-data-contact/shop-site/fruit-encyclopedia', 'com_contact', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', '<p> </p><p>Our directory of information about different kinds of fruit.</p><p>We love fruit and want the world to know more about all of its many varieties.</p><p>Although it is small now, we work on it whenever we have a chance.</p><p>All of the images can be found in <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>.</p><p><img src="images/sampledata/fruitshop/apple.jpg" border="0" alt="Apples" title="Apples" /></p><p><em>This encyclopedia is implemented using the contact component, each fruit a separate contact and a category for each letter. A CSS style is used to create the horizontal layout of the alphabet headings. </em></p><p><em>If you wanted to, you could allow some users (such as your growers) to have access to just this category in the contact component and let them help you to create new content for the encyclopedia.</em></p><p> </p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(38, 63, 37, 70, 71, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/a', 'com_contact', 'A', 'a', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(39, 64, 37, 72, 73, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/b', 'com_contact', 'B', 'b', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(40, 65, 37, 74, 75, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/c', 'com_contact', 'C', 'c', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(41, 66, 37, 76, 77, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/d', 'com_contact', 'D', 'd', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(42, 67, 37, 78, 79, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/e', 'com_contact', 'E', 'e', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(43, 68, 37, 80, 81, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/f', 'com_contact', 'F', 'f', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(44, 69, 37, 82, 83, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/g', 'com_contact', 'G', 'g', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(45, 70, 37, 84, 85, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/h', 'com_contact', 'H', 'h', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(46, 71, 37, 86, 87, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/i', 'com_contact', 'I', 'i', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(47, 72, 37, 88, 89, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/j', 'com_contact', 'J', 'j', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(48, 73, 37, 90, 91, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/k', 'com_contact', 'K', 'k', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(49, 74, 37, 92, 93, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/l', 'com_contact', 'L', 'l', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(50, 75, 37, 94, 95, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/m', 'com_contact', 'M', 'm', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(51, 76, 37, 96, 97, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/n', 'com_contact', 'N', 'n', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(52, 77, 37, 98, 99, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/o', 'com_contact', 'O', 'o', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(53, 78, 37, 100, 101, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/p', 'com_contact', 'P', 'p', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(54, 79, 37, 102, 103, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/q', 'com_contact', 'Q', 'q', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(55, 80, 37, 104, 105, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/r', 'com_contact', 'R', 'r', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(56, 81, 37, 106, 107, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/s', 'com_contact', 'S', 's', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(57, 82, 37, 108, 109, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/t', 'com_contact', 'T', 't', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(58, 83, 37, 110, 111, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/u', 'com_contact', 'U', 'u', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(59, 84, 37, 112, 113, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/v', 'com_contact', 'V', 'v', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(60, 85, 37, 114, 115, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/w', 'com_contact', 'W', 'w', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(61, 86, 37, 116, 117, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/x', 'com_contact', 'X', 'x', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(62, 87, 37, 118, 119, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/y', 'com_contact', 'Y', 'y', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(63, 88, 37, 120, 121, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/z', 'com_contact', 'Z', 'z', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(64, 93, 22, 15, 16, 5, 'sample-data-articles/joomla/extensions/modules/articles-modules', 'com_content', 'Content Modules', 'articles-modules', '', '<p>Content modules display article and other information from the content component.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(65, 94, 22, 17, 18, 5, 'sample-data-articles/joomla/extensions/modules/user-modules', 'com_content', 'User Modules', 'user-modules', '', '<p>User modules interact with the user system, allowing users to login, show who is logged-in, and showing the most recently registered users.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:00:50', 0, '*'),
(66, 95, 22, 19, 20, 5, 'sample-data-articles/joomla/extensions/modules/display-modules', 'com_content', 'Display Modules', 'display-modules', '', '<p>These modules display information from components other than content and user. These include weblinks, news feeds and the media manager.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(67, 96, 22, 21, 22, 5, 'sample-data-articles/joomla/extensions/modules/utility-modules', 'com_content', 'Utility Modules', 'utility-modules', '', '<p>Utility modules provide useful functionality such as search, syndication and statistics.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:01:34', 0, '*'),
(68, 97, 23, 31, 32, 5, 'sample-data-articles/joomla/extensions/templates/atomic', 'com_content', 'Atomic', 'atomic', '', '<p><img src="templates/atomic/template_thumbnail.png" border="0" alt="The Atomic Template" style="border: 0; float: right;" /></p>\r\n<p>Atomic is a minimal template designed to be a skeleton for making your own template and to learn about Joomla! templating.</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=285">Home Page</a></li>\r\n<li><a href="index.php?Itemid=316">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:08:16', 0, '*'),
(69, 98, 23, 27, 28, 5, 'sample-data-articles/joomla/extensions/templates/beez-20', 'com_content', 'Beez 20', 'beez-20', '', '<p><img src="templates/beez_20/template_thumbnail.png" border="0" alt="Beez_20 thumbnail" align="right" style="float: right;" /></p>\r\n<p>Beez 2.0 is a versatile, easy to customise template that works for a variety of sites. It meets major accessibility standards and demonstrates a range of css and javascript techniques. It is the default template that installs with Joomla!</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=424">Home Page</a></li>\r\n<li><a href="index.php?Itemid=423">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(70, 99, 23, 29, 30, 5, 'sample-data-articles/joomla/extensions/templates/beez-5', 'com_content', 'Beez 5', 'beez-5', '', '<p><img src="templates/beez5/template_thumbnail.png" border="0" alt="Beez5 Thumbnail" align="right" style="float: right;" /></p>\r\n<p>Beez 5 is an html5 implementation of a Joomla! template. It uses a number of html5 techniques to enhance the presentation of a site. It is used as the template for the Fruit Shop sample site.</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=458">Home Page</a></li>\r\n<li><a href="index.php?Itemid=457">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:06:57', 0, '*'),
(72, 108, 28, 44, 45, 4, 'sample-data-articles/park-site/photo-gallery/animals', 'com_content', 'Animals', 'animals', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(73, 109, 28, 46, 47, 4, 'sample-data-articles/park-site/photo-gallery/scenery', 'com_content', 'Scenery', 'scenery', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(75, 166, 22, 23, 24, 5, 'sample-data-articles/joomla/extensions/modules/navigation-modules', 'com_content', 'Navigation Modules', 'navigation-modules', '', '<p>Navigation modules help your visitors move through your site and find what they need.</p>\r\n<p>Menus provide your site with structure and help your visitors navigate your site.  Although they are all based on the same menu module, the variety of ways menus are used in the sample data show how flexible this module is.</p>\r\n<p>A menu can range from extremely simple (for example the top menu or the menu for the Australian Parks sample site) to extremely complex (for example the About Joomla! menu with its many levels). They can also be used for other types of presentation such as the site map linked from the "This Site" menu.</p>\r\n<p>Breadcrumbs provide users with information about where they are in a site.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(76, 167, 29, 53, 54, 3, 'sample-data-articles/fruit-shop-site/recipes', 'com_content', 'Recipes', 'recipes', '', '<p>Customers and suppliers can post their favorite recipes for fruit here.</p>\r\n<p>A good idea is to promote the use of metadata keywords to make finding other recipes for the same fruit easier.</p>\r\n<p><em>To see this in action, create a user assigned to the customer group and a user assigned to the suppliers group. These users will be able to create their own recipe pages and edit those pages. They will not be able to edit other users'' pages.</em><br /><br /></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2011-01-01 00:00:01', 42, '2011-12-27 12:18:25', 0, '*'),
(77, 169, 1, 133, 134, 1, 'uncategorised', 'com_users.notes', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 168, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(78, 178, 1, 135, 136, 1, 'zooteamplate', 'com_banners', 'zooteamplate', 'zooteamplate', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 168, '2012-10-01 09:11:30', 0, '0000-00-00 00:00:00', 0, '*');

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `imagepos`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 'Contact Name Here', 'name', 'Position', 'Street Address', 'Suburb', 'State', 'Country', 'Zip Code', 'Telephone', 'Fax', '<p>Information about or by the contact.</p>', 'images/powered_by.png', 'top', 'email@example.com', 1, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Twitter","linka":"http:\\/\\/twitter.com\\/joomla","linkb_name":"YouTube","linkb":"http:\\/\\/www.youtube.com\\/user\\/joomla","linkc_name":"Facebook","linkc":"http:\\/\\/www.facebook.com\\/joomla","linkd_name":"FriendFeed","linkd":"http:\\/\\/friendfeed.com\\/joomla","linke_name":"Scribed","linke":"http:\\/\\/www.scribd.com\\/people\\/view\\/504592-joomla","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 16, 1, '', '', 'last', 'first', 'middle', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-12-27 12:23:32', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 'Webmaster', 'webmaster', '', '', '', '', '', '', '', '', '', '', NULL, 'webmaster@example.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"","redirect":""}', 0, 34, 1, '', '', '', '', '', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 'Owner', 'owner', '', '', '', '', '', '', '', '', '<p>I''m the owner of this store.</p>', '', NULL, '', 0, 1, 0, '0000-00-00 00:00:00', 2, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 'Buyer', 'buyer', '', '', '', '', '', '', '', '', '<p>I am in charge of buying fruit. If you sell good fruit, contact me.</p>', '', NULL, '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"0","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 'Bananas', 'bananas', 'Scientific Name: Musa', 'Image Credit: Enzik\r\nRights: Creative Commons Share Alike Unported 3.0\r\nSource: http://commons.wikimedia.org/wiki/File:Bananas_-_Morocco.jpg', '', 'Type: Herbaceous', 'Large Producers: India, China, Brasil', '', '', '', '<p>Bananas are a great source of potassium.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/bananas_2.jpg', NULL, '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"show_with_link","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"1","show_email":"","show_street_address":"","show_suburb":"","show_state":"1","show_postcode":"","show_country":"1","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Banana English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Banana","linkb_name":"Wikipedia:  \\u0939\\u093f\\u0928\\u094d\\u0926\\u0940 \\u0915\\u0947\\u0932\\u093e","linkb":"http:\\/\\/hi.wikipedia.org\\/wiki\\/%E0%A4%95%E0%A5%87%E0%A4%B2%E0%A4%BE","linkc_name":"Wikipedia:Banana Portugu\\u00eas","linkc":"http:\\/\\/pt.wikipedia.org\\/wiki\\/Banana","linkd_name":"Wikipedia: \\u0411\\u0430\\u043d\\u0430\\u043d  \\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439","linkd":"http:\\/\\/ru.wikipedia.org\\/\\u0411\\u0430\\u043d\\u0430\\u043d","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 39, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 'Apples', 'apples', 'Scientific Name: Malus domestica', 'Image Credit: Fievet\r\nRights: Public Domain\r\nSource: http://commons.wikimedia.org/wiki/File:Pommes_vertes.JPG', '', 'Family: Rosaceae', 'Large: Producers: China, United States', '', '', '', '<p>Apples are a versatile fruit, used for eating, cooking, and preserving.</p>\r\n<p>There are more that 7500 different kinds of apples grown around the world.</p>', 'images/sampledata/fruitshop/apple.jpg', NULL, '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Apples English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Apple","linkb_name":"Wikipedia: Manzana Espa\\u00f1ol ","linkb":"http:\\/\\/es.wikipedia.org\\/wiki\\/Manzana","linkc_name":"Wikipedia: \\u82f9\\u679c \\u4e2d\\u6587","linkc":"http:\\/\\/zh.wikipedia.org\\/zh\\/\\u82f9\\u679c","linkd_name":"Wikipedia: Tofaa Kiswahili","linkd":"http:\\/\\/sw.wikipedia.org\\/wiki\\/Tofaa","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 38, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 'Tamarind', 'tamarind', 'Scientific Name: Tamarindus indica', 'Image Credit: Franz Eugen Köhler, Köhler''s Medizinal-Pflanzen \r\nRights: Public Domain\r\nSource:http://commons.wikimedia.org/wiki/File:Koeh-134.jpg', '', 'Family: Fabaceae', 'Large Producers: India, United States', '', '', '', '<p>Tamarinds are a versatile fruit used around the world. In its young form it is used in hot sauces; ripened it is the basis for many refreshing drinks.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/tamarind.jpg', NULL, '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Tamarind English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Tamarind","linkb_name":"Wikipedia: \\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2  \\u09ac\\u09be\\u0982\\u09b2\\u09be  ","linkb":"http:\\/\\/bn.wikipedia.org\\/wiki\\/\\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2 ","linkc_name":"Wikipedia: Tamarinier Fran\\u00e7ais","linkc":"http:\\/\\/fr.wikipedia.org\\/wiki\\/Tamarinier","linkd_name":"Wikipedia:Tamaline lea faka-Tonga","linkd":"http:\\/\\/to.wikipedia.org\\/wiki\\/Tamaline","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 57, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 'Shop Address', 'shop-address', '', '', 'Our City', 'Our Province', 'Our Country', '', '555-555-5555', '', '<p>Here are directions for how to get to our shop.</p>', '', NULL, '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 35, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `title_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Deprecated in Joomla! 3.0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=72 ;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(1, 89, 'Administrator Components', 'administrator-components', '', '<p>All components are also used in the administrator area of your website. In addition to the ones listed here, there are components in the administrator that do not have direct front end displays, but do help shape your site. The most important ones for most users are</p>\r\n<ul>\r\n<li>Media Manager</li>\r\n<li>Extensions Manager</li>\r\n<li>Menu Manager</li>\r\n<li>Global Configuration</li>\r\n<li>Banners</li>\r\n<li>Redirect</li>\r\n</ul>\r\n<hr title="Media Manager" alt="Media Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<p> </p>\r\n<h3>Media Manager</h3>\r\n<p>The media manager component lets you upload and insert images into content throughout your site. Optionally, you can enable the flash uploader which will allow you to to upload multiple images. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Media_Manager">Help</a></p>\r\n<hr title="Extensions Manager" alt="Extensions Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Extensions Manager</h3>\r\n<p>The extensions manager lets you install, update, uninstall and manage all of your extensions. The extensions manager has been extensively redesigned, although the core install and uninstall functionality remains the same as in Joomla! 1.5. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Extension_Manager_Install">Help</a></p>\r\n<hr title="Menu Manager" alt="Menu Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Menu Manager</h3>\r\n<p>The menu manager lets you create the menus you see displayed on your site. It also allows you to assign modules and template styles to specific menu links. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Menus_Menu_Manager">Help</a></p>\r\n<hr title="Global Configuration" alt="Global Configuration" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Global Configuration</h3>\r\n<p>The global configuration is where the site administrator configures things such as whether search engine friendly urls are enabled, the site meta data (descriptive text used by search engines and indexers) and other functions. For many beginning users simply leaving the settings on default is a good way to begin, although when your site is ready for the public you will want to change the meta data to match its content. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Site_Global_Configuration">Help</a></p>\r\n<hr title="Banners" alt="Banners" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Banners</h3>\r\n<p>The banners component provides a simple way to display a rotating image in a module and, if you wish to have advertising, a way to track the number of times an image is viewed and clicked. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Banners_Banners_Edit">Help</a></p>\r\n<hr title="Redirect" class="system-pagebreak" />\r\n<h3><br />Redirect</h3>\r\n<p>The redirect component is used to manage broken links that produce Page Not Found (404) errors. If enabled it will allow you to redirect broken links to specific pages. It can also be used to manage migration related URL changes. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Redirect_Manager">Help</a></p>', '', 1, 0, 0, 21, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:03:19', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 7, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(2, 90, 'Archive Module', 'archive-module', '', '<p>This module shows a list of the calendar months containing archived articles. After you have changed the status of an article to archived, this list will be automatically generated. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Archive" title="Archive Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_archive,Archived Articles}</div>', '', 1, 0, 0, 64, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:18:05', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 5, 0, 5, 'modules, content', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(3, 91, 'Article Categories Module', 'article-categories-module', '', '<p>This module displays a list of categories from one parent category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Categories" title="Categories Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_categories,Articles Categories}</div>\r\n<p> </p>', '', 1, 0, 0, 64, '2011-01-01 00:00:01', 168, '', '2011-09-17 22:13:31', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 5, 0, 6, 'modules, content', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(4, 92, 'Articles Category Module', 'articles-category-module', '', '<p>This module allows you to display the articles in a specific category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Category">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_category,Articles Category}</div>', '', 1, 0, 0, 64, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:18:26', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 8, 0, 7, '', 'articles,content', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(5, 101, 'Authentication', 'authentication', '', '<p>The authentication plugins operate when users login to your site or administrator. The Joomla! authentication plugin is in operation by default but you can enable Gmail or LDAP or install a plugin for a different system. An example is included that may be used to create a new authentication plugin.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Joomla <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_GMail">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Gmail <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_GMail">Help</a></li>\r\n<li>LDAP <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_LDAP">Help</a></li>\r\n</ul>', '', 1, 0, 0, 25, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:04:13', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(6, 102, 'Australian Parks ', 'australian-parks', '', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" alt="Cradle Park Banner" /></p>\r\n<p>Welcome!</p>\r\n<p>This is a basic site about the beautiful and fascinating parks of Australia.</p>\r\n<p>On this site you can read all about my travels to different parks, see photos, and find links to park websites.</p>\r\n<p><em>This sample site is an example of using the core of Joomla! to create a basic website, whether a "brochure site,"  a personal blog, or as a way to present information on a topic you are interested in.</em></p>\r\n<p><em> Read more about the site in the About Parks module.</em></p>\r\n<p> </p>', '', 1, 0, 0, 26, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2011-09-06 06:20:19', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(7, 103, 'Banner Module', 'banner-module', '', '<p>The banner module is used to display the banners that are managed by the banners component in the site administrator. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Banners">Help</a>.</p>\r\n<div class="sample-module">{loadmodule banners,Banners}</div>', '', 1, 0, 0, 66, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:32:58', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 6, '', '', 1, 6, '', 0, '*', ''),
(8, 104, 'Beginners', 'beginners', '', '<p>If this is your first Joomla! site or your first web site, you have come to the right place. Joomla will help you get your website up and running quickly and easily.</p>\r\n<p>Start off using your site by logging in using the administrator account you created when you installed Joomla.</p>\r\n', '\r\n<p>Explore the articles and other resources right here on your site data to learn more about how Joomla works. (When you''re done reading, you can delete or archive all of this.) You will also probably want to visit the Beginners'' Areas of the <a href="http://docs.joomla.org/Beginners">Joomla documentation</a> and <a href="http://forum.joomla.org">support forums</a>.</p>\r\n<p>You''ll also want to sign up for the Joomla Security Mailing list and the Announcements mailing list. For inspiration visit the <a href="http://community.joomla.org/showcase/">Joomla! Site Showcase</a> to see an amazing array of ways people use Joomla to tell their stories on the web.</p>\r\n<p>The basic Joomla installation will let you get a great site up and running, but when you are ready for more features the power of Joomla is in the creative ways that developers have extended it to do all kinds of things. Visit the <a href="http://extensions.joomla.org/">Joomla! Extensions Directory</a> to see thousands of extensions that can do almost anything you could want on a website. Can''t find what you need? You may want to find a Joomla professional in the <a href="http://resources.joomla.org/">Joomla! Resource Directory</a>.</p>\r\n<p>Want to learn more? Consider attending a <a href="http://community.joomla.org/events.html">Joomla! Day</a> or other event or joining a local <a href="http://community.joomla.org/user-groups.html">Joomla! Users Group</a>. Can''t find one near you? Start one yourself.</p>', 0, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:10:49', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 4, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(9, 105, 'Contacts', 'contact', '', '<p>The contact component provides a way to provide contact forms and information for your site or to create a complex directory that can be used for many different purposes. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Contacts_Contacts">Help</a></p>', '', 1, 0, 0, 21, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-01-10 04:15:37', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(10, 106, 'Content', 'content', '', '<p>The content component (com_content) is what you use to write articles. It is extremely flexible and has the largest number of built in views. Articles can be created and edited from the front end, making content the easiest component to use to create your site content. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Article_Manager">Help</a></p>', '', 1, 0, 0, 21, '2011-01-01 00:00:01', 168, '', '2011-01-10 04:28:12', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 1, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(11, 107, 'Cradle Mountain', 'cradle-mountain', '', '<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 73, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 04:42:36', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/250px_cradle_mountain_seen_from_barn_bluff.jpg","float_intro":"","image_intro_alt":"Cradle Mountain","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_cradle_mountain_seen_from_barn_bluff.jpg","float_fulltext":"none","image_fulltext_alt":"Cradle Mountain","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Rainforest,bluemountainsNSW.jpg Author: Alan J.W.C. License: GNU Free Documentation License v . 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(12, 110, 'Custom HTML Module', 'custom-html-module', '', '<p>This module allows you to create your own HTML Module using a WYSIWYG editor. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Custom_HTML" title="Custom HTML Module">Help</a></p>\r\n<div class="sample-module">{loadmodule custom,Custom HTML}</div>', '', 1, 0, 0, 66, '2011-01-01 00:00:01', 168, '', '2011-12-27 11:12:46', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 13, 0, 1, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(13, 111, 'Directions', 'directions', '', '<p>Here''s how to find our shop.</p><p>By car</p><p>Drive along Main Street to the intersection with First Avenue.  Look for our sign.</p><p>By foot</p><p>From the center of town, walk north on Main Street until you see our sign.</p><p>By bus</p><p>Take the #73 Bus to the last stop. We are on the north east corner.</p>', '', 1, 0, 0, 29, '2011-01-01 00:00:01', 168, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(14, 112, 'Editors', 'editors', '', '<p>Editors are used thoughout Joomla! where content is created. TinyMCE is the default choice in most locations although CodeMirror is used in the template manager. No Editor provides a text box for html content.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>CodeMirror <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_CodeMirror">Help</a></li>\r\n<li>TinyMCE<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_TinyMCE"> Help</a></li>\r\n<li>No Editor <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_None">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>None</li>\r\n</ul>', '', 1, 0, 0, 25, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-06 05:45:40', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 5, '', '', 1, 0, '', 0, '*', ''),
(15, 113, 'Editors-xtd', 'editors-xtd', '', '<p>These plugins are the buttons found beneath your editor. They only run when an editor plugin runs.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Editor Button: Image<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Image"> Help</a></li>\r\n<li>Editor Button: Readmore <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Readmore">Help</a></li>\r\n<li>Editor Button: Page Break <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Pagebreak">Help</a></li>\r\n<li>Editor Button: Article <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Article">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>None</li>\r\n</ul>', '', 1, 0, 0, 25, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:14:12', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(16, 114, 'Feed Display', 'feed-display', '', '<p>This module allows the displaying of a syndicated feed. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Feed_Display" title="Feed Display Module">Help</a></p>\r\n<div class="sample-module">{loadmodule feed,Feed Display}</div>', '', 1, 0, 0, 66, '2011-01-01 00:00:01', 168, '', '2011-09-17 22:22:08', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 3, 0, 2, '', '', 1, 3, '', 0, '*', ''),
(17, 115, 'First Blog Post', 'first-blog-post', '', '<p><em>Lorem Ipsum is filler text that is commonly used by designers before the content for a new site is ready.</em></p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus purus vitae diam posuere nec eleifend elit dictum. Aenean sit amet erat purus, id fermentum lorem. Integer elementum tristique lectus, non posuere quam pretium sed. Quisque scelerisque erat at urna condimentum euismod. Fusce vestibulum facilisis est, a accumsan massa aliquam in. In auctor interdum mauris a luctus. Morbi euismod tempor dapibus. Duis dapibus posuere quam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In eu est nec erat sollicitudin hendrerit. Pellentesque sed turpis nunc, sit amet laoreet velit. Praesent vulputate semper nulla nec varius. Aenean aliquam, justo at blandit sodales, mauris leo viverra orci, sed sodales mauris orci vitae magna.</p>', '<p>Quisque a massa sed libero tristique suscipit. Morbi tristique molestie metus, vel vehicula nisl ultrices pretium. Sed sit amet est et sapien condimentum viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus viverra tortor porta orci convallis ac cursus erat sagittis. Vivamus aliquam, purus non luctus adipiscing, orci urna imperdiet eros, sed tincidunt neque sapien et leo. Cras fermentum, dolor id tempor vestibulum, neque lectus luctus mauris, nec congue tellus arcu nec augue. Nulla quis mi arcu, in bibendum quam. Sed placerat laoreet fermentum. In varius lobortis consequat. Proin vulputate felis ac arcu lacinia adipiscing. Morbi molestie, massa id sagittis luctus, sem sapien sollicitudin quam, in vehicula quam lectus quis augue. Integer orci lectus, bibendum in fringilla sit amet, rutrum eget enim. Curabitur at libero vitae lectus gravida luctus. Nam mattis, ligula sit amet vestibulum feugiat, eros sem sodales mi, nec dignissim ante elit quis nisi. Nulla nec magna ut leo convallis sagittis ac non erat. Etiam in augue nulla, sed tristique orci. Vestibulum quis eleifend sapien.</p><p>Nam ut orci vel felis feugiat posuere ut eu lorem. In risus tellus, sodales eu eleifend sed, imperdiet id nulla. Nunc at enim lacus. Etiam dignissim, arcu quis accumsan varius, dui dui faucibus erat, in molestie mauris diam ac lacus. Sed sit amet egestas nunc. Nam sollicitudin lacinia sapien, non gravida eros convallis vitae. Integer vehicula dui a elit placerat venenatis. Nullam tincidunt ligula aliquet dui interdum feugiat. Maecenas ultricies, lacus quis facilisis vehicula, lectus diam consequat nunc, euismod eleifend metus felis eu mauris. Aliquam dapibus, ipsum a dapibus commodo, dolor arcu accumsan neque, et tempor metus arcu ut massa. Curabitur non risus vitae nisl ornare pellentesque. Pellentesque nec ipsum eu dolor sodales aliquet. Vestibulum egestas scelerisque tincidunt. Integer adipiscing ultrices erat vel rhoncus.</p><p>Integer ac lectus ligula. Nam ornare nisl id magna tincidunt ultrices. Phasellus est nisi, condimentum at sollicitudin vel, consequat eu ipsum. In venenatis ipsum in ligula tincidunt bibendum id et leo. Vivamus quis purus massa. Ut enim magna, pharetra ut condimentum malesuada, auctor ut ligula. Proin mollis, urna a aliquam rutrum, risus erat cursus odio, a convallis enim lectus ut lorem. Nullam semper egestas quam non mattis. Vestibulum venenatis aliquet arcu, consectetur pretium erat pulvinar vel. Vestibulum in aliquet arcu. Ut dolor sem, pellentesque sit amet vestibulum nec, tristique in orci. Sed lacinia metus vel purus pretium sit amet commodo neque condimentum.</p><p>Aenean laoreet aliquet ullamcorper. Nunc tincidunt luctus tellus, eu lobortis sapien tincidunt sed. Donec luctus accumsan sem, at porttitor arcu vestibulum in. Sed suscipit malesuada arcu, ac porttitor orci volutpat in. Vestibulum consectetur vulputate eros ut porttitor. Aenean dictum urna quis erat rutrum nec malesuada tellus elementum. Quisque faucibus, turpis nec consectetur vulputate, mi enim semper mi, nec porttitor libero magna ut lacus. Quisque sodales, leo ut fermentum ullamcorper, tellus augue gravida magna, eget ultricies felis dolor vitae justo. Vestibulum blandit placerat neque, imperdiet ornare ipsum malesuada sed. Quisque bibendum quam porta diam molestie luctus. Sed metus lectus, ornare eu vulputate vel, eleifend facilisis augue. Maecenas eget urna velit, ac volutpat velit. Nam id bibendum ligula. Donec pellentesque, velit eu convallis sodales, nisi dui egestas nunc, et scelerisque lectus quam ut ipsum.</p>', 1, 0, 0, 27, '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(18, 116, 'Second Blog Post', 'second-blog-post', '', '<p><em>Lorem Ipsum is text that is traditionally used by designers when working on a site before the content is ready.</em></p><p>Pellentesque bibendum metus ut dolor fermentum ut pulvinar tortor hendrerit. Nam vel odio vel diam tempus iaculis in non urna. Curabitur scelerisque, nunc id interdum vestibulum, felis elit luctus dui, ac dapibus tellus mauris tempus augue. Duis congue facilisis lobortis. Phasellus neque erat, tincidunt non lacinia sit amet, rutrum vitae nunc. Sed placerat lacinia fermentum. Integer justo sem, cursus id tristique eget, accumsan vel sapien. Curabitur ipsum neque, elementum vel vestibulum ut, lobortis a nisl. Fusce malesuada mollis purus consectetur auctor. Morbi tellus nunc, dapibus sit amet rutrum vel, laoreet quis mauris. Aenean nec sem nec purus bibendum venenatis. Mauris auctor commodo libero, in adipiscing dui adipiscing eu. Praesent eget orci ac nunc sodales varius.</p>', '<p>Nam eget venenatis lorem. Vestibulum a interdum sapien. Suspendisse potenti. Quisque auctor purus nec sapien venenatis vehicula malesuada velit vehicula. Fusce vel diam dolor, quis facilisis tortor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque libero nisi, pellentesque quis cursus sit amet, vehicula vitae nisl. Curabitur nec nunc ac sem tincidunt auctor. Phasellus in mattis magna. Donec consequat orci eget tortor ultricies rutrum. Mauris luctus vulputate molestie. Proin tincidunt vehicula euismod. Nam congue leo non erat cursus a adipiscing ipsum congue. Nulla iaculis purus sit amet turpis aliquam sit amet dapibus odio tincidunt. Ut augue diam, congue ut commodo pellentesque, fermentum mattis leo. Sed iaculis urna id enim dignissim sodales at a ipsum. Quisque varius lobortis mollis. Nunc purus magna, pellentesque pellentesque convallis sed, varius id ipsum. Etiam commodo mi mollis erat scelerisque fringilla. Nullam bibendum massa sagittis diam ornare rutrum.</p><p>Praesent convallis metus ut elit faucibus tempus in quis dui. Donec fringilla imperdiet nibh, sit amet fringilla velit congue et. Quisque commodo luctus ligula, vitae porttitor eros venenatis in. Praesent aliquet commodo orci id varius. Nulla nulla nibh, varius id volutpat nec, sagittis nec eros. Cras et dui justo. Curabitur malesuada facilisis neque, sed tempus massa tincidunt ut. Sed suscipit odio in lacus auctor vehicula non ut lacus. In hac habitasse platea dictumst. Sed nulla nisi, lacinia in viverra at, blandit vel tellus. Nulla metus erat, ultrices non pretium vel, varius nec sem. Morbi sollicitudin mattis lacus quis pharetra. Donec tincidunt mollis pretium. Proin non libero justo, vitae mattis diam. Integer vel elit in enim varius posuere sed vitae magna. Duis blandit tempor elementum. Vestibulum molestie dui nisi.</p><p>Curabitur volutpat interdum lorem sed tempus. Sed placerat quam non ligula lacinia sodales. Cras ultrices justo at nisi luctus hendrerit. Quisque sit amet placerat justo. In id sapien eu neque varius pharetra sed in sapien. Etiam nisl nunc, suscipit sed gravida sed, scelerisque ut nisl. Mauris quis massa nisl, aliquet posuere ligula. Etiam eget tortor mauris. Sed pellentesque vestibulum commodo. Mauris vitae est a libero dapibus dictum fringilla vitae magna.</p><p>Nulla facilisi. Praesent eget elit et mauris gravida lobortis ac nec risus. Ut vulputate ullamcorper est, volutpat feugiat lacus convallis non. Maecenas quis sem odio, et aliquam libero. Integer vel tortor eget orci tincidunt pulvinar interdum at erat. Integer ullamcorper consequat eros a pellentesque. Cras sagittis interdum enim in malesuada. Etiam non nunc neque. Fusce non ligula at tellus porta venenatis. Praesent tortor orci, fermentum sed tincidunt vel, varius vel dui. Duis pulvinar luctus odio, eget porta justo vulputate ac. Nulla varius feugiat lorem sed tempor. Phasellus pulvinar dapibus magna eget egestas. In malesuada lectus at justo pellentesque vitae rhoncus nulla ultrices. Proin ut sem sem. Donec eu suscipit ipsum. Cras eu arcu porttitor massa feugiat aliquet at quis nisl.</p>', 1, 0, 0, 27, '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 0, '', 0, '*', ''),
(19, 117, 'Footer Module', 'footer-module', '', '<p>This module shows the Joomla! copyright information. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Footer" title="Footer Module">Help</a></p>\r\n<div class="sample-module">{loadmodule footer,Footer}</div>', '', 1, 0, 0, 66, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:22:47', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 3, '', '', 1, 4, '', 0, '*', ''),
(20, 118, 'Fruit Shop', 'fruit-shop', '', '<h2>Welcome to the Fruit Shop</h2>\r\n<p>We sell fruits from around the world. Please use our website to learn more about our business. We hope you will come to our shop and buy some fruit.</p>\r\n<p><em>This mini site will show you how you might want to set up a site for a business, in this example one selling fruit. It shows how to use access controls to manage your site content. If you were building a real site, you might want to extend it with e-commerce, a catalog, mailing lists or other enhancements, many of which are available through the</em><a href="http://extensions.joomla.org"><em> Joomla! Extensions Directory</em></a>.</p>\r\n<p><em>To understand this site you will probably want to make one user with group set to customer and one with group set to grower. By logging in with different privileges you can see how access control works.</em></p>', '', 1, 0, 0, 29, '2011-01-01 00:00:01', 168, 'Fruit Shop Webmaster', '2011-12-27 11:17:59', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(21, 119, 'Getting Help', 'getting-help', '', '<p><img class="image-left" src="administrator/templates/hathor/images/header/icon-48-help_header.png" border="0" /> There are lots of places you can get help with Joomla!. In many places in your site administrator you will see the help icon. Click on this for more information about the options and functions of items on your screen. Other places to get help are:</p>\r\n<ul>\r\n<li><a href="http://forum.joomla.org">Support Forums</a></li>\r\n<li><a href="http://docs.joomla.org">Documentation</a></li>\r\n<li><a href="http://resources.joomla.org">Professionals</a></li>\r\n<li><a href="http://shop.joomla.org/amazoncom-bookstores.html">Books</a></li>\r\n</ul>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-01-10 15:32:54', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 10, 0, 8, '', '', 1, 19, '', 0, '*', ''),
(22, 120, 'Getting Started', 'getting-started', '', '<p>It''s easy to get started creating your website. Knowing some of the basics will help.</p>\r\n<h3>What is a Content Management System?</h3>\r\n<p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p>\r\n<p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. The Joomla! software brings together the template and the content to create web pages.</p>\r\n<h3>Site and Administrator</h3>\r\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the "Site Administrator" link on the "This Site" menu or by adding /administrator to the end of you domain name.</p>\r\n<p>Log in to the administrator using the username and password created during the installation of Joomla.</p>\r\n<h3>Logging in</h3>\r\n<p>To login to the front end of your site use the login form or the login menu link on the "This Site" menu. Use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles.</p>\r\n<p>In managing your site, you will be able to create content that only logged-in users are able to see.</p>\r\n<h3>Creating an article</h3>\r\n<p>Once you are logged-in, a new menu will be visible. To create a new article, click on the "submit article" link on that menu.</p>\r\n<p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published and put it in the Joomla category.</p>\r\n<div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).</div>\r\n<h3>Learn more</h3>\r\n<p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href="http://docs.joomla.org">Joomla! documentation site</a> and on the<a href="http://forum.joomla.org"> Joomla! forums</a>.</p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:21:44', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 9, '', '', 1, 16, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(23, 121, 'Happy Orange Orchard', 'happy-orange-orchard', '', '<p>At our orchard we grow the world''s best oranges as well as other citrus fruit such as lemons and grapefruit. Our family has been tending this orchard for generations.</p>', '', 1, 0, 0, 30, '2011-01-01 00:00:01', 168, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(24, 122, 'Joomla!', 'joomla', '', '<p>Congratulations! You have a Joomla site! Joomla makes it easy to build a website just the way you want it and keep it simple to update and maintain.</p>\r\n<p>Joomla is a flexible and powerful platform, whether you are building a small site for yourself or a huge site with hundreds of thousands of visitors. Joomla is open source, which means you can make it work just the way you want it to.</p>', '', 0, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:22:23', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 2, '', '', 1, 47, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(25, 123, 'Koala', 'koala', '', '<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 72, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 05:15:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/180px_koala_ag1.jpg","float_intro":"","image_intro_alt":"Koala  Thumbnail","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_koala_ag1.jpg","float_fulltext":"","image_fulltext_alt":"Koala Climbing Tree","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Koala-ag1.jpg Author: Arnaud Gaillard License: Creative Commons Share Alike Attribution Generic 1.0"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(26, 124, 'Language Switcher', 'language-switcher', '', '<p>The language switcher module allows you to take advantage of the language tags that are available when content, modules and menu links are created.</p>\r\n<p>This module displays a list of available Content Languages for switching between them.</p>\r\n<p>When switching languages, it redirects to the Home page, or associated menu item, defined for the chosen language. Thereafter, the navigation will be the one defined for that language.</p>\r\n<p><strong>The language filter plugin must be enabled for this module to work properly.</strong></p>\r\n<p><strong></strong> <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Language_Switcher" title="Language Switcher Module">Help</a></p>\r\n<p>To view an example of the language switch moduler module, go to the site administrator and enable the language filter plugin and the language switcher module labelled "language switcher" and visit the fruit shop or park sample sites. Then follow<a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6"> the instructions in this tutorial</a>.</p>', '', 1, 0, 0, 67, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:25:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(27, 125, 'Latest Articles Module', 'latest-articles-module', '', '<p>This module shows a list of the most recently published and current Articles. Some that are shown may have expired even though they are the most recent. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_News" title="Latest Articles">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_latest,Latest News}</div>', '', 1, 0, 0, 64, '2011-01-01 00:00:01', 168, '', '2011-12-27 11:25:41', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 1, 'modules, content', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(28, 126, 'Login Module', 'login-module', '', '<p>This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in the Global Configuration settings), another link will be shown to enable self-registration for users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Login" title="Login">Help</a></p>\r\n<div class="sample-module">{loadmodule login,login}</div>', '', 1, 0, 0, 65, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:20:35', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 2, '', '', 1, 5, '', 0, '*', ''),
(29, 127, 'Menu Module', 'menu-module', '', '<p>This module displays a menu on the site (frontend).  Menus can be displayed in a wide variety of ways by using the menu options and css menu styles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Menu">Help</a></p>\r\n<div class="sample-module">{loadmodule mod_menu,Menu Example}</div>', '', 1, 0, 0, 75, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:18:45', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 8, 0, 1, '', '', 1, 13, '', 0, '*', ''),
(30, 128, 'Most Read Content', 'most-read-content', '', '<p>This module shows a list of the currently published Articles which have the highest number of page views. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Most_Read" title="Most Read Content">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_popular,Articles Most Read}</div>', '', 1, 0, 0, 64, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:26:41', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 2, 'modules, content', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(31, 129, 'News Flash', 'news-flash', '', '<p>Displays a set number of articles from a category based on date or random selection. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Newsflash" title="News Flash Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_news,News Flash}</div>', '', 1, 0, 0, 64, '2011-01-01 00:00:01', 168, '', '2011-09-17 22:16:46', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 3, 'modules, content', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(32, 130, 'Options', 'options', '', '<p>As you make your Joomla! site you will control the details of the display using <em>options</em> also referred to as <em>parameter</em><strong>s</strong>. Options control everything from whether the author''s name is displayed to who can view what to the number of items shown on a list.</p>\r\n<p>Default options for each component are changed using the Options button on the component toolbar.</p>\r\n<p>Options can also be set on an individual item, such as an article or contact and in menu links.</p>\r\n<p>If you are happy with how your site looks, it is fine to leave all of the options set to the defaults that were created when your site was installed. As you become more experienced with Joomla you will use options more.</p>\r\n<p> </p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2012-01-17 16:21:24', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 10, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(33, 131, 'Phyllopteryx', 'phyllopteryx', '', '<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 72, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 04:57:58', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/200px_phyllopteryx_taeniolatus1.jpg","float_intro":"","image_intro_alt":"Phyllopteryx","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_phyllopteryx_taeniolatus1.jpg","float_fulltext":"","image_fulltext_alt":"Phyllopteryx","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:Phyllopteryx_taeniolatus1.jpg Author: Richard Ling License: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(34, 132, 'Pinnacles', 'pinnacles', '', '<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 73, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 04:41:30', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/120px_pinnacles_western_australia.jpg","float_intro":"","image_intro_alt":"Kings Canyon","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_pinnacles_western_australia.jpg","float_fulltext":"","image_fulltext_alt":"Kings Canyon","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Pinnacles_Western_Australia.jpg  Author: Martin Gloss  License: GNU Free Documentation license v 1.2 or later."}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(35, 133, 'Professionals', 'professionals', '', '<p>Joomla! 2.5 continues development of the Joomla Framework and CMS as a powerful and flexible way to bring your vision of the web to reality. With the administrator now fully MVC, the ability to control its look and the management of extensions is now complete.</p>\r\n', '\r\n<p>Working with multiple template styles and overrides for the same views, creating the design you want is easier than it has ever been. Limiting support to PHP 5.2.4 and above makes Joomla lighter and faster than ever. Languages files can now be overridden without having your changes lost during an upgrade.  With the proper xml your users update extensions with a single click.</p>\r\n<p>Access control lists are now incorporated using a new system developed for Joomla. The ACL system is designed with developers in mind, so it is easy to incorporate into your extensions. The new nested sets libraries allow you to incorporate infinitely deep categories but also to use nested sets in a variety of other ways.</p>\r\n<p>A new forms library makes creating all kinds of user interaction simple. MooTools 1.3 provides a highly flexible javascript framework that is a major advance over MooTools 1.0.</p>\r\n<p>New events throughout the core make integration of your plugins where you want them a snap.</p>\r\n<p>The separation of the Joomla! Platform project from the Joomla! CMS project makes continuous development of new, powerful APIs  and continuous improvement of existing APIs possible while maintaining the stability of the CMS that millions of webmasters and professionals rely upon.</p>\r\n<p>Learn about:</p>\r\n<ul>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6">Changes since 1.5</a></li>\r\n<li><a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6">Working with ACL</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JCategories">Working with nested categories</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JForm">Forms library</a></li>\r\n<li><a href="http://docs.joomla.org/Working_with_Mootools_1.3">Working with Mootools 1.3</a></li>\r\n<li><a href="http://docs.joomla.org/Layout_Overrides_in_Joomla_1.6">Using new features of the override system</a></li>\r\n<li><a href="http://api.joomla.org">Joomla! API</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JDatabaseQuery">Using JDatabaseQuery</a></li>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6#Events">New and updated events</a></li>\r\n<li><a href="http://docs.joomla.org/Xml-rpc_changes_in_Joomla!_1.6">Xmlrpc</a></li>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6#Extension_management">Installing and updating extensions</a></li>\r\n<li><a href="http://docs.joomla.org/Setting_up_your_workstation_for_Joomla!_development">Setting up your development environment</a></li>\r\n<li><a href="github.com/joomla">The Joomla! Platform Repository</a> </li>\r\n</ul>', 0, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:36:13', 42, 0, '0000-00-00 00:00:00', '2011-01-09 16:41:13', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 0, 5, '', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(36, 134, 'Random Image Module', 'random-image-module', '', '<p>This module displays a random image from your chosen image directory. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Random_Image" title="Random Image Module">Help</a></p>\r\n<div class="sample-module">{loadmodule random_image,Random Image}</div>', '', 1, 0, 0, 66, '2011-01-01 00:00:01', 168, '', '2012-01-17 16:11:13', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 4, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(37, 135, 'Related Items Module', 'related-items-module', '', '<p>This module displays other Articles that are related to the one currently being viewed. These relations are established by the Meta Keywords.  All the keywords of the current Article are searched against all the keywords of all other published articles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Related" title="Related Items Module">Help</a></p>\r\n<div class="sample-module">{loadmodule related_items,Articles Related Items}</div>', '', 1, 0, 0, 64, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:37:34', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 4, 'modules, content', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(38, 136, 'Sample Sites', 'sample-sites', '', '<p>Your installation includes sample data, designed to show you some of the options you have for building your website. In addition to information about Joomla! there are two sample "sites within a site" designed to help you get started with building your own site.</p>\r\n<p>The first site is a simple site about <a href="index.php?Itemid=243">Australian Parks</a>. It shows how you can quickly and easily build a personal site with just the building blocks that are part of Joomla. It includes a personal blog, weblinks, and a very simple image gallery.</p>\r\n<p>The second site is slightly more complex and represents what you might do if you are building a site for a small business, in this case a <a href="index.php/welcome.html"></a><a href="index.php?Itemid=429">Fruit Shop</a>.</p>\r\n<p>In building either style site, or something completely different, you will probably want to add <a href="http://extensions.joomla.org">extensions</a> and either create or purchase your own template. Many Joomla users start by modifying the <a href="http://docs.joomla.org/How_do_you_modify_a_template%3F">templates</a> that come with the core distribution so that they include special images and other design elements that relate to their site''s focus.</p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:39:07', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 11, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(39, 137, 'Search', 'search-component', '', '<p>Joomla! 2.5 offers two search options.</p>\r\n<p>The Basic Search component provides basic search functionality for the information contained in your core components. Many extensions can also be searched by the search component. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Search">Help</a></p>\r\n<p>The Smart Search component offers searching similar to that found in major search engines. Smart Search is disabled by default. If you choose to enable it you will need to take several steps. First, enable the Smart Search Plugin in the plugin manager. Then, if you are using the Basic Search Module replace it with the Smart Search Module. Finally, if you have already created content, go to the Smart Search component in your site administrator and click the Index icon. Once indexing of your content is complete, Smart Search will be ready to use. Help.</p>', '', 1, 0, 0, 21, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:41:48', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(40, 138, 'Search Module', 'search-module', '', '<p>This module will display a search box. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Search" title="Search">Help</a></p>\r\n<div class="sample-module">{loadmodule search,Search}</div>', '', 1, 0, 0, 67, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:35:56', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 4, '', '', 1, 6, '', 0, '*', ''),
(41, 139, 'Search ', 'search-plugin', '', '<p>The search component uses plugins to control which parts of your Joomla! site are searched. You may choose to turn off some areas to improve performance or for other reasons. Many third party Joomla! extensions have search plugins that extend where search takes place.</p>\r\n<p>Default On:</p>\r\n<ul>\r\n<li>Content <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Content">Help</a></li>\r\n<li>Contacts <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Contacts">Help</a></li>\r\n<li>Weblinks <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Weblinks">Help</a></li>\r\n<li>News Feeds <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Newsfeeds">Help</a></li>\r\n<li>Categories <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Categories">Help</a></li>\r\n</ul>', '', 1, 0, 0, 25, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-06 06:13:18', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 3, 0, 1, '', '', 1, 8, '', 0, '*', ''),
(42, 140, 'Site Map', 'site-map', '', '<p>{loadposition sitemapload}</p><p><em>By putting all of your content into nested categories you can give users and search engines access to everything using a menu.</em></p>', '', 1, 0, 0, 14, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 3, '', 0, '*', ''),
(43, 141, 'Spotted Quoll', 'spotted-quoll', '', '<p> </p>\r\n<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 72, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 05:02:58', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/220px_spottedquoll_2005_seanmcclean.jpg","float_intro":"","image_intro_alt":"Spotted Quoll","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/789px_spottedquoll_2005_seanmcclean.jpg","float_fulltext":"","image_fulltext_alt":"Spotted Quoll","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:SpottedQuoll_2005_SeanMcClean.jpg Author: Sean McClean License: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(44, 142, 'Statistics Module', 'statistics', '', '<p>This module shows information about your server installation together with statistics on the Web site users, number of Articles in your database and the number of Web links you provide.</p>\r\n<div class="sample-module">{loadmodule mod_stats,Statistics}</div>', '', 1, 0, 0, 67, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:43:25', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 5, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(45, 143, 'Syndicate Module', 'syndicate-module', '', '<p>The syndicate module will display a link that allows users to take a feed from your site. It will only display on pages for which feeds are possible. That means it will not display on single article, contact or weblinks pages, such as this one. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Syndicate" title="Synicate Module">Help</a></p>\r\n<div class="sample-module">{loadposition syndicate,Syndicate}</div>', '', 1, 0, 0, 67, '2011-01-01 00:00:01', 168, '', '2011-12-27 11:44:16', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 6, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(46, 144, 'System', 'system', '', '<p>System plugins operate every time a page on your site loads. They control such things as your URLS, whether users can check a "remember me" box on the login module, and whether caching is enabled. New is the redirect plugin that together with the redirect component will assist you in managing changes in URLs.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Remember me <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Remember_Me">Help</a></li>\r\n<li>SEF <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_SEF">Help</a></li>\r\n<li>Debug <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Debug">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Cache <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Cache">Help</a></li>\r\n<li>Log <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Log">Help</a></li>\r\n<li>Redirect <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Redirect">Help</a></li>\r\n</ul>', '', 1, 0, 0, 25, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:45:54', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(47, 145, 'The Joomla! Community', 'the-joomla-community', '', '<p>Joomla means All Together, and it is a community of people all working and having fun together that makes Joomla possible. Thousands of people each year participate in the Joomla community, and we hope you will be one of them.</p>\r\n<p>People with all kinds of skills, of all skill levels and from around the world are welcome to join in. Participate in the <a href="http://joomla.org">Joomla.org</a> family of websites (the<a href="http://forum.joomla.org"> forum </a>is a great place to start). Come to a <a href="http://community.joomla.org/events.html">Joomla! event</a>. Join or start a <a href="http://community.joomla.org/user-groups.html">Joomla! Users Group</a>. Whether you are a developer, site administrator, designer, end user or fan, there are ways for you to participate and contribute.</p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:47:56', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(48, 146, 'The Joomla! Project', 'the-joomla-project', '', '<p>The Joomla Project consists of all of the people who make and support the Joomla Web Platform and Content Management System.</p>\r\n<p>Our mission is to provide a flexible platform for digital publishing and collaboration.</p>\r\n<p>The core values are:</p>\r\n<ul>\r\n<li>Freedom</li>\r\n<li>Equality</li>\r\n<li>Trust</li>\r\n<li>Community</li>\r\n<li>Collaboration</li>\r\n<li>Usability</li>\r\n</ul>\r\n<p>In our vision, we see:</p>\r\n<ul>\r\n<li>People publishing and collaborating in their communities and around the world</li>\r\n<li>Software that is free, secure, and high-quality</li>\r\n<li>A community that is enjoyable and rewarding to participate in</li>\r\n<li>People around the world using their preferred languages</li>\r\n<li>A project that acts autonomously</li>\r\n<li>A project that is socially responsible</li>\r\n<li>A project dedicated to maintaining the trust of its users</li>\r\n</ul>\r\n<p>There are millions of users around the world and thousands of people who contribute to the Joomla Project. They work in three main groups: the Production Working Group, responsible for everything that goes into software and documentation; the Community Working Group, responsible for creating a nurturing the community; and Open Source Matters, the non profit organization responsible for managing legal, financial and organizational issues.</p>\r\n<p>Joomla is a free and open source project, which uses the GNU General Public License version 2 or later.</p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 168, '', '2011-12-27 11:47:48', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(49, 147, 'Typography', 'typography', '', '<h1>H1 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h1><h2>H2 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h2><h3>H3 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h3><h4>H4 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h4><h5>H5 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h5><h6>H6 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h6><p>P The quick brown fox ran over the lazy dog. THE QUICK BROWN FOX RAN OVER THE LAZY DOG.</p><ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item</li></ul></li></ul></li></ul><ol><li>tem</li><li>Item</li><li>Item<br /> <ol><li>Item</li><li>Item</li><li>Item<br /><ol><li>Item</li><li>Item</li><li>Item</li></ol></li></ol> </li></ol>', '', 1, 0, 0, 23, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 0, '', 0, '*', ''),
(50, 148, 'Upgraders', 'upgraders', '', '<p>If you are an experienced Joomla! 1.5 user, this Joomla site will seem very familiar. There are new templates and improved user interfaces, but most functionality is the same. The biggest changes are improved access control (ACL) and nested categories. This release of Joomla has strong continuity with Joomla! 1.7 while adding enhancements.</p>\r\n', '\r\n<p>The new user manager will let you manage who has access to what in your site. You can leave access groups exactly the way you had them in Joomla 1.5 or make them as complicated as you want. You can learn more about<a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6"> how access control works</a> in on the <a href="http://docs.joomla.org">Joomla! Documentation site</a></p>\r\n<p>In Joomla 1.5 and 1.0 content was organized into sections and categories. From 1.6 forward sections are gone, and you can create categories within categories, going as deep as you want. The sample data provides many examples of the use of nested categories.</p>\r\n<p>All layouts have been redesigned to improve accessibility and flexibility. </p>\r\n<p>Updating your site and extensions when needed is easier than ever thanks to installer improvements.</p>\r\n<p> </p>', 0, 0, 0, 19, '2011-01-01 00:00:01', 168, '', '2012-01-17 04:28:10', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 6, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(51, 149, 'User', 'user-plugins', '', '<p>Default on:</p>\r\n<ul>\r\n<li>Joomla <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Joomla.21">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<p>Two new plugins are available but are disabled by default.</p>\r\n<ul>\r\n<li>Contact Creator <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Contact_Creator">Help</a><br />Creates a new linked contact record for each new user created.</li>\r\n<li>Profile <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Profile">Help</a><br />This example profile plugin allows you to insert additional fields into user registration and profile display. This is intended as an example of the types of extensions to the profile you might want to create.</li>\r\n</ul>', '', 1, 0, 0, 25, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:51:25', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(52, 150, 'Users', 'users-component', '', '<p>The users extension lets your site visitors register, login and logout, change their passwords and other information, and recover lost passwords. In the administrator it allows you to create, block and manage users and create user groups and access levels. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Users_User_Manager">Help</a></p>\r\n<p>Please note that some of the user views will not display if you are not logged-in to the site.</p>', '', 1, 0, 0, 21, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-01-10 04:52:55', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 5, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(53, 151, 'Using Joomla!', 'using-joomla', '', '<p>With Joomla you can create anything from a simple personal website to a complex ecommerce or social site with millions of visitors.</p>\r\n<p>This section of the sample data provides you with a brief introduction to Joomla concepts and reference material to help you understand how Joomla works.</p>\r\n<p><em>When you no longer need the sample data, you can can simply unpublish the sample data category found within each extension in the site administrator or you may completely delete each item and all of the categories. </em></p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:52:45', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 7, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(54, 152, 'Weblinks', 'weblinks', '', '<p>Weblinks (com_weblinks) is a component that provides a structured way to organize external links and present them in a visually attractive, consistent and informative way. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Weblinks_Links">Help</a></p>', '', 1, 0, 0, 21, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-01-10 04:20:10', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 6, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(55, 153, 'Weblinks Module', 'weblinks-module', '', '<p>This module displays the list of weblinks in a category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Weblinks" title="Weblinks Module">Help</a></p>\r\n<div class="sample-module">{loadmodule weblinks,Weblinks}</div>', '', 1, 0, 0, 66, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:32:10', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 7, 0, 5, '', '', 1, 23, '', 0, '*', ''),
(56, 154, 'Who''s Online', 'whos-online', '', '<p>The Who''s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged-in) that are currently accessing the Web site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Who_Online" title="Who''s Online">Help</a></p>\r\n<div class="sample-module">{loadmodule whosonline,Who''s Online}</div>', '', 1, 0, 0, 65, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:19:45', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 1, '', '', 1, 5, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(57, 155, 'Wobbegone', 'wobbegone', '', '<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 72, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 05:01:59', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/180px_wobbegong.jpg","float_intro":"","image_intro_alt":"Wobbegon","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_wobbegong.jpg","float_fulltext":"","image_fulltext_alt":"Wobbegon","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:Wobbegong.jpg Author: Richard Ling Rights: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(58, 156, 'Wonderful Watermelon', 'wonderful-watermelon', '', '<p>Watermelon is a wonderful and healthy treat. We grow the world''s sweetest watermelon. We have the largest watermelon patch in our country.</p>', '', 1, 0, 0, 30, '2011-01-01 00:00:01', 168, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 0, '', 0, '*', ''),
(59, 157, 'Wrapper Module', 'wrapper-module', '', '<p>This module shows an iFrame window to specified location. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Wrapper" title="Wrapper Module">Help</a></p>\r\n<div class="sample-module">{loadmodule wrapper,Wrapper}</div>', '', 1, 0, 0, 67, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:35:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 8, 0, 1, '', '', 1, 15, '', 0, '*', ''),
(60, 158, 'News Feeds', 'news-feeds', '', '<p>News Feeds (com_newsfeeds) provides a way to organize and present news feeds. News feeds are a way that you present information from another site on your site. For example, the joomla.org website has numerous feeds that you can incorporate on your site. You an use menus to present a single feed, a list of feeds in a category, or a list of all feed categories. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Newsfeeds_Feeds">Help</a></p>', '', 1, 0, 0, 21, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-12-27 11:27:31', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(61, 159, 'Breadcrumbs Module', 'breadcrumbs-module', '', '<p>Breadcrumbs provide a pathway for users to navigate through the site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Breadcrumbs" title="Breacrumbs Module">Help</a></p>\r\n<div class="sample-module">{loadmodule breadcrumbs,breadcrumbs}</div>', '', 1, 0, 0, 75, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:10:19', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 5, 0, 2, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(62, 160, 'Content', 'content-plugins', '', '<p>Content plugins run when specific kinds of pages are loaded. They do things ranging from protecting email addresses from harvesters to creating page breaks.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Email Cloaking <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Email_Cloaking">Help</a></li>\r\n<li>Load Module <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Load_Modules">Help</a></li>\r\n<li>Page Break <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Pagebreak">Help</a></li>\r\n<li>Page Navigation<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Page_Navigation"> Help</a></li>\r\n<li>Vote <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Vote">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Code Highlighter (GeSHi) <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Code_Highlighter_.28GeSHi.29">Help</a></li>\r\n</ul>', '', 1, 0, 0, 25, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-06 06:11:50', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 7, '', '', 1, 1, '', 0, '*', ''),
(64, 162, 'Blue Mountain Rain Forest', 'blue-mountain-rain-forest', '', '<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 73, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 04:36:30', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/120px_rainforest_bluemountainsnsw.jpg","float_intro":"none","image_intro_alt":"Rain Forest Blue Mountains","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/727px_rainforest_bluemountainsnsw.jpg","float_fulltext":"","image_fulltext_alt":"Rain Forest Blue Mountains","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Rainforest,bluemountainsNSW.jpg Author: Adam J.W.C. License: GNU Free Documentation License"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(65, 163, 'Ormiston Pound', 'ormiston-pound', '', '<p> </p>\r\n', '\r\n<p> </p>', 1, 0, 0, 73, '2011-01-01 00:00:01', 168, 'Parks Webmaster', '2012-01-17 04:51:33', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/180px_ormiston_pound.jpg","float_intro":"none","image_intro_alt":"Ormiston Pound","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_ormiston_pound.jpg","float_fulltext":"","image_fulltext_alt":"Ormiston Pound","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Ormiston_Pound.JPG Author: License: GNU Free Public Documentation License"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(66, 165, 'Latest Users Module', 'latest-users-module', '', '<p>This module displays the latest registered users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_Users">Help</a></p>\r\n<div class="sample-module">{loadmodule users_latest,Users Latest}</div>', '', 1, 0, 0, 65, '2011-01-01 00:00:01', 168, 'Joomla!', '2011-09-17 22:21:05', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"1","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 3, '', '', 1, 6, '', 0, '*', ''),
(67, 168, 'What''s New in 1.5?', 'whats-new-in-15', '', '<p>This article deliberately archived as an example.</p><p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>\r\n<p style="margin-bottom: 0in;">In Joomla! 1.5, you''''ll notice:</p>\r\n<ul>\r\n<li>Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</li>\r\n<li>Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</li>\r\n<li>Extended integration of external applications through Web services</li>\r\n<li>Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</li>\r\n<li>A more sustainable and flexible framework for Component and Extension developers</li>\r\n<li>Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</li>\r\n</ul>', '', 2, 0, 0, 9, '2011-01-01 00:00:01', 168, 'Joomla! 1.5', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(68, 170, 'Captcha', 'captcha', '', '<p>The Captcha plugins are used to prevent spam submissions on your forms such as registration, contact and login. You basic installation of Joomla includes one Captcha plugin which leverages the ReCaptcha® service but you may install other plugins connecting to different Captcha systems.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>ReCaptcha <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">help</a></li>\r\n</ul>\r\n<p>Note: ReCaptcha is a the trademark of Google Inc. and is an independent product not associated with or endorsed by the Joomla Project. You will need to register and agree to the Terms of Service at Recaptcha.net to use this plugin. Complete instructions are available if you edit the ReCaptcha plugin in the Plugin Manager.</p>', '', 1, 0, 0, 25, '2012-01-17 03:20:45', 168, 'Joomla!', '2012-01-17 03:35:46', 42, 0, '0000-00-00 00:00:00', '2012-01-17 03:20:45', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(69, 171, 'Quick Icons', 'quick-icons', '', '<p> The Quick Icon plugin group is used to provide notification that updates to Joomla! or installed extensions are available and should be applied. These notifications display on your administrator control panel, which is the page you see when you first log in to your site administrator.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Quick icon - Joomla! extensions updates notification <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">Help</a>.</li>\r\n<li>Quick icon - Joomla! update notification <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">Help</a></li>\r\n</ul>', '', 1, 0, 0, 25, '2012-01-17 03:27:39', 168, 'Joomla!', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-17 03:27:39', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(70, 170, 'Smart Search', 'smart-search', '', '<p>This module provides search using the Smart Search component. You should only use it if you have indexed your content and either have enabled the Smart Search content plugin or are keeping the index of your site updated manually. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help25:Extensions_Module_Manager_Smart_Search">Help</a>.</p>\r\n<div class="sample-module">{loadmodule finder,Smart Search}</div>', '', 1, 0, 0, 67, '2012-01-17 03:42:36', 168, '', '2012-01-17 16:15:48', 42, 0, '0000-00-00 00:00:00', '2012-01-17 03:42:36', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 0, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(71, 180, 'Our Services', 'our-services', '', '<div class="row-fluid zt-service">\r\n<div class="span4 zt-content">\r\n<img src="templates/zt_inga/images/data-storage.png" alt="Data storage" />\r\n<h2 class="title">Data storage</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Maecenas at purus turpis, in semper nunc. Vestibulum tempor faucibus commodo. Nullam malesuada arcu aliquam eros venenatis adipiscing.\r\n </p>\r\n<h5>\r\n<a href="index.php/component/k2/item/51" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>\r\n<div class="span4 zt-content active"><img src="templates/zt_inga/images/email.png" alt="Email contact Pro" />\r\n<h2 class="title">Email contact Pro</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Ut neque urna, adipiscing quis tristique ut, vehicula ut mi. Pellentesque consequat sodales neque, eu tristique erat sodales sed. Infacilisi \r\n </p>\r\n<h5>\r\n<a href="index.php/component/k2/item/52" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>\r\n<div class="span4 zt-content"><img src="templates/zt_inga/images/support.png" alt="24/7 Support" />\r\n<h2 class="title">24/7 Support</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Aliquam erat volutpat. Aenean tristique tincidunt ullamcorper. Praesent vel augue risus, eu tincidunt purus. Quisque malesuada orci sed lacus\r\n</p>\r\n<h5>\r\n<a href="index.php/component/k2/item/53" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>\r\n</div>', '', 1, 0, 0, 19, '2012-11-05 08:00:31', 168, '', '2012-11-12 02:25:53', 168, 0, '0000-00-00 00:00:00', '2012-11-05 08:00:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '');

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(8, 3),
(35, 5),
(24, 2),
(50, 4),
(71, 1);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__core_log_searches`;
CREATE TABLE IF NOT EXISTS `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10082 ;

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MAILTO_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_BANNERS_XML_DESCRIPTION","group":""}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTACT_XML_DESCRIPTION","group":""}', '{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"sliders","show_name":"1","show_position":"1","show_email":"0","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","allow_vcard_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_category_crumb":"0","metakey":"","metadesc":"","robots":"","author":"","rights":"","xreference":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MEDIA_XML_DESCRIPTION","group":""}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_word_count":"0","show_headings":"1","show_name":"1","show_articles":"0","show_link":"1","show_description":"1","show_description_image":"1","display_num":"","show_pagination_limit":"1","show_pagination":"1","show_pagination_results":"1","show_cat_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 'com_search', 'component', 'com_search', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_SEARCH_XML_DESCRIPTION","group":""}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(21, 'com_weblinks', 'component', 'com_weblinks', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}', '{"show_comp_description":"1","comp_description":"","show_link_hits":"1","show_link_description":"1","show_other_cats":"0","show_headings":"0","show_numbers":"0","show_report":"1","count_clicks":"1","target":"0","link_icons":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTENT_XML_DESCRIPTION","group":""}', '{"article_layout":"_:default","show_title":"1","link_titles":"0","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"1","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"1","readmore_limit":"100","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"10":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"12":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_USERS_XML_DESCRIPTION","group":""}', '{"allowUserRegistration":"1","new_usertype":"2","useractivation":"1","frontend_userparams":"1","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"legacy":false,"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(100, 'PHPMailer', 'library', 'phpmailer', '', 0, 1, 1, 1, '{"legacy":false,"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2011, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/code.google.com\\/a\\/apache-extras.org\\/p\\/phpmailer\\/","version":"5.2","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(101, 'SimplePie', 'library', 'simplepie', '', 0, 1, 1, 1, '{"legacy":false,"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 'phputf8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"legacy":false,"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 'Joomla! Platform', 'library', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"11.4","description":"LIB_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters.\\n\\t\\tAll rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RELATED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(217, 'mod_weblinks', 'module', 'mod_weblinks', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"legacy":false,"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATUS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TITLE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":""}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":""}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"legacy":false,"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LDAP_XML_DESCRIPTION","group":""}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(404, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":""}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(405, 'plg_content_geshi', 'plugin', 'geshi', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_geshi","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"qbnz.com\\/highlighter","version":"2.5.0","description":"PLG_CONTENT_GESHI_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(406, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":""}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":""}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":""}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_VOTE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"1.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":""}', '{"linenumbers":"0","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_none","type":"plugin","creationDate":"August 2004","author":"Unknown","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"2.5.0","description":"PLG_NONE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2012","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com\\/","version":"3.5.4.1","description":"PLG_TINY_XML_DESCRIPTION","group":""}', '{"mode":"1","skin":"0","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","resizing":"true","resize_horizontal":"false","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_READMORE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(421, 'plg_search_weblinks', 'plugin', 'weblinks', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_P3P_XML_DESCRIPTION","group":""}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CACHE_XML_DESCRIPTION","group":""}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":""}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOG_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(428, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":""}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"legacy":false,"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2009 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":""}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":""}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"legacy":false,"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"legacy":false,"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"legacy":false,"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"legacy":false,"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":""}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(446, 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(500, 'atomic', 'template', 'atomic', '', 0, 1, 1, 0, '{"legacy":false,"name":"atomic","type":"template","creationDate":"10\\/10\\/09","author":"Ron Severdia","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"contact@kontentdesign.com","authorUrl":"http:\\/\\/www.kontentdesign.com","version":"2.5.0","description":"TPL_ATOMIC_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(502, 'bluestork', 'template', 'bluestork', '', 1, 1, 1, 0, '{"legacy":false,"name":"bluestork","type":"template","creationDate":"07\\/02\\/09","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"TPL_BLUESTORK_XML_DESCRIPTION","group":""}', '{"useRoundedCorners":"1","showSiteName":"0","textBig":"0","highContrast":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 'beez_20', 'template', 'beez_20', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez_20","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ2_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"legacy":false,"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"hathor@tarrconsulting.com","authorUrl":"http:\\/\\/www.tarrconsulting.com","version":"2.5.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":""}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(505, 'beez5', 'template', 'beez5', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez5","type":"template","creationDate":"21 May 2010","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ5_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","html5":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 'English (United Kingdom)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.5","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 'English (United Kingdom)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.5","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"files_joomla","type":"file","creationDate":"November 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.8","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(800, 'PKG_JOOMLA', 'package', 'pkg_joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"PKG_JOOMLA","type":"package","creationDate":"2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"2.5.0","description":"PKG_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10000, 'K2 Comments', 'module', 'mod_k2_comments', '', 0, 1, 0, 0, '{"legacy":false,"name":"K2 Comments","type":"module","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"MOD_K2_COMMENTS_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","module_usage":"","":"K2_TOP_COMMENTERS","catfilter":"0","category_id":"","comments_limit":"5","comments_word_limit":"10","commenterName":"1","commentAvatar":"1","commentAvatarWidthSelect":"custom","commentAvatarWidth":"50","commentDate":"1","commentDateFormat":"absolute","commentLink":"1","itemTitle":"1","itemCategory":"1","feed":"1","commenters_limit":"5","commenterNameOrUsername":"1","commenterAvatar":"1","commenterAvatarWidthSelect":"custom","commenterAvatarWidth":"50","commenterLink":"1","commenterCommentsCounter":"1","commenterLatestComment":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 'K2 Content', 'module', 'mod_k2_content', '', 0, 1, 0, 0, '{"legacy":false,"name":"K2 Content","type":"module","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_MOD_K2_CONTENT_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","":"K2_OTHER_OPTIONS","catfilter":"0","category_id":"","getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"","items":"","itemTitle":"1","itemAuthor":"1","itemAuthorAvatar":"1","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"1","itemIntroText":"1","itemIntroTextWordLimit":"","itemImage":"1","itemImgSize":"Small","itemVideo":"1","itemVideoCaption":"1","itemVideoCredits":"1","itemAttachments":"1","itemTags":"1","itemCategory":"1","itemDateCreated":"1","itemHits":"1","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"1","feed":"1","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10002, 'K2 Login', 'module', 'mod_k2_login', '', 0, 1, 0, 0, '{"legacy":true,"name":"K2 Login","type":"module","creationDate":"May 9th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.5.7","description":"K2_LOGIN_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","pretext":"","":"K2_LOGIN_LOGOUT_REDIRECTION","name":"1","userAvatar":"1","userAvatarWidthSelect":"custom","userAvatarWidth":"50","menu":"","login":"","logout":"","usesecure":"0","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 'K2 Tools', 'module', 'mod_k2_tools', '', 0, 1, 0, 0, '{"legacy":false,"name":"K2 Tools","type":"module","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_TOOLS","group":""}', '{"moduleclass_sfx":"","module_usage":"0","":"K2_CUSTOM_CODE_SETTINGS","archiveItemsCounter":"1","archiveCategory":"","authors_module_category":"","authorItemsCounter":"1","authorAvatar":"1","authorAvatarWidthSelect":"custom","authorAvatarWidth":"50","authorLatestItem":"1","calendarCategory":"","home":"","seperator":"","root_id":"","end_level":"","categoriesListOrdering":"","categoriesListItemsCounter":"1","root_id2":"","catfilter":"0","category_id":"","getChildren":"0","liveSearch":"","width":"20","text":"","button":"","imagebutton":"","button_text":"","min_size":"75","max_size":"300","cloud_limit":"30","cloud_category":"0","cloud_category_recursive":"0","customCode":"","parsePhp":"0","K2Plugins":"0","JPlugins":"0","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 'K2 Users', 'module', 'mod_k2_users', '', 0, 1, 0, 0, '{"legacy":false,"name":"K2 Users","type":"module","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_MOD_K2_USERS_DESCRTIPTION","group":""}', '{"moduleclass_sfx":"","getTemplate":"Default","source":"0","":"K2_DISPLAY_OPTIONS","filter":"1","K2UserGroup":"","ordering":"1","limit":"4","userIDs":"","userName":"1","userAvatar":"1","userAvatarWidthSelect":"custom","userAvatarWidth":"50","userDescription":"1","userDescriptionWordLimit":"","userURL":"1","userEmail":"0","userFeed":"1","userItemCount":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 'K2 User', 'module', 'mod_k2_user', '', 0, 1, 0, 0, '{"legacy":false,"name":"K2 User","type":"module","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_MOD_K2_USER_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","pretext":"","":"K2_LOGIN_LOGOUT_REDIRECTION","name":"1","userAvatar":"1","userAvatarWidthSelect":"custom","userAvatarWidth":"50","menu":"","login":"","logout":"","usesecure":"0","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10006, 'K2 Quick Icons (admin)', 'module', 'mod_k2_quickicons', '', 1, 1, 2, 0, '{"legacy":false,"name":"K2 Quick Icons (admin)","type":"module","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_QUICKICONS_FOR_USE_IN_THE_JOOMLA_CONTROL_PANEL_DASHBOARD_PAGE","group":""}', '{"modCSSStyling":"1","modLogo":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10007, 'K2 Stats (admin)', 'module', 'mod_k2_stats', '', 1, 1, 2, 0, '{"legacy":false,"name":"K2 Stats (admin)","type":"module","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_STATS_FOR_USE_IN_THE_K2_DASHBOARD_PAGE","group":""}', '{"latestItems":"1","popularItems":"1","mostCommentedItems":"1","latestComments":"1","statistics":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10008, 'plg_finder_k2', 'plugin', 'k2', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_k2","type":"plugin","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"PLG_FINDER_K2_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10009, 'Search - K2', 'plugin', 'k2', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"Search - K2","type":"plugin","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_THIS_PLUGIN_EXTENDS_THE_DEFAULT_JOOMLA_SEARCH_FUNCTIONALITY_TO_K2_CONTENT","group":""}', '{"search_limit":"50","search_tags":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10010, 'System - K2', 'plugin', 'k2', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - K2","type":"plugin","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_THE_K2_SYSTEM_PLUGIN_IS_USED_TO_ASSIST_THE_PROPER_FUNCTIONALITY_OF_THE_K2_COMPONENT_SITE_WIDE_MAKE_SURE_ITS_ALWAYS_PUBLISHED_WHEN_THE_K2_COMPONENT_IS_INSTALLED","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10011, 'User - K2', 'plugin', 'k2', 'user', 0, 1, 1, 0, '{"legacy":false,"name":"User - K2","type":"plugin","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"K2_A_USER_SYNCHRONIZATION_PLUGIN_FOR_K2","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10012, 'com_k2', 'component', 'com_k2', '', 1, 1, 0, 0, '{"legacy":false,"name":"COM_K2","type":"component","creationDate":"October 11th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"Thank you for installing K2 by JoomlaWorks, the powerful content extension for Joomla!","group":""}', '{"enable_css":"1","jQueryHandling":"1.7remote","backendJQueryHandling":"remote","userName":"1","userImage":"1","userDescription":"1","userURL":"1","userEmail":"0","userFeedLink":"1","userFeedIcon":"1","userItemCount":"10","userItemTitle":"1","userItemTitleLinked":"1","userItemDateCreated":"1","userItemImage":"1","userItemIntroText":"1","userItemCategory":"1","userItemTags":"1","userItemCommentsAnchor":"1","userItemReadMore":"1","userItemK2Plugins":"1","defaultUsersItemid":"","tagItemCount":"10","tagItemTitle":"1","tagItemTitleLinked":"1","tagItemDateCreated":"1","tagItemImage":"1","tagItemIntroText":"1","tagItemCategory":"1","tagItemReadMore":"1","tagItemExtraFields":"0","tagOrdering":"","tagFeedLink":"0","tagFeedIcon":"0","defaultTagsItemid":"","genericItemCount":"10","genericItemTitle":"1","genericItemTitleLinked":"1","genericItemDateCreated":"1","genericItemImage":"1","genericItemIntroText":"1","genericItemCategory":"1","genericItemReadMore":"1","genericItemExtraFields":"0","genericFeedLink":"1","genericFeedIcon":"1","feedLimit":"10","feedItemImage":"1","feedImgSize":"S","feedItemIntroText":"1","feedTextWordLimit":"","feedItemFullText":"1","feedItemTags":"0","feedItemVideo":"0","feedItemGallery":"0","feedItemAttachments":"0","feedBogusEmail":"","introTextCleanup":"0","introTextCleanupExcludeTags":"","introTextCleanupTagAttr":"","fullTextCleanup":"0","fullTextCleanupExcludeTags":"","fullTextCleanupTagAttr":"","xssFiltering":"0","linkPopupWidth":"900","linkPopupHeight":"600","imagesQuality":"100","itemImageXS":"100","itemImageS":"400","itemImageM":"810","itemImageL":"810","itemImageXL":"900","itemImageGeneric":"810","catImageWidth":"830","catImageDefault":"1","userImageWidth":"100","userImageDefault":"1","commenterImgWidth":"48","onlineImageEditor":"splashup","imageTimestamp":"0","imageMemoryLimit":"","socialButtonCode":"","twitterUsername":"","facebookImage":"Small","comments":"1","commentsOrdering":"DESC","commentsLimit":"10","commentsFormPosition":"below","commentsPublishing":"1","commentsReporting":"2","commentsReportRecipient":"","inlineCommentsModeration":"1","gravatar":"0","recaptcha":"1","commentsFormNotes":"1","commentsFormNotesText":"","frontendEditing":"1","showImageTab":"1","showImageGalleryTab":"1","showVideoTab":"1","showExtraFieldsTab":"1","showAttachmentsTab":"1","showK2Plugins":"1","sideBarDisplayFrontend":"0","mergeEditors":"1","sideBarDisplay":"1","attachmentsFolder":"","hideImportButton":"0","taggingSystem":"1","lockTags":"0","showTagFilter":"0","googleSearch":"0","googleSearchContainer":"k2Container","K2UserProfile":"1","K2UserGroup":"1","redirect":"437","adminSearch":"simple","cookieDomain":"","recaptcha_public_key":"6Ld6nNYSAAAAAJTz75pTZLzrmClvuhoQSGm2hSok ","recaptcha_private_key":"6Ld6nNYSAAAAAJ2bnCOFPbWZ4ii-vhOBBWGArCbo ","recaptcha_theme":"clean","recaptchaOnRegistration":"1","stopForumSpam":"0","stopForumSpamApiKey":"","showItemsCounterAdmin":"1","showChildCatItems":"1","disableCompactOrdering":"0","metaDescLimit":"150","SEFReplacements":"\\u00c5\\u00a0|S, \\u00c5\\u2019|O, \\u00c5\\u00bd|Z, \\u00c5\\u00a1|s, \\u00c5\\u201c|oe, \\u00c5\\u00be|z, \\u00c5\\u00b8|Y, \\u00c2\\u00a5|Y, \\u00c2\\u00b5|u, \\u00c3\\u20ac|A, \\u00c3\\ufffd|A, \\u00c3\\u201a|A, \\u00c3\\u0192|A, \\u00c3\\u201e|A, \\u00c3\\u2026|A, \\u00c3\\u2020|A, \\u00c3\\u2021|C, \\u00c3\\u02c6|E, \\u00c3\\u2030|E, \\u00c3\\u0160|E, \\u00c3\\u2039|E, \\u00c3\\u0152|I, \\u00c3\\ufffd|I, \\u00c3\\u017d|I, \\u00c3\\ufffd|I, \\u00c3\\ufffd|D, \\u00c3\\u2018|N, \\u00c3\\u2019|O, \\u00c3\\u201c|O, \\u00c3\\u201d|O, \\u00c3\\u2022|O, \\u00c3\\u2013|O, \\u00c3\\u02dc|O, \\u00c3\\u2122|U, \\u00c3\\u0161|U, \\u00c3\\u203a|U, \\u00c3\\u0153|U, \\u00c3\\ufffd|Y, \\u00c3\\u0178|s, \\u00c3\\u00a0|a, \\u00c3\\u00a1|a, \\u00c3\\u00a2|a, \\u00c3\\u00a3|a, \\u00c3\\u00a4|a, \\u00c3\\u00a5|a, \\u00c3\\u00a6|a, \\u00c3\\u00a7|c, \\u00c3\\u00a8|e, \\u00c3\\u00a9|e, \\u00c3\\u00aa|e, \\u00c3\\u00ab|e, \\u00c3\\u00ac|i, \\u00c3\\u00ad|i, \\u00c3\\u00ae|i, \\u00c3\\u00af|i, \\u00c3\\u00b0|o, \\u00c3\\u00b1|n, \\u00c3\\u00b2|o, \\u00c3\\u00b3|o, \\u00c3\\u00b4|o, \\u00c3\\u00b5|o, \\u00c3\\u00b6|o, \\u00c3\\u00b8|o, \\u00c3\\u00b9|u, \\u00c3\\u00ba|u, \\u00c3\\u00bb|u, \\u00c3\\u00bc|u, \\u00c3\\u00bd|y, \\u00c3\\u00bf|y, \\u00c3\\u0178|ss","sh404SefLabelCat":"","sh404SefLabelUser":"blog","sh404SefLabelItem":"2","sh404SefTitleAlias":"alias","sh404SefModK2ContentFeedAlias":"feed","sh404SefInsertItemId":"0","sh404SefInsertUniqueItemId":"0","cbIntegration":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10066, 'ZT_Inga', 'template', 'zt_inga', '', 0, 1, 1, 0, '{"legacy":false,"name":"ZT_Inga","type":"template","creationDate":"September 30, 2012","author":"ZooTemplate.com","copyright":"ZooTemplate","authorEmail":"Support@zootemplate.com","authorUrl":"www.zootemplate.com","version":"2.5.0","description":"ZT_Inga - A Responsive Joomla Template!","group":""}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10078, 'ZO2 Framework - ZTools', 'plugin', 'plg_ztools', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"ZO2 Framework - ZTools","type":"plugin","creationDate":"Sep 2012","author":"ZooTemplate.Com","copyright":"Copyright (C) 2008 - 2012 http:\\/\\/www.ZooTemplate.Com. All rights reserved.","authorEmail":"webmaster@ZooTemplate.com","authorUrl":"www.ZooTemplate.com","version":"1.0.4","description":"ZO2 Framework - ZTools Plugin","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10079, 'ZO2 Framework - Shortcodes', 'plugin', 'shortcodes', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"ZO2 Framework - Shortcodes","type":"plugin","creationDate":"Sep 2012","author":"ZooTemplate.Com","copyright":"Copyright (C) 2008 - 2012 http:\\/\\/www.ZooTemplate.Com. All rights reserved.","authorEmail":"webmaster@ZooTemplate.com","authorUrl":"www.ZooTemplate.com","version":"1.0.4","description":"Shortcodes Plugin for Joomla!","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10080, 'ZO2 Framework', 'plugin', 'zo2framework', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"ZO2 Framework","type":"plugin","creationDate":"Sep 2012","author":"ZooTemplate.Com","copyright":"Copyright (C) 2008 - 2012 http:\\/\\/www.ZooTemplate.Com. All rights reserved.","authorEmail":"webmaster@ZooTemplate.com","authorUrl":"www.ZooTemplate.com","version":"1.0.4","description":"ZO2 Framework Plugin. This plugin contains ZO2 Ping, ZO2 Google Map and ZO2 Resize !","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10081, 'com_zo2framework', 'component', 'com_zo2framework', '', 1, 1, 0, 0, '{"legacy":false,"name":"COM_ZO2FRAMEWORK","type":"component","creationDate":"Sep 2012","author":"ZooTemplate.com","copyright":"ZooTemplate","authorEmail":"support@zootemplate.com","authorUrl":"www.zootemplate.com","version":"1.0.4","description":"\\n\\t  \\n\\t\\t<p><a href=\\"http:\\/\\/www.zo2framework.org\\" title=\\"Powered by ZO2 Framework\\" id=\\"zo2-notice\\"><img src=\\"http:\\/\\/www.zo2framework.org\\/images\\/bkg-logo.png\\" alt=\\"Powered by ZO2 Framework\\" \\/><\\/a><\\/p>\\n\\t\\t<h1 class=\\"itemTitle zt-heading\\">ZO2 - Flexible and Responsive Joomla Templates Framework<\\/h1>\\n\\t\\t<p>ZO2framework is a free, open-source, highly extensible, search-engine optimized Joomla Templates Framework featuring responsive web design, bootstrap framework, styling for popular extensions, and a whole community behind it. ZO2 includes a ton of features for both developers and designers, and can be customized even without coding knowledge.<\\/p>\\n\\t\\t<h2 class=\\"zt-heading\\"><p>Key Features<\\/p><\\/h2>\\n\\t\\t<ul>\\n\\t\\t<li>Color preset (Preset any combination of configuration parameters, and save custom presets)<\\/li>\\n\\t\\t<li>Fully Search-Engine Optimized<\\/li>\\n\\t\\t<li><strong>Responsive web design<\\/strong>: show up great on both Mac, Windows, iPad, Tablets, iPhones, Android and windows phones<\\/li>\\n\\t\\t<li>Standard typography and many advanced <strong>shortcodes functions<\\/strong><\\/li>\\n\\t\\t<li>Built-in CSS and JS compression and combination<\\/li>\\n\\t\\t<li>Built-in Google Fonts: give you added control when using linked font<\\/li>\\n\\t\\t<li>Override K2, com_content for enhancing SEO features<\\/li>\\n\\t\\t<\\/ul>\\n\\t\\t<ul>\\n\\t\\t<li>Flexible and powerful admin control panel<\\/li>\\n\\t\\t<li>Auto thumbnail<\\/li>\\n\\t\\t<li>Mega Menus and Accordion menus supported<\\/li>\\n\\t\\t<li>RTL language support<\\/li>\\n\\t\\t<li>Lazy load: delays loading of images in long web pages<\\/li>\\n\\t\\t<li>Auto upgrade new version<\\/li>\\n\\t\\t<li>Integrated Google Analytic<\\/li>\\n\\t\\t<\\/ul>\\n\\t\\t<h3><p>Built for and by nerds<\\/p><\\/h3>\\n\\t\\t<p>Like you, we love building awesome products on the web. We love it so much, we decided to help people just like us do it easier, better, and faster. ZO2Framework is built for you.<\\/p>\\n\\t\\t<h3><p>12-column grid<\\/p><\\/h3>\\n\\t\\t<p>Grid systems aren''t everything, but having a durable and flexible one at the core of your work can make development much simpler. Use our built-in grid classes or roll your own.<\\/p>\\n\\t\\t<h3><p>Cross-everything<\\/p><\\/h3>\\n\\t\\t<p>Originally built with only modern browsers in mind, Bootstrap has evolved to include support for all major browsers (even IE7!) and, with Bootstrap 2, tablets and smartphones, too.<\\/p>\\n\\t\\t<p><a href=\\"http:\\/\\/www.zo2framework.org\\" title=\\"ZO2 Framework\\">ZO2framework<\\/a> is a responsive joomla templates framework developed by <a href=\\"http:\\/\\/www.zootemplate.com\\" title=\\"Joomla templates\\">ZOOTemplate.com<\\/a>, released under the GNU\\/GPL v2 license.<\\/p>\\n\\t\\t<p>Copyright @ 2008 - 2012 APL Vision And Solutions Co., LTD. All Rights Reserved.<\\/p>\\n\\t  \\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10069, 'ZT Headline', 'module', 'mod_zt_headline', '', 0, 1, 0, 0, '{"legacy":false,"name":"ZT Headline","type":"module","creationDate":"August 18, 2010","author":"ZooTemplate","copyright":"Copyright (C) 2008 - 2012 http:\\/\\/www.ZooTemplate.com. All rights reserved.","authorEmail":"support@ZooTemplate.com","authorUrl":"www.ZooTemplate.com","version":"2.5.8","description":"ZT_INSTALLATION","group":""}', '{"moduleclass_sfx":"","menuitem_type":"default","moduleWidth":"960","moduleHeight":"400","thumbWidth":"400","thumbHeight":"400","link_limage":"0","input_itemid":"0","intro_length":"30","timming":"5000","trans_duration":"1000","text_selection":"","text_data":"","layout_style":"zt_slideshows","@spacer":"","zt_slideshow_effect":"random","thumbnavWidth":"80","thumbnavHeight":"70","zt_slideshow_enable_controlNavThumbs":"1","zt_slideshow_enable_btn":"1","zt_slideshow_autorun":"1","zt_slideshow_loadprocess":"1","zt_slideshow_enable_description":"1","zt_slideshow_no_slice":"15","zt_scroller_effect":"easeOutQuad","itemWidth":"250","zt_scroller_autorun":"1","zt_scroller_enable_btn":"1","zt_scroller_enable_description":"1","zt_scroller_running":"1","zt_scroller_no_item":"4","zt_featurelist_thumbwidth":"80","zt_featurelist_thumbheight":"70","zt_featurelist_item_height":"75","zt_featurelist_list_width":"274","zt_featurelist_main_width":"700","zt_featurelist_enable_description":"1","zt_featurelist_eventtype":"1","zt_carousel_autorun":"1","zt_accordion_item_expand":"900","zt_carousel_boxdesc":"right","zt_accordion_box_width":"650","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10052, 'ZT News', 'module', 'mod_zt_news', '', 0, 1, 0, 0, '{"legacy":false,"name":"ZT News","type":"module","creationDate":"January 31, 2012","author":"ZooTemplate","copyright":"ZooTemplate.Com","authorEmail":"support@ZooTemplate.com","authorUrl":"www.ZooTemplate.com","version":"2.5.9","description":"ZT News allows you display previews of articles on the front page","group":""}', '{"moduleclass_sfx":"","showtitlecat":"1","is_subcat":"1","is_all":"1","no_intro_items":"1","no_link_items":"2","columns":"2","thumb_main_width":"330","thumb_main_height":"145","thumb_list_width":"49","thumb_list_height":"49","show_title":"1","show_title_list":"1","is_image":"1","is_image_list":"1","show_intro":"1","show_intro_list":"1","intro_length":"30","show_date":"1","show_date_list":"1","show_readmore":"0","source":"category","type_image":"upload","rderingk2":"","rderingkcontent":"","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10077, 'ZO2_Based', 'template', 'zo2_based', '', 0, 1, 1, 0, '{"legacy":false,"name":"ZO2_Based","type":"template","creationDate":"Sep 2012","author":"ZooTemplate.com","copyright":"ZooTemplate","authorEmail":"support@zootemplate.com","authorUrl":"www.zootemplate.com","version":"1.0.4","description":"This is default template of ZO2 Framework","group":""}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10067, 'Josetta - K2 Categories', 'plugin', 'k2category', 'josetta_ext', 0, 1, 1, 0, '{"legacy":false,"name":"Josetta - K2 Categories","type":"plugin","creationDate":"June 7th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10068, 'Josetta - K2 Items', 'plugin', 'k2item', 'josetta_ext', 0, 1, 1, 0, '{"legacy":false,"name":"Josetta - K2 Items","type":"plugin","creationDate":"June 7th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.1","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10073, 'ZT Twitter', 'module', 'mod_zt_twitter', '', 0, 1, 0, 0, '{"legacy":false,"name":"ZT Twitter","type":"module","creationDate":"Jan 01, 2011","author":"ZooTemplate","copyright":"Copyright (c) 2008 - 2012 ZooTemplate. All rights reserved.","authorEmail":"support@zootemplate.com","authorUrl":"www.zootemplate.com","version":"2.5.1","description":"ZT Twitter","group":""}', '{"user_name":"","pass_word":"","usernames":"","twitter_slide":"default","show_avatar":"1","size_avatar_twitter":"48","show_follow_updates":"1","is_follow_img":"1","following_icons_count":"10","no_twitter":"6","time_get_new":"0","no_day_twitter":"0","show_title_twitter":"1","show_avatar_header":"1","show_username_header":"1","show_source":"1","show_feed":"1","show_bio":"1","show_web":"1","show_location":"1","show_updates":"1","show_followers":"1","show_following":"1","show_friendlist_icon":"1","show_viewall":"1","enable_search_twitter":"1","enable_search_avatar":"1","size_avatar_search":"48","search":"","search_count_size":"4","moduleclass_sfx":"","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10054, 'Fading Content From Category', 'module', 'mod_mh_fadecfc', '', 0, 1, 0, 0, '{"legacy":false,"name":"Fading Content From Category","type":"module","creationDate":"Nov 2011","author":"Dominik Gorczyca, mediahof, Kiel-Germany","copyright":"Copyright (C) 2008 - 2011 mediahof. All rights reserved.","authorEmail":"mail@mediahof.de","authorUrl":"www.mediahof.de","version":"1.6.r14","description":"developed by mediahof - Multimedia, Communication and IT","group":""}', '{"categoryid":"0","content":"introtext","title":"1","titlelink":"1","readon":"0","sort":"or","positionLeft":"0","positionTop":"0","width":"350","height":"400","fadeSpeed":"100","fadeOutTime":"5","moduleclass_sfx":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__k2_attachments`;
CREATE TABLE IF NOT EXISTS `#__k2_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `titleAttribute` text NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `#__k2_categories`;
CREATE TABLE IF NOT EXISTS `#__k2_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `extraFieldsGroup` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`published`,`access`,`trash`),
  KEY `parent` (`parent`),
  KEY `ordering` (`ordering`),
  KEY `published` (`published`),
  KEY `access` (`access`),
  KEY `trash` (`trash`),
  KEY `language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(1, 'Sport', 'sport', '<p>\r\nVestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec nulla justo, viverra at fringilla vel, laoreet a elit. Nunc fringilla malesuada fermentum. Quisque mauris mi, venenatis sed ornare id, lobortis eu dui. Praesent ullamcorper sodales tincidunt. Sed nec lectus arcu. Etiam hendrerit, nisl tempus sodales elementum, leo justo mattis nulla, vel pharetra purus magna quis augue. Sed bibendum ipsum vel risus luctus convallis. Cras eu elit justo, non commodo nisi. Etiam sagittis, velit non pulvinar vulputate, libero lorem euismod felis, nec suscipit massa dui a turpis. Donec sagittis lacinia pellentesque. Cras feugiat gravida sapien at lacinia. Quisque non mauris justo.\r\n</p>', 6, 0, 1, 1, 1, '1.jpg', '{"inheritFrom":"0","theme":"","num_leading_items":"1","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"1","num_primary_columns":"1","primaryImgSize":"Large","num_secondary_items":"1","num_secondary_columns":"1","secondaryImgSize":"Large","num_links":"0","num_links_columns":"0","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"0","catDescription":"0","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"1","subCatColumns":"1","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"0","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"0","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"0","itemHits":"0","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"1","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(2, 'Entertainment', 'entertainment', '<p>\r\nPraesent lacus mauris, molestie sit amet pretium ut, hendrerit vitae lorem. Suspendisse tristique, sapien a vestibulum dapibus, nisl orci tristique nunc, eget vehicula mauris mi vel risus. Donec sit amet lacus et nibh tempus pellentesque. Sed suscipit bibendum quam, ac bibendum orci viverra mattis. Suspendisse eget semper magna. Cras tristique elementum nibh, eget gravida odio adipiscing quis. Aenean molestie tincidunt odio pulvinar laoreet. Cras mattis, tellus a pretium fringilla, diam magna feugiat lectus, id pretium nibh felis eget arcu. Fusce eu augue velit. Nullam mollis, libero quis tincidunt viverra, tortor magna placerat metus, laoreet cursus nisl lectus vel eros. Donec nec est leo. Sed eu purus sem, et euismod urna.\r\n</p>', 6, 0, 1, 1, 2, '2.jpg', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(3, 'Architecture', 'architecture', '<p>\r\nSed id urna eget dolor imperdiet pulvinar. Cras quis magna sit amet elit aliquam iaculis. Nam convallis enim non lorem laoreet tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce tempus mi sit amet nulla suscipit et semper augue tincidunt. Proin dignissim interdum faucibus. Pellentesque varius sapien sed odio congue pharetra. Ut quis enim vitae lectus dictum feugiat ac at nisl. Maecenas et elit vel tortor lobortis ornare. Morbi nibh ligula, tincidunt sollicitudin interdum quis, placerat sed mauris.\r\n</p>', 6, 0, 1, 1, 3, '3.jpg', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(4, 'Family', 'family', '<p>\r\nNam sit amet dui tortor, ut aliquet augue. Sed elit odio, aliquam ut gravida vitae, bibendum vel arcu. Aenean scelerisque vehicula ipsum eget rhoncus. Nunc iaculis volutpat sem, id porttitor tellus facilisis ac. Aenean semper molestie augue, a consectetur libero dapibus ut. Duis tempus leo in libero ultricies sit amet vehicula est tincidunt. Quisque id sapien nibh, a hendrerit leo. Phasellus ut augue eros. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec justo sem, porta sollicitudin consequat sed, molestie commodo lacus. Etiam venenatis, dolor eget semper lobortis, magna orci tristique sapien, sit amet viverra neque ipsum sed justo. Integer mollis, elit a scelerisque commodo, leo lorem placerat tellus, cursus luctus dolor ante vitae tellus. Duis pharetra tristique diam in viverra. Ut ut sem malesuada nisl fringilla cursus eget vitae elit.\r\n</p>', 6, 0, 1, 1, 4, '4.jpg', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(5, 'Technology', 'technology', '<p>\r\nMauris pellentesque scelerisque leo, non molestie est viverra vel. Mauris erat tellus, fringilla vel venenatis sed, bibendum sed turpis. Integer imperdiet ligula a nunc condimentum eleifend. Fusce posuere congue ipsum, non luctus justo pharetra a. Morbi ac augue mi. Curabitur tempus massa vitae nibh convallis sit amet placerat urna tristique. Cras sem magna, scelerisque quis hendrerit sed, suscipit a ipsum. Donec posuere, orci convallis mattis dignissim, sapien dui vulputate augue, nec gravida augue diam ut enim. Pellentesque in eros est, nec aliquet mauris. Fusce vitae quam diam. Phasellus dapibus lectus vel elit convallis ornare. Nulla mi odio, cursus congue ultrices ac, porttitor id nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla diam magna, fringilla sit amet pretium ut, pharetra at tellus.\r\n</p>', 6, 0, 1, 1, 5, '5.jpg', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(6, 'K2 demo', 'k2-demo', '', 0, 0, 1, 1, 1, '', '{"inheritFrom":"0","theme":"","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Large","num_primary_items":"0","num_primary_columns":"0","primaryImgSize":"Large","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Large","num_links":"0","num_links_columns":"0","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"0","catTitleItemCounter":"0","catDescription":"0","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"1","subCatColumns":"1","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"0","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"0","itemHits":"0","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"1","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"1","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(7, 'Slideshow', 'slideshow', '', 0, 0, 1, 1, 2, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(8, 'Shortcode', 'shortcode', '', 0, 0, 1, 1, 3, '', '{"inheritFrom":"0","theme":"","num_leading_items":"1","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"1","num_primary_columns":"1","primaryImgSize":"Large","num_secondary_items":"1","num_secondary_columns":"1","secondaryImgSize":"Large","num_links":"0","num_links_columns":"0","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"0","catDescription":"0","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"1","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"0","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"0","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"0","itemPrintButton":"0","itemEmailButton":"0","itemSocialButton":"0","itemVideoAnchor":"0","itemImageGalleryAnchor":"0","itemCommentsAnchor":"0","itemRating":"0","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"0","itemDateModified":"0","itemHits":"0","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"0","itemTwitterButton":"0","itemFacebookButton":"0","itemGooglePlusOneButton":"0","itemAuthorBlock":"0","itemAuthorImage":"0","itemAuthorDescription":"0","itemAuthorURL":"0","itemAuthorEmail":"0","itemAuthorLatest":"0","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(9, 'Recent Posts', 'recent-posts', '', 0, 0, 1, 1, 4, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(10, 'Testimonial', 'testimonial', '', 0, 0, 1, 1, 5, '', '{"inheritFrom":"0","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 1, '', '*'),
(11, 'Our Services', 'our-services', '', 0, 0, 1, 1, 5, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(12, 'About us', 'about-us', '', 0, 0, 1, 1, 6, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(13, 'Lastest news', 'lastest-news', '', 0, 0, 1, 1, 7, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(14, 'Recent works', 'recent-works', '', 0, 0, 1, 1, 8, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(15, 'Featured', 'featured', '', 0, 0, 1, 1, 9, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(16, 'Popular', 'popular', '', 0, 0, 1, 1, 10, '', '{"inheritFrom":"1","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');

DROP TABLE IF EXISTS `#__k2_comments`;
CREATE TABLE IF NOT EXISTS `#__k2_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `commentDate` datetime NOT NULL,
  `commentText` text NOT NULL,
  `commentEmail` varchar(255) NOT NULL,
  `commentURL` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`),
  KEY `userID` (`userID`),
  KEY `published` (`published`),
  KEY `latestComments` (`published`,`commentDate`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__k2_comments` (`id`, `itemID`, `userID`, `userName`, `commentDate`, `commentText`, `commentEmail`, `commentURL`, `published`) VALUES
(3, 24, 0, 'David', '2012-10-12 07:35:49', 'Praesent accumsan convallis ipsum, eu fermentum tortor rhoncus a. Ut vitae lectus leo, vitae sagittis risus. Proin nisl augue, volutpat nec molestie ac, fermentum id orci. Sed a lorem at turpis volutpat consectetur. In fringilla laoreet mattis. Maecenas elementum eleifend.', 'david@gmail.com', 'http://www.zootemplate.com', 1),
(2, 24, 168, 'Super User', '2012-10-04 06:37:21', 'Sed at tellus orci. Aenean sit amet tortor lacus, et rhoncus enim. Fusce at enim vel nulla placerat sodales. Maecenas a velit quis felis tincidunt rhoncus. Maecenas sit amet ultrices.', 'admin@admin.com', '', 1),
(4, 38, 0, 'Tuong', '2012-10-15 07:30:22', 'Vestibulum lacus dui, accumsan in adipiscing rutrum, dignissim sit amet nisi. Donec tempus dapibus dignissim. In hac habitasse platea dictumst. Donec nec laoreet mauris. Maecenas odio purus, blandit non mattis sed, gravida vitae augue. Nunc sagittis, risus a pla', 'tuong.design@zootemplate.com', 'http://www.zootemplate.com', 1);

DROP TABLE IF EXISTS `#__k2_extra_fields`;
CREATE TABLE IF NOT EXISTS `#__k2_extra_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `group` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group` (`group`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `#__k2_extra_fields_groups`;
CREATE TABLE IF NOT EXISTS `#__k2_extra_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `#__k2_items`;
CREATE TABLE IF NOT EXISTS `#__k2_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `catid` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `video` text,
  `gallery` varchar(255) DEFAULT NULL,
  `extra_fields` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `extra_fields_search` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `featured` smallint(6) NOT NULL DEFAULT '0',
  `featured_ordering` int(11) NOT NULL DEFAULT '0',
  `image_caption` text NOT NULL,
  `image_credits` varchar(255) NOT NULL,
  `video_caption` text NOT NULL,
  `video_credits` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `params` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `metakey` text NOT NULL,
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item` (`published`,`publish_up`,`publish_down`,`trash`,`access`),
  KEY `catid` (`catid`),
  KEY `created_by` (`created_by`),
  KEY `ordering` (`ordering`),
  KEY `featured` (`featured`),
  KEY `featured_ordering` (`featured_ordering`),
  KEY `hits` (`hits`),
  KEY `created` (`created`),
  KEY `language` (`language`),
  FULLTEXT KEY `search` (`title`,`introtext`,`fulltext`,`extra_fields_search`,`image_caption`,`image_credits`,`video_caption`,`video_credits`,`metadesc`,`metakey`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=69 ;

INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(1, 'Syntax Highlighting', 'syntax-highlighting', 8, 1, '[highlighter lang="php" linenums="true" startnums="1"]class modMenuHelper\r\n{\r\n	/**\r\n	 * Get a list of the menu items.\r\n	 *\r\n	 * @param	JRegistry	$params	The module options.\r\n	 *\r\n	 * @return	array\r\n	 * @since	1.5\r\n	 */\r\n	static function getList(&$params)\r\n	{\r\n		$app = JFactory::getApplication();\r\n		$menu = $app->getMenu();\r\n\r\n		// If no active menu, use default\r\n		$active = ($menu->getActive()) ? $menu->getActive() : $menu->getDefault();\r\n\r\n		$user = JFactory::getUser();\r\n		$levels = $user->getAuthorisedViewLevels();\r\n		asort($levels);\r\n		$key = ''menu_items''.$params.implode('','', $levels).''.''.$active->id;\r\n		$cache = JFactory::getCache(''mod_menu'', '''');\r\n		if (!($items = $cache->get($key)))\r\n		{\r\n			// Initialise variables.\r\n			$list		= array();\r\n			$db			= JFactory::getDbo();\r\n\r\n			$path		= $active->tree;\r\n			$start		= (int) $params->get(''startLevel'');\r\n			$end		= (int) $params->get(''endLevel'');\r\n			$showAll	= $params->get(''showAllChildren'');\r\n			$items 		= $menu->getItems(''menutype'', $params->get(''menutype''));\r\n\r\n			$lastitem	= 0;\r\n\r\n			if ($items) {\r\n				foreach($items as $i => $item)\r\n				{\r\n					if (($start && $start > $item->level)\r\n						|| ($end && $item->level > $end)\r\n						|| (!$showAll && $item->level > 1 && !in_array($item->parent_id, $path))\r\n						|| ($start > 1 && !in_array($item->tree[$start-2], $path))\r\n					) {\r\n						unset($items[$i]);\r\n						continue;\r\n					}\r\n\r\n					$item->deeper = false;\r\n					$item->shallower = false;\r\n					$item->level_diff = 0;\r\n\r\n					if (isset($items[$lastitem])) {\r\n						$items[$lastitem]->deeper		= ($item->level > $items[$lastitem]->level);\r\n						$items[$lastitem]->shallower	= ($item->level < $items[$lastitem]->level);\r\n						$items[$lastitem]->level_diff	= ($items[$lastitem]->level - $item->level);\r\n					}\r\n\r\n					$item->parent = (boolean) $menu->getItems(''parent_id'', (int) $item->id, true);\r\n\r\n					$lastitem			= $i;\r\n					$item->active		= false;\r\n					$item->flink = $item->link;\r\n\r\n					// Reverted back for CMS version 2.5.6\r\n					switch ($item->type)\r\n					{\r\n						case ''separator'':\r\n							// No further action needed.\r\n							continue;\r\n\r\n						case ''url'':\r\n							if ((strpos($item->link, ''index.php?'') === 0) && (strpos($item->link, ''Itemid='') === false)) {\r\n								// If this is an internal Joomla link, ensure the Itemid is set.\r\n								$item->flink = $item->link.''&Itemid=''.$item->id;\r\n							}\r\n							break;\r\n\r\n						case ''alias'':\r\n							// If this is an alias use the item id stored in the parameters to make the link.\r\n							$item->flink = ''index.php?Itemid=''.$item->params->get(''aliasoptions'');\r\n							break;\r\n\r\n						default:\r\n							$router = JSite::getRouter();\r\n							if ($router->getMode() == JROUTER_MODE_SEF) {\r\n								$item->flink = ''index.php?Itemid=''.$item->id;\r\n							}\r\n							else {\r\n								$item->flink .= ''&Itemid=''.$item->id;\r\n							}\r\n							break;\r\n					}\r\n\r\n					if (strcasecmp(substr($item->flink, 0, 4), ''http'') && (strpos($item->flink, ''index.php?'') !== false)) {\r\n						$item->flink = JRoute::_($item->flink, true, $item->params->get(''secure''));\r\n					}\r\n					else {\r\n						$item->flink = JRoute::_($item->flink);\r\n					}\r\n\r\n					$item->title = htmlspecialchars($item->title);\r\n					$item->anchor_css = htmlspecialchars($item->params->get(''menu-anchor_css'', ''''));\r\n					$item->anchor_title = htmlspecialchars($item->params->get(''menu-anchor_title'', ''''));\r\n					$item->menu_image = $item->params->get(''menu_image'', '''') ? htmlspecialchars($item->params->get(''menu_image'', '''')) : '''';\r\n				}\r\n\r\n				if (isset($items[$lastitem])) {\r\n					$items[$lastitem]->deeper		= (($start?$start:1) > $items[$lastitem]->level);\r\n					$items[$lastitem]->shallower	= (($start?$start:1) < $items[$lastitem]->level);\r\n					$items[$lastitem]->level_diff	= ($items[$lastitem]->level - ($start?$start:1));\r\n				}\r\n			}\r\n\r\n			$cache->store($items, $key);\r\n		}\r\n		return $items;\r\n	}\r\n}[/highlighter]<h3>Get the code</h3>[highlighter lang="js" linenums="true" startnums="1"][highlighter lang="php" linenums="true" startnums="1"]YOUR_CODE_HERE[/&#104;ighlighter][/highlighter]', '', NULL, NULL, '[]', '', '2012-09-18 01:11:19', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:11:19', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(2, 'Pricing Tables', 'pricing-tables', 8, 1, '<p>[pricing columns="3"] [plan title="Starter Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$19" featured="false" per="month"]</p>\r\n<ul>\r\n<li><strong>75 GB</strong> storage</li>\r\n<li><strong>300 GB Bandwidth / month</strong></li>\r\n<li><strong>10</strong> users</li>\r\n<li><strong>3 MySQL Databases</strong></li>\r\n</ul>\r\n<p>[/plan] [plan title="Standard Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$39" featured="true" per="month"]</p>\r\n<ul>\r\n<li><strong>150 GB</strong> storage</li>\r\n<li><strong>600 GB Bandwidth / month</strong></li>\r\n<li><strong>40</strong> users</li>\r\n<li><strong>20 MySQL Databases</strong></li>\r\n</ul>\r\n<p>[/plan] [plan title="Premium Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$59" featured="false" per="month"]</p>\r\n<ul>\r\n<li><strong>300 GB</strong> storage</li>\r\n<li><strong>1000 GB Bandwidth / month</strong></li>\r\n<li><strong>100</strong> users</li>\r\n<li><strong>100 MySQL Databases</strong></li>\r\n</ul>\r\n<p>[/plan] [/pricing] [space height="20"]</p>\r\n<h3>Get The Code</h3>\r\n<p>[highlighter lang="html" linenums="true" startnums="1"] [pricing columns="3"]<br />[plan title="Starter Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$19" featured="false" per="month"]<br /> &lt;ul&gt;<br /> &lt;li&gt;&lt;strong&gt;75 GB&lt;/strong&gt; storage&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;300 GB Bandwidth / month&lt;/strong&gt;&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;10&lt;/strong&gt; users&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;3 MySQL Databases&lt;/strong&gt;&lt;/li&gt;<br /> &lt;/ul&gt;<br />[/plan]<br />[plan title="Standard Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$39" featured="true" per="month"]<br /> &lt;ul&gt;<br /> &lt;li&gt;&lt;strong&gt;150 GB&lt;/strong&gt; storage&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;600 GB Bandwidth / month&lt;/strong&gt;&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;40&lt;/strong&gt; users&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;20 MySQL Databases&lt;/strong&gt;&lt;/li&gt;<br /> &lt;/ul&gt;<br />[/plan]<br />[plan title="Premium Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$59" featured="false" per="month"]<br /> &lt;ul&gt;<br /> &lt;li&gt;&lt;strong&gt;300 GB&lt;/strong&gt; storage&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;1000 GB Bandwidth / month&lt;/strong&gt;&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;100&lt;/strong&gt; users&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;100 MySQL Databases&lt;/strong&gt;&lt;/li&gt;<br /> &lt;/ul&gt;<br />[/plan]<br />[/pricing] [/highlighter] [pricing columns="4"] [plan title="Starter Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$19" featured="false" per="month"]</p>\r\n<ul>\r\n<li><strong>75 GB</strong> storage</li>\r\n<li><strong>300 GB Bandwidth / month</strong></li>\r\n<li><strong>10</strong> users</li>\r\n<li><strong>3 MySQL Databases</strong></li>\r\n</ul>\r\n<p>[/plan] [plan title="Standard Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$39" featured="true" per="month"]</p>\r\n<ul>\r\n<li><strong>150 GB</strong> storage</li>\r\n<li><strong>600 GB Bandwidth / month</strong></li>\r\n<li><strong>40</strong> users</li>\r\n<li><strong>20 MySQL Databases</strong></li>\r\n</ul>\r\n<p>[/plan] [plan title="Premium Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$59" featured="false" per="month"]</p>\r\n<ul>\r\n<li><strong>300 GB</strong> storage</li>\r\n<li><strong>1000 GB Bandwidth / month</strong></li>\r\n<li><strong>100</strong> users</li>\r\n<li><strong>100 MySQL Databases</strong></li>\r\n</ul>\r\n<p>[/plan] [plan title="Unlimited Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$100" featured="false" per="month"]</p>\r\n<ul>\r\n<li><strong>Unlimited GB</strong> storage</li>\r\n<li><strong>Bandwidth / month</strong></li>\r\n<li><strong>Unlimited</strong> users</li>\r\n<li><strong>MySQL Databases</strong></li>\r\n</ul>\r\n<p>[/plan] [/pricing] [space height="20"]</p>\r\n<h3>Get The Code</h3>\r\n<p>[highlighter lang="html" linenums="true" startnums="1"] [pricing columns="3"]<br /> [plan title="Starter Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$19" featured="false" per="month"]<br /> &lt;ul&gt;<br /> &lt;li&gt;&lt;strong&gt;75 GB&lt;/strong&gt; storage&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;300 GB Bandwidth / month&lt;/strong&gt;&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;10&lt;/strong&gt; users&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;3 MySQL Databases&lt;/strong&gt;&lt;/li&gt;<br /> &lt;/ul&gt;<br />[/plan]<br /> [plan title="Standard Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$39" featured="true" per="month"]<br /> &lt;ul&gt;<br /> &lt;li&gt;&lt;strong&gt;150 GB&lt;/strong&gt; storage&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;600 GB Bandwidth / month&lt;/strong&gt;&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;40&lt;/strong&gt; users&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;20 MySQL Databases&lt;/strong&gt;&lt;/li&gt;<br /> &lt;/ul&gt;<br />[/plan]<br /> [plan title="Premium Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$59" featured="false" per="month"]<br /> &lt;ul&gt;<br /> &lt;li&gt;&lt;strong&gt;300 GB&lt;/strong&gt; storage&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;1000 GB Bandwidth / month&lt;/strong&gt;&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;100&lt;/strong&gt; users&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;100 MySQL Databases&lt;/strong&gt;&lt;/li&gt;<br /> &lt;/ul&gt;<br />[/plan]<br /> [plan title="Unlimited Package" button_link="http://zo2framework.org" button_label="Sign Up" price="$100" featured="false" per="month"]<br /> &lt;ul&gt;<br /> &lt;li&gt;&lt;strong&gt;Unlimited GB&lt;/strong&gt; storage&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;Unlimited Bandwidth / month&lt;/strong&gt;&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;Unlimited&lt;/strong&gt; users&lt;/li&gt;<br /> &lt;li&gt;&lt;strong&gt;100 MySQL Databases&lt;/strong&gt;&lt;/li&gt;<br /> &lt;/ul&gt;<br />[/plan]<br />[/pricing] [/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:12:29', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:12:29', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 6, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(3, 'Google Map', 'google-map', 8, 1, '<p>[googleMaps addr="17T3 - Hoang Dao Thuy - Thanh Xuan - Ha Noi, Vietnam" label="GOOLE_MAP_LABEL" width=600 height=600]</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="html" linenums="true" startnums="1"]{googleMaps addr=" 17T3 - Hoang Dao Thuy - Thanh Xuan - Ha Noi, Vietnam " label="GOOLE_MAP_LABEL" width=400 height=400}[/highlighter]</p>\r\n<h3>Customization Options</h3>\r\n<ul class="the-icons">\r\n<li><em class="icon-star">lat</em> - <strong>Lat:</strong> the latitude of the location to display on the map (an alternative to providing the address)</li>\r\n<li><em class="icon-star">Long</em> - <strong>Long:</strong> the longitude of the location to display on the map (an alternative to providing the address)</li>\r\n<li><em class="icon-star">Zoom</em> - <strong>Zoom:</strong> the initial zoom level of the map</li>\r\n<li><em class="icon-star">Width</em> - <strong>Width:</strong> width of the map embed</li>\r\n<li><em class="icon-star">Height</em> - <strong>Height:</strong> height of the map embed</li>\r\n<li><em class="icon-star">Options</em> - <strong>Options:</strong> Google map options.</li>\r\n<li><em class="icon-star">control</em> - <strong>Control:</strong> Additional controls to attach to the map.</li>\r\n<li><em class="icon-star">maptype</em> - <strong>Maptype:</strong> the type of map you want to display (roadmap, satellite, hybrid or terrain).</li>\r\n<li><em class="icon-star">Lang</em> - <strong>Lang:</strong> Language of map</li>\r\n<li><em class="icon-star">Marker</em> - <strong>Marker:</strong> whether you want to display the red marker showing the location specified by the address or longitude/latitude attributes.</li>\r\n<li><em class="icon-star">Addoverview</em> - <strong>Addoverview:</strong> whether to display the overview map control (the arrow in the bottom right corner that expands to show the region currently being viewed).</li>\r\n<li><em class="icon-star">Addscale</em> - <strong>Addscale:</strong> whether to display the scale control (the marking that tells you the distances represented in the map).</li>\r\n<li><em class="icon-star">Streetview</em> - <strong>Streetview:</strong> A Street View Panorama to display when the Street View pegman is dropped on the map. If no panorama is specified, a default Street View Panorama will be displayed in the map''s div when the pegman is dropped.</li>\r\n<li><em class="icon-star">Kml</em> - <strong>Kml:</strong> A Kml Layer adds geographic markup to the map from a KML, KMZ or Geo RSS file that is hosted on a publicly accessible web server. A Kml Feature Data object is provided for each feature when clicked.</li>\r\n<li><em class="icon-star">description</em> - <strong>Description:</strong> A localized string describing the location.</li>\r\n<li><em class="icon-star">label</em> - <strong>Label:</strong> This is the label for the marker that indicates your designated address.</li>\r\n<li><em class="icon-star">addr</em> - <strong>Addr:</strong> You can display a Google Map by using your address or a latitude/longitude pair.</li>\r\n</ul>', '', NULL, NULL, '[]', '', '2012-09-18 01:12:48', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:12:48', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 32, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(4, 'Divider', 'divider', 8, 1, '<p>Fusce ac justo quis nisl auctor consectetur. Aliquam lobortis nisi nec ligula congue ultrices. Nam eleifend suscipit eros, a ultrices nulla vehicula id. Vestibulum euismod mollis tellus, at bibendum elit ultricies in. Donec sodales congue augue id porta. Curabitur vehicula ligula nec turpis tristique eget gravida quam aliquam. Fusce neque risus, faucibus quis blandit posuere, faucibus id neque. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas euismod lectus at lectus egestas pharetra.</p>\r\n<p>[divider scroll_text=''Go to top'']</p>\r\n<p>Etiam malesuada ante quis risus accumsan ut congue nibh gravida. Curabitur et arcu nibh, sit amet pellentesque enim. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eget tristique tortor. Vivamus nibh tortor, tempus et faucibus vel, tincidunt eu turpis. In eu diam vulputate nisi tristique accumsan. Vestibulum ullamcorper vulputate leo gravida feugiat. Ut vitae dui odio, vitae tristique orci.</p>\r\n<p>[divider scroll_text=''Go to top'']</p>\r\n<h3>Get The Code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][divider scroll_text="SCROLL_TEXT"][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:13:06', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:13:06', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 6, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(5, 'Gallery', 'gallery', 8, 1, '<p>[gallery title="Cras nec neque" width="240" height="240" columns="3"] [gallery_item title="Donec at dui" src="images/slide/1.png"]Nullam ultrices[/gallery_item] [gallery_item title="Donec at dui" src="images/slide/2.png"]Nullam ultrices[/gallery_item] [gallery_item title="Donec at dui" src="images/slide/3.png"]Nullam ultrices[/gallery_item] [gallery_item title="Donec at dui" src="images/slide/4.png"]Nullam ultrices[/gallery_item] [gallery_item title="Donec at dui" src="images/slide/5.png"]Nullam ultrices[/gallery_item] [gallery_item title="Donec at dui" src="images/slide/6.png"]Nullam ultrices[/gallery_item] [/gallery] [space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][gallery title="GALLERY_TITLE" width="IMAGE_THUMB_WIDTH" height="IMAGE_THUMB_HEIGHT" columns="3"]<br/>[gallery_item title="IMAGE_TITLE" src="IMAGE_SRC"]IMAGE_DESCRIPTION[/gallery_item]<br/>[gallery_item title="IMAGE_TITLE" src="IMAGE_SRC"]IMAGE_DESCRIPTION[/gallery_item]<br/>[gallery_item title="IMAGE_TITLE" src="IMAGE_SRC"]IMAGE_DESCRIPTION[/gallery_item]<br/>[/gallery][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:13:23', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:13:23', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 11, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(6, 'Youtube', 'youtube', 8, 1, '<div class="embed-container">[youtube]http://www.youtube.com/watch?v=vqVpgTCFdeA[/youtube]</div>\r\n<h3>Get the code</h3>\r\n<p>[highlighter][youtube height="HEIGHT" width="WIDTH"]PLACE_LINK_HERE[/youtube][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:13:40', 168, '', 0, '0000-00-00 00:00:00', '2012-10-01 08:21:19', 168, '2012-09-18 01:13:40', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 9, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(7, 'Vimeo', 'vimeo', 8, 1, '<div class="embed-container">[vimeo]http://vimeo.com/49225173[/vimeo]</div>\r\n<h3>Get the code</h3>\r\n<p>[highlighter][vimeo height=''HEIGHT'' width=''WIDTH'']PLACE_LINK_HERE[/vimeo][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:13:59', 168, '', 0, '0000-00-00 00:00:00', '2012-10-01 08:30:46', 168, '2012-09-18 01:13:59', '0000-00-00 00:00:00', 0, 1, 7, 0, 0, '', '', '', '', 19, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(8, 'Toggle Box', 'toggle-box', 8, 1, '<p>[toggle_box]<br />[toggle_item title=''Cras rhoncus'']Sed molestie lacinia massa et facilisis. Quisque vestibulum porta diam, eu ultrices nisi consectetur eget. Mauris elit mauris, viverra vel iaculis eu, aliquam id libero. Sed luctus urna non elit vehicula vulputate. Ut ac orci a lectus tincidunt varius. Suspendisse vestibulum justo a quam consectetur volutpat. Nulla sed ligula justo, non lobortis ligula. Fusce a dolor ut massa commodo pharetra. Pellentesque tincidunt imperdiet pellentesque. Morbi egestas, lacus posuere commodo sodales, ligula augue imperdiet ipsum, et venenatis quam turpis ut magna. Ut molestie diam vitae leo varius vestibulum. Suspendisse potenti. Nam a libero vitae libero consectetur mollis. Quisque eu posuere velit.[/toggle_item]<br />[toggle_item title=''Curabitur vitae'' active=''true'']Duis id nunc sed urna ultricies laoreet. Cras rhoncus, nulla sit amet cursus cursus, velit ligula vestibulum nisi, nec pellentesque diam metus tempor lorem. Etiam et nisl mauris, et molestie turpis. Curabitur vitae velit odio. Nam viverra diam nec sapien condimentum porttitor. Sed aliquam, purus at euismod lacinia, lorem erat hendrerit augue, luctus fermentum sem lorem vel lacus. Nam vel lacus consequat urna ullamcorper sagittis sed eget lorem.[/toggle_item]<br />[/toggle_box] [space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter][toggle_box]<br />[toggle_item title=''ITEM_TITLE'']ADD_CONTENT_HERE[/toggle_item]<br />[toggle_item title=''ITEM_TITLE'' active=''true'']ADD_CONTENT_HERE[/toggle_item]<br />[/toggle_box][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:14:18', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:14:18', '0000-00-00 00:00:00', 0, 1, 8, 0, 0, '', '', '', '', 4, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(9, 'Testimonial', 'testimonial', 8, 1, '<p>[testimonial author=''Zootemplate'' position=''Developer'']Praesent lobortis eleifend ultrices. In consectetur aliquam quam eu auctor. In sagittis sem a libero fermentum ultrices eu ut felis. Pellentesque vulputate, justo in sodales bibendum, tellus lectus vehicula dolor, quis sollicitudin diam diam quis dui. Sed volutpat sapien vitae lacus dictum facilisis. Etiam mattis auctor ligula eget convallis. Sed malesuada metus nec diam mattis auctor. Mauris tellus lacus, consequat quis dapibus in, feugiat vel dolor.[/testimonial] [space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter][testimonial author=''TESTIMONIAL_AUTHOR'' position=''AUTHOR_POSITION'']ADD_TESTIMONIAL_HERE[/testimonial][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:14:39', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:14:39', '0000-00-00 00:00:00', 0, 1, 9, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(10, 'Tabs', 'tabs', 8, 1, '<p>[tabs]<br />[tab_item title=''Curabitur hendrerit'']Duis a odio ac nisl ullamcorper consectetur sed id nisi. Nulla a posuere lorem. Fusce varius lacinia tellus, non ultricies ipsum malesuada vitae. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec et dolor quis purus posuere vehicula a quis lorem. Ut pharetra diam id lorem interdum a porta odio egestas. Nulla et enim sem. Maecenas nec orci nec lectus viverra eleifend non at est. Mauris tempor massa in velit luctus ut pharetra sem rutrum. Etiam a vestibulum sapien. Phasellus quis ante nisl, sit amet gravida velit. Ut varius nulla nec ipsum condimentum fermentum. Curabitur adipiscing mattis dui eget sollicitudin. Ut suscipit, metus et imperdiet pharetra, sem est eleifend justo, sit amet ultricies arcu sem sit amet turpis. Nulla neque erat, interdum at dignissim ac, porttitor a ipsum.[/tab_item]<br />[tab_item title=''Aliquam et orci'']Donec velit nulla, interdum vitae egestas eget, faucibus sit amet dolor. Ut ac justo neque. Vivamus pulvinar ipsum nisi, vitae tempor dui. Aenean mollis iaculis nulla, at sollicitudin orci euismod a. In hac habitasse platea dictumst. Suspendisse scelerisque rhoncus lorem ac aliquet. Donec pretium sapien sit amet felis vehicula molestie. Sed eget turpis massa.[/tab_item]<br />[tab_item title='' Cras bibendum'']Mauris sit amet lectus elit, a tempor velit. Aenean ut magna viverra nulla consectetur dictum eu ac enim. Praesent et metus non purus bibendum blandit non ac eros. Sed facilisis sodales scelerisque. Sed sodales tortor sed mauris ornare at cursus libero vehicula. Nullam nec leo nibh. Fusce sollicitudin sem porta nulla mattis congue. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.[/tab_item]<br />[/tabs] [space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter][tabs]<br />[tab_item title=''ITEM_TITLE'']ADD_CONTENT_HERE[/tab_item]<br />[tab_item title=''ITEM_TITLE'']ADD_CONTENT_HERE[/tab_item]<br />[tab_item title=''ITEM_TITLE'']ADD_CONTENT_HERE[/tab_item]<br />[/tabs][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:15:02', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:15:02', '0000-00-00 00:00:00', 0, 1, 10, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(11, 'Social icon', 'social-icon', 8, 1, '<p>[social type="facebook" opacity=''dark'']http://zootemplate.com[/social] [social type="twitter" opacity=''dark'']http://zootemplate.com[/social] [social type="delicious" opacity=''dark'']http://zootemplate.com[/social] [social type="deviantart" opacity=''dark'']http://zootemplate.com[/social] [social type="digg" opacity=''dark'']http://zootemplate.com[/social] [social type="flickr" opacity=''dark'']http://zootemplate.com[/social] [social type="lastfm" opacity=''dark'']http://zootemplate.com[/social] [social type="picasa" opacity=''dark'']http://zootemplate.com[/social] [social type="rss" opacity=''dark'']http://zootemplate.com[/social] [social type="skype" opacity=''dark'']http://zootemplate.com[/social] [social type="stumble-upon" opacity=''dark'']http://zootemplate.com[/social] [social type="tumblr" opacity=''dark'']http://zootemplate.com[/social] [social type="youtube" opacity=''dark'']http://zootemplate.com[/social] [social type="vimeo" opacity=''dark'']http://zootemplate.com[/social]</p>\r\n<p>[space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter] [social type="facebook" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="twitter" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="delicious" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="deviantart" opacity=''dark'']PLACE_LINK_HERE[/social]<br /> [social type="digg" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="flickr" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="lastfm" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="picasa" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="rss" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="skype" opacity=''dark'']PLACE_LINK_HERE[/social]<br /> [social type="stumble-upon" opacity=''dark'']PLACE_LINK_HERE[/social]<br /> [social type="tumblr" opacity=''dark'']PLACE_LINK_HERE[/social] <br /> [social type="youtube" opacity=''dark'']PLACE_LINK_HERE[/social]<br /> [social type="vimeo" opacity=''dark'']PLACE_LINK_HERE[/social] [/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:15:23', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:15:23', '0000-00-00 00:00:00', 0, 1, 11, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(12, 'Message Box', 'message-box', 8, 1, '<p>[message_box title=''Donec laoreet'' color=''red'']Curabitur ultricies tellus in sapien sodales vel mattis nulla tempor. Curabitur lacus purus, congue non rhoncus non, luctus ut nisl. Sed facilisis convallis augue, et facilisis magna lacinia a. Nulla facilisi. Nullam sit amet tellus nec eros blandit gravida. Curabitur at mi sit amet nisl hendrerit condimentum. Nunc bibendum tellus eget diam mollis a imperdiet neque condimentum. Ut vel nulla neque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vitae nisl at nisl sagittis ultrices et eu nulla. Praesent aliquet tincidunt quam vitae tempor.[/message_box] [space height=''20'']<br /> [message_box title=''Donec laoreet'' color=''blue'']Curabitur ultricies tellus in sapien sodales vel mattis nulla tempor. Curabitur lacus purus, congue non rhoncus non, luctus ut nisl. Sed facilisis convallis augue, et facilisis magna lacinia a. Nulla facilisi. Nullam sit amet tellus nec eros blandit gravida. Curabitur at mi sit amet nisl hendrerit condimentum. Nunc bibendum tellus eget diam mollis a imperdiet neque condimentum. Ut vel nulla neque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vitae nisl at nisl sagittis ultrices et eu nulla. Praesent aliquet tincidunt quam vitae tempor.[/message_box] [space height=''20'']<br /> [message_box title=''Donec laoreet'' color=''yellow'']Curabitur ultricies tellus in sapien sodales vel mattis nulla tempor. Curabitur lacus purus, congue non rhoncus non, luctus ut nisl. Sed facilisis convallis augue, et facilisis magna lacinia a. Nulla facilisi. Nullam sit amet tellus nec eros blandit gravida. Curabitur at mi sit amet nisl hendrerit condimentum. Nunc bibendum tellus eget diam mollis a imperdiet neque condimentum. Ut vel nulla neque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vitae nisl at nisl sagittis ultrices et eu nulla. Praesent aliquet tincidunt quam vitae tempor.[/message_box] [space height=''20'']<br /> [message_box title=''Donec laoreet'' color=''green'']Curabitur ultricies tellus in sapien sodales vel mattis nulla tempor. Curabitur lacus purus, congue non rhoncus non, luctus ut nisl. Sed facilisis convallis augue, et facilisis magna lacinia a. Nulla facilisi. Nullam sit amet tellus nec eros blandit gravida. Curabitur at mi sit amet nisl hendrerit condimentum. Nunc bibendum tellus eget diam mollis a imperdiet neque condimentum. Ut vel nulla neque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vitae nisl at nisl sagittis ultrices et eu nulla. Praesent aliquet tincidunt quam vitae tempor.[/message_box] [space height=''20'']</p>\r\n<h3>Get The Code</h3>\r\n<p>\r\n[highlighter lang="js" linenums="true" startnums="1"][message_box title="MESSAGE_TITLE" color="red" close="true"]ADD_CONTENT_HERE[/message_box]\r\n[message_box title="MESSAGE_TITLE" color="blue" close="true"]ADD_CONTENT_HERE[/message_box]\r\n[message_box title="MESSAGE_TITLE" color="yellow" close="true"]ADD_CONTENT_HERE[/message_box]\r\n[message_box title="MESSAGE_TITLE" color="green" close="true"]ADD_CONTENT_HERE[/message_box]\r\n[/highlighter]<br/></p>', '', NULL, NULL, '[]', '', '2012-09-18 01:15:48', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:15:48', '0000-00-00 00:00:00', 0, 1, 12, 0, 0, '', '', '', '', 10, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(13, 'List Icon', 'list-icon', 8, 1, '<div class="row-fluid">\r\n<div class="span3">\r\n<ul class="the-icons">\r\n<li><em class="icon-glass"> </em> icon-glass</li>\r\n<li><em class="icon-music"> </em> icon-music</li>\r\n<li><em class="icon-search"> </em> icon-search</li>\r\n<li><em class="icon-envelope"> </em> icon-envelope</li>\r\n<li><em class="icon-heart"> </em> icon-heart</li>\r\n<li><em class="icon-star"> </em> icon-star</li>\r\n<li><em class="icon-star-empty"> </em> icon-star-empty</li>\r\n<li><em class="icon-user"> </em> icon-user</li>\r\n<li><em class="icon-film"> </em> icon-film</li>\r\n<li><em class="icon-th-large"> </em> icon-th-large</li>\r\n<li><em class="icon-th"> </em> icon-th</li>\r\n<li><em class="icon-th-list"> </em> icon-th-list</li>\r\n<li><em class="icon-ok"> </em> icon-ok</li>\r\n<li><em class="icon-remove"> </em> icon-remove</li>\r\n<li><em class="icon-zoom-in"> </em> icon-zoom-in</li>\r\n<li><em class="icon-zoom-out"> </em> icon-zoom-out</li>\r\n<li><em class="icon-off"> </em> icon-off</li>\r\n<li><em class="icon-signal"> </em> icon-signal</li>\r\n<li><em class="icon-cog"> </em> icon-cog</li>\r\n<li><em class="icon-trash"> </em> icon-trash</li>\r\n<li><em class="icon-home"> </em> icon-home</li>\r\n<li><em class="icon-file"> </em> icon-file</li>\r\n<li><em class="icon-time"> </em> icon-time</li>\r\n<li><em class="icon-road"> </em> icon-road</li>\r\n<li><em class="icon-download-alt"> </em> icon-download-alt</li>\r\n<li><em class="icon-download"> </em> icon-download</li>\r\n<li><em class="icon-upload"> </em> icon-upload</li>\r\n<li><em class="icon-inbox"> </em> icon-inbox</li>\r\n<li><em class="icon-play-circle"> </em> icon-play-circle</li>\r\n<li><em class="icon-repeat"> </em> icon-repeat</li>\r\n<li><em class="icon-refresh"> </em> icon-refresh</li>\r\n<li><em class="icon-list-alt"> </em> icon-list-alt</li>\r\n<li><em class="icon-lock"> </em> icon-lock</li>\r\n<li><em class="icon-flag"> </em> icon-flag</li>\r\n<li><em class="icon-headphones"> </em> icon-headphones</li>\r\n</ul>\r\n</div>\r\n<div class="span3">\r\n<ul class="the-icons">\r\n<li><em class="icon-volume-off"> </em> icon-volume-off</li>\r\n<li><em class="icon-volume-down"> </em> icon-volume-down</li>\r\n<li><em class="icon-volume-up"> </em> icon-volume-up</li>\r\n<li><em class="icon-qrcode"> </em> icon-qrcode</li>\r\n<li><em class="icon-barcode"> </em> icon-barcode</li>\r\n<li><em class="icon-tag"> </em> icon-tag</li>\r\n<li><em class="icon-tags"> </em> icon-tags</li>\r\n<li><em class="icon-book"> </em> icon-book</li>\r\n<li><em class="icon-bookmark"> </em> icon-bookmark</li>\r\n<li><em class="icon-print"> </em> icon-print</li>\r\n<li><em class="icon-camera"> </em> icon-camera</li>\r\n<li><em class="icon-font"> </em> icon-font</li>\r\n<li><em class="icon-bold"> </em> icon-bold</li>\r\n<li><em class="icon-italic"> </em> icon-italic</li>\r\n<li><em class="icon-text-height"> </em> icon-text-height</li>\r\n<li><em class="icon-text-width"> </em> icon-text-width</li>\r\n<li><em class="icon-align-left"> </em> icon-align-left</li>\r\n<li><em class="icon-align-center"> </em> icon-align-center</li>\r\n<li><em class="icon-align-right"> </em> icon-align-right</li>\r\n<li><em class="icon-align-justify"> </em> icon-align-justify</li>\r\n<li><em class="icon-list"> </em> icon-list</li>\r\n<li><em class="icon-indent-left"> </em> icon-indent-left</li>\r\n<li><em class="icon-indent-right"> </em> icon-indent-right</li>\r\n<li><em class="icon-facetime-video"> </em> icon-facetime-video</li>\r\n<li><em class="icon-picture"> </em> icon-picture</li>\r\n<li><em class="icon-pencil"> </em> icon-pencil</li>\r\n<li><em class="icon-map-marker"> </em> icon-map-marker</li>\r\n<li><em class="icon-adjust"> </em> icon-adjust</li>\r\n<li><em class="icon-tint"> </em> icon-tint</li>\r\n<li><em class="icon-edit"> </em> icon-edit</li>\r\n<li><em class="icon-share"> </em> icon-share</li>\r\n<li><em class="icon-check"> </em> icon-check</li>\r\n<li><em class="icon-move"> </em> icon-move</li>\r\n<li><em class="icon-step-backward"> </em> icon-step-backward</li>\r\n<li><em class="icon-fast-backward"> </em> icon-fast-backward</li>\r\n</ul>\r\n</div>\r\n<div class="span3">\r\n<ul class="the-icons">\r\n<li><em class="icon-backward"> </em> icon-backward</li>\r\n<li><em class="icon-play"> </em> icon-play</li>\r\n<li><em class="icon-pause"> </em> icon-pause</li>\r\n<li><em class="icon-stop"> </em> icon-stop</li>\r\n<li><em class="icon-forward"> </em> icon-forward</li>\r\n<li><em class="icon-fast-forward"> </em> icon-fast-forward</li>\r\n<li><em class="icon-step-forward"> </em> icon-step-forward</li>\r\n<li><em class="icon-eject"> </em> icon-eject</li>\r\n<li><em class="icon-chevron-left"> </em> icon-chevron-left</li>\r\n<li><em class="icon-chevron-right"> </em> icon-chevron-right</li>\r\n<li><em class="icon-plus-sign"> </em> icon-plus-sign</li>\r\n<li><em class="icon-minus-sign"> </em> icon-minus-sign</li>\r\n<li><em class="icon-remove-sign"> </em> icon-remove-sign</li>\r\n<li><em class="icon-ok-sign"> </em> icon-ok-sign</li>\r\n<li><em class="icon-question-sign"> </em> icon-question-sign</li>\r\n<li><em class="icon-info-sign"> </em> icon-info-sign</li>\r\n<li><em class="icon-screenshot"> </em> icon-screenshot</li>\r\n<li><em class="icon-remove-circle"> </em> icon-remove-circle</li>\r\n<li><em class="icon-ok-circle"> </em> icon-ok-circle</li>\r\n<li><em class="icon-ban-circle"> </em> icon-ban-circle</li>\r\n<li><em class="icon-arrow-left"> </em> icon-arrow-left</li>\r\n<li><em class="icon-arrow-right"> </em> icon-arrow-right</li>\r\n<li><em class="icon-arrow-up"> </em> icon-arrow-up</li>\r\n<li><em class="icon-arrow-down"> </em> icon-arrow-down</li>\r\n<li><em class="icon-share-alt"> </em> icon-share-alt</li>\r\n<li><em class="icon-resize-full"> </em> icon-resize-full</li>\r\n<li><em class="icon-resize-small"> </em> icon-resize-small</li>\r\n<li><em class="icon-plus"> </em> icon-plus</li>\r\n<li><em class="icon-minus"> </em> icon-minus</li>\r\n<li><em class="icon-asterisk"> </em> icon-asterisk</li>\r\n<li><em class="icon-exclamation-sign"> </em> icon-exclamation-sign</li>\r\n<li><em class="icon-gift"> </em> icon-gift</li>\r\n<li><em class="icon-leaf"> </em> icon-leaf</li>\r\n<li><em class="icon-fire"> </em> icon-fire</li>\r\n<li><em class="icon-eye-open"> </em> icon-eye-open</li>\r\n</ul>\r\n</div>\r\n<div class="span3">\r\n<ul class="the-icons">\r\n<li><em class="icon-eye-close"> </em> icon-eye-close</li>\r\n<li><em class="icon-warning-sign"> </em> icon-warning-sign</li>\r\n<li><em class="icon-plane"> </em> icon-plane</li>\r\n<li><em class="icon-calendar"> </em> icon-calendar</li>\r\n<li><em class="icon-random"> </em> icon-random</li>\r\n<li><em class="icon-comment"> </em> icon-comment</li>\r\n<li><em class="icon-magnet"> </em> icon-magnet</li>\r\n<li><em class="icon-chevron-up"> </em> icon-chevron-up</li>\r\n<li><em class="icon-chevron-down"> </em> icon-chevron-down</li>\r\n<li><em class="icon-retweet"> </em> icon-retweet</li>\r\n<li><em class="icon-shopping-cart"> </em> icon-shopping-cart</li>\r\n<li><em class="icon-folder-close"> </em> icon-folder-close</li>\r\n<li><em class="icon-folder-open"> </em> icon-folder-open</li>\r\n<li><em class="icon-resize-vertical"> </em> icon-resize-vertical</li>\r\n<li><em class="icon-resize-horizontal"> </em> icon-resize-horizontal</li>\r\n<li><em class="icon-hdd"> </em> icon-hdd</li>\r\n<li><em class="icon-bullhorn"> </em> icon-bullhorn</li>\r\n<li><em class="icon-bell"> </em> icon-bell</li>\r\n<li><em class="icon-certificate"> </em> icon-certificate</li>\r\n<li><em class="icon-thumbs-up"> </em> icon-thumbs-up</li>\r\n<li><em class="icon-thumbs-down"> </em> icon-thumbs-down</li>\r\n<li><em class="icon-hand-right"> </em> icon-hand-right</li>\r\n<li><em class="icon-hand-left"> </em> icon-hand-left</li>\r\n<li><em class="icon-hand-up"> </em> icon-hand-up</li>\r\n<li><em class="icon-hand-down"> </em> icon-hand-down</li>\r\n<li><em class="icon-circle-arrow-right"> </em> icon-circle-arrow-right</li>\r\n<li><em class="icon-circle-arrow-left"> </em> icon-circle-arrow-left</li>\r\n<li><em class="icon-circle-arrow-up"> </em> icon-circle-arrow-up</li>\r\n<li><em class="icon-circle-arrow-down"> </em> icon-circle-arrow-down</li>\r\n<li><em class="icon-globe"> </em> icon-globe</li>\r\n<li><em class="icon-wrench"> </em> icon-wrench</li>\r\n<li><em class="icon-tasks"> </em> icon-tasks</li>\r\n<li><em class="icon-filter"> </em> icon-filter</li>\r\n<li><em class="icon-briefcase"> </em> icon-briefcase</li>\r\n<li><em class="icon-fullscreen"> </em> icon-fullscreen</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<p>[space height=''20'']</p>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<h3>Built as a sprite</h3>\r\n<p>Instead of making every icon an extra request, we''ve compiled them into a sprite—a bunch of images in one file that uses CSS to position the images with <code>background-position</code>. This is the same method we use on Twitter.com and it has worked well for us.</p>\r\n<p>All icons classes are prefixed with <code>.icon-</code> for proper namespacing and scoping, much like our other components. This will help avoid conflicts with other tools.</p>\r\n<p><a href="http://glyphicons.com" target="_blank">Glyphicons</a> has granted us use of the Halflings set in our open-source toolkit so long as we provide a link and credit here in the docs. Please consider doing the same in your projects.</p>\r\n</div>\r\n<div class="span4">\r\n<h3>How to use</h3>\r\n<p>Bootstrap uses an <code>&lt;i&gt;</code> tag for all icons, but they have no case class—only a shared prefix. To use, place the following code just about anywhere:</p>\r\n<pre class="prettyprint linenums">&lt;i class="icon-search"&gt;&lt;/i&gt;\r\n</pre>\r\n<p>There are also styles available for inverted (white) icons, made ready with one extra class:</p>\r\n<pre class="prettyprint linenums">&lt;i class="icon-search icon-white"&gt;&lt;/i&gt;\r\n</pre>\r\n<p>There are 140 classes to choose from for your icons. Just add an <code>&lt;i&gt;</code> tag with the right classes and you''re set. You can find the full list in <strong>sprites.less</strong> or right here in this document.</p>\r\n<p><span class="label label-info">Heads up!</span> When using beside strings of text, as in buttons or nav links, be sure to leave a space after the <code>&lt;i&gt;</code> tag for proper spacing.</p>\r\n</div>\r\n<div class="span4">\r\n<h3>Use cases</h3>\r\n<p>Icons are great, but where would one use them? Here are a few ideas:</p>\r\n<ul>\r\n<li>As visuals for your sidebar navigation</li>\r\n<li>For a purely icon-driven navigation</li>\r\n<li>For buttons to help convey the meaning of an action</li>\r\n<li>With links to share context on a user''s destination</li>\r\n</ul>\r\n<p>Essentially, anywhere you can put an <code>&lt;i&gt;</code> tag, you can put an icon.</p>\r\n</div>\r\n</div>\r\n<p>[space height="20"]</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="html" linenums="true" startnums="1"]<br />&lt;div class="row-fluid"&gt;<br /> &lt;div class="span3"&gt;<br /> &lt;ul class="the-icons"&gt;<br /> &lt;li&gt;&lt;i class="icon-glass"&gt;&amp;nbsp;&lt;/i&gt; icon-glass&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-music"&gt;&amp;nbsp;&lt;/i&gt; icon-music&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-search"&gt;&amp;nbsp;&lt;/i&gt; icon-search&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-envelope"&gt;&amp;nbsp;&lt;/i&gt; icon-envelope&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-heart"&gt;&amp;nbsp;&lt;/i&gt; icon-heart&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-star"&gt;&amp;nbsp;&lt;/i&gt; icon-star&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-star-empty"&gt;&amp;nbsp;&lt;/i&gt; icon-star-empty&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-user"&gt;&amp;nbsp;&lt;/i&gt; icon-user&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-film"&gt;&amp;nbsp;&lt;/i&gt; icon-film&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-th-large"&gt;&amp;nbsp;&lt;/i&gt; icon-th-large&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-th"&gt;&amp;nbsp;&lt;/i&gt; icon-th&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-th-list"&gt;&amp;nbsp;&lt;/i&gt; icon-th-list&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-ok"&gt;&amp;nbsp;&lt;/i&gt; icon-ok&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-remove"&gt;&amp;nbsp;&lt;/i&gt; icon-remove&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-zoom-in"&gt;&amp;nbsp;&lt;/i&gt; icon-zoom-in&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-zoom-out"&gt;&amp;nbsp;&lt;/i&gt; icon-zoom-out&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-off"&gt;&amp;nbsp;&lt;/i&gt; icon-off&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-signal"&gt;&amp;nbsp;&lt;/i&gt; icon-signal&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-cog"&gt;&amp;nbsp;&lt;/i&gt; icon-cog&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-trash"&gt;&amp;nbsp;&lt;/i&gt; icon-trash&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-home"&gt;&amp;nbsp;&lt;/i&gt; icon-home&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-file"&gt;&amp;nbsp;&lt;/i&gt; icon-file&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-time"&gt;&amp;nbsp;&lt;/i&gt; icon-time&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-road"&gt;&amp;nbsp;&lt;/i&gt; icon-road&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-download-alt"&gt;&amp;nbsp;&lt;/i&gt; icon-download-alt&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-download"&gt;&amp;nbsp;&lt;/i&gt; icon-download&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-upload"&gt;&amp;nbsp;&lt;/i&gt; icon-upload&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-inbox"&gt;&amp;nbsp;&lt;/i&gt; icon-inbox&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-play-circle"&gt;&amp;nbsp;&lt;/i&gt; icon-play-circle&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-repeat"&gt;&amp;nbsp;&lt;/i&gt; icon-repeat&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-refresh"&gt;&amp;nbsp;&lt;/i&gt; icon-refresh&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-list-alt"&gt;&amp;nbsp;&lt;/i&gt; icon-list-alt&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-lock"&gt;&amp;nbsp;&lt;/i&gt; icon-lock&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-flag"&gt;&amp;nbsp;&lt;/i&gt; icon-flag&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-headphones"&gt;&amp;nbsp;&lt;/i&gt; icon-headphones&lt;/li&gt;<br /> &lt;/ul&gt;<br /> &lt;/div&gt;<br /> &lt;div class="span3"&gt;<br /> &lt;ul class="the-icons"&gt;<br /> &lt;li&gt;&lt;i class="icon-volume-off"&gt;&amp;nbsp;&lt;/i&gt; icon-volume-off&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-volume-down"&gt;&amp;nbsp;&lt;/i&gt; icon-volume-down&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-volume-up"&gt;&amp;nbsp;&lt;/i&gt; icon-volume-up&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-qrcode"&gt;&amp;nbsp;&lt;/i&gt; icon-qrcode&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-barcode"&gt;&amp;nbsp;&lt;/i&gt; icon-barcode&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-tag"&gt;&amp;nbsp;&lt;/i&gt; icon-tag&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-tags"&gt;&amp;nbsp;&lt;/i&gt; icon-tags&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-book"&gt;&amp;nbsp;&lt;/i&gt; icon-book&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-bookmark"&gt;&amp;nbsp;&lt;/i&gt; icon-bookmark&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-print"&gt;&amp;nbsp;&lt;/i&gt; icon-print&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-camera"&gt;&amp;nbsp;&lt;/i&gt; icon-camera&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-font"&gt;&amp;nbsp;&lt;/i&gt; icon-font&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-bold"&gt;&amp;nbsp;&lt;/i&gt; icon-bold&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-italic"&gt;&amp;nbsp;&lt;/i&gt; icon-italic&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-text-height"&gt;&amp;nbsp;&lt;/i&gt; icon-text-height&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-text-width"&gt;&amp;nbsp;&lt;/i&gt; icon-text-width&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-align-left"&gt;&amp;nbsp;&lt;/i&gt; icon-align-left&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-align-center"&gt;&amp;nbsp;&lt;/i&gt; icon-align-center&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-align-right"&gt;&amp;nbsp;&lt;/i&gt; icon-align-right&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-align-justify"&gt;&amp;nbsp;&lt;/i&gt; icon-align-justify&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-list"&gt;&amp;nbsp;&lt;/i&gt; icon-list&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-indent-left"&gt;&amp;nbsp;&lt;/i&gt; icon-indent-left&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-indent-right"&gt;&amp;nbsp;&lt;/i&gt; icon-indent-right&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-facetime-video"&gt;&amp;nbsp;&lt;/i&gt; icon-facetime-video&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-picture"&gt;&amp;nbsp;&lt;/i&gt; icon-picture&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-pencil"&gt;&amp;nbsp;&lt;/i&gt; icon-pencil&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-map-marker"&gt;&amp;nbsp;&lt;/i&gt; icon-map-marker&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-adjust"&gt;&amp;nbsp;&lt;/i&gt; icon-adjust&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-tint"&gt;&amp;nbsp;&lt;/i&gt; icon-tint&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-edit"&gt;&amp;nbsp;&lt;/i&gt; icon-edit&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-share"&gt;&amp;nbsp;&lt;/i&gt; icon-share&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-check"&gt;&amp;nbsp;&lt;/i&gt; icon-check&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-move"&gt;&amp;nbsp;&lt;/i&gt; icon-move&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-step-backward"&gt;&amp;nbsp;&lt;/i&gt; icon-step-backward&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-fast-backward"&gt;&amp;nbsp;&lt;/i&gt; icon-fast-backward&lt;/li&gt;<br /> &lt;/ul&gt;<br /> &lt;/div&gt;<br /> &lt;div class="span3"&gt;<br /> &lt;ul class="the-icons"&gt;<br /> &lt;li&gt;&lt;i class="icon-backward"&gt;&amp;nbsp;&lt;/i&gt; icon-backward&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-play"&gt;&amp;nbsp;&lt;/i&gt; icon-play&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-pause"&gt;&amp;nbsp;&lt;/i&gt; icon-pause&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-stop"&gt;&amp;nbsp;&lt;/i&gt; icon-stop&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-forward"&gt;&amp;nbsp;&lt;/i&gt; icon-forward&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-fast-forward"&gt;&amp;nbsp;&lt;/i&gt; icon-fast-forward&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-step-forward"&gt;&amp;nbsp;&lt;/i&gt; icon-step-forward&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-eject"&gt;&amp;nbsp;&lt;/i&gt; icon-eject&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-chevron-left"&gt;&amp;nbsp;&lt;/i&gt; icon-chevron-left&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-chevron-right"&gt;&amp;nbsp;&lt;/i&gt; icon-chevron-right&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-plus-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-plus-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-minus-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-minus-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-remove-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-remove-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-ok-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-ok-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-question-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-question-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-info-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-info-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-screenshot"&gt;&amp;nbsp;&lt;/i&gt; icon-screenshot&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-remove-circle"&gt;&amp;nbsp;&lt;/i&gt; icon-remove-circle&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-ok-circle"&gt;&amp;nbsp;&lt;/i&gt; icon-ok-circle&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-ban-circle"&gt;&amp;nbsp;&lt;/i&gt; icon-ban-circle&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-arrow-left"&gt;&amp;nbsp;&lt;/i&gt; icon-arrow-left&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-arrow-right"&gt;&amp;nbsp;&lt;/i&gt; icon-arrow-right&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-arrow-up"&gt;&amp;nbsp;&lt;/i&gt; icon-arrow-up&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-arrow-down"&gt;&amp;nbsp;&lt;/i&gt; icon-arrow-down&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-share-alt"&gt;&amp;nbsp;&lt;/i&gt; icon-share-alt&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-resize-full"&gt;&amp;nbsp;&lt;/i&gt; icon-resize-full&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-resize-small"&gt;&amp;nbsp;&lt;/i&gt; icon-resize-small&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-plus"&gt;&amp;nbsp;&lt;/i&gt; icon-plus&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-minus"&gt;&amp;nbsp;&lt;/i&gt; icon-minus&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-asterisk"&gt;&amp;nbsp;&lt;/i&gt; icon-asterisk&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-exclamation-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-exclamation-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-gift"&gt;&amp;nbsp;&lt;/i&gt; icon-gift&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-leaf"&gt;&amp;nbsp;&lt;/i&gt; icon-leaf&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-fire"&gt;&amp;nbsp;&lt;/i&gt; icon-fire&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-eye-open"&gt;&amp;nbsp;&lt;/i&gt; icon-eye-open&lt;/li&gt;<br /> &lt;/ul&gt;<br /> &lt;/div&gt;<br /> &lt;div class="span3"&gt;<br /> &lt;ul class="the-icons"&gt;<br /> &lt;li&gt;&lt;i class="icon-eye-close"&gt;&amp;nbsp;&lt;/i&gt; icon-eye-close&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-warning-sign"&gt;&amp;nbsp;&lt;/i&gt; icon-warning-sign&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-plane"&gt;&amp;nbsp;&lt;/i&gt; icon-plane&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-calendar"&gt;&amp;nbsp;&lt;/i&gt; icon-calendar&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-random"&gt;&amp;nbsp;&lt;/i&gt; icon-random&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-comment"&gt;&amp;nbsp;&lt;/i&gt; icon-comment&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-magnet"&gt;&amp;nbsp;&lt;/i&gt; icon-magnet&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-chevron-up"&gt;&amp;nbsp;&lt;/i&gt; icon-chevron-up&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-chevron-down"&gt;&amp;nbsp;&lt;/i&gt; icon-chevron-down&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-retweet"&gt;&amp;nbsp;&lt;/i&gt; icon-retweet&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-shopping-cart"&gt;&amp;nbsp;&lt;/i&gt; icon-shopping-cart&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-folder-close"&gt;&amp;nbsp;&lt;/i&gt; icon-folder-close&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-folder-open"&gt;&amp;nbsp;&lt;/i&gt; icon-folder-open&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-resize-vertical"&gt;&amp;nbsp;&lt;/i&gt; icon-resize-vertical&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-resize-horizontal"&gt;&amp;nbsp;&lt;/i&gt; icon-resize-horizontal&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-hdd"&gt;&amp;nbsp;&lt;/i&gt; icon-hdd&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-bullhorn"&gt;&amp;nbsp;&lt;/i&gt; icon-bullhorn&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-bell"&gt;&amp;nbsp;&lt;/i&gt; icon-bell&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-certificate"&gt;&amp;nbsp;&lt;/i&gt; icon-certificate&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-thumbs-up"&gt;&amp;nbsp;&lt;/i&gt; icon-thumbs-up&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-thumbs-down"&gt;&amp;nbsp;&lt;/i&gt; icon-thumbs-down&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-hand-right"&gt;&amp;nbsp;&lt;/i&gt; icon-hand-right&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-hand-left"&gt;&amp;nbsp;&lt;/i&gt; icon-hand-left&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-hand-up"&gt;&amp;nbsp;&lt;/i&gt; icon-hand-up&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-hand-down"&gt;&amp;nbsp;&lt;/i&gt; icon-hand-down&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-circle-arrow-right"&gt;&amp;nbsp;&lt;/i&gt; icon-circle-arrow-right&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-circle-arrow-left"&gt;&amp;nbsp;&lt;/i&gt; icon-circle-arrow-left&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-circle-arrow-up"&gt;&amp;nbsp;&lt;/i&gt; icon-circle-arrow-up&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-circle-arrow-down"&gt;&amp;nbsp;&lt;/i&gt; icon-circle-arrow-down&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-globe"&gt;&amp;nbsp;&lt;/i&gt; icon-globe&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-wrench"&gt;&amp;nbsp;&lt;/i&gt; icon-wrench&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-tasks"&gt;&amp;nbsp;&lt;/i&gt; icon-tasks&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-filter"&gt;&amp;nbsp;&lt;/i&gt; icon-filter&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-briefcase"&gt;&amp;nbsp;&lt;/i&gt; icon-briefcase&lt;/li&gt;<br /> &lt;li&gt;&lt;i class="icon-fullscreen"&gt;&amp;nbsp;&lt;/i&gt; icon-fullscreen&lt;/li&gt;<br /> &lt;/ul&gt;<br /> &lt;/div&gt;<br /> &lt;/div&gt;[/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:16:03', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:16:03', '0000-00-00 00:00:00', 0, 1, 13, 0, 0, '', '', '', '', 4, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(14, 'Lightbox ', 'lightbox', 8, 1, '<p>[lightbox src=''images/slide/1.png'' width=''180'' height=''180'' lightbox=''on'' title=''ZooTemplate'' align=''left''] [lightbox src=''images/slide/2.png'' width=''180'' height=''180'' lightbox=''on'' title=''ZooTemplate'' align=''left''] [lightbox src=''images/slide/3.png'' width=''180'' height=''180'' lightbox=''on'' title=''ZooTemplate'' align=''left''] [lightbox src=''images/slide/4.png'' width=''180'' height=''180'' lightbox=''on'' title=''ZooTemplate'' align=''left''] [lightbox src=''images/slide/5.png'' width=''180'' height=''180'' lightbox=''on'' title=''ZooTemplate'' align=''left''] [lightbox src=''images/slide/6.png'' width=''180'' height=''180'' lightbox=''on'' title=''ZooTemplate'' align=''left''] [space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][lightbox src="IMAGE_SRC" width="IMAGE_WIDTH" height="IMAGE_HEIGHT" lightbox="on" title="IMAGE_TITLE" align="left"][/highlighter]<br/></p>', '', NULL, NULL, '[]', '', '2012-09-18 01:16:21', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:16:21', '0000-00-00 00:00:00', 0, 1, 14, 0, 0, '', '', '', '', 25, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(15, 'Dropcap', 'dropcap', 8, 1, '<p>[dropcap type=''square'' color=''#555555'' background=''#ACB5EF'']S[/dropcap]<br />ed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Curabitur blandit tempus porttitor.</p>\r\n<p>[dropcap type=''square'' color=''#ffffff'' background=''#555555'']S[/dropcap]<br />ed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Curabitur blandit tempus porttitor.</p>\r\n<p>[dropcap type=''square'' color=''#ef7f2c'' background='''']S[/dropcap]<br />ed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Curabitur blandit tempus porttitor.</p>\r\n<p>[dropcap type=''square'' color=''#ffffff'' background=''#ef7f2c'']S[/dropcap]<br />ed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Curabitur blandit tempus porttitor.</p>\r\n<p>[dropcap type=''square'' color=''#555555'' background='''']A[/dropcap]<br />am bibendum tincidunt turpis ut scelerisque. Nullam vehicula consectetur ligula, at aliquam elit tempus in. Pellentesque eleifend dignissim massa molestie molestie. Sed vel pharetra massa. Pellentesque molestie tempus nibh at congue. Donec lacinia elit sit amet lectus vestibulum dapibus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nunc ornare, nunc non tincidunt imperdiet, velit velit aliquam lacus, vel porttitor dui urna ut nisi.</p>\r\n<p>[dropcap type=''square'' color=''#ef7f2c'' background='''']L[/dropcap]<br />tiam mattis nisl vel metus cursus malesuada. Nam tincidunt, ipsum quis auctor imperdiet, nulla tortor sodales magna, nec viverra ligula turpis in libero. Aliquam erat volutpat. In erat erat, hendrerit nec rutrum non, viverra at augue. Curabitur ultrices, mi vel elementum imperdiet, quam eros bibendum quam, at dictum ligula nunc in felis.</p>\r\n<p>[dropcap type=''square'' color=''#ACB5EF'' background='''']F[/dropcap]<br />Maecenas non leo quis risus lobortis volutpat. Aliquam erat volutpat. Sed et ipsum ante. Sed quis nunc sem. Morbi non augue sit amet risus consequat lobortis in vitae mi. Nam fringilla nulla ac lacus hendrerit aliquet. In posuere faucibus ligula, ornare laoreet felis feugiat ut.</p>\r\n<p>[dropcap type=''square'' color=''#555555'' background=''#ACB5EF'']A[/dropcap]<br />Sed vitae nisl elit. In quis quam ut metus sollicitudin ullamcorper. Ut ut eleifend libero. Fusce pharetra, massa at malesuada mattis, augue risus semper massa, et faucibus augue tortor in metus. Nunc orci augue, hendrerit vitae luctus at, porta id nulla.</p>\r\n<p>[dropcap type=''square'' color=''#ffffff'' background=''#555555'']L[/dropcap]<br />In hendrerit dolor sed lectus mattis vehicula interdum metus malesuada. Sed in turpis massa. Etiam eget metus quis elit gravida luctus et quis nisi. Aenean nec massa leo. Pellentesque rhoncus consectetur neque. Nullam sagittis euismod risus et tempor. Fusce semper cursus nulla. Vestibulum dapibus suscipit luctus. In ultrices velit in mauris feugiat molestie. Fusce non nibh est, facilisis molestie lorem.</p>\r\n<p>[dropcap type=''square'' color=''#ffffff'' background=''#ef7f2c'']F[/dropcap]<br />Duis faucibus neque quis erat cursus vel laoreet nisi dictum. Nulla risus diam, aliquam sed tincidunt sed, gravida ut enim. Morbi nisi ante, tincidunt vel gravida at, condimentum suscipit nisi. In bibendum consectetur massa, ut ornare felis pretium at. Nulla sem metus, tempus scelerisque aliquet in, commodo nec est. Suspendisse lacinia odio id ante laoreet imperdiet. Suspendisse mi turpis, euismod a pharetra et, accumsan eget nisl. Suspendisse vitae purus blandit elit faucibus mollis ut eu ligula.</p>\r\n<p>[divider scroll_text="Go to top"]</p>\r\n<p>[space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][dropcap type="circle" color="#COLOR_CODE" background="#COLOR_CODE"]ADD_CONTENT_HERE[/dropcap][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:16:47', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:16:47', '0000-00-00 00:00:00', 0, 1, 15, 0, 0, '', '', '', '', 18, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(16, 'Columns', 'columns', 8, 1, '<p>[columns]<br />[column_item col="4"]</p>\r\n<h5>Column 1</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque habitant morbi tristique senectus et netus et malesuada fames.[/column_item]<br />[column_item col="4"]</p>\r\n<h5>Column 2</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque habitant morbi tristique senectus et netus et malesuada fames.[/column_item]<br />[column_item col="4"]</p>\r\n<h5>Column 3</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque habitant morbi tristique senectus et netus et malesuada fames.[/column_item]<br />[/columns]</p>\r\n<div style="clear: both; height: 1px;"> </div>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][columns]<br />[column_item col="4"]First[/column_item]<br />[column_item col="4"]Second[/column_item]<br />[column_item col="4"]Third[/column_item]<br />[/columns][/highlighter]</p>\r\n<p>[space height="20"]</p>\r\n<p>[columns]<br />[column_item col="3"]</p>\r\n<h5>Column 1</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. pharetra mattis vehicula a[/column_item]<br />[column_item col="3"]</p>\r\n<h5>Column 2</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. pharetra mattis vehicula a[/column_item]<br />[column_item col="3"]</p>\r\n<h5>Column 3</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. pharetra mattis vehicula a[/column_item]<br />[column_item col="3"]</p>\r\n<h5>Column 4</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. pharetra mattis vehicula a[/column_item]<br />[/columns]</p>\r\n<div style="clear: both; height: 1px;"> </div>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][columns]<br />[column_item col="3"]First[/column_item]<br />[column_item col="3"]Second[/column_item]<br />[column_item col="3"]Third[/column_item]<br />[column_item col="3"]Fourth[/column_item]<br />[/columns][/highlighter]</p>\r\n<p><br />[space height="20"]</p>\r\n<p>[columns]<br />[column_item col="8"]</p>\r\n<h5>Column 1</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed varius iaculis mattis. Praesent vulputate velit ut arcu fermentum et tristique est convallis. Duis pellentesque faucibus dapibus. In a augue justo.[/column_item]<br />[column_item col="4"]</p>\r\n<h5>Column 2</h5>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Duis pellentesque faucibus dapibus. In a augue justo nunc mauris est. [/column_item]<br />[/columns]</p>\r\n<div style="clear: both; height: 1px;"> </div>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][columns]<br />[column_item col="8"]First[/column_item]<br />[column_item col="4"]Second[/column_item]<br />[/columns][/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:17:04', 168, '', 0, '0000-00-00 00:00:00', '2012-10-04 02:01:36', 168, '2012-09-18 01:17:04', '0000-00-00 00:00:00', 0, 1, 16, 0, 0, '', '', '', '', 14, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(17, 'Buttons', 'buttons', 8, 1, '<table class="table table-bordered table-striped">\r\n<thead>\r\n<tr><th>Button</th><th>Type</th><th>Description</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td>[button]Default[/button]</td>\r\n<td> </td>\r\n<td>Standard gray button with gradient</td>\r\n</tr>\r\n<tr>\r\n<td>[button type="primary"]Primary[/button]</td>\r\n<td><code>primary</code></td>\r\n<td>Provides extra visual weight and identifies the primary action in a set of buttons</td>\r\n</tr>\r\n<tr>\r\n<td>[button type="info"]Info[/button]</td>\r\n<td><code>info</code></td>\r\n<td>Used as an alternative to the default styles</td>\r\n</tr>\r\n<tr>\r\n<td>[button type="success"]Success[/button]</td>\r\n<td><code>success</code></td>\r\n<td>Indicates a successful or positive action</td>\r\n</tr>\r\n<tr>\r\n<td>[button type="warning"]Warning[/button]</td>\r\n<td><code>warning</code></td>\r\n<td>Indicates caution should be taken with this action</td>\r\n</tr>\r\n<tr>\r\n<td>[button type="danger"]Danger[/button]</td>\r\n<td><code>danger</code></td>\r\n<td>Indicates a dangerous or potentially negative action</td>\r\n</tr>\r\n<tr>\r\n<td>[button type="inverse"]Inverse[/button]</td>\r\n<td><code>inverse</code></td>\r\n<td>Alternate dark gray button, not tied to a semantic action or use</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<p>[space height=''20'']</p>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][button]Default[/button]<br />[button type="primary"]Primary[/button]<br />[button type="info"]Info[/button]<br />[button type="success"]Success[/button]<br />[button type="warning"]Warning[/button]<br />[button type="danger"]Danger[/button]<br />[button type="inverse"]Inverse[/button]<br />[/highlighter]<br /><br /> [space height="20"]</p>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<h3>Buttons for actions</h3>\r\n<p>As a convention, buttons should only be used for actions while hyperlinks are to be used for objects. For instance, "Download" should be a button while "recent activity" should be a link.</p>\r\n<p>Button styles can be applied to anything with the <code>.btn</code> class applied. However, typically you''ll want to apply these to only <code>&lt;a&gt;</code> and <code>&lt;button&gt;</code> elements.</p>\r\n<h3>Cross browser compatibility</h3>\r\n<p>IE9 doesn''t crop background gradients on rounded corners, so we remove it. Related, IE9 jankifies disabled <code>button</code> elements, rendering text gray with a nasty text-shadow that we cannot fix.</p>\r\n</div>\r\n<div class="span4">\r\n<h3>Multiple sizes</h3>\r\n<p>Fancy larger or smaller buttons? Add <code>.btn-large</code>, <code>.btn-small</code>, or <code>.btn-mini</code> for two additional sizes.</p>\r\n<p><button class="btn btn-large btn-primary">Primary action</button> <button class="btn btn-large">Action</button></p>\r\n<p><button class="btn btn-small btn-primary">Primary action</button> <button class="btn btn-small">Action</button></p>\r\n<p><button class="btn btn-mini btn-primary">Primary action</button> <button class="btn btn-mini">Action</button></p>\r\n<br />\r\n<h3>Disabled state</h3>\r\n<p>For disabled buttons, add the <code>.disabled</code> class to links and the <code>disabled</code> attribute for <code>&lt;button&gt;</code> elements.</p>\r\n<p><a class="btn btn-large btn-primary disabled" href="#">Primary link</a> <a class="btn btn-large disabled" href="#">Link</a></p>\r\n<p style="margin-bottom: 18px;"><button class="btn btn-large btn-primary disabled" disabled="disabled">Primary button</button> <button class="btn btn-large" disabled="disabled">Button</button></p>\r\n<p><span class="label label-info">Heads up!</span> We use <code>.disabled</code> as a utility class here, similar to the common <code>.active</code> class, so no prefix is required.</p>\r\n</div>\r\n<div class="span4">\r\n<h3>One class, multiple tags</h3>\r\n<p>Use the <code>.btn</code> class on an <code>&lt;a&gt;</code>, <code>&lt;button&gt;</code>, or <code>&lt;input&gt;</code> element.</p>\r\n<form><a class="btn" href="http://zo2.zoodemo.com/">Link</a> <button class="btn" type="submit">Button</button> <input class="btn" type="button" value="Input" /> <input class="btn" type="submit" value="Submit" /></form>\r\n<pre class="prettyprint linenums">&lt;a class="btn" href=""&gt;Link&lt;/a&gt;\r\n&lt;button class="btn" type="submit"&gt;\r\n  Button\r\n&lt;/button&gt;\r\n&lt;input class="btn" type="button"\r\n         value="Input"&gt;\r\n&lt;input class="btn" type="submit"\r\n         value="Submit"&gt;\r\n</pre>\r\n<p>As a best practice, try to match the element for you context to ensure matching cross-browser rendering. If you have an <code>input</code>, use an <code>&lt;input type="submit"&gt;</code> for your button.</p>\r\n</div>\r\n</div>', '', NULL, NULL, '[]', '', '2012-09-18 01:17:20', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:17:20', '0000-00-00 00:00:00', 0, 1, 17, 0, 0, '', '', '', '', 5, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(18, 'Blockquote', 'blockquote', 8, 1, '<p>[quote align=''center'' color=''#999999'']Aenean eu leo quam. Pellentesque ornare sem lacinia quam.[/quote]</p>\r\n<p>Ut magna diam, condimentum nec vulputate eget, blandit condimentum ligula. Nunc sagittis molestie nulla, et fringilla est adipiscing at. Proin aliquet sapien ut justo viverra at interdum risus posuere. Integer hendrerit nisi dignissim nibh mattis accumsan. Integer sit amet augue vitae diam lobortis commodo vel et odio. Aliquam hendrerit, quam vitae aliquam blandit, diam ipsum tincidunt arcu, ac varius turpis nisi eu libero. Nunc ac ante mauris. Morbi at libero non tellus rhoncus scelerisque at vitae est. Praesent sed felis risus. Proin tristique, mi id semper pulvinar, leo orci iaculis urna, sed ultricies turpis sem a purus. Integer mattis elit sit amet erat varius sit amet accumsan orci eleifend. Duis tristique est et felis ultricies sit amet interdum lacus adipiscing. Sed quam mi, sagittis sed tincidunt at, mattis sed orci. Sed egestas turpis a nibh suscipit cursus. Vivamus sagittis sapien eu justo rutrum in auctor nibh blandit</p>\r\n<p>[quote align=''left'' color=''#999999'']Aenean eu leo quam. Pellentesque ornare sem lacinia quam.[/quote]</p>\r\n<p>Ut magna diam, condimentum nec vulputate eget, blandit condimentum ligula. Nunc sagittis molestie nulla, et fringilla est adipiscing at. Proin aliquet sapien ut justo viverra at interdum risus posuere. Integer hendrerit nisi dignissim nibh mattis accumsan. Integer sit amet augue vitae diam lobortis commodo vel et odio. Aliquam hendrerit, quam vitae aliquam blandit, diam ipsum tincidunt arcu, ac varius turpis nisi eu libero. Nunc ac ante mauris. Morbi at libero non tellus rhoncus scelerisque at vitae est. Praesent sed felis risus. Proin tristique, mi id semper pulvinar, leo orci iaculis urna, sed ultricies turpis sem a purus. Integer mattis elit sit amet erat varius sit amet accumsan orci eleifend. Duis tristique est et felis ultricies sit amet interdum lacus adipiscing. Sed quam mi, sagittis sed tincidunt at, mattis sed orci. Sed egestas turpis a nibh suscipit cursus. Vivamus sagittis sapien eu justo rutrum in auctor nibh blandit</p>\r\n<p>[quote align=''right'' color=''#999999'']Aenean eu leo quam. Pellentesque ornare sem lacinia quam.[/quote]</p>\r\n<p>Ut magna diam, condimentum nec vulputate eget, blandit condimentum ligula. Nunc sagittis molestie nulla, et fringilla est adipiscing at. Proin aliquet sapien ut justo viverra at interdum risus posuere. Integer hendrerit nisi dignissim nibh mattis accumsan. Integer sit amet augue vitae diam lobortis commodo vel et odio. Aliquam hendrerit, quam vitae aliquam blandit, diam ipsum tincidunt arcu, ac varius turpis nisi eu libero. Nunc ac ante mauris. Morbi at libero non tellus rhoncus scelerisque at vitae est. Praesent sed felis risus. Proin tristique, mi id semper pulvinar, leo orci iaculis urna, sed ultricies turpis sem a purus. Integer mattis elit sit amet erat varius sit amet accumsan orci eleifend. Duis tristique est et felis ultricies sit amet interdum lacus adipiscing. Sed quam mi, sagittis sed tincidunt at, mattis sed orci. Sed egestas turpis a nibh suscipit cursus. Vivamus sagittis sapien eu justo rutrum in auctor nibh blandit</p>\r\n<p>[space height=''20'']</p>\r\n<h3>Get the code</h3>\r\n[highlighter lang="js" linenums="true" startnums="1"][quote align="center" color="#999999"]ADD_CONTENT_HERE[/quote][/highlighter]<br/>', '', NULL, NULL, '[]', '', '2012-09-18 01:17:37', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:17:37', '0000-00-00 00:00:00', 0, 1, 18, 0, 0, '', '', '', '', 21, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(19, 'Accordion', 'accordion', 8, 1, '<p>[accordion]<br /> [acc_item title="Donec neque metus"]Sed ac rhoncus purus. Mauris mattis vestibulum posuere. Phasellus ut justo nec est adipiscing tristique. Integer tristique, arcu a tempor vulputate, nulla est viverra tellus, vel euismod lacus nibh non neque. Nulla et metus nibh, ut feugiat nunc. Donec ultrices placerat enim, nec rhoncus eros consequat quis.[/acc_item]<br /> [acc_item title="Nullam mattis ipsum"]Sed ac rhoncus purus. Mauris mattis vestibulum posuere. Phasellus ut justo nec est adipiscing tristique. Integer tristique, arcu a tempor vulputate, nulla est viverra tellus, vel euismod lacus nibh non neque. Nulla et metus nibh, ut feugiat nunc. Donec ultrices placerat enim, nec rhoncus eros consequat quis.[/acc_item]<br /> [acc_item title="Nam vehicula"]Sed ac rhoncus purus. Mauris mattis vestibulum posuere. Phasellus ut justo nec est adipiscing tristique. Integer tristique, arcu a tempor vulputate, nulla est viverra tellus, vel euismod lacus nibh non neque. Nulla et metus nibh, ut feugiat nunc. Donec ultrices placerat enim, nec rhoncus eros consequat quis.[/acc_item]<br /> [/accordion]<br /><br /></p>\r\n<h3>Get the code</h3>\r\n<p>[highlighter lang="js" linenums="true" startnums="1"][accordion]<br />[acc_item title="ITEM_TITLE"]ADD_CONTENT_HERE[/acc_item]<br />[acc_item title="ITEM_TITLE"]ADD_CONTENT_HERE[/acc_item]<br />[acc_item title="ITEM_TITLE"]ADD_CONTENT_HERE[/acc_item]<br />[/accordion]<br />[/highlighter]</p>', '', NULL, NULL, '[]', '', '2012-09-18 01:17:54', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:17:54', '0000-00-00 00:00:00', 0, 1, 19, 0, 0, '', '', '', '', 6, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(20, 'Typography', 'typography', 8, 1, '<div id="typhography" class="clearfix">\r\n	<div class="zt-typo-boxes clearfix">\r\n		<p class="zt-typo-des">It is possible with templates which have a typography page to show you how you can use e.g. headline tags in order to structure your content in a better way. Below, we present rebuilt and refreshed typographical aspects of Gavern Framework. In order to use it, you have to use a plug in which is delivered in a package with a template or use HTML code.</p>\r\n	</div>\r\n	<!--Heading Styles-->\r\n	<div class="zt-typo-boxes clearfix">\r\n		<p id="heading-styles" class="zt-typo-title heading-styles">Heading Styles</p>\r\n		<div class="zt-typo-boxes-inside clearfix">	\r\n			<div class="zt-typo-row clearfix">\r\n				<div class="zt-typo-col zt-typo-col1">\r\n					<div class="zt-typo-inside">\r\n						<h1>This is Heading 1</h1>\r\n						<div class="zt-typo-col-des">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer semper egestas nunc in volutpat. Fusce adipiscing velit ac eros tempor iaculis. Phasellus venenatis mollis augue, non posuere odio placerat in. Etiam volutpat ultrices lectus</div>\r\n					</div>\r\n				</div>\r\n				<div class="zt-typo-col zt-typo-col2">\r\n					<div class="zt-typo-inside">\r\n						<h2>This is Heading 2</h2>\r\n						<div class="zt-typo-col-des">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer semper egestas nunc in volutpat. Fusce adipiscing velit ac eros tempor iaculis. Phasellus venenatis mollis augue, non posuere odio placerat in. Etiam volutpat ultrices lectus</div>\r\n					</div>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-row clearfix">\r\n				<div class="zt-typo-col zt-typo-col1">\r\n					<div class="zt-typo-inside">\r\n						<h3>This is Heading 3</h3>\r\n						<div class="zt-typo-col-des">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer semper egestas nunc in volutpat. Fusce adipiscing velit ac eros tempor iaculis. Phasellus venenatis mollis augue, non posuere odio placerat in. Etiam volutpat ultrices lectus</div>\r\n					</div>\r\n				</div>\r\n				<div class="zt-typo-col zt-typo-col2">\r\n					<div class="zt-typo-inside">\r\n						<h4>This is Heading 4</h4>\r\n						<div class="zt-typo-col-des">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer semper egestas nunc in volutpat. Fusce adipiscing velit ac eros tempor iaculis. Phasellus venenatis mollis augue, non posuere odio placerat in. Etiam volutpat ultrices lectus</div>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="clearfix"></div>\r\n	</div>\r\n	<!--Pre Code Styles-->\r\n	<div class="zt-typo-boxes clearfix">\r\n		<p class="zt-typo-title">Pre Code Styles</p>\r\n		<div class="zt-typo-boxes-inside clearfix">	\r\n			<p>Below is a sample of &lt;pre&gt; or &lt;div class="code"&gt;</p>\r\n			<div class="zt-typo-col zt-typo-col1">\r\n				<div class="zt-typo-inside">\r\n					<pre class="orange">#zt-body {<br /> width: 180px;<br /> float: right;<br /> color: #EEEEEE;<br />}</pre>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-col zt-typo-col2">\r\n				<div class="zt-typo-inside">\r\n					<pre class="blue">#zt-body {<br /> width: 180px;<br /> float: right;<br /> color: #EEEEEE;<br />}</pre>										\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="clearfix"></div>\r\n	</div>\r\n	<!--Highlights-->\r\n	<div class="zt-typo-boxes clearfix">\r\n		<p class="zt-typo-title">Highlights</p>\r\n		<div class="zt-typo-boxes-inside clearfix">	\r\n			<div class="zt-typo-row clearfix">\r\n				<div class="zt-typo-col zt-typo-col1">\r\n					<div class="zt-typo-inside">\r\n						<p class="t-highlight">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n						<p class="t-highlight">This is a  <span class="highlight">highlight phrase</span>.</p>\r\n						<p class="t-highlight code-hightlight">Use <em>&lt;span class="<strong>highlight</strong>"&gt;Your highlight phrase goes here!&lt;/span&gt;.</em></p>\r\n					</div>\r\n				</div>\r\n				<div class="zt-typo-col zt-typo-col2">\r\n					<div class="zt-typo-inside">\r\n						<p class="t-highlight">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n						<p class="t-highlight">This is a  <span class="highlight1">highlight phrase</span>.</p>\r\n						<p class="t-highlight code-hightlight">Use <em>&lt;span class="<strong>highlight1</strong>"&gt;Your highlight phrase goes here!&lt;/span&gt;.</em></p>\r\n					</div>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-row clearfix">\r\n				<div class="zt-typo-col zt-typo-col1">\r\n					<div class="zt-typo-inside">\r\n						<p class="t-highlight">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n						<p class="t-highlight">This is a  <span class="highlight2">highlight phrase</span>.</p> \r\n						<p class="t-highlight code-hightlight">Use <em>&lt;span class="<strong>highlight2</strong>"&gt;Your highlight phrase goes here!&lt;/span&gt;.</em></p>\r\n					</div>\r\n				</div>\r\n				<div class="zt-typo-col zt-typo-col2">\r\n					<div class="zt-typo-inside">\r\n						<p class="t-highlight">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n						<p class="t-highlight">This is a  <span class="highlight3">highlight phrase</span>.	</p>\r\n						<p class="t-highlight code-hightlight">Use <em>&lt;span class="<strong>highlight3</strong>"&gt;Your highlight phrase goes here!&lt;/span&gt;.</em></p>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="clearfix"></div>\r\n	</div>\r\n	<!--Icon set 1-->\r\n	<div class="zt-typo-boxes clearfix">\r\n		<p class="zt-typo-title">Icon set 1</p>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon1">\r\n						<span class="t-set">This is a sample icon1 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon1"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon2">\r\n						<span class="t-set">This is a sample icon2 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon2"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon3">\r\n						<span class="t-set">This is a sample icon3 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon3"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon4">\r\n						<span class="t-set">This is a sample icon4 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon4"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon5">\r\n						<span class="t-set">This is a sample icon5 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon5"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon6">\r\n						<span class="t-set">This is a sample icon6 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon6"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon7">\r\n						<span class="t-set">This is a sample icon7 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon7"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon8">\r\n						<span class="t-set">This is a sample icon8 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon8"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon9">\r\n						<span class="t-set">This is a sample icon9 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon9"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon10">\r\n						<span class="t-set">This is a sample icon10 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon10"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon11">\r\n						<span class="t-set">This is a sample icon11 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon11"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon12">\r\n						<span class="t-set">This is a sample icon12 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon12"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon13">\r\n						<span class="t-set">This is a sample icon13 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon13"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon14">\r\n						<span class="t-set">This is a sample icon14 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon14"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon15">\r\n						<span class="t-set">This is a sample icon15 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon15"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon16">\r\n						<span class="t-set">This is a sample icon16 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon16"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon17">\r\n						<span class="t-set">This is a sample icon17 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon17"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon18">\r\n						<span class="t-set">This is a sample icon18 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon18"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon19">\r\n						<span class="t-set">This is a sample icon19 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon19"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon20">\r\n						<span class="t-set">This is a sample icon20 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon20"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon21">\r\n						<span class="t-set">This is a sample icon21 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon21"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon22">\r\n						<span class="t-set">This is a sample icon22 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon22"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon23">\r\n						<span class="t-set">This is a sample icon23 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon23"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon24">\r\n						<span class="t-set">This is a sample icon24 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon24"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon25">\r\n						<span class="t-set">This is a sample icon25 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon25"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon26">\r\n						<span class="t-set">This is a sample icon26 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon26"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon27">\r\n						<span class="t-set">This is a sample icon27 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon27"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="zt-typo-icon-row clearfix">\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon28">\r\n						<span class="t-set">This is a sample icon28 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon28"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon29">\r\n						<span class="t-set">This is a sample icon29 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon29"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="zt-typo-set">\r\n				<div class="zt-typo-set-inside">\r\n					<p class="icon-set icon30">\r\n						<span class="t-set">This is a sample icon30 documents</span>\r\n						<span class="t-setcode">Use &lt;p class="icon30"&gt;Your message goes here!&lt;/p&gt;.</span>\r\n					</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="clearfix"></div>\r\n	</div>\r\n	<!--Pre Code Styles-->\r\n	<div class="zt-typo-boxes clearfix">\r\n		<p class="zt-typo-title">Unordered lists</p>\r\n		<div class="unordered">\r\n			<div class="unordered-inside">\r\n				<ul class="unordered-list list1">\r\n					<li class="bullet1">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet2">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet3">Lorem ipsum dolor sit amet.</li>\r\n				</ul>												\r\n			</div>\r\n		</div>\r\n		<div class="unordered">\r\n			<div class="unordered-inside">\r\n				<ul class="unordered-list list2">\r\n					<li class="bullet1">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet2">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet3">Lorem ipsum dolor sit amet.</li>\r\n				</ul>												\r\n			</div>\r\n		</div>\r\n		<div class="unordered">\r\n			<div class="unordered-inside">\r\n				<ul class="unordered-list list3">\r\n					<li class="bullet1">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet2">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet3">Lorem ipsum dolor sit amet.</li>\r\n				</ul>												\r\n			</div>\r\n		</div>\r\n		<div class="unordered">\r\n			<div class="unordered-inside">\r\n				<ul class="unordered-list list4">\r\n					<li class="bullet1">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet2">Lorem ipsum dolor sit amet.</li>\r\n					<li class="bullet3">Lorem ipsum dolor sit amet.</li>\r\n				</ul>												\r\n			</div>\r\n		</div>\r\n		<div class="clearfix"></div>\r\n	</div>\r\n	<!--Pre Code Styles-->\r\n	<div class="zt-typo-boxes2 clearfix">\r\n		<p class="zt-typo-title">Warnings</p>\r\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer semper egestas nunc in volutpat. Fusce adipiscing velit ac eros tempor iaculis. Phasellus venenatis mollis augue, non posuere odio placerat in. Etiam volutpat ultrices lectus.</p>\r\n		<div class="zt-typo-boxes-inside clearfix">	\r\n			<p class="zt-box-info">This is a sample clip note. Use <strong>&lt;p class="box-info"&gt;Your clip note goes here!</strong>&lt;/p&gt; to form a clip note!</p>\r\n			<p class="zt-box-warning">This is a sample clip note. Use <strong>&lt;p class="box-warning"&gt;Your clip note goes here!</strong>&lt;/p&gt; to form a clip note!</p>\r\n			<p class="zt-box-stickynote">This is a sample clip note. Use <strong>&lt;p class="box-stickynote"&gt;Your clip note goes here!</strong>&lt;/p&gt; to form a clip note!</p>\r\n			<p class="zt-box-upload">This is a sample clip note. Use <strong>&lt;p class="box-upload"&gt;Your clip note goes here!</strong>&lt;/p&gt; to form a clip note!</p>\r\n			<p class="zt-box-download">This is a sample clip note. Use <strong>&lt;p class="box-download"&gt;Your clip note goes here!</strong>&lt;/p&gt; to form a clip note!</p>\r\n		</div>\r\n		<div class="clearfix"></div>\r\n	</div>\r\n</div>', '', NULL, NULL, '[]', '', '2012-09-18 01:18:12', 168, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2012-09-18 01:18:12', '0000-00-00 00:00:00', 0, 1, 20, 0, 0, '', '', '', '', 71, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(21, 'The Avengers behind the scenes', 'the-avengers-behind-the-scenes', 2, 1, '<p>\r\nVestibulum pretium massa vel dui sollicitudin aliquam gravida nisi iaculis. Nam turpis justo, lacinia et lacinia sed, vulputate aliquet elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras erat quam, ultricies ut gravida a, suscipit sed massa. Nulla scelerisque porttitor ligula, ut hendrerit purus mattis ac. Mauris euismod lacinia turpis quis lacinia. Morbi porttitor cursus nulla, et dapibus nibh interdum a. Aliquam blandit nibh id felis commodo lacinia. Sed venenatis, lorem ut elementum dignissim, mi enim ullamcorper sapien, a bibendum metus mauris et felis. Duis in auctor odio. Cras placerat risus sit amet diam sagittis faucibus.\r\n</p>\r\n', '\r\n<p>\r\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vivamus tempus auctor erat, vitae laoreet elit luctus eu. Duis non enim odio. Nam eget fringilla orci. Sed ut elit id elit varius scelerisque at ut augue. Sed cursus ullamcorper pellentesque. Duis tempus nibh ut sem venenatis malesuada molestie nunc dapibus. Sed id ipsum nisi, in consequat augue.\r\n</p>\r\n\r\n<p>\r\nPellentesque magna tellus, ultrices sed feugiat nec, posuere sed velit. Vivamus facilisis sodales convallis. Quisque euismod turpis sed velit eleifend vehicula. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi posuere blandit congue. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus dignissim, justo sit amet sagittis volutpat, massa risus convallis dui, nec facilisis felis est eget ligula. Nunc eu mi nec augue pellentesque condimentum. Etiam nec leo neque. Suspendisse aliquet fermentum dui et tincidunt. Cras in orci a ipsum blandit semper. Phasellus vitae dolor eu mauris laoreet dictum nec non enim. Maecenas rutrum tortor venenatis neque lacinia quis sagittis dui rhoncus. Etiam metus massa, porta eget volutpat eget, accumsan sed enim.\r\n</p>\r\n\r\n<p>\r\nCurabitur dictum mi augue, vel accumsan lacus. Cras pellentesque neque nunc, sed mollis magna. Aliquam sagittis nisl sed odio elementum id malesuada sapien tempor. Cras nisl nunc, vehicula a semper a, tristique eu dui. Curabitur arcu mauris, blandit at tincidunt sit amet, tempor sed urna. Curabitur sed metus vel nibh blandit lobortis. Maecenas ligula nisi, suscipit vel suscipit eu, interdum eu tortor. Pellentesque sapien velit, hendrerit sed malesuada et, posuere et sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse potenti.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:01:05', 168, '', 0, '0000-00-00 00:00:00', '2012-10-11 02:59:47', 168, '2012-09-18 02:01:05', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(22, 'Taylor Swift parodied in Winnipeg radio station', 'taylor-swift-parodied-in-winnipeg-radio-station', 2, 1, '<p>\r\nPhasellus egestas pretium elementum. Morbi tortor leo, laoreet at venenatis vitae, consectetur sit amet neque. Praesent dolor nunc, congue quis ornare sit amet, tincidunt ut eros. Morbi bibendum congue enim, vitae rhoncus elit rutrum fringilla. Cras ac eros ut lectus porttitor mollis. Sed eu massa lectus, non vulputate felis. Integer eu vehicula velit. Aenean ac nunc a nulla feugiat tincidunt ac ut ante. Sed lobortis fringilla feugiat. Vestibulum at urna a tellus volutpat semper. Nam faucibus tempor cursus. Quisque laoreet, nisl quis tincidunt lobortis, justo urna pretium ante, ut egestas risus eros et sapien. Donec sit amet ligula sed massa condimentum facilisis sed vitae felis.\r\n</p>\r\n', '\r\n<p>\r\nEtiam porta aliquam enim ac sollicitudin. Duis lobortis varius augue, sit amet hendrerit ipsum laoreet volutpat. Phasellus in felis ac lorem rutrum consequat. Sed eu orci non sem scelerisque auctor ut ac neque. In laoreet rutrum velit vel fringilla. Nunc mattis quam sit amet diam porta aliquam. Nulla facilisi. Ut et vulputate elit. Fusce ac diam elit.\r\n</p>\r\n\r\n<p>\r\nIn vel dolor augue. Phasellus lobortis porta blandit. Nunc mattis bibendum consequat. Ut massa mi, adipiscing sed molestie in, viverra sed mi. Aliquam semper sagittis est in posuere. Duis sed rutrum odio. Duis eu mauris vel lectus volutpat ornare sit amet non urna.\r\n</p>\r\n\r\n<p>\r\nDonec mollis, lectus in aliquam porttitor, dolor nunc vehicula massa, eget rhoncus leo tortor a diam. Sed convallis, purus in rutrum bibendum, tellus risus consequat ante, non vestibulum lacus orci in mi. Vivamus eros turpis, malesuada at consectetur vel, lacinia ac lorem. Mauris non nisi vitae velit viverra rhoncus. Morbi non libero ac purus malesuada porttitor varius ut ipsum. Pellentesque ipsum tellus, dictum eleifend ullamcorper at, ultricies id diam. Donec consectetur, quam at pharetra lobortis, lacus est pellentesque tortor, eget pharetra leo odio a lacus.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:25:06', 168, '', 0, '0000-00-00 00:00:00', '2012-10-11 03:00:03', 168, '2012-09-18 02:25:06', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(23, '7 Great Books That Inspired The Hunger Games', '7-great-books-that-inspired-the-hunger-games', 2, 1, '<p>\r\nVivamus feugiat, nibh sit amet tincidunt sagittis, turpis ligula pellentesque est, facilisis consequat lacus justo vitae orci. In cursus, urna non rutrum sagittis, augue lorem imperdiet libero, eu vulputate tortor augue et odio. Curabitur auctor faucibus eros at venenatis. Duis mauris risus, ultricies eu lacinia eget, vulputate et lacus. Maecenas nibh eros, pretium a posuere vitae, egestas ut neque. Curabitur gravida condimentum metus, ac cursus justo luctus ut. Cras diam sem, aliquet ut ultrices id, fermentum eget elit.\r\n</p>\r\n', '\r\n<p>\r\nNam sollicitudin diam at lacus feugiat rhoncus a quis erat. Aenean enim augue, accumsan non sollicitudin ut, placerat a magna. Curabitur iaculis rutrum justo, id aliquam enim auctor a. Donec cursus consequat faucibus. Ut mauris lorem, lacinia tempor eleifend eu, consectetur sit amet massa. Maecenas eros sapien, auctor nec tempus sit amet, malesuada eget lacus. Nullam vulputate, lectus iaculis varius vestibulum, sem lacus congue nulla, eget ultrices erat nunc et lacus. Maecenas sed blandit mauris. Mauris sed ligula vitae metus viverra luctus. Nunc eleifend turpis id massa tempus id ultricies justo semper. Suspendisse dapibus mauris sit amet est ultricies vel porttitor lectus eleifend. Sed eu eros in nisi rutrum sollicitudin.\r\n</p>\r\n\r\n<p>\r\nPraesent dictum, tellus sed pharetra tincidunt, massa purus cursus turpis, eu cursus nisi enim quis elit. Phasellus et diam libero, vitae egestas felis. Morbi varius posuere imperdiet. Aenean quis lectus et orci rhoncus dictum eget quis nisl. Aliquam tincidunt, lectus nec aliquet sagittis, leo lacus consectetur dui, sed placerat enim dui sit amet massa. Vivamus bibendum dictum augue non tincidunt. Sed eget ornare tortor. Cras congue placerat mi, sed commodo neque venenatis eu. Nunc faucibus convallis tristique. Morbi rhoncus dolor id justo tincidunt commodo nec sit amet tortor. Nullam eget lorem nunc, eu varius eros. Praesent tempus enim ac mi viverra venenatis.\r\n</p>\r\n\r\n<p>\r\nDonec ac urna tortor. Sed nisl lacus, interdum in lobortis sit amet, fermentum eget felis. Aliquam in varius justo. In consequat consectetur ipsum sed laoreet. Duis eu augue felis. Donec rhoncus, nisi vel pharetra congue, turpis metus fringilla sem, et sodales sapien enim et arcu. Suspendisse egestas, mi eu adipiscing ultricies, tortor enim venenatis ante, nec consequat nibh libero et dui. Praesent quis eros ut elit molestie eleifend. Vivamus sollicitudin aliquam purus, at vulputate sapien vulputate non. Nam eros odio, congue vel congue at, elementum nec est.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:26:58', 168, '', 0, '0000-00-00 00:00:00', '2012-10-11 03:00:21', 168, '2012-09-18 02:26:58', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(24, 'Katy Perry is feline peculiar in hilarious photo blog', 'katy-perry-is-feline-peculiar-in-hilarious-photo-blog', 2, 1, '<p>\r\nMorbi mauris neque, molestie nec volutpat quis, euismod id nibh. In sollicitudin, mauris id sodales molestie, velit purus elementum mauris, eget commodo libero sem at orci. Cras vestibulum feugiat magna, feugiat scelerisque neque tempor sed. Aliquam erat volutpat. Phasellus quam lectus, pellentesque quis condimentum cursus, adipiscing dignissim massa. Nunc a felis ac erat accumsan pulvinar. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque eget convallis ipsum. Sed eleifend mi nec est elementum ac vestibulum nisl adipiscing. Morbi id ultricies leo. Nunc in nibh massa, sit amet rutrum sapien. Nunc ornare justo eget mauris egestas in elementum leo vehicula. Aenean quis lacus lectus. Fusce lacinia diam non mauris gravida fermentum. Mauris quis tellus lorem, at mattis nunc. Quisque a orci ac mauris laoreet ornare.\r\n</p>\r\n', '\r\n<p>\r\nPraesent consequat ligula sit amet enim feugiat eget auctor felis commodo. Donec nulla urna, ullamcorper ac molestie ac, mattis sed massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce sapien magna, scelerisque a malesuada sit amet, consequat nec felis. Vivamus eu tortor in turpis molestie congue. Integer in justo nulla. Pellentesque quis urna sem. Nam vulputate, velit id blandit ultricies, leo dolor consectetur quam, in ornare nunc lectus accumsan metus.\r\n</p>\r\n\r\n<p>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean eget libero lacus, in hendrerit eros. Aenean a mauris vel enim suscipit venenatis vitae eget augue. Ut molestie, nulla at vulputate consequat, ligula arcu eleifend elit, in volutpat justo leo vel tortor. Nulla interdum condimentum neque quis aliquam. Nam sed odio nulla. Ut sodales feugiat accumsan. Donec elementum lectus quis magna dignissim commodo. Integer rhoncus dictum metus id dapibus. Nunc eu sem ac ante faucibus egestas in at felis. Suspendisse quis diam in dui luctus aliquam luctus et felis. Vestibulum bibendum posuere mauris ac tempus. Nullam a quam vitae lacus fermentum placerat sed accumsan neque. Ut sapien velit, sodales adipiscing bibendum eget, dignissim vel orci.\r\n</p>\r\n\r\n<p>\r\nCras pellentesque malesuada tempor. Quisque at ipsum enim. Integer tempor convallis elementum. Nulla facilisis, eros id ultrices aliquam, libero neque interdum lacus, eu lobortis urna nisl auctor purus. Proin in magna sed arcu fringilla imperdiet sed nec arcu. Quisque quis tortor pulvinar nunc eleifend dignissim. Donec imperdiet risus nec neque condimentum eleifend.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:28:29', 168, '', 0, '0000-00-00 00:00:00', '2012-10-11 03:00:33', 168, '2012-09-18 02:28:29', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 109, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(25, 'Hot Guitarists at American Music Festival', 'hot-guitarists-at-american-music-festival', 2, 1, '<p>\r\nDonec id massa nulla, vel tempus felis. Morbi sagittis urna eget elit sollicitudin tempus euismod justo pharetra. Quisque ultricies mauris nec risus tristique vel auctor massa adipiscing. Ut sodales porta cursus. Nulla consectetur bibendum pretium. Mauris ultrices ultrices velit non vestibulum. Etiam venenatis libero ut diam porta at dictum ligula lacinia. Aliquam mollis lacus eu mauris porttitor in faucibus justo condimentum. Donec quis arcu felis. Duis porta justo nec lorem interdum egestas.\r\n</p>\r\n', '\r\n<p>\r\nFusce dapibus orci ac sapien porttitor eu aliquet diam lobortis. Vivamus auctor aliquet lacus quis iaculis. Morbi at nunc sed nibh tincidunt condimentum. Curabitur a enim est. Pellentesque iaculis nulla eget massa auctor gravida. Donec et odio eros, ac varius quam. Morbi volutpat tempus justo vel lacinia. Maecenas ac ipsum et enim aliquet pellentesque. Nam lacinia ante at dui sodales lacinia. Aliquam augue enim, mattis non iaculis sit amet, congue eu eros. Sed lacinia ornare laoreet. Etiam sit amet sem nec nisi rhoncus malesuada a at libero. In arcu leo, bibendum eu ornare lacinia, pretium non erat. Donec suscipit scelerisque diam vitae vestibulum. Vivamus ut ligula mi.\r\n</p>\r\n\r\n<p>\r\nSed consequat sem quis nulla euismod nec convallis justo dignissim. Maecenas elit dolor, faucibus id tempor ut, commodo ac mi. Nulla molestie rhoncus euismod. Duis lectus ante, vehicula ut posuere id, imperdiet et lectus. Phasellus at cursus velit. Vestibulum ipsum lacus, mollis eget ullamcorper a, ultrices eget nulla. Morbi malesuada, nibh sed volutpat porttitor, dolor mi mattis metus, sit amet mattis velit elit eu purus. Suspendisse dapibus neque ut sem tempus porta. Nunc iaculis nisl ac diam congue vulputate. Vestibulum molestie augue nec diam tempus dignissim. Fusce dignissim dignissim erat, ut imperdiet mi congue eu. Mauris pretium, diam in molestie convallis, augue sem lacinia elit, sodales egestas velit enim vel est. Donec erat purus, ultricies nec venenatis vel, volutpat sit amet metus.\r\n</p>\r\n\r\n<p>\r\nMauris nec est non lorem congue facilisis. Curabitur mattis tellus at turpis mattis dictum. Donec luctus eleifend velit, vel pharetra dolor hendrerit a. Fusce magna est, sodales quis consectetur non, mollis tempus elit. Ut turpis ante, consectetur non sollicitudin vitae, cursus sed justo. Etiam consequat facilisis mauris sit amet egestas. Praesent a risus metus, nec ultricies urna. Vivamus eget porttitor orci. Suspendisse potenti.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:46:09', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:15:17', 168, '2012-09-18 02:46:09', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 55, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(26, 'Discussion on local modernist architecture', 'discussion-on-local-modernist-architecture', 3, 1, '<p>\r\nDuis gravida ornare ante, in adipiscing ipsum convallis id. Fusce non justo orci, sit amet semper felis. Duis ornare, magna sed ultrices iaculis, mauris ipsum sollicitudin tellus, ac semper nisl nisi consequat est. Suspendisse laoreet augue non enim fringilla blandit. Etiam et mattis nisi. Maecenas eget orci in diam rhoncus faucibus. Fusce hendrerit dui dui. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Curabitur lacinia tortor sed metus aliquet vel porttitor sem accumsan. Phasellus mauris diam, gravida id sollicitudin et, euismod a eros.\r\n</p>\r\n', '\r\n<p>\r\nProin vel neque tincidunt tellus molestie semper sed non magna. Fusce ac pretium augue. Pellentesque porta consectetur purus, sit amet dapibus justo interdum quis. Quisque mollis malesuada arcu ac aliquet. Vestibulum sodales sollicitudin libero. Morbi elementum gravida sapien, eget volutpat mi tincidunt quis. Nullam a urna ac nisl iaculis vulputate ut sed leo. Aenean sit amet tellus sem. Donec sapien ligula, fermentum eget mollis quis, ultricies nec ipsum.\r\n</p>\r\n\r\n<p>\r\nDonec pharetra, augue a euismod egestas, est urna porttitor quam, placerat tincidunt elit lacus sit amet velit. Duis aliquam vulputate feugiat. Donec quam mi, varius vitae gravida sit amet, sodales quis erat. Vivamus ornare turpis elit. Ut vel lectus ut quam pharetra ultrices sit amet in ligula. Nunc scelerisque placerat erat, a sodales lectus ultricies et. Fusce venenatis velit in dui blandit interdum. Mauris dignissim erat vel mi blandit ac fringilla tortor aliquam. Nunc lacus mauris, iaculis id eleifend vel, pellentesque non nunc. Nam pretium nunc nibh.\r\n</p>\r\n\r\n<p>\r\nDuis sodales justo in nibh interdum molestie. Nullam ipsum nisl, pharetra in lobortis ac, vulputate vitae diam. Nam gravida tempus justo, a scelerisque nisl gravida vitae. Pellentesque commodo euismod mollis. Nunc faucibus, lacus ut vehicula fermentum, risus nisl eleifend metus, tincidunt blandit odio arcu ut nisl. Ut vitae tortor lectus, eu tristique tellus. Cras dignissim ornare vestibulum. Integer vel eleifend eros. Pellentesque vel massa quis mi dapibus eleifend auctor sed mi. Mauris porttitor ante eget metus porttitor in elementum urna sagittis. Fusce quam nisi, sagittis malesuada faucibus vel, tincidunt et tortor. Nam cursus, ante eu semper ultricies, augue massa congue mi, vel malesuada velit diam at tortor. Aliquam posuere, purus ut faucibus placerat, dui ipsum euismod libero, id accumsan massa nunc non ipsum. Vestibulum semper arcu a lacus pellentesque vel dignissim tellus mattis.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:49:34', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:14:48', 168, '2012-09-18 02:49:34', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(27, 'Earthquake architecture exhibit bridges the gap', 'earthquake-architecture-exhibit-bridges-the-gap', 3, 1, '<p>\r\nSed quam eros, scelerisque ut eleifend et, placerat sed mi. Curabitur est justo, tempus nec rhoncus sit amet, tincidunt sit amet quam. Curabitur tincidunt, urna eu viverra suscipit, massa nunc dapibus felis, eu iaculis mauris orci sed turpis. Fusce venenatis auctor turpis nec tristique. Nulla consectetur porttitor quam, non semper mauris congue quis. Proin vel blandit sapien. In non elit nulla. Phasellus fringilla dui tortor, eu sodales lacus. Fusce fringilla bibendum metus, vitae vestibulum leo sodales ac. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vestibulum eu ligula sit amet sem lobortis tincidunt. Pellentesque nec sem ipsum.\r\n</p>\r\n', '\r\n<p>\r\nVivamus quis neque lectus, pharetra ultrices tortor. Donec mattis tellus at ante vulputate rutrum. Aenean ut erat neque, eu pretium purus. Nam dapibus rhoncus diam, sed pharetra leo mollis in. Ut pulvinar cursus lorem, sit amet accumsan arcu varius quis. In neque erat, iaculis quis vulputate a, volutpat eu magna. Ut scelerisque volutpat nulla, in iaculis sem blandit quis. Ut volutpat pellentesque dolor nec egestas. Cras facilisis enim id justo porttitor tempor. Phasellus eu condimentum sem. Aliquam tempus dolor quis lacus mattis quis eleifend ligula pulvinar.\r\n</p>\r\n\r\n<p>\r\nQuisque lacinia, felis non porta blandit, felis mauris tincidunt metus, quis elementum orci enim eget est. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque ut nulla nibh, in sollicitudin metus. Maecenas sollicitudin, nunc nec tempor tempor, purus turpis tincidunt justo, eu consequat quam ligula vel felis. Pellentesque malesuada tellus ut urna sollicitudin hendrerit. Aenean varius laoreet libero eget ornare. Fusce feugiat velit nec dui aliquam sit amet tincidunt sem blandit. Vivamus neque leo, eleifend ut accumsan at, cursus pulvinar urna.\r\n</p>\r\n\r\n<p>\r\nSed tellus risus, faucibus eget mattis semper, convallis vitae neque. Duis rutrum diam sed nulla eleifend hendrerit. Duis a turpis neque. In eget felis id felis consectetur placerat luctus luctus odio. Donec quis dolor vel purus pulvinar aliquam malesuada vitae mauris. Nullam at tellus ac ante aliquam dapibus. Suspendisse dignissim, metus at consequat dignissim, arcu massa varius lacus, in adipiscing mi nulla at elit. Donec eu consequat ligula. Aenean et est dui, nec rutrum lorem. Nulla vel est tortor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce quis erat arcu, at blandit nibh. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam nec est dui. Praesent neque nibh, hendrerit ut consectetur sodales, tincidunt sed nunc. Curabitur luctus suscipit lectus, sit amet varius dolor aliquam ut.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:50:23', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:14:32', 168, '2012-09-18 02:50:23', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(28, 'Sustainable Architecture: Misho Vasiljevich', 'sustainable-architecture-misho-vasiljevich', 3, 1, '<p>\r\nUt ac felis sit amet mi semper convallis. Integer sit amet lectus ligula, at consequat nisi. Suspendisse a libero sed mi aliquet dictum ut id nibh. Sed ornare porttitor porta. Vivamus purus orci, fringilla sed tincidunt at, viverra vel arcu. Ut hendrerit convallis sem vel porttitor. Nam elementum augue at massa malesuada fringilla. Sed massa massa, facilisis a molestie a, faucibus et arcu. Fusce sit amet massa quam, ut semper enim.\r\n</p>\r\n', '\r\n<p>\r\nNullam facilisis nibh eget arcu aliquam auctor. Proin sit amet lacus id odio tincidunt tincidunt eget eu lectus. Ut et arcu vitae lectus posuere elementum. Maecenas ultrices egestas purus, non imperdiet augue lobortis vel. Proin ultricies nisi non mauris rhoncus semper pellentesque eu orci. Cras diam elit, luctus tempor interdum feugiat, varius et nisl. Pellentesque non lectus lacus. Curabitur ante nisi, tempus eget molestie a, pulvinar rhoncus orci. Praesent erat quam, malesuada quis pharetra vel, auctor et metus. Nulla facilisi. Donec at lacinia dolor. Nullam auctor venenatis sapien, eget commodo lectus interdum in. Curabitur et semper nisl. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\r\n</p>\r\n\r\n<p>\r\nCras mollis ultrices nunc. Sed elit odio, aliquet sed vestibulum ac, vehicula lobortis neque. Aliquam lacinia luctus metus, nec fringilla nisl facilisis sed. In semper iaculis commodo. Sed ut eros vitae dolor eleifend pellentesque. Nullam laoreet felis non lorem sagittis sit amet scelerisque libero consectetur. Phasellus vehicula lacinia sollicitudin.\r\n</p>\r\n\r\n<p>\r\nCras vel quam odio, ac vestibulum mauris. Duis aliquet tortor a purus euismod placerat. Maecenas lacus justo, lobortis id volutpat a, pretium quis dolor. Donec faucibus felis a enim sollicitudin vulputate. Morbi nec orci in diam rhoncus faucibus. Donec arcu mi, euismod ut placerat nec, lobortis non nulla. Mauris facilisis interdum augue, sit amet pretium felis tincidunt sed. Vivamus purus ante, lacinia vitae ullamcorper sed, scelerisque at eros. Mauris suscipit sagittis sem in sagittis.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:51:14', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:14:14', 168, '2012-09-18 02:51:14', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(29, 'Berkeley Lab scientists create first 3-D model ', 'berkeley-lab-scientists-create-first-3-d-model', 3, 1, '<p>\r\nPellentesque nulla dui, rutrum a accumsan eu, lacinia quis odio. Nullam tincidunt laoreet lectus, in malesuada magna egestas eget. Suspendisse porttitor mollis urna quis ornare. Quisque porta vehicula ante quis ornare. Fusce at est eget nulla mattis sodales quis vel risus. Aliquam vitae neque sed augue semper fringilla et non arcu. Donec ac mi metus, vel facilisis arcu. Duis blandit urna quis elit elementum ultrices. Nunc massa neque, dapibus sit amet sagittis id, congue quis diam. Fusce eleifend commodo vestibulum. Etiam elementum nulla non mauris egestas convallis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nam ullamcorper luctus consequat.\r\n</p>\r\n', '\r\n<p>\r\nMaecenas eros felis, venenatis vitae volutpat pulvinar, sagittis non odio. In vitae rhoncus urna. Mauris laoreet blandit ligula in porttitor. Vestibulum in enim id quam molestie fringilla ut eget enim. In blandit enim eu justo ultrices a venenatis purus accumsan. Etiam et ultricies diam. Nunc tempor, metus ac molestie auctor, ante ipsum gravida nunc, vel lacinia diam erat ac felis.\r\n</p>\r\n\r\n<p>\r\nSuspendisse sed lobortis magna. Nulla aliquet euismod justo, vel accumsan dui imperdiet ac. Sed pellentesque tempor sollicitudin. In ac lectus vitae mauris egestas lacinia. Morbi cursus pretium felis ut faucibus. Vestibulum imperdiet odio erat. Ut quis est in ipsum dictum dapibus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec vel dolor et ante sollicitudin adipiscing. Vivamus vel metus augue.\r\n</p>\r\n\r\n<p>\r\nAliquam ultricies, nulla eu suscipit gravida, augue lectus bibendum elit, vitae lacinia neque velit eu elit. Morbi gravida luctus dolor sed gravida. Aenean iaculis est volutpat quam pharetra vitae mattis felis congue. Duis risus eros, rutrum vitae pulvinar sit amet, cursus at nibh. Donec non eros nec est scelerisque porttitor vel nec purus. Quisque vel sapien nunc. Vestibulum rutrum arcu a quam elementum consectetur mollis mi facilisis. Praesent non nunc eget nisl semper dapibus nec in felis. Nam sit amet fermentum sapien. Etiam tempor feugiat nibh, nec tempor magna aliquet eu. Quisque dolor ligula, eleifend commodo fringilla nec, luctus sed odio. Vivamus malesuada tortor ut ante elementum a tristique libero porta. Nunc mattis, dolor vitae mollis adipiscing, massa velit pulvinar diam, ut semper neque leo nec enim. Nam dolor quam, sodales ut consequat in, cursus iaculis turpis.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:52:03', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:13:56', 168, '2012-09-18 02:52:03', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(30, 'International Architecture Studios Inspiring', 'international-architecture-studios-inspiring', 3, 1, '<p>\r\nPhasellus in adipiscing risus. Cras quam ligula, porttitor faucibus tristique sed, pulvinar vel augue. Sed eget leo elit, ac tristique ipsum. Vivamus laoreet ante non mauris tempus fermentum. Nullam aliquam, odio sed tincidunt gravida, dolor tortor posuere sem, id facilisis nibh mi ut odio. Ut posuere, nibh vitae tincidunt pharetra, orci justo pulvinar mauris, ut gravida enim augue in diam. Curabitur vel nibh eget massa tempus luctus. Etiam et turpis augue. In quis metus vel nisi hendrerit fermentum. Donec viverra massa ut lectus venenatis tristique. Nam leo metus, vehicula ac commodo ut, tristique quis turpis. Curabitur non imperdiet felis. Proin nulla dui, facilisis sed placerat eget, consectetur id ante.\r\n</p>\r\n', '\r\n<p>\r\nDonec eu orci risus. Ut dapibus erat eu turpis egestas at vulputate urna aliquam. Vivamus convallis magna ut arcu malesuada facilisis viverra tortor malesuada. Proin quis neque purus, quis consequat erat. Etiam varius rhoncus malesuada. Cras tincidunt nulla libero. Nam nec nisl ut tellus facilisis facilisis a eu metus. Nullam feugiat dignissim tempus. Nulla facilisi. Maecenas risus mauris, fringilla interdum gravida vitae, adipiscing ac ante.\r\n</p>\r\n\r\n<p>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nam imperdiet rhoncus quam eu euismod. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Integer rhoncus erat facilisis orci sollicitudin eget pulvinar justo congue. Nullam vulputate luctus nibh eu tempus. Praesent vel pellentesque metus. Quisque eros ligula, semper a consectetur in, hendrerit quis lacus. Nulla urna elit, volutpat eget auctor at, congue eget ligula. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras vel erat nec magna mattis ullamcorper. Praesent in mi lectus. Donec in erat ac est interdum vulputate.\r\n</p>\r\n\r\n<p>\r\nMaecenas urna neque, fermentum nec porta vel, commodo sed felis. Aenean facilisis auctor leo sed aliquet. In hac habitasse platea dictumst. Nulla lacinia rhoncus elit lobortis dapibus. Proin tellus nulla, sagittis eu porttitor ut, gravida et lectus. Etiam vel nisl tortor, sed laoreet arcu. In et tristique justo. Suspendisse potenti. Praesent rhoncus feugiat neque a suscipit. Sed ipsum neque, aliquam sed iaculis nec, aliquet vitae tellus. Etiam molestie, mauris quis dapibus faucibus, ante nisl feugiat elit, nec fermentum massa tortor vel magna. Fusce malesuada arcu sit amet purus gravida auctor. Aliquam nec justo sit amet nulla sollicitudin dignissim id in dui. Ut ultricies mi libero, non condimentum lacus. Proin interdum sapien at sapien malesuada et accumsan massa pretium. Donec lectus lorem, imperdiet in aliquam in, eleifend ac lectus.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:53:14', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:13:39', 168, '2012-09-18 02:53:14', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(31, 'A great recipe for healthy families', 'a-great-recipe-for-healthy-families', 4, 1, '<p>\r\nPellentesque interdum ante vel odio facilisis cursus. Curabitur sed nunc nec neque faucibus fermentum quis et nibh. In ante neque, tempor at bibendum sed, rhoncus sed quam. Aliquam bibendum sapien sit amet quam dapibus ac commodo tellus tincidunt. Sed porta, massa rutrum venenatis rutrum, ipsum velit hendrerit est, nec bibendum orci orci a mauris. Aenean vulputate nisi eu mauris fringilla vel gravida nisl aliquam. Mauris felis ligula, euismod a fringilla interdum, sollicitudin ac nulla. Donec mollis faucibus lacus at pellentesque. Cras eros nunc, ornare a facilisis quis, lobortis sit amet turpis. Cras velit quam, mattis id pellentesque quis, rhoncus non erat. Maecenas faucibus commodo turpis, at malesuada dui aliquet eu. Nulla at dolor nunc. Nam congue est non justo euismod iaculis.\r\n</p>\r\n', '\r\n<p>\r\nSuspendisse sed dui sed nisl consequat pellentesque at a ante. Mauris dapibus, mi nec interdum fringilla, nisl mauris viverra erat, non placerat ipsum enim quis felis. Donec aliquam nulla et enim facilisis id feugiat tortor pellentesque. Sed nec lorem sed est pretium eleifend ut quis nibh. Vestibulum sit amet augue a eros ullamcorper dignissim quis accumsan sem. Etiam fringilla nunc sit amet odio tincidunt elementum porttitor libero cursus. Ut vel diam eu massa suscipit blandit et sed lacus. Ut in euismod eros. Pellentesque non erat nec lectus congue lacinia.\r\n</p>\r\n\r\n<p>\r\nMorbi at augue dolor. Ut tortor dolor, tempus et lacinia vitae, convallis ac velit. Sed in placerat eros. Suspendisse at metus magna, eu adipiscing magna. Fusce ac nisi quis libero molestie iaculis. Donec nisl nunc, luctus a ultrices sit amet, ultrices eget orci. Vestibulum interdum dapibus eros id mattis. Phasellus vitae ipsum libero, sed rutrum nisl. In suscipit ultrices mi. Vivamus sed lorem elit. Cras et tempor dolor. Curabitur et ante est. Quisque ultricies nisi eu felis sodales adipiscing. Cras pretium viverra purus, id mollis massa consequat in. Nam non leo ut lorem tempor vulputate. Aenean tempor auctor volutpat.\r\n</p>\r\n\r\n<p>\r\nAliquam a lorem orci. In id nisi vitae justo euismod suscipit blandit ac sapien. Vivamus laoreet sem eget risus rhoncus tincidunt. Mauris ac lacus dolor, vel facilisis sem. Aenean eu mattis enim. Nam auctor vehicula dui, quis volutpat leo pellentesque et. Proin tempus dignissim sem, et pellentesque augue rhoncus id.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:54:35', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:13:11', 168, '2012-09-18 02:54:35', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(32, 'Fitness chat: healthy steps lead to a marathon', 'fitness-chat-healthy-steps-lead-to-a-marathon', 4, 1, '<p>\r\nMorbi neque justo, pulvinar nec pharetra quis, pellentesque at mi. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas malesuada quam et lorem laoreet porta. Sed luctus, turpis et mollis auctor, nisi risus feugiat nisi, quis rhoncus mi metus sed purus. Nunc cursus egestas risus, vitae condimentum purus convallis sed. In tempus tincidunt ultricies. In fermentum nisi at mi semper vitae tincidunt leo dapibus. Aenean malesuada, velit et tincidunt cursus, urna lacus commodo leo, in accumsan justo enim at eros. Donec a mauris mi, sed commodo lectus.\r\n</p>\r\n', '\r\n<p>\r\nSuspendisse pretium, nisi in venenatis varius, leo mauris malesuada ipsum, vitae malesuada dui mauris at velit. Praesent ultrices, odio ac tempus congue, sem lorem interdum risus, eget dictum diam purus vel arcu. Morbi tincidunt egestas velit, viverra fringilla nisi varius ac. Cras ut dui velit, sed euismod lacus. In risus justo, bibendum sit amet malesuada ut, lobortis nec metus. Sed in tellus orci, ac viverra turpis. Donec rutrum, nisl vitae rhoncus feugiat, nibh augue pellentesque quam, nec vulputate nisl leo dapibus felis. Praesent ut tortor sed lectus interdum sagittis ut quis dolor. Sed at dolor tortor, at volutpat nulla. Suspendisse at tempor nulla. Integer id odio orci. Fusce dui tellus, ullamcorper non scelerisque eget, pretium sit amet nisi. Phasellus sit amet massa nibh. Suspendisse id metus nibh, ac sollicitudin enim.\r\n</p>\r\n\r\n<p>\r\nSed non eros risus, vel convallis eros. Nulla varius, urna vel molestie malesuada, metus felis commodo neque, sit amet condimentum velit lorem accumsan nunc. Curabitur porta risus sit amet neque euismod lobortis at eu velit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas odio massa, pharetra vel lobortis in, feugiat vel sapien. Duis vestibulum turpis metus. Nam eget nisl vitae erat vulputate gravida in eget dolor. Curabitur tincidunt consectetur libero, vitae cursus nulla eleifend vitae.\r\n</p>\r\n\r\n<p>\r\nNulla facilisi. Suspendisse erat dui, placerat et scelerisque id, luctus id augue. Mauris sed adipiscing nibh. Nam pretium lectus sit amet nulla tincidunt iaculis. Donec volutpat mi a nibh vestibulum at imperdiet purus facilisis. Fusce mi sapien, vestibulum ut aliquam a, ullamcorper vel augue. Nullam quis nisi non elit placerat vestibulum sed ullamcorper tellus. Nam turpis tellus, pharetra at tincidunt eget, vestibulum bibendum lectus. Mauris consectetur malesuada pellentesque. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce id justo ipsum, et rhoncus nunc. Sed auctor, nulla sit amet cursus laoreet, sem ipsum hendrerit lorem, nec laoreet turpis enim vel urna. Vivamus auctor congue nisl in volutpat. Sed malesuada dictum vehicula.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:56:03', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:12:52', 168, '2012-09-18 02:56:03', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(33, 'The family that runs together', 'the-family-that-runs-together', 4, 1, '<p>\r\nProin commodo aliquam nisl, non dignissim elit laoreet id. Vivamus a massa diam, nec pharetra felis. Etiam convallis porttitor accumsan. Donec hendrerit, augue ac elementum condimentum, nisi nisl feugiat risus, eu consequat nulla felis nec elit. Phasellus rhoncus suscipit tellus, at ornare erat accumsan et. Maecenas gravida pretium consequat. In hac habitasse platea dictumst. Maecenas in lacus orci.\r\n</p>\r\n', '\r\n<p>\r\nAenean quis nulla purus. Vestibulum condimentum posuere aliquet. Aliquam augue tortor, euismod ac cursus non, ullamcorper sed lectus. Suspendisse elit metus, sagittis congue lacinia in, ultrices nec neque. Pellentesque in enim at felis vehicula lacinia a vitae quam. Ut aliquam molestie mi sit amet dignissim. Donec nec egestas nulla. Nullam eu est nec quam molestie lacinia. Aenean vel mauris urna, sed eleifend tortor.\r\n</p>\r\n\r\n<p>\r\nVestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aenean non lectus nunc, eu facilisis metus. Vestibulum tellus nunc, fringilla nec lacinia nec, mollis quis nisl. Fusce tincidunt magna et erat suscipit vel suscipit purus dignissim. Donec sapien enim, laoreet eu varius eget, volutpat id est. Maecenas vestibulum tempor iaculis. Sed semper volutpat purus dictum venenatis. Vivamus lobortis malesuada nibh, et sollicitudin tellus varius sit amet. In hac habitasse platea dictumst. Cras iaculis imperdiet erat ornare ornare. Nullam felis erat, pharetra quis malesuada ac, luctus et lectus. Nam at nibh a enim pretium ultricies. Quisque nisl turpis, interdum vel facilisis at, commodo sit amet dui.\r\n</p>\r\n\r\n<p>\r\nUt ac mauris nisl, vel viverra turpis. Maecenas congue, felis a posuere vestibulum, ipsum eros consequat nisi, eu bibendum eros turpis vel tellus. Morbi molestie est quis metus malesuada quis fringilla justo congue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mattis tristique metus eu pulvinar. Aliquam a varius erat. Maecenas interdum purus eu magna egestas volutpat. Phasellus iaculis elementum elementum. Phasellus ultricies odio in sapien mattis volutpat. Vestibulum tristique, velit ut vehicula feugiat, lorem nunc ornare est, ac dapibus metus lorem ac velit. Cras eget neque elit. Ut vel orci diam. Etiam consectetur dui vitae leo hendrerit pellentesque.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:56:51', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:12:32', 168, '2012-09-18 02:56:51', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 16, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(34, 'Health fair offers healthy living', 'health-fair-offers-healthy-living', 4, 1, '<p>\r\nPraesent imperdiet porttitor iaculis. Mauris adipiscing, urna eget suscipit semper, magna nulla rhoncus est, at viverra augue velit vitae neque. Duis tincidunt sollicitudin purus ac convallis. Quisque eu magna sem. Suspendisse sit amet ante quis justo tempus facilisis. In hac habitasse platea dictumst. Ut adipiscing ante vestibulum ipsum ullamcorper sit amet facilisis velit egestas. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum id purus id orci lobortis blandit at sed risus.\r\n</p>\r\n', '\r\n<p>\r\nFusce euismod, risus eget commodo porta, massa nisl dapibus tellus, a ornare lectus turpis sit amet sem. Nunc suscipit fermentum lobortis. Pellentesque dictum dui sit amet leo tempus tincidunt. Cras id elit nec sem vehicula luctus eu vel magna. Maecenas pulvinar elit a mi sagittis pulvinar non ut tellus. Morbi sollicitudin, ligula et lobortis sollicitudin, mi dolor auctor libero, sit amet mollis nibh turpis at lorem. Proin auctor lacus ac eros egestas pulvinar. Nam quis adipiscing sapien. Praesent eu nunc ligula. Sed ultricies pulvinar luctus.\r\n</p>\r\n\r\n<p>\r\nCurabitur sagittis dictum tellus, vitae faucibus tortor malesuada iaculis. Nullam nulla augue, porta et ullamcorper convallis, auctor ac nisl. Donec justo lectus, accumsan vel imperdiet ac, venenatis quis arcu. Sed congue, sapien blandit vulputate accumsan, dolor diam bibendum diam, et gravida sapien est ut nunc. Duis risus dui, ullamcorper bibendum consectetur nec, dignissim sed lacus. Pellentesque posuere luctus massa eget semper. Nulla facilisi. Vivamus accumsan, libero nec porttitor ullamcorper, nunc augue congue nisl, quis tincidunt nisl tellus vel sem. Aliquam aliquet porta tincidunt. Vestibulum non ligula non justo faucibus bibendum vel non erat. Suspendisse justo ante, imperdiet nec auctor sit amet, cursus nec metus. Aenean a diam libero. Proin vestibulum consequat nisl ut aliquet.\r\n</p>\r\n\r\n<p>\r\nInteger at tincidunt velit. Etiam accumsan convallis ante, nec imperdiet eros pharetra eget. Donec condimentum pulvinar elit, eu posuere arcu interdum ut. Integer bibendum adipiscing ultrices. Donec imperdiet sodales augue eget tempor. Morbi placerat bibendum justo sed pharetra. Integer nec lacinia orci. Donec dolor erat, malesuada et convallis non, posuere id mauris. Nulla non odio ut est egestas accumsan quis vitae leo. Vestibulum vel iaculis leo.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 02:57:52', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:12:16', 168, '2012-09-18 02:57:52', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 6, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(35, 'Heroes and Healthy Families Conference', 'heroes-and-healthy-families-conference', 4, 1, '<p>\r\nPellentesque sit amet pellentesque turpis. Quisque gravida volutpat leo nec laoreet. Phasellus tempus magna elit, vel cursus velit. Praesent id leo lorem, vel suscipit sapien. Praesent quis magna neque. Integer in pharetra massa. Praesent metus ante, aliquet id aliquam tristique, hendrerit ac elit. Suspendisse nulla justo, consectetur sed aliquam sed, hendrerit sit amet purus. Curabitur ante tellus, dapibus eu egestas vitae, tincidunt vitae arcu. Aliquam non turpis lorem. Aenean sagittis, tellus at venenatis tincidunt, nunc lorem egestas eros, non facilisis tortor quam eu mi. Curabitur ut lorem nibh.\r\n</p>\r\n', '\r\n<p>\r\nMaecenas sed augue ut quam consectetur pellentesque eu at magna. Duis tortor odio, gravida vitae egestas eu, adipiscing ut nisl. Proin ac leo metus. Morbi sollicitudin libero diam, nec consequat augue. Nunc libero diam, eleifend ut facilisis sed, posuere semper nisl. Vestibulum scelerisque porta egestas. Pellentesque in massa nisi, in scelerisque dolor. Suspendisse iaculis tincidunt mattis. Phasellus ullamcorper ultricies aliquam. Nullam sed massa quam. Praesent varius, augue dignissim ullamcorper iaculis, arcu eros lobortis nibh, id aliquam diam dolor at neque. Quisque non consequat lacus. Donec blandit nisi in odio dapibus imperdiet. Donec in tempor libero. Proin in lorem eu magna tempor placerat. Nam non euismod odio.\r\n</p>\r\n\r\n<p>\r\nSed sollicitudin condimentum risus, ac consectetur sem vehicula non. Phasellus dictum nisi sed sem ullamcorper in sollicitudin sem condimentum. Vivamus metus dolor, feugiat et pellentesque at, volutpat eu tortor. Duis nec leo sit amet nisl ultrices aliquam. Quisque sodales fermentum sodales. Curabitur placerat posuere turpis, et facilisis augue varius pharetra. Vivamus semper lacinia ligula in molestie. Proin nec metus sed neque vehicula placerat eget in justo. Nullam rutrum augue at massa pulvinar molestie. Nulla est augue, pharetra id scelerisque aliquam, fringilla id orci.\r\n</p>\r\n\r\n<p>\r\nSed sit amet arcu turpis. Etiam sit amet ante urna. Fusce lacinia fringilla est. Nam dignissim, leo sit amet sodales mattis, magna risus luctus risus, sit amet egestas nunc diam eu leo. Vestibulum nisi mauris, viverra ut vestibulum id, rutrum nec mi. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Integer luctus arcu nec nisl vehicula placerat ut sit amet ligula.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:02:20', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:12:00', 168, '2012-09-18 03:02:20', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(36, 'Why the iPhone 5 has won my heart', 'why-the-iphone-5-has-won-my-heart', 5, 1, '<p>\r\nCras fringilla lacinia lorem, eget tristique ante posuere in. Fusce vel placerat metus. Donec imperdiet mi eget ipsum mattis eget cursus felis vestibulum. Vestibulum iaculis malesuada laoreet. Sed consequat erat vestibulum eros dictum nec pretium sem sodales. Ut vel libero libero. Donec pellentesque mauris justo.\r\n</p>\r\n', '\r\n<p>\r\nNulla nec velit a libero viverra sodales nec non sapien. Vestibulum elementum ipsum sed leo luctus eget pretium ante elementum. Suspendisse potenti. In consequat malesuada odio, ultricies pulvinar augue viverra ornare. Integer mi odio, pretium ut varius quis, scelerisque sed nisi. Quisque ornare felis in mauris ornare sit amet auctor magna eleifend. Sed adipiscing, nisl ut condimentum imperdiet, sem justo pretium magna, vitae auctor sapien ligula id tellus. Donec sodales libero sit amet mauris dignissim vulputate. Sed sed justo libero, id bibendum leo. Aenean molestie ante at lectus porta vestibulum. Sed sem nunc, lacinia ac auctor sit amet, iaculis nec augue. Mauris posuere hendrerit mauris, et egestas magna tincidunt nec.\r\n</p>\r\n\r\n<p>\r\nCurabitur quis metus non tellus ornare laoreet. Aliquam mollis volutpat fringilla. Proin quam justo, varius sit amet venenatis et, hendrerit vel mauris. Donec massa nisi, varius sed congue ac, porttitor at arcu. Integer at mauris ipsum. Phasellus sagittis, dui id mollis pellentesque, massa orci pellentesque neque, eu pretium nisi justo sed velit. Ut rhoncus scelerisque lacus. Mauris accumsan, risus at congue aliquet, mauris mi placerat erat, in faucibus neque nisl et ipsum. Ut eget diam lectus. Praesent eros diam, consequat vel porttitor a, malesuada ac quam. Phasellus in ornare nunc. Fusce eget iaculis lectus. Morbi nec sapien elit, nec scelerisque turpis. Morbi sapien ligula, mattis et dapibus sed, bibendum varius mauris. Morbi fermentum, tellus ac sagittis feugiat, tellus magna euismod sapien, quis iaculis lacus mi at arcu.\r\n</p>\r\n\r\n<p>\r\nAenean sollicitudin ultricies adipiscing. Proin iaculis risus id eros blandit pretium. Cras congue tincidunt egestas. Vivamus sed accumsan nunc. Quisque malesuada, diam vitae fermentum convallis, orci leo semper lorem, non dapibus justo magna sit amet ante. Ut urna arcu, dignissim at facilisis eget, vehicula gravida ante. Proin varius tristique leo posuere iaculis. Nulla ligula lorem, tempus vitae blandit non, feugiat eu orci. Aliquam ut est ante, nec pharetra neque. Nullam at neque id diam egestas mollis. Nullam pellentesque, felis sit amet porttitor faucibus, purus orci fringilla enim, sed placerat sapien neque eu nunc. Vestibulum eget cursus nibh.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:13:12', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:11:37', 168, '2012-09-18 03:13:12', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(37, 'Wearable Robots can help people walk again', 'wearable-robots-can-help-people-walk-again', 5, 1, '<p>\r\nEtiam a lorem nisl. In convallis nisl vitae augue ullamcorper et vulputate urna bibendum. Cras vel erat non tortor tempor egestas. Duis sollicitudin felis ac lacus ultricies interdum. Praesent leo tortor, facilisis porttitor malesuada eu, vulputate in orci. Vestibulum iaculis elit quis diam pretium condimentum. Mauris ullamcorper lorem et augue varius vestibulum. Curabitur pharetra tincidunt justo, non consectetur erat hendrerit consectetur. Nulla convallis elit quis justo gravida eget imperdiet dui ullamcorper. Mauris dapibus sapien in lectus mollis ac auctor felis porttitor. Mauris dolor enim, dignissim ornare facilisis faucibus, egestas at sapien.\r\n</p>\r\n', '\r\n<p>\r\nCurabitur pharetra mi id tellus ornare at pretium diam auctor. Etiam sit amet nisi lacus. Pellentesque tempus ullamcorper lacus, eu dapibus sem fermentum nec. Morbi dui ligula, gravida eget pellentesque eu, pellentesque ut libero. Ut eu nisi vitae nulla tempus interdum nec non lectus. Nulla dolor odio, sollicitudin quis faucibus eget, gravida vel turpis. Etiam consequat nulla eu lectus sollicitudin lacinia. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam vel luctus nibh. Morbi eleifend interdum molestie. Morbi id sem id velit posuere viverra non a urna. Maecenas dictum turpis eu nibh iaculis lobortis.\r\n</p>\r\n\r\n<p>\r\nAenean est diam, varius vulputate ultricies ornare, porta eu nulla. Mauris ac lacus id tellus venenatis varius. Etiam a urna elit. Phasellus in semper tellus. Ut eu tristique justo. Morbi ante urna, pretium a ullamcorper nec, porttitor id enim. Vivamus vitae enim sed sem volutpat viverra sit amet id felis. Nam tristique interdum libero vitae condimentum. Mauris venenatis sem ut magna commodo rhoncus. Fusce massa nisl, faucibus vitae ornare a, imperdiet consequat sapien. Aliquam eleifend placerat luctus. Integer non magna et turpis pharetra imperdiet.\r\n</p>\r\n\r\n<p>\r\nSed non enim dolor. Duis in tincidunt lorem. Sed lobortis diam scelerisque justo adipiscing consequat. Vestibulum dignissim velit sed lacus adipiscing dictum. Fusce ipsum erat, porta gravida pharetra ut, aliquet nec orci. Suspendisse potenti. Aliquam blandit porttitor massa, sed volutpat sapien convallis ut. Pellentesque et nisl turpis. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Praesent commodo purus nec massa vulputate quis laoreet neque fermentum. In pulvinar pretium felis sit amet vulputate. Nullam a purus eget enim eleifend sollicitudin. Aliquam nisl dui, dignissim suscipit ullamcorper quis, accumsan ac sem. Pellentesque eleifend nunc vel est interdum nec dictum justo congue. Cras eu sapien urna.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:16:23', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:11:20', 168, '2012-09-18 03:16:23', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 17, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(38, 'Another wind project goes online in the West Mojave', 'another-wind-project-goes-online-in-the-west-mojave', 5, 1, '<p>\r\nNulla venenatis pretium sollicitudin. Etiam lectus quam, feugiat blandit dictum tempus, vestibulum vitae nibh. Sed consequat, dolor ac adipiscing ultrices, velit justo vehicula dolor, in pharetra est purus sit amet urna. Cras semper sollicitudin nisl at posuere. Vestibulum adipiscing dapibus ipsum euismod ullamcorper. Proin tincidunt faucibus enim, sed malesuada orci pretium at. Fusce sed orci dui, et consequat nisl. Etiam id urna sit amet tellus dapibus vehicula. Aenean gravida, libero at congue fringilla, nisl risus ultricies odio, in tristique sem ipsum id velit. Proin adipiscing est sit amet ipsum semper at mattis risus fringilla. Proin felis nisl, interdum vel aliquam nec, pharetra at diam.\r\n</p>\r\n', '\r\n<p>\r\nPhasellus adipiscing accumsan dui, in viverra orci ultricies id. Mauris nec adipiscing erat. Integer eu justo id erat vestibulum pulvinar ac ultricies risus. Aliquam tristique aliquam laoreet. Suspendisse aliquam turpis non eros dapibus sit amet congue mauris malesuada. Sed dapibus erat ac leo condimentum at egestas orci congue. Maecenas et lacus nec lectus tincidunt cursus id sed mauris. Nunc molestie ligula eget elit porttitor vehicula et ac massa. Sed ut mattis quam. Suspendisse potenti.\r\n</p>\r\n\r\n<p>\r\nPhasellus dignissim sagittis ligula et consequat. Suspendisse in ligula non ipsum bibendum convallis ut vel est. Aliquam quis urna in est venenatis lacinia pellentesque vitae purus. Pellentesque convallis egestas dolor, et porttitor augue interdum sed. Nam nisl neque, imperdiet non sagittis nec, hendrerit at quam. Suspendisse in massa ac orci consequat fermentum. In hac habitasse platea dictumst. Curabitur sit amet enim enim.\r\n</p>\r\n\r\n<p>\r\nMauris ut purus vel nunc sollicitudin consectetur. Praesent egestas tellus id odio porttitor auctor. Morbi convallis ante id tellus hendrerit in rhoncus diam ultricies. Vestibulum dolor elit, volutpat sit amet mollis vel, dapibus at tortor. Vivamus non magna eu velit ultrices tristique id quis felis. Donec non augue massa. Sed volutpat odio luctus turpis facilisis sed lacinia ligula egestas. Ut in neque est, a mollis nibh. Quisque convallis interdum quam, sed faucibus enim pellentesque ac. Duis accumsan tincidunt interdum. Nunc lorem diam, faucibus vitae egestas eget, faucibus sit amet urna. Proin quis tellus vel nulla congue vehicula. Ut auctor, est vel rutrum dapibus, leo arcu pretium est, vitae malesuada lorem ligula quis augue. Pellentesque cursus vestibulum lacus, sit amet commodo massa bibendum in. Sed sit amet nisl nibh, non fringilla mauris.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:17:42', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:10:59', 168, '2012-09-18 03:17:42', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 22, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(39, 'Critics of F-35 jetfighter procurement appear', 'critics-of-f-35-jetfighter-procurement-appear', 5, 1, '<p>\r\nCurabitur in tortor vitae urna cursus aliquet. Aliquam malesuada enim id arcu dictum sit amet euismod nisi sagittis. Integer consectetur convallis velit at pulvinar. Quisque nec sapien nec purus adipiscing viverra. Nunc sit amet dapibus mi. Vivamus a volutpat dui. Mauris blandit ipsum ut ipsum rutrum vitae laoreet velit accumsan. Nunc in nunc non orci rutrum dapibus. Vestibulum bibendum turpis eget elit placerat bibendum. Sed feugiat arcu et est ullamcorper ac porta metus sollicitudin. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Duis rutrum augue quis augue tristique commodo.\r\n</p>\r\n', '\r\n<p>\r\nNullam a mauris metus, ut ornare turpis. Nunc pellentesque, nisl at posuere lobortis, sem sem commodo metus, at semper ligula mi ac sapien. Sed lacinia aliquet suscipit. Phasellus sed nisi a nulla ullamcorper semper. Pellentesque ut justo congue nunc gravida posuere. Nunc dictum mollis mi non eleifend. Mauris venenatis convallis dui, sed dictum nunc bibendum convallis. Fusce eu libero a massa ultrices laoreet.\r\n</p>\r\n\r\n<p>\r\nDonec sit amet orci eget diam feugiat pellentesque in id lectus. Morbi tincidunt sodales tellus. Cras a pellentesque nisl. Phasellus vel eleifend neque. Aenean hendrerit dapibus aliquet. Pellentesque vulputate libero iaculis augue varius egestas. Nunc euismod ornare ante, in laoreet elit porttitor id. Phasellus est tortor, accumsan in ullamcorper sed, tincidunt ut nisl. Duis turpis enim, vestibulum non feugiat eget, aliquam sit amet neque.\r\n</p>\r\n\r\n<p>\r\nQuisque non volutpat quam. Quisque eu felis metus, eu vulputate nisi. Phasellus eu enim ac mauris feugiat consequat non eget est. Proin magna lacus, blandit accumsan viverra nec, venenatis a purus. Fusce aliquam vulputate condimentum. Ut eros lectus, faucibus ut luctus in, molestie vitae tortor. Nunc pharetra consectetur tellus at commodo. Praesent facilisis, turpis eu porta volutpat, sapien risus scelerisque arcu, et consectetur lorem ante ut est. Maecenas vitae lorem ligula. Donec faucibus purus eget orci varius fermentum. Phasellus non felis metus. Phasellus porta scelerisque iaculis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque vel risus nulla, a tincidunt lorem. Aliquam erat volutpat.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:20:08', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 09:26:42', 168, '2012-09-18 03:20:08', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 7, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(40, 'The economics of house music', 'the-economics-of-house-music', 5, 1, '<p>\r\nDonec sed ipsum enim. Nulla a nulla tellus, vel rutrum arcu. Suspendisse potenti. Pellentesque condimentum, sem et rutrum porta, nulla felis vulputate velit, feugiat dignissim lacus sem non urna. Donec adipiscing, risus ut dignissim tincidunt, mi dui fermentum urna, sed tempus lacus dui vel erat. Vivamus in nulla odio. Etiam tincidunt tincidunt lectus, quis venenatis magna condimentum non. Aliquam sit amet ornare nisi. Praesent lectus erat, posuere id ultricies ac, eleifend ut lectus. Proin tincidunt libero et nisi posuere et hendrerit nisi fringilla. Nullam pharetra erat tincidunt nibh euismod semper. Nulla suscipit, turpis facilisis luctus fermentum, nibh turpis aliquam tortor, nec ultricies ligula purus et sem. Aliquam orci libero, ultricies eu feugiat eu, rutrum quis purus. Vestibulum facilisis mattis est eget gravida. Sed congue mi et urna dignissim ac pulvinar sapien rhoncus. Suspendisse a mi sed nulla congue mattis.\r\n</p>\r\n', '\r\n<p>\r\nProin in orci sem, eget consectetur dolor. Nulla auctor pharetra interdum. Integer ut dignissim lectus. Cras iaculis, libero porta laoreet pellentesque, est libero facilisis tellus, id auctor urna eros id lorem. Etiam nec ante quis diam gravida placerat in non turpis. Suspendisse potenti. Nulla facilisis egestas justo eu pharetra. Praesent semper nisi vitae mauris gravida non varius purus pulvinar. Phasellus nulla sem, porttitor rutrum venenatis eget, sodales non risus. Nullam sed pulvinar nunc. Nunc laoreet consequat dolor at blandit.\r\n</p>\r\n\r\n<p>\r\nMaecenas porta condimentum augue ut gravida. Donec aliquam dignissim urna, at facilisis lectus semper ac. Sed metus nisl, semper vitae semper sit amet, sollicitudin at mi. Curabitur luctus risus id ante ultricies ut laoreet purus consectetur. Vestibulum est odio, fringilla eu sollicitudin sodales, laoreet tristique lacus. Aliquam felis justo, consequat sit amet pharetra tristique, ullamcorper in odio. Curabitur auctor velit vel odio placerat sodales id nec odio. Sed consequat interdum nulla sit amet cursus. Cras aliquam magna sit amet tortor tempus iaculis. Praesent porta quam in enim hendrerit id sodales nulla laoreet. Pellentesque adipiscing, dolor sed scelerisque commodo, sapien tortor blandit erat, eget iaculis sapien lectus eu arcu. Nam velit erat, molestie nec accumsan at, dictum ac mi. Cras pellentesque, arcu quis posuere vehicula, ante magna cursus erat, in consectetur lorem augue ut tortor. Phasellus tempor risus ut odio viverra sit amet congue turpis facilisis.\r\n</p>\r\n\r\n<p>\r\nPellentesque pharetra quam eu libero dapibus pulvinar. Aenean varius laoreet volutpat. Sed ultricies placerat est, sit amet convallis ipsum lacinia at. Aenean ac velit vitae tellus feugiat posuere at nec ante. Suspendisse elementum dolor eget dui rhoncus in elementum risus hendrerit. Aenean varius ultrices tristique. Curabitur non dui elit, quis fringilla mauris. Cras vehicula diam vel massa vehicula condimentum. In lorem nisl, convallis sed dignissim ac, dictum euismod neque. Nullam lacinia interdum justo pellentesque aliquam. Donec eu mi ut est placerat volutpat nec at nunc.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:21:52', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:10:27', 168, '2012-09-18 03:21:52', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(41, 'Adelaide''s marathon girl', 'adelaides-marathon-girl', 1, 1, '<p>\r\nVestibulum magna elit, vestibulum sit amet faucibus et, tristique eu augue. Suspendisse dictum ultrices orci a posuere. Suspendisse dictum urna non nisi tempor luctus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit laoreet mi, ut porta metus laoreet et. Proin at bibendum risus. Integer at ultricies ipsum. Aenean ut gravida risus. Vivamus ut sem ac arcu feugiat sagittis vel vitae diam.\r\n</p>\r\n', '\r\n<p>\r\nPraesent sit amet orci arcu. Proin eleifend dui eget erat lacinia in cursus tortor luctus. In blandit, enim ac vehicula tempor, augue magna vehicula erat, quis lobortis arcu augue nec nibh. Morbi nisl leo, malesuada id dignissim varius, luctus quis eros. Mauris porta accumsan sapien, ac dapibus eros adipiscing in. Phasellus non mi fermentum diam sagittis posuere. Sed ac risus diam, nec accumsan tortor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed id mauris quis ipsum bibendum imperdiet in id risus. Ut at erat velit, eget eleifend leo. Nulla ultricies cursus quam vitae convallis. Donec lectus magna, sollicitudin et laoreet a, iaculis sit amet tortor. Nunc vel nibh id magna eleifend sodales sed quis nulla. Vestibulum laoreet ultricies dui pellentesque mollis.\r\n</p>\r\n\r\n<p>\r\nDonec vel justo tortor. Etiam condimentum tincidunt sollicitudin. In rutrum felis vel quam interdum in molestie turpis posuere. Phasellus et velit vitae felis commodo tincidunt. Nulla facilisi. Suspendisse mollis ultrices metus. Cras eget lectus sagittis turpis volutpat consequat a condimentum augue. Nam luctus, magna vitae placerat vestibulum, lorem ipsum sagittis urna, in sodales erat turpis vitae quam. Integer non nulla sed tellus elementum ultricies. Mauris et pharetra arcu. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.\r\n</p>\r\n\r\n<p>\r\nFusce sit amet laoreet magna. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec placerat lobortis risus et adipiscing. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed ac leo dolor. Aliquam luctus molestie lorem at varius. Mauris lacus nibh, sollicitudin a iaculis in, scelerisque eget magna. Quisque accumsan sem vitae purus mattis ornare.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:24:03', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:09:22', 168, '2012-09-18 03:24:03', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(42, 'Bike fan minister tells of road racing concerns', 'bike-fan-minister-tells-of-road-racing-concerns', 1, 1, '<p>\r\nIn non vehicula libero. Phasellus justo leo, aliquam sit amet accumsan id, consectetur gravida quam. Duis porttitor est eu leo malesuada commodo. Phasellus pellentesque, tellus non tincidunt sodales, sapien eros hendrerit mi, et sodales mi turpis vitae nulla. Aliquam iaculis aliquet massa at adipiscing. Morbi pellentesque sollicitudin mauris egestas volutpat. Donec congue quam sit amet neque luctus pharetra vel at dui. Vestibulum ut mauris sit amet nisl rutrum consequat. Quisque pretium sodales metus, vitae pellentesque tellus pellentesque eget. Morbi rhoncus sem quis dui volutpat vel imperdiet tellus rhoncus. Duis viverra pretium velit vel gravida. Cras molestie, sem at aliquam molestie, dui purus pharetra orci, nec auctor risus tellus eu mi. Duis in lectus in erat vestibulum consequat. Proin risus lorem, dapibus et egestas ac, tempor vel ante. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris elementum molestie ante non dapibus.\r\n</p>\r\n', '\r\n<p>\r\nQuisque ullamcorper, urna ut condimentum tristique, eros nunc lobortis tortor, in luctus tellus tellus eu tellus. Sed id malesuada tellus. Sed faucibus neque sit amet nunc cursus in egestas ipsum ultrices. Cras mollis tortor id mauris ornare suscipit. Pellentesque justo tortor, feugiat sit amet pharetra vel, dictum vitae nisl. Cras eu dolor ut risus ullamcorper tincidunt. Nulla blandit mattis dui, id accumsan dui pellentesque et. Quisque id arcu ipsum, quis laoreet diam.\r\n</p>\r\n\r\n<p>\r\nVivamus viverra, nisi vulputate tincidunt fermentum, felis turpis aliquam nibh, vel vestibulum risus arcu sed est. Integer gravida, eros ut aliquam tincidunt, tellus arcu imperdiet lectus, id tincidunt mauris neque id nisi. Curabitur nec odio nulla, nec bibendum magna. Aliquam arcu nibh, euismod eget vulputate sed, auctor id orci. Etiam vitae suscipit nulla. Sed varius ultricies pharetra. Pellentesque lobortis gravida dui ut lobortis. Phasellus porta felis rhoncus felis dapibus molestie. Maecenas egestas tempus enim, non mattis libero lobortis at. Integer commodo leo risus, sit amet molestie justo.\r\n</p>\r\n\r\n<p>\r\nUt ut nibh et orci cursus hendrerit. Nam commodo, sem nec feugiat sollicitudin, urna magna dapibus libero, quis aliquet odio urna id elit. Vestibulum tempus, ligula a mollis rhoncus, ligula lorem sollicitudin lacus, eget fringilla ante enim sed ligula. Mauris ut leo a ante vehicula pharetra. Proin tellus massa, semper in lobortis at, egestas in nunc. Nulla non ligula eu enim tempus tincidunt non eu metus. Quisque arcu sem, scelerisque at pulvinar id, porta cursus lectus. Duis nulla ipsum, accumsan vel vestibulum vel, condimentum adipiscing turpis. Aliquam sed pretium quam. Sed vehicula, ligula eget imperdiet scelerisque, nisi nisl vehicula erat, sit amet lobortis tortor massa et urna. Aliquam a lectus id risus blandit vehicula. Cras et ante neque. Integer elit enim, hendrerit sollicitudin congue id, ullamcorper eu quam. Vestibulum eget mauris gravida turpis convallis semper a a lacus.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:24:47', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:09:05', 168, '2012-09-18 03:24:47', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 15, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(43, 'French swimming champ Lefert to retire', 'french-swimming-champ-lefert-to-retire', 1, 1, '<p>\r\nPhasellus vulputate, lorem eu ultrices fermentum, quam leo viverra tortor, in bibendum sapien nulla condimentum elit. Etiam lobortis, augue quis aliquam porttitor, est nunc commodo ligula, eu convallis tellus felis posuere leo. Nulla aliquam tortor in odio interdum ut hendrerit diam convallis. Sed nec sem magna. Nam a est purus. Duis vitae porta urna. Nullam in justo nulla. Etiam porta tincidunt ipsum id cursus. Nulla vehicula, tortor sed adipiscing fermentum, est tortor venenatis elit, sed ultrices erat nunc sit amet diam. Quisque in lorem felis.\r\n</p>\r\n', '\r\n<p>\r\nVestibulum turpis felis, congue vitae tristique quis, gravida sed justo. Donec cursus odio elit. Integer a tincidunt tellus. Pellentesque consequat dui et lacus pharetra eleifend eget at lectus. Morbi dui eros, gravida sit amet vulputate vel, dictum a lectus. Nulla at sapien mi. Phasellus hendrerit faucibus blandit. Morbi eros quam, faucibus in convallis eget, tristique ac sem. Donec orci ipsum, elementum id dapibus nec, molestie vitae augue. Morbi consectetur ornare elit in vehicula. In lectus metus, lobortis non imperdiet nec, consequat sit amet justo. Fusce eu tempor nunc. Praesent ante magna, euismod a volutpat ac, malesuada vitae libero. Curabitur iaculis mattis sagittis. Aenean tellus dui, tincidunt non aliquam vel, adipiscing eget libero. Nullam mollis erat non diam mattis semper.\r\n</p>\r\n\r\n<p>\r\nInteger rutrum, nisi in dapibus pharetra, diam lectus dictum ante, quis malesuada mi risus id mauris. Mauris aliquet erat vel magna euismod tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec ullamcorper ultrices blandit. Nunc luctus porta libero ac sollicitudin. Donec tempor turpis ante, sit amet auctor orci. Vivamus lobortis nulla at nulla gravida pretium lobortis sapien eleifend. Proin et urna nibh, vel commodo est. Donec augue nisl, imperdiet vitae porta vitae, mollis ac turpis. Vestibulum id eros eu diam pulvinar fermentum vestibulum in felis. Sed varius ultrices semper. Praesent quam turpis, rutrum quis hendrerit quis, euismod a erat. Donec lobortis dapibus orci, dictum adipiscing urna aliquet sed. Duis accumsan, orci sed malesuada venenatis, dolor lorem lacinia est, a euismod sapien magna sed nulla. Donec faucibus arcu eget libero imperdiet pretium.\r\n</p>\r\n\r\n<p>\r\nAliquam vehicula justo at purus ultricies quis interdum neque aliquet. Morbi pretium mollis metus, quis consectetur tellus cursus et. Maecenas ipsum massa, tempor a sagittis id, auctor eu nisi. Maecenas faucibus diam ut ligula ultricies aliquam. Vestibulum aliquam, dolor et porttitor suscipit, elit sapien tincidunt orci, in semper est enim nec tellus. Quisque libero nibh, fermentum pulvinar congue sit amet, rutrum ac lacus. Nunc fringilla aliquam elementum. Quisque volutpat, tortor nec convallis interdum, ipsum libero imperdiet nibh, ac euismod lacus nisi ac nulla. Ut varius ultrices ipsum, ornare vehicula ipsum vestibulum ac. Donec malesuada feugiat ipsum, sit amet placerat est porta sodales. Aliquam fringilla ornare neque eu feugiat. Pellentesque volutpat dui ultricies dui laoreet malesuada. Donec at laoreet justo. Morbi ac nunc at lacus varius dignissim non vitae sem. Etiam malesuada, mi gravida sollicitudin consequat, risus leo fringilla ante, id porttitor sapien nibh et lectus. Sed vitae massa arcu.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:26:06', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:08:48', 168, '2012-09-18 03:26:06', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 4, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(44, 'Sport Skydiving 2012', 'sport-skydiving-2012', 1, 1, '<p>\r\nMaecenas quis ultricies nisl. Suspendisse mauris nulla, ultricies eu auctor eu, lacinia id massa. Phasellus dignissim vestibulum turpis eget feugiat. Nunc lobortis consectetur libero, id commodo nunc consectetur ut. Donec tempus gravida sollicitudin. Curabitur eros sem, dapibus quis molestie id, consectetur sed dolor. Morbi non ultricies risus. Nullam laoreet magna in ante lacinia aliquet. Morbi sit amet tellus sem. Nulla facilisi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In hac habitasse platea dictumst. In hac habitasse platea dictumst. Pellentesque vitae neque quis enim aliquet bibendum.\r\n</p>\r\n', '\r\n<p>\r\nInteger dapibus pellentesque blandit. Phasellus nec tellus turpis, sed pellentesque sapien. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ac velit at eros cursus lacinia eu in ante. Quisque venenatis, purus id volutpat euismod, turpis magna venenatis lacus, et blandit sem turpis non ante. Sed at risus ipsum, et mattis eros. Phasellus mattis risus at arcu aliquet et fermentum leo semper.\r\n</p>\r\n\r\n<p>\r\nVestibulum mollis rutrum magna id laoreet. Vestibulum quis diam sem. Vestibulum fringilla pellentesque condimentum. Nunc et diam non sapien tempor tristique. Cras sem justo, sollicitudin sagittis fringilla vel, faucibus sit amet leo. Praesent mauris elit, lobortis posuere volutpat ac, commodo ac lacus. Sed vitae nisl est, eget scelerisque nisl. Nam vitae magna vel leo sagittis vestibulum sit amet in tellus. Duis vitae luctus massa. Nam quis tincidunt augue.\r\n</p>\r\n\r\n<p>\r\nProin mollis tellus eget mi bibendum luctus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aenean hendrerit imperdiet pulvinar. In elementum turpis et nunc molestie sit amet lobortis magna placerat. Maecenas sit amet risus metus. Fusce tempor, neque vitae consequat fringilla, dui nibh mattis mauris, vel placerat diam risus eu mauris. Phasellus venenatis elementum malesuada. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Integer ultricies augue nec ligula fermentum placerat. Mauris mollis, justo sit amet blandit ultricies, quam tellus suscipit diam, id euismod neque leo a dolor. Nulla pharetra sollicitudin est, eget mattis ipsum interdum et. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque placerat tempus erat non tempor. Morbi bibendum venenatis felis, eget sagittis nisi hendrerit at. Quisque tincidunt nibh nec ante egestas iaculis.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:27:03', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:08:32', 168, '2012-09-18 03:27:03', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 30, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(45, 'Can running a marathon cause pulmonary edema?', 'can-running-a-marathon-cause-pulmonary-edema?', 1, 1, '<p>\r\nUt mollis aliquet ligula a luctus. Vestibulum vulputate dignissim nibh, sed ultrices ipsum volutpat at. Vestibulum quis mi eu ante faucibus placerat. Vestibulum aliquam auctor sodales. Mauris elementum massa cursus magna pulvinar at malesuada risus dignissim. Morbi vitae massa neque, eget imperdiet augue. Aenean id rutrum urna. Phasellus mollis est in sapien feugiat pharetra. Nam elit purus, tempus ac lobortis sit amet, volutpat auctor quam. Duis ac molestie risus. Nullam id turpis ut nisi accumsan tristique.\r\n</p>\r\n', '\r\n<p>\r\nDuis sed lectus ac justo luctus pulvinar. Pellentesque adipiscing dui eu risus convallis quis vestibulum augue laoreet. Mauris massa nisi, consectetur a molestie nec, faucibus eu velit. Nunc sed dolor orci. Nullam ut nulla id ligula porta aliquet. Donec lacus urna, tincidunt non cursus id, viverra ut nulla. Nullam quis est nec ipsum gravida euismod et at ante.\r\n</p>\r\n\r\n<p>\r\nCurabitur suscipit tempor ligula, id dapibus erat viverra imperdiet. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris ultrices commodo interdum. Curabitur vel nunc quis purus lobortis bibendum. Maecenas eu commodo massa. Morbi placerat semper magna, et pharetra mi fermentum et. Aliquam condimentum, erat eget porta adipiscing, justo dui faucibus lorem, at facilisis sapien dui at lacus. Curabitur in mauris eget mi bibendum blandit vel at purus. Nunc ut nisi justo, at ullamcorper mi. Nulla iaculis urna et lorem condimentum eleifend. Aenean consequat diam sed leo luctus a facilisis ante consectetur. Donec sodales semper mi, sodales aliquam libero volutpat ut. Nam sodales vestibulum metus, et mattis felis imperdiet quis. Proin fringilla enim non ipsum interdum fermentum.\r\n</p>\r\n\r\n<p>\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris feugiat risus vel odio hendrerit sed hendrerit eros placerat. Sed vitae lectus nulla. Fusce quis turpis nisl, non tincidunt metus. Aliquam malesuada ipsum in nulla viverra eu tristique lacus vehicula. Aenean non diam rutrum libero porttitor mollis quis mollis arcu. Pellentesque sed mauris ut magna tincidunt pulvinar vehicula vitae diam.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:31:01', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:08:16', 168, '2012-09-18 03:31:01', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 17, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(46, 'Have you ever thought about windsurfing?', 'have-you-ever-thought-about-windsurfing?', 1, 1, '<p>\r\nMaecenas ac purus non nisl consectetur pulvinar sed ut velit. In consequat neque sed enim dictum a molestie diam tincidunt. Etiam id nisl nec massa suscipit porta. Pellentesque vitae orci tempor risus tincidunt porta nec at est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Ut vel libero lectus. Vestibulum porttitor sodales enim sit amet luctus. Integer adipiscing accumsan aliquam. Maecenas tempor, justo vel hendrerit volutpat, nisl purus viverra nunc, vitae sodales enim metus at elit. Aenean ante sem, consectetur sit amet vehicula eget, tempor ac eros. In mollis leo hendrerit erat suscipit hendrerit. Nam egestas venenatis interdum. Suspendisse congue interdum velit nec vulputate. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec et enim ac mi lacinia condimentum. Aliquam et vulputate quam.\r\n</p>\r\n', '\r\n<p>\r\nSed elementum rhoncus fermentum. Vivamus quis massa ac odio pharetra luctus ut eget elit. Cras semper lectus lobortis libero venenatis et accumsan elit tincidunt. Ut felis ligula, sollicitudin non vestibulum at, tempor nec turpis. Nam a accumsan elit. Etiam eget lorem ligula. Integer ut elit mi, eu lobortis erat. In dui purus, interdum nec tristique scelerisque, sodales lobortis nunc. Nullam magna diam, lacinia vel tempus eget, porttitor quis eros.\r\n</p>\r\n\r\n<p>\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent quis mi vitae tortor commodo lobortis. Aliquam elementum convallis faucibus. Integer tincidunt lacus eu odio consectetur quis fringilla lectus eleifend. Phasellus eu metus nec augue rutrum dictum eu ultrices enim. Sed viverra condimentum felis, eget consequat sapien viverra sed. Maecenas condimentum ligula ac purus suscipit rutrum. Integer non pulvinar dolor. Duis malesuada, velit sit amet lacinia sodales, sem libero condimentum leo, vel fermentum orci felis eget odio. Nulla venenatis fringilla consequat. Phasellus nisi libero, egestas non aliquet vitae, iaculis vitae purus. Donec id erat id nibh sagittis porta id sed libero. Mauris faucibus fermentum aliquet. Phasellus eleifend ligula non augue varius a vestibulum orci egestas.\r\n</p>\r\n\r\n<p>\r\nQuisque vulputate pretium eleifend. Phasellus dignissim magna non ipsum sodales sodales ut ut nisi. Fusce quis nibh non justo laoreet rutrum. Suspendisse quis posuere lectus. Maecenas sit amet aliquam quam. Etiam vestibulum magna et justo ultrices eu lacinia sem mollis. Sed volutpat eleifend ultrices. Ut in lorem dui, vel condimentum augue. Maecenas pretium facilisis nisi eget elementum. Donec quis elementum velit. Fusce eget placerat mauris. Vestibulum congue egestas nibh, a consequat erat adipiscing sed. Maecenas ut elementum mi. Cras varius orci sit amet enim aliquet nec euismod nisi elementum.\r\n</p>', NULL, NULL, '[]', '', '2012-09-18 03:32:49', 168, '', 0, '0000-00-00 00:00:00', '2012-09-18 06:07:57', 168, '2012-09-18 03:32:49', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 73, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(47, 'IPhone 5 scores well, with a quibble', 'iphone-5-scores-well-with-a-quibble', 9, 1, '<p>\r\nPraesent consectetur tellus vitae turpis ultricies vel laoreet arcu viverra. Ut augue enim, molestie eget semper nec, tincidunt et nibh.</p>\r\n', '\r\n<p> Donec vitae nisl ac arcu viverra malesuada. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. In aliquam, ligula id volutpat egestas, est elit interdum velit, ac congue tortor ante non sem. Duis elementum, enim ut tempus adipiscing, mauris urna vulputate libero, sed volutpat magna quam porta mauris. Proin odio massa, condimentum eget eleifend ac, convallis ut nisi. Donec vestibulum nulla ac quam luctus pulvinar. Proin id ipsum turpis, ac convallis dolor. Pellentesque et ipsum sit amet tellus congue mattis. Maecenas viverra tellus et mi porttitor sed molestie sem auctor. Aliquam facilisis nisi ut ipsum volutpat tempor.\r\n</p>\r\n\r\n<p>\r\nProin rhoncus augue eget purus molestie commodo. Integer ac nunc ac nibh pulvinar convallis eu sed dui. Maecenas lacinia vulputate dolor non cursus. Pellentesque ac tortor neque. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras ullamcorper dui id odio varius bibendum. Nullam scelerisque tellus quam, eu accumsan odio. Cras suscipit hendrerit velit, id dictum elit mattis et. Pellentesque gravida porta condimentum. Etiam ut nulla libero. Vivamus urna odio, feugiat sit amet ultricies sed, dictum id turpis. Nulla faucibus tincidunt augue, in ornare magna accumsan sed.\r\n</p>\r\n\r\n<p>\r\nDonec rhoncus tempus accumsan. Nunc ac arcu lectus. Vestibulum placerat odio adipiscing urna suscipit congue. In dignissim dignissim urna non congue. Aliquam posuere turpis eget sem dapibus eget egestas leo iaculis. Nulla tincidunt ipsum a nunc pulvinar in accumsan sem mollis. Donec vitae urna libero, vitae ornare neque. In odio lectus, lobortis et varius non, euismod sit amet massa. Aliquam vulputate, purus vel fringilla interdum, magna nunc laoreet lorem, vitae consequat diam diam eu risus.\r\n</p>\r\n\r\n<p>\r\nVestibulum vitae nunc erat, et mollis elit. Curabitur tortor sapien, varius sit amet congue ac, bibendum sed neque. Donec ultricies arcu in ipsum tristique id commodo mi pellentesque. Sed vestibulum, nulla ac molestie condimentum, urna leo posuere arcu, sit amet blandit lectus enim quis magna. Donec dictum, ipsum a blandit fringilla, massa risus facilisis dui, ac placerat odio lacus eu sapien. Vestibulum mollis ligula eget nunc sollicitudin venenatis. Morbi eu nisl id justo rhoncus sollicitudin ut vel massa. Sed pulvinar euismod blandit. Nunc ornare vulputate risus, ac iaculis orci dapibus pellentesque. Vivamus iaculis interdum odio eu varius. Nam venenatis quam eu purus interdum at vestibulum lectus fermentum. Nunc semper purus ac leo facilisis feugiat. Fusce convallis elit eu leo mollis rhoncus. Etiam ornare libero vel nisi egestas laoreet condimentum eros varius. Suspendisse vitae leo at risus sodales tempor. Maecenas ullamcorper libero et orci sodales ornare.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 01:24:06', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:38:11', 168, '2012-09-19 01:24:06', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 16, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(48, '2013 polaris ranger xp 900 first ride', '2013-polaris-ranger-xp-900-first-ride', 9, 1, '<p>\r\nEtiam vitae tellus vitae eros fermentum condimentum. Aliquam sodales, mauris eget viverra suscipit, lectus sapien condimentum mi.</p>\r\n', '\r\n<p>A pretium ligula sem ut diam. Quisque nisl lorem, fringilla lacinia imperdiet sit amet, porttitor ut neque. Nam commodo venenatis ipsum non condimentum. Phasellus commodo, dui ac iaculis tincidunt, purus lectus suscipit purus, a fermentum est metus nec metus. Donec id nisl non metus aliquam gravida. Sed rutrum semper metus, sit amet adipiscing risus iaculis vel. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed nulla est, semper sit amet iaculis quis, vehicula id ligula. Aliquam fermentum diam eu urna placerat sed adipiscing est tempor. Duis non nisi purus. Maecenas feugiat scelerisque mauris, ac posuere tortor aliquet vitae. Nam rhoncus lobortis feugiat. Nam augue dui, consequat nec tincidunt a, lacinia id urna. Vivamus porttitor, diam lacinia egestas ultrices, lacus justo vehicula lectus, a aliquam mauris nunc eu nisi. Duis pretium tortor vitae leo bibendum porttitor.\r\n</p>\r\n\r\n<p>\r\nCras hendrerit mollis mauris ac elementum. Nam non tincidunt odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Duis viverra purus nec augue malesuada vulputate. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque id pulvinar mauris. Donec ornare diam fringilla erat eleifend pharetra. Nulla sed metus neque, et convallis velit. Vestibulum semper posuere luctus. Donec iaculis sollicitudin purus, non convallis ipsum semper quis.\r\n</p>\r\n\r\n<p>\r\nSed non velit at metus venenatis rhoncus. Maecenas id risus mauris, laoreet laoreet ipsum. Vivamus ultrices ligula ac eros cursus aliquam. Sed pretium urna eu elit tincidunt a scelerisque ligula venenatis. Nullam in metus massa. Maecenas non tortor vel mauris dignissim dictum. Sed eget justo sit amet quam ultricies varius vitae sit amet dui. Mauris sed mattis turpis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Suspendisse potenti. Sed varius iaculis mi, et viverra turpis interdum in. Nullam laoreet nibh vitae velit venenatis rhoncus. Vestibulum sagittis dictum dui, sit amet lobortis dolor laoreet tempor. Aenean sed odio bibendum ipsum venenatis mollis ac sed lacus. Praesent vel justo turpis.\r\n</p>\r\n\r\n<p>\r\nAenean adipiscing consectetur justo at convallis. Aliquam faucibus elementum felis, at blandit purus condimentum vitae. Nam elementum ligula risus, eu scelerisque nunc. Vestibulum eget dictum nisl. Donec porta, odio at tempor lobortis, dolor nisi varius nulla, eget vehicula neque mauris eget nulla. Aenean vel nisl leo, quis posuere orci. Pellentesque sem sapien, elementum sagittis faucibus ut, venenatis eu nisl.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 01:31:33', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:37:44', 168, '2012-09-19 01:31:33', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 30, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(49, 'Manchester United defeats Wigan 4-0', 'manchester-united-defeats-wigan-4-0', 9, 1, '<p>\r\nInteger lacinia dapibus turpis quis tincidunt. Pellentesque mi turpis, dapibus accumsan consectetur eget, sollicitudin nec massa.</p>\r\n', '\r\n<p> Vivamus tempus, massa eget imperdiet eleifend, ipsum nisi luctus ante, vitae imperdiet diam mauris ac nibh. Phasellus quis felis in libero feugiat auctor. Aenean sollicitudin augue et magna facilisis quis consectetur turpis tempor. Duis ultricies arcu eget massa tempor sit amet porta est tristique. Maecenas et condimentum tortor. Etiam placerat ligula ut ipsum facilisis accumsan. Proin accumsan metus eget nibh commodo pellentesque. Nullam ac fringilla leo. Mauris pharetra placerat magna, sed ullamcorper erat eleifend et. Suspendisse potenti. Integer elit felis, bibendum at feugiat ut, mattis id felis. Donec adipiscing dolor vel nibh accumsan viverra.\r\n</p>\r\n\r\n<p>\r\nAliquam fermentum, diam vitae pretium tempor, nulla quam vestibulum metus, a sollicitudin eros orci id nunc. Sed posuere ullamcorper elementum. Aliquam congue placerat mi vitae fermentum. Curabitur vel quam quis odio rhoncus molestie ut nec urna. Ut mollis consequat lectus, eu sollicitudin leo lobortis vel. Integer pulvinar rhoncus nisi, eu varius velit mattis nec. Maecenas et mi eget eros tincidunt ornare. Donec non condimentum orci. Nullam felis nisi, tempus ut pretium nec, posuere at risus. Sed fermentum feugiat diam, eleifend feugiat magna dapibus quis. Pellentesque dapibus, mauris ultrices suscipit lacinia, mi mauris posuere leo, at mattis orci dui pharetra turpis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Duis consequat porttitor felis, vel interdum ipsum convallis ac. Mauris consequat congue augue.\r\n</p>\r\n\r\n<p>\r\nMorbi in luctus dolor. Pellentesque id nisl est. Morbi mollis sapien ac orci ultricies scelerisque. Donec semper, nisl sed ullamcorper bibendum, lectus mauris rhoncus dui, a lacinia ante nisl eget nisi. Vivamus rhoncus aliquam diam, vitae tincidunt elit congue dictum. Nulla nibh odio, interdum eget pulvinar vel, sollicitudin sed velit. In feugiat, tellus porta fringilla convallis, lacus dolor pellentesque ante, non sagittis est quam et diam. Cras eget adipiscing tellus. Quisque risus ipsum, aliquet non fringilla quis, aliquam id sapien. Proin sit amet pulvinar neque. Maecenas hendrerit gravida tellus.\r\n</p>\r\n\r\n<p>\r\nQuisque lacinia, eros non interdum lacinia, lectus lacus volutpat mauris, in ultrices nisi leo vel neque. Sed at nulla libero, sed pellentesque nisi. Suspendisse ultricies magna at justo iaculis quis commodo leo aliquam. Nulla ut justo feugiat augue venenatis consequat. Fusce porta dui leo. Curabitur a ante vitae lectus tincidunt cursus ac et nibh. Maecenas diam lectus, fringilla ac aliquam sed, consectetur et orci. Nam ultricies pulvinar lectus id pharetra. Nunc metus turpis, dapibus in tristique ut, gravida ac orci.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 01:37:45', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:37:16', 168, '2012-09-19 01:37:45', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 17, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(50, 'David Nguyen', 'david-nguyen', 10, 1, '<p>\r\nZootemplate is so great. Thanks alot for your work, also excellent service, hight recommend.\r\n</p>\r\n<a href="http://zootemplate.com" title="zootemplate">David Nguyen</a>', '', NULL, NULL, '[]', '', '2012-09-19 02:08:31', 168, '', 0, '0000-00-00 00:00:00', '2012-09-19 02:16:20', 168, '2012-09-19 02:08:31', '0000-00-00 00:00:00', 1, 1, 1, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(51, 'Data storage', 'data-storage', 11, 1, '<p>\r\nLorem lacus, eget ornare ut, aliquet sagittis nisl. In metus lacus, molestie nec iaculis iaculis, varius eu dolor. </p>\r\n<p>Lacus euismod. cursus, quam at sagittis rhoncus, nunc tortor interdum diam, eu euismod ligula mi a tortor. Ut purus odio, ullamcorper vestibulum eleifend vitae, luctus ac mi. Duis vitae purus pharetra ligula bibendum ullamcorper. Morbi pharetra sodales fermentum. In varius lacinia ullamcorper.\r\n</p>\r\n\r\n<p>\r\nMauris volutpat felis sed neque ultrices vulputate. Donec at luctus nisi. Vestibulum magna ante, convallis vel elementum eget, blandit sed risus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus blandit dolor condimentum est pharetra viverra. Suspendisse pellentesque risus id sem lacinia a fermentum sapien commodo. Quisque id nunc diam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris mattis mollis luctus. Quisque eu sem urna, non tempus lorem. Cras nunc ante, ultricies eget euismod quis, faucibus eu felis. In viverra, lectus et aliquam fermentum, lorem dui lobortis urna, eget ullamcorper erat mi id velit.\r\n</p>\r\n\r\n<p>\r\nNulla lectus lacus, euismod non feugiat eget, aliquam quis sem. Etiam venenatis lacus ornare leo varius eu accumsan felis dictum. Donec non urna felis, in sollicitudin mi. Donec laoreet auctor justo, eget faucibus neque porttitor at. Integer aliquam lorem nec lacus iaculis ut aliquam nisi eleifend. Praesent malesuada lobortis euismod. Donec eget lacus a arcu dapibus viverra quis eget nisl. Phasellus ut ante tempor erat eleifend adipiscing nec ac elit. Donec purus augue, lobortis ut consectetur vel, tincidunt at eros. Morbi lacinia nibh nec tellus posuere ac egestas urna interdum. Cras commodo nunc in justo facilisis at viverra ipsum hendrerit. Aliquam pellentesque dui odio. Mauris facilisis luctus enim et elementum.\r\n</p>', '', NULL, NULL, '[]', '', '2012-09-19 02:44:35', 168, '', 0, '0000-00-00 00:00:00', '2012-10-10 06:40:46', 168, '2012-09-19 02:44:35', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 137, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(54, 'About us', 'about-us', 12, 1, '<p>\r\n<a href="http://www.zootemplate.com" title="zootemplate">Quisque varius lacinia</a> elit, euismod adipiscing elit aliquam non. <a href="http://www.zootemplate.com" title="zootemplate">Aliquam posuere</a>, tortor et porttitor pharetra</p>\r\n<p>Nisl est suscipit mi, eu auctor magna tortor in elit.\r\n Integer non purus ante, sit amet elementum tortor. Etiam eu turpis ac nunc <a href="http://www.zootemplate.com" title="zootemplate">bibendum condimentum</a> quis a sapien. Donec interdum fringilla consequat. </p>\r\n', '\r\n<p>\r\nNulla nisl tellus, venenatis at adipiscing ac, luctus eget leo. Quisque diam nibh, aliquam nec imperdiet vel, vehicula quis metus. Quisque malesuada mi quis lectus pharetra at laoreet urna sagittis. Praesent vehicula hendrerit ligula, convallis volutpat lorem blandit sit amet. Etiam vitae orci nec dolor hendrerit mattis. Integer in magna libero. Etiam felis sem, lacinia vitae hendrerit aliquam, aliquet ut felis. Aliquam eleifend vulputate metus, non auctor est hendrerit vel. Donec fringilla nulla sed sapien varius laoreet. Cras luctus feugiat fringilla. Etiam vulputate massa nec urna convallis vulputate.\r\n</p>\r\n\r\n<p>\r\nNullam ligula neque, cursus quis vehicula ac, pretium ut magna. Phasellus iaculis, leo et blandit pulvinar, lorem massa pharetra dui, at bibendum magna quam quis ligula. Nunc placerat interdum tortor quis pellentesque. Morbi sit amet lacus eget urna rhoncus rutrum. Integer ut iaculis quam. Sed nisl nisi, elementum sed consectetur a, eleifend id nibh. Aenean pharetra, sem vehicula interdum dapibus, eros augue molestie nibh, commodo euismod nibh lorem vitae erat. Donec blandit euismod nibh. Nullam odio arcu, tristique vel suscipit vitae, lobortis vel mi. Ut augue eros, vehicula sit amet sodales sit amet, viverra vitae lorem. Praesent posuere, ante non placerat gravida, dui urna auctor purus, et ullamcorper lectus metus sit amet orci. Aliquam id nisl lorem, vel venenatis nisi. Etiam a fringilla quam. Aenean lacinia orci sit amet ipsum volutpat imperdiet. Cras semper dolor eget nibh tempor porttitor. Curabitur nec lectus in ante volutpat rhoncus sed in libero.\r\n</p>\r\n\r\n<p>\r\nAenean in ante nunc. Phasellus luctus lobortis mauris. Morbi consectetur tincidunt arcu, sed tempor odio lobortis non. Praesent imperdiet sem et velit auctor in ullamcorper massa malesuada. Phasellus ac ipsum eget urna vehicula tincidunt. Sed molestie vestibulum magna ac facilisis. Donec dictum iaculis justo, id pellentesque libero mattis at. Fusce in purus feugiat diam auctor fermentum.\r\n</p>\r\n\r\n<p>\r\nPraesent dui mi, hendrerit varius scelerisque at, rutrum eget nibh. Donec eleifend bibendum urna eu ultricies. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam congue justo at eros dignissim porttitor. Vivamus hendrerit ornare congue. Cras at ligula in nisi mattis gravida in vel nunc. Donec molestie ipsum suscipit enim lobortis dapibus. In posuere ligula eu mi cursus sed vulputate ipsum tempor. Pellentesque vel quam ac erat sodales elementum sed id nunc. Fusce sollicitudin, magna quis bibendum aliquam, felis turpis egestas urna, ut pellentesque est lorem aliquet leo. Fusce non odio velit, posuere sagittis nibh. Aliquam ultrices ultricies suscipit. Cras ut tortor dui. Quisque pulvinar magna in lacus interdum posuere.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 06:33:53', 168, '', 0, '0000-00-00 00:00:00', '2012-09-19 06:41:55', 168, '2012-09-19 06:33:53', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 16, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(52, 'Email contact Pro', 'email-contact-pro', 11, 1, '<p>\r\nInteger gravida, enim accumsan accumsan imperdiet, urna urna aliquam est, non fermentum odio eros vitae risus. Vestibulum mattis felis non quam tincidunt vitae congue tortor auctor. </p>\r\n', '\r\n<p>Cras eros ligula, dictum eget sagittis vel, malesuada sed odio. Quisque vehicula leo id nibh lacinia posuere. Sed nec felis ut quam ultrices faucibus. Quisque pharetra vulputate risus, vel iaculis metus accumsan vitae. Nulla luctus massa eu neque congue placerat. Nam dictum tempus tristique. Proin tincidunt elementum consectetur. Donec eu velit elit.\r\n</p>\r\n\r\n<p>\r\nNulla nec diam ac urna fermentum congue eu vitae diam. Sed vestibulum pulvinar tempor. In hac habitasse platea dictumst. Fusce molestie semper mi, ut euismod felis scelerisque sed. Nulla tellus odio, pretium in ultricies sed, aliquam eu diam. Praesent eros mauris, hendrerit ut dignissim ac, egestas sed lectus. Cras fringilla velit in nulla vestibulum non dignissim libero rhoncus. Proin vitae justo ut justo rhoncus suscipit in at nunc. Nullam facilisis odio molestie arcu dapibus ut euismod arcu consequat. Phasellus ante sem, hendrerit sit amet hendrerit rutrum, faucibus a nunc. Donec et convallis justo. Sed nunc erat, lobortis id tincidunt fermentum, eleifend eget justo. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;\r\n</p>\r\n\r\n<p>\r\nCras et enim leo. Quisque nec lorem ac orci elementum varius in eu nisi. Praesent tristique elementum felis, sit amet tincidunt sapien malesuada a. Aliquam in enim a lorem gravida condimentum. Duis scelerisque malesuada mauris, at malesuada elit tempor at. Quisque viverra tristique dapibus. Nam mi ipsum, convallis sed elementum in, feugiat eu urna. Integer justo libero, viverra et fringilla sed, dapibus eu dui. In hac habitasse platea dictumst. In eget est vitae ligula sodales ornare in sed orci. Aliquam quam lacus, consequat sed lacinia sed, faucibus eu quam. Donec elementum egestas pretium. Sed consequat, risus sed faucibus congue, nulla urna cursus nunc, vitae tincidunt elit nunc at magna.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 02:45:56', 168, '', 0, '0000-00-00 00:00:00', '2012-10-10 06:41:08', 168, '2012-09-19 02:45:56', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 87, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(53, '24/7 Support', '24-7-support', 11, 1, '<p>\r\nSed in erat nulla. Sed varius ante eu magna viverra accumsan. Aenean tempus lectus sed elit vestibulum vitae fermentum mauris rhoncus. Curabitur sodales, orci eget tincidunt ultricies</p>\r\n', '\r\n<p>Magna dui commodo erat, porttitor euismod leo elit sed leo. Nunc porttitor, mauris nec tempus scelerisque, enim justo luctus dolor, sed semper lacus urna vel nibh. Duis eget mollis arcu. Pellentesque sapien orci, pharetra at hendrerit sit amet, pretium in ante. Donec ut orci at sem aliquet scelerisque quis at massa. Fusce tincidunt commodo sagittis. Sed et nibh vitae turpis rutrum aliquam. Aliquam vitae libero erat. Duis in tristique erat. Morbi tincidunt, ante ac suscipit aliquam, tellus urna semper magna, et tincidunt lorem felis scelerisque metus. Morbi ac enim eget mauris convallis euismod.\r\n</p>\r\n\r\n<p>\r\nDonec felis magna, pretium eget fermentum eu, iaculis ac sem. Duis in nisi dolor, eget luctus nunc. Fusce venenatis libero quis purus suscipit in aliquam nulla vulputate. In hac habitasse platea dictumst. In ultricies felis vel augue convallis venenatis. Sed consectetur libero in erat faucibus a fringilla quam congue. Mauris vitae lacus nunc. Donec euismod urna orci, non sodales nisl. Duis ultrices porttitor tempus. Nam pellentesque, mauris id consequat tristique, purus dolor congue mi, in tincidunt nisl dolor non tellus. Morbi vitae lectus ac turpis tempor convallis sed a mauris. Suspendisse quis urna nulla, vitae posuere purus. Aenean lobortis massa at dolor fermentum dictum.\r\n</p>\r\n\r\n<p>\r\nMorbi interdum lobortis elementum. Duis congue venenatis justo at euismod. Cras at augue ut sapien ultricies volutpat et quis augue. Aenean quis lectus metus. Sed pretium luctus vehicula. Cras vulputate arcu a turpis cursus id ultrices erat pulvinar. Nulla facilisi. In sit amet sem quis nisi volutpat elementum eu id mauris. Sed vehicula odio iaculis elit venenatis placerat.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 02:46:37', 168, '', 0, '0000-00-00 00:00:00', '2012-10-10 06:41:37', 168, '2012-09-19 02:46:37', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 27, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(55, 'British Airways plans evolution for A380', 'british-airways-plans-evolution-for-a380', 13, 1, '<p>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Sed viverra, magna at ultrices sollicitudin, justo est ultrices leo, vel mollis tellus nisi a felis. Sed quis purus non ante dapibus tincidunt eu ac augue. Vivamus gravida ligula non libero venenatis fermentum. Cras et dignissim erat. Suspendisse in volutpat sem. Integer facilisis semper massa, a malesuada ligula egestas vitae. Mauris dignissim varius neque dictum ultrices. Fusce felis purus, vestibulum in luctus non, malesuada auctor sapien. Donec mi sem, interdum ornare pulvinar non, adipiscing vulputate nibh. Vestibulum et pellentesque arcu. Nam sagittis vehicula luctus. Curabitur ornare dignissim metus ac mollis. Donec non diam ipsum, sed volutpat leo. Phasellus feugiat consectetur arcu, eget tincidunt erat ullamcorper nec. Mauris faucibus, orci at accumsan hendrerit, nisl lorem fringilla augue, sed gravida est tortor non purus.\r\n</p>\r\n', '\r\n<p>\r\nSed eu rutrum enim. Nullam mauris elit, commodo non faucibus ac, egestas vel quam. Pellentesque felis libero, mattis nec egestas at, porttitor a sem. Nulla rhoncus erat non mi ultrices volutpat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam pharetra, tellus sed fermentum fringilla, odio mi ullamcorper ligula, malesuada cursus leo mi in nisl. Curabitur ac blandit nibh. Sed nec mi nunc, ut porta libero. Ut porta purus sed sapien consequat hendrerit vel et sem. Aenean dictum tristique massa, sed sollicitudin enim tincidunt quis. Aenean nec rutrum ante. Nunc feugiat, eros et feugiat viverra, ligula tortor vulputate magna, tempor auctor lectus ligula nec tellus. Mauris pretium venenatis magna sit amet varius. Vivamus lobortis accumsan tortor id rutrum.\r\n</p>\r\n\r\n<p>\r\nDonec consequat ante et lectus varius nec posuere orci gravida. Pellentesque fermentum purus et urna molestie viverra in vel magna. Nullam sit amet ipsum ut magna dapibus auctor. Duis vitae nisi ut orci porta rutrum quis sed erat. Aliquam venenatis felis dignissim dui interdum scelerisque. Vestibulum mollis lobortis dui, eu egestas nunc aliquet sed. Phasellus lobortis nulla id elit accumsan rutrum. Ut vitae mi turpis, ut tempor lacus. Ut venenatis metus quam, quis pretium nunc. Maecenas ultrices felis id tortor iaculis id aliquam sapien ultrices. Sed sodales volutpat nisl sit amet viverra. Nulla non est nec lorem volutpat tristique at nec nisi. Curabitur lacinia fringilla tortor, vel adipiscing est consequat id. Phasellus gravida posuere auctor. Aliquam erat volutpat.\r\n</p>\r\n\r\n<p>\r\nNulla condimentum urna id lectus cursus sagittis. Nulla non tortor elit. Nullam congue leo nec nibh ullamcorper adipiscing. Morbi feugiat consectetur ipsum non fermentum. In hac habitasse platea dictumst. Praesent at nulla urna. Suspendisse gravida interdum rutrum. Quisque in risus volutpat quam porttitor hendrerit sed non massa.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 09:04:09', 168, '', 0, '0000-00-00 00:00:00', '2012-11-12 02:39:01', 168, '2012-09-19 09:04:09', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 60, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(56, 'Apple: iPhone 5 topped 2M in 24 hours', 'apple-iphone-5-topped-2m-in-24-hours', 13, 1, '<p>\r\nNullam aliquet, ipsum vitae ullamcorper gravida, velit justo ullamcorper velit, quis lacinia tortor arcu et sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas sollicitudin fermentum neque non pulvinar. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In eget viverra sapien. Phasellus gravida convallis velit, sit amet semper elit viverra sit amet. Phasellus nibh ante, vulputate id fermentum nec, imperdiet et lacus. Aliquam dolor felis, laoreet vitae lobortis non, hendrerit eu lectus. Integer urna enim, fermentum quis sagittis id, porttitor ac massa. Aliquam ac tellus ac felis aliquet posuere. Nulla at sapien velit. Cras a pulvinar ante. Nunc libero velit, tincidunt vitae vestibulum vel, volutpat ultrices sem. Phasellus id augue magna. Phasellus viverra, dui in auctor pretium, purus lectus sagittis arcu, non porta massa mauris eget ante. Aliquam lobortis venenatis condimentum.\r\n</p>\r\n', '\r\n<p>\r\nNullam rutrum tincidunt sapien a faucibus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras ultricies adipiscing pharetra. Sed metus risus, ullamcorper nec rutrum id, iaculis in ligula. Phasellus id massa nibh. Morbi in nunc et nisl vulputate vestibulum ac a sem. Nunc id lorem in nisi placerat dignissim sit amet a neque. Proin id massa turpis. Aliquam quis ornare est.\r\n</p>\r\n\r\n<p>\r\nSuspendisse potenti. Quisque auctor hendrerit purus. Ut tincidunt, mi eget mattis placerat, dui nisl fermentum arcu, nec auctor massa ligula quis lectus. Suspendisse nisi lectus, dictum at porta a, rutrum at diam. Ut vel ligula quis elit iaculis ultricies. Suspendisse potenti. Vivamus est nunc, rutrum a gravida sed, tristique laoreet nisl. Donec urna mi, ornare pellentesque aliquam ut, auctor non enim. Nunc et augue quis velit ullamcorper tincidunt nec ac nisl. Pellentesque vitae orci ac diam tristique pharetra eu quis lacus. Nulla facilisi. Cras nec dolor odio, eget ullamcorper nunc. Vestibulum neque purus, tristique aliquet convallis ac, elementum non est. Suspendisse vitae arcu tellus, non dignissim dolor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;\r\n</p>\r\n\r\n<p>\r\nDonec nec quam id magna varius feugiat. In molestie purus nec quam gravida posuere. Morbi ultrices scelerisque ipsum eget interdum. Donec a felis vitae mi commodo tristique. Vivamus gravida vulputate sapien, vitae venenatis lorem convallis non. Duis eu libero lectus. Sed a ligula elit. Duis eu arcu non lorem cursus vulputate. Aliquam erat volutpat. Nullam vitae turpis felis, et molestie quam. Fusce ac porttitor dolor.\r\n</p>', NULL, NULL, '[]', '', '2012-09-19 09:18:15', 168, '', 0, '0000-00-00 00:00:00', '2012-09-25 01:46:26', 168, '2012-09-19 09:18:15', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 30, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(57, 'Exterior facade house design', 'exterior-facade-house-design', 14, 1, '<p>\r\nDonec volutpat magna id nibh aliquet non feugiat nisl pulvinar. Ut nisi ligula, mollis a euismod vel, consectetur eget augue! Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Curabitur non leo felis, nec laoreet metus. Sed ut ligula et ligula posuere hendrerit? Quisque laoreet nisi eu mi mattis laoreet. Ut adipiscing, diam ac convallis tincidunt, nisi orci ultrices lectus; vel tempor nisl purus non justo. Ut id odio eros. Nulla id purus orci? Fusce dignissim posuere viverra. Proin interdum, libero nec eleifend facilisis, purus est varius neque, ut porttitor sapien tellus ut sapien. Nam tellus urna, congue vel porttitor in, auctor ac leo! Morbi id diam neque, quis ultrices libero. Ut porta dictum magna, et interdum lorem venenatis non. Etiam at libero odio, non bibendum lacus.\r\n</p>\r\n', '\r\n<p>\r\nAenean egestas felis at velit imperdiet facilisis vitae ac nisl. Mauris luctus commodo fermentum. Nunc in quam quis mi blandit adipiscing et dapibus tellus. Proin non dui a nunc molestie mollis at sed justo. Vestibulum fringilla laoreet libero, id lacinia magna pretium eu? Proin eget venenatis enim. Etiam sed nunc magna, non sollicitudin justo. Phasellus vitae metus purus? Donec justo velit, tincidunt id feugiat laoreet; ultrices eu risus! Cras aliquam dapibus ultrices. Nullam vel placerat dolor. Vestibulum rutrum nisl at odio viverra sed aliquet arcu sollicitudin. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque sodales ullamcorper consequat?\r\n</p>', NULL, NULL, '[]', '', '2012-09-20 03:19:51', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:36:17', 168, '2012-09-20 03:19:51', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 35, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(58, 'House design north Indian ', 'house-design-north-indian', 14, 1, '<p>\r\nUt orci nisi, adipiscing sit amet venenatis quis, rhoncus eu purus. Etiam quis felis vitae tortor venenatis tempus a a felis. Mauris rhoncus ligula euismod metus commodo a scelerisque sapien scelerisque. Suspendisse est magna, lacinia non suscipit iaculis, interdum in sapien. Aenean vitae libero odio. Morbi volutpat sapien tellus, id molestie urna. Suspendisse potenti. Ut et ligula eros. Curabitur placerat dignissim ante sit amet vestibulum. Donec aliquam, dui sed commodo elementum, eros nunc euismod lectus, at viverra leo est sed sapien. Mauris ante nisi, suscipit vel vestibulum rhoncus, facilisis a lorem.\r\n</p>\r\n', '\r\n<p>\r\nVivamus vel sem vitae augue varius euismod. Cras id tortor rutrum mauris convallis vestibulum non sed ante. Mauris pretium ornare odio, ac vulputate tellus pretium quis. Duis id facilisis nulla. Nullam est mi, adipiscing a cursus quis, semper at elit. Ut non elit risus, vel ultricies diam. Vestibulum quis velit a nulla tempus lobortis. Pellentesque mattis sollicitudin ante dapibus ultricies. Mauris sit amet elit in ante ornare pellentesque sit amet eget orci. Proin consequat porttitor posuere. Vivamus sed nunc mi. Etiam in dui lectus. Integer nisi leo, pellentesque sed commodo eget, varius eget velit. Fusce quis magna ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed malesuada, enim vitae accumsan pharetra, neque dolor porta mauris, non tincidunt tellus libero faucibus ante.\r\n</p>', NULL, NULL, '[]', '', '2012-09-20 03:21:20', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:35:36', 168, '2012-09-20 03:21:20', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 19, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(59, 'Business plan competitions may be key to job growth', 'business-plan-competitions-may-be-key-to-job-growth', 7, 1, '<p>\r\nSed bibendum erat at neque pellentesque quis blandit purus interdum. Sed tincidunt, orci convallis interdum porta, urna tortor egestas lorem, hendrerit cursus ligula lectus ut lectus. Suspendisse interdum condimentum ligula, lobortis interdum elit posuere vel. Ut egestas risus aliquet dolor tempus lobortis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla facilisi. Mauris sit amet dolor magna, sit amet consectetur lorem. Donec ultrices egestas elit. Sed aliquam commodo est ut luctus. In tortor nunc, fermentum vitae iaculis lacinia, tempor dictum purus. Mauris eu risus vel ipsum placerat feugiat. Curabitur at arcu sed ligula congue tempor. Ut dignissim libero quis sapien egestas accumsan. Nunc odio ante, pellentesque et rutrum ut, bibendum quis urna. Sed tempus, augue rhoncus pulvinar hendrerit, neque arcu pulvinar dui, sit amet tempor augue nisl tincidunt magna.\r\n</p>\r\n', '\r\n<p>\r\nVestibulum aliquet elementum gravida. Morbi massa magna, porttitor in hendrerit eget, feugiat sed velit. Vestibulum ut mauris dolor. Aenean congue lacinia sapien ac semper. Nunc aliquet lorem sit amet mauris sodales tincidunt. Nullam nec tortor nisl. Ut non nisl vitae nibh varius ornare.\r\n</p>\r\n\r\n<p>\r\nSed tempor est nec tellus semper sit amet tempor arcu blandit. Vestibulum porta tempor lacus, in faucibus sapien placerat a. Praesent dictum, arcu vel vulputate auctor, dolor velit scelerisque ante, quis mollis sapien enim nec dolor. Quisque suscipit nisl vel neque posuere quis suscipit nulla sollicitudin. Cras placerat erat in urna cursus lobortis. Proin dolor magna, aliquam vel semper et, dapibus eu libero. Proin vulputate sollicitudin egestas. Morbi viverra ipsum vel erat bibendum interdum. Nullam pretium tempus lacus, at tempus quam pellentesque eget. In a nisi quam, a sollicitudin lacus. Maecenas nibh neque, vehicula sit amet molestie ac, vestibulum ac lectus. Fusce in felis nec turpis venenatis mollis.\r\n</p>', NULL, NULL, '[]', '', '2012-09-21 01:19:32', 168, '', 0, '0000-00-00 00:00:00', '2012-10-04 06:50:27', 168, '2012-09-21 01:19:32', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 26, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(60, 'iPhone 5 launch draws crowds at Asia Apple shops', 'iphone-5-launch-draws-crowds-at-asia-apple-shops', 7, 1, '<p>\r\nMorbi ut dolor metus, a semper risus. Aenean varius venenatis dui et placerat. Curabitur lacus nisi, fermentum sit amet consectetur eget, dapibus at metus. Donec id magna ac felis placerat accumsan eu vitae leo. Maecenas semper quam at leo dignissim ac luctus diam fringilla. Cras congue varius eleifend. Ut consectetur dictum congue. Aliquam turpis turpis, consequat tincidunt mollis sed, dictum vel velit. Fusce et nulla nibh, a placerat nunc. Nulla orci augue, venenatis et consectetur eu, placerat ac nisi. Maecenas at sollicitudin ipsum. Nullam ullamcorper urna sit amet odio vestibulum tempor id posuere magna.\r\n</p>\r\n', '\r\n<p>\r\nQuisque pretium ornare fermentum. Cras sollicitudin quam vitae massa tempor et dignissim est sagittis. Phasellus laoreet purus vel augue consectetur rhoncus. Curabitur placerat, libero dignissim vehicula rhoncus, tellus nunc tristique massa, nec auctor risus ante sit amet nibh. Donec eros velit, suscipit ac dapibus ac, commodo et arcu. Sed cursus euismod ipsum in mattis. Quisque semper tincidunt arcu, quis dignissim lacus porttitor sed. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed accumsan, ligula id dignissim eleifend, magna enim placerat quam, ac condimentum nibh justo feugiat odio. Aenean tempus congue dui bibendum condimentum.\r\n</p>\r\n\r\n<p>\r\nNullam odio justo, auctor vitae placerat et, lacinia eu est. Nulla auctor urna lorem. Curabitur suscipit ligula id urna mattis fermentum. Duis justo turpis, gravida sodales tincidunt at, ultrices non felis. Vivamus et nisi erat. Donec dapibus mi nec arcu vulputate rutrum congue nisl vestibulum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam non interdum quam. Donec faucibus, felis sed luctus lobortis, nunc odio mollis purus, sed mollis enim nunc eu nibh.\r\n</p>', NULL, NULL, '[]', '', '2012-09-21 01:47:06', 168, '', 0, '0000-00-00 00:00:00', '2012-10-04 06:50:11', 168, '2012-09-21 01:47:06', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 4, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(61, 'Real Madrid coach Mourinho suing Spanish journalist', 'real-madrid-coach-mourinho-suing-spanish-journalist', 7, 1, '<p>\r\nDonec a quam in lorem ultrices dictum. Ut quam purus, fringilla et elementum in, volutpat a nisi. Nunc porta erat eget velit tempus vel suscipit leo sodales. Pellentesque lacus mauris, tristique quis adipiscing ac, blandit et velit. Etiam malesuada tincidunt erat, eu hendrerit est mollis a. Morbi interdum luctus est, id commodo diam interdum ut. Quisque sodales cursus dignissim. Nullam molestie faucibus massa, quis tincidunt odio vestibulum vel.\r\n</p>\r\n', '\r\n<p>\r\nNulla ullamcorper adipiscing commodo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam a luctus urna. Nunc et laoreet sapien. Sed mollis orci eget orci aliquam dignissim. Duis ac porttitor metus. Maecenas vel lacus orci, eu congue lectus. Vivamus sit amet enim nisi. In id elit elit. Vestibulum dui elit, vestibulum nec fringilla vel, sodales id nibh. Duis sit amet ante porta odio lacinia imperdiet. Phasellus vel nulla at erat egestas gravida eget id turpis. Aenean eu velit quam, eget venenatis augue. Etiam hendrerit lacinia ante, ac semper velit vehicula ut. Nunc adipiscing commodo dolor sed viverra.\r\n</p>\r\n\r\n<p>\r\nAliquam at ipsum augue, in elementum urna. Nullam viverra felis nec erat euismod id fringilla libero tempor. Fusce at enim id leo interdum interdum. Aliquam erat volutpat. Proin posuere justo in magna lacinia quis sodales massa tincidunt. Vestibulum dignissim, nunc eget condimentum dictum, libero metus aliquam mi, placerat pulvinar lacus odio et turpis. Aliquam erat volutpat. Aenean sagittis feugiat convallis. Sed id bibendum felis.\r\n</p>', NULL, NULL, '[]', '', '2012-09-21 01:47:52', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:34:43', 168, '2012-09-21 01:47:52', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(62, 'NASA captures Earth''s chorus', 'nasa-captures-earths-chorus', 7, 1, '<p>\r\nSed porta quam nec tortor tincidunt sollicitudin. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent eget purus urna. Quisque quis justo in nisl venenatis dapibus sagittis non sapien. Sed nec odio purus, a cursus risus. In vel tellus odio, non placerat ante. Ut dignissim, enim ac tincidunt molestie, purus tortor egestas felis, vel rhoncus tortor ante a diam. Pellentesque condimentum sodales erat sed vestibulum. Donec vel diam velit. Aenean aliquet auctor tortor eget eleifend. Cras nec risus sed massa consectetur gravida. Integer condimentum erat non nulla adipiscing iaculis. Mauris laoreet diam consectetur nisl placerat sed lobortis purus euismod. Nunc ultricies lobortis risus eget facilisis. Vestibulum eu tellus nec velit imperdiet interdum. Quisque malesuada volutpat adipiscing.\r\n</p>\r\n', '\r\n<p>\r\nCurabitur tempus nibh vitae nulla viverra ut iaculis tellus rutrum. Sed imperdiet erat sit amet nulla accumsan iaculis. Maecenas elementum pharetra augue et rhoncus. Vestibulum tincidunt libero vitae dui eleifend lobortis. Quisque nec velit diam, malesuada commodo leo. Donec id lectus dui, at tincidunt purus. Morbi lorem purus, egestas at vulputate eget, aliquam vel sem. Sed nec eros nec metus vehicula dapibus tristique at erat. In non orci eros. Aliquam ut velit odio. Nam ac nisi vitae dui placerat suscipit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.\r\n</p>\r\n\r\n<p>\r\nMaecenas nisi purus, euismod eget laoreet et, sollicitudin et mauris. Donec rhoncus euismod pellentesque. Proin laoreet nibh et lacus ultrices tristique. Proin ultricies lacinia quam, eget luctus justo tincidunt eget. Duis accumsan libero lobortis leo eleifend nec ultrices libero pulvinar. Suspendisse ultricies lacus sit amet tortor lobortis at convallis urna lacinia. Suspendisse gravida, lorem fermentum ornare pellentesque, mi dolor aliquet velit, vel imperdiet diam neque sit amet justo.\r\n</p>', NULL, NULL, '[]', '', '2012-09-21 01:48:40', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:34:20', 168, '2012-09-21 01:48:40', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(63, 'Movie review: The Prometheus', 'movie-review-the-prometheus', 7, 1, '<p>\r\nCras blandit arcu id pulvinar. Aliquam eu diam sem, nec interdum risus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam dictum, quam consectetur rhoncus varius, ipsum urna egestas turpis, non ornare elit diam luctus odio. Duis viverra, dui in rhoncus semper, velit sapien feugiat magna, eget molestie mi nibh eu libero. Ut ornare elementum erat, vitae cursus dolor dapibus ac. Donec vestibulum pulvinar lacinia. Aliquam eleifend, velit et consectetur consequat, dui augue consequat metus, nec convallis urna nunc eget lacus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Praesent ipsum purus, gravida eu aliquet vel, convallis in mauris. Integer magna sapien, rhoncus eu faucibus vitae, pellentesque quis purus. Cras et accumsan sem. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n</p>\r\n', '\r\n<p>\r\nMauris ligula magna, rutrum sed egestas in, ornare vel eros. Suspendisse interdum neque at mi varius vestibulum. Nullam sed dui mauris. Quisque pharetra purus nulla. Fusce ullamcorper diam ligula, eget tempor odio. Mauris libero augue, mollis non mattis ac, feugiat quis sapien. Fusce luctus, urna sed venenatis dictum, mi dui feugiat ipsum, at ornare metus magna ac nibh. Sed metus lacus, euismod vitae convallis ac, bibendum ac metus. Pellentesque dictum augue nulla, quis vehicula nulla. Vivamus imperdiet pharetra libero, eu sagittis dui suscipit vel. Donec sit amet arcu at neque lacinia faucibus. Curabitur dictum sollicitudin arcu eget laoreet.\r\n</p>\r\n\r\n<p>\r\nCurabitur blandit, orci vitae pretium pretium, mauris urna rutrum mi, nec pretium turpis urna sed massa. Nullam augue velit, mattis ac tincidunt vel, ullamcorper accumsan enim. Mauris eget nisl eu justo ultrices molestie. Quisque euismod, ipsum at facilisis consectetur, nisi sapien tincidunt dolor, id semper orci urna nec lacus. Vestibulum feugiat ultrices ipsum, ac tincidunt dolor tempor id. Nam sollicitudin, magna vitae volutpat sagittis, nisi urna eleifend nunc, sed iaculis enim mi non mauris. Mauris vulputate eleifend lacus, vel ultricies sapien varius in. In hac habitasse platea dictumst. In odio diam, semper a venenatis sed, laoreet at est. Donec viverra lorem non mi tempus convallis. Nam lacus urna, venenatis sed lobortis a, hendrerit sit amet mauris. Praesent pretium pharetra magna, in egestas augue condimentum eleifend. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum ut arcu imperdiet eros porttitor faucibus. Praesent eleifend lacus non arcu placerat vulputate laoreet dolor luctus. Quisque gravida metus eget ipsum pulvinar fringilla.\r\n</p>', NULL, NULL, '[]', '', '2012-09-21 01:50:00', 168, '', 0, '0000-00-00 00:00:00', '2012-10-11 04:13:03', 168, '2012-09-21 01:50:00', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 7, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(64, 'Module positions', 'module-positions', 15, 1, '<h3>Ut aliquet nisi dignissim</h3>\r\n<p>\r\nIn eget diam sit amet urna vestibulum imperdiet accumsan sit amet erat. Nullam eget massa non dolor aliquam volutpat. Vivamus interdum dictum ultricies. Morbi auctor, diam ornare sagittis dapibus, metus justo hendrerit lectus, ut pulvinar augue augue vitae lacus. Nam auctor auctor quam, ut aliquet nisi dignissim ut. Quisque luctus nulla ut libero vulputate tincidunt. In sed leo sed ligula euismod consequat. Mauris in nunc turpis. Etiam eu ultricies eros. Donec eu dolor nec nunc tincidunt ullamcorper. Maecenas accumsan rutrum ipsum, a sollicitudin libero fermentum a.\r\n</p>\r\n<h4>Morbi nec arcu</h4>\r\n<p>\r\nNulla et sagittis orci. Mauris nec porttitor enim. Morbi nec arcu augue. Vestibulum nec elit vel ipsum convallis dapibus vitae a nunc. Curabitur iaculis vulputate lacus at auctor. In ac velit purus, accumsan convallis ante. Mauris nibh ligula, condimentum in laoreet et, sagittis nec leo. Vivamus volutpat gravida vulputate. Donec sed dolor turpis, a pulvinar neque. Curabitur id nisl diam, ut commodo purus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec aliquet eros elementum arcu blandit eleifend ac eget est. Ut orci justo, consectetur sit amet sollicitudin eleifend, auctor ac metus. Proin massa erat, convallis ac pulvinar eu, suscipit eu est. Sed malesuada, ligula placerat gravida venenatis, neque erat porttitor leo, a lacinia est quam ac lorem.\r\n</p>\r\n<p>\r\nMorbi gravida egestas nisl, nec egestas nibh placerat in. Praesent tempor tellus at lectus sodales viverra semper purus dapibus. Phasellus nec ipsum non libero pulvinar varius sit amet sit amet erat. Vestibulum blandit condimentum ligula, nec placerat nibh tincidunt et. Donec ultrices semper arcu at aliquet. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed ac tellus metus.\r\n</p>', '', NULL, NULL, '[]', '', '2012-10-02 06:46:40', 168, '', 0, '0000-00-00 00:00:00', '2012-10-02 07:07:19', 168, '2012-10-02 06:46:40', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 167, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"1","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"0","itemComments":"0","itemTwitterButton":"0","itemFacebookButton":"0","itemGooglePlusOneButton":"0","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"0","itemAuthorLatestLimit":"","itemRelated":"0","itemRelatedLimit":"","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"0","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(65, 'Apple vs. Samsung Battle Goes On', 'apple-vs-samsung-battle-goes-on', 16, 1, '<p>\r\nQuisque porta tempus nisi, vel vestibulum est dapibus in. Phasellus elit nisi, viverra quis interdum aliquet, malesuada porttitor justo. Nunc ultricies scelerisque justo, at iaculis odio aliquet ac. Maecenas pharetra pulvinar neque, in accumsan turpis gravida sit amet. Suspendisse quis ligula turpis. Proin scelerisque ligula in nibh varius eu egestas dui tristique. Aliquam eget laoreet massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Proin nulla ligula, pharetra non gravida non, luctus vel metus. Donec non interdum elit. Vivamus in aliquet magna. Sed ac nisl erat, et bibendum augue. Donec ultrices facilisis lacus, nec tempus tortor mattis nec. Ut sodales consequat enim, a mollis orci imperdiet ac. Proin mattis quam quis dolor commodo dignissim.\r\n</p>\r\n', '\r\n<p>\r\nDuis tincidunt rhoncus egestas. Proin tincidunt, arcu in venenatis elementum, nulla enim ultrices eros, ac dignissim diam massa id elit. Sed dictum leo a leo eleifend commodo. Fusce semper odio eu dui porta nec venenatis massa ultrices. Pellentesque dolor est, volutpat eu mollis ut, vestibulum ut tellus. Suspendisse odio purus, congue mattis consequat vel, fringilla quis quam. In hac habitasse platea dictumst. In hac habitasse platea dictumst. Nulla feugiat eros at tellus tincidunt imperdiet. Praesent commodo orci id dui scelerisque pretium. Quisque vel dui tortor, ac convallis lectus. Ut sapien orci, placerat ac tempor et, posuere at dui. Vivamus suscipit lorem a justo feugiat non dictum mi aliquam. In ultricies volutpat tortor, eget pellentesque eros scelerisque vel. Proin varius porttitor pretium. In ut tortor tortor.\r\n</p>\r\n\r\n<p>\r\nCras condimentum, elit ac ultricies ultrices, enim nibh eleifend ipsum, consectetur euismod lacus magna porta urna. Maecenas nec turpis dolor. Nullam auctor ornare dictum. Donec vulputate leo nec urna ullamcorper lobortis vitae pellentesque ipsum. Vestibulum consectetur ornare lectus non feugiat. Maecenas ultrices nisl non dolor molestie non posuere lorem convallis. Praesent sit amet consectetur nisi.\r\n</p>', NULL, NULL, '[]', '', '2012-10-04 02:17:33', 168, '', 0, '0000-00-00 00:00:00', '2012-10-08 01:46:25', 168, '2012-10-04 02:17:33', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 12, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(66, 'Countdown to ‘Fearless’ Felix’s Supersonic', 'countdown-to-‘fearless’-felix’s-supersonic', 16, 1, '<p>\r\nUt at dignissim est. Phasellus vehicula est ante. Duis felis arcu, varius quis tincidunt sed, pretium a mauris. Aenean laoreet mauris vitae nunc volutpat feugiat. Phasellus ullamcorper nulla ut enim suscipit commodo. Nam et ligula metus, vitae aliquet urna. Quisque leo est, condimentum sit amet varius et, suscipit sit amet ligula. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed ut metus tellus, sit amet eleifend leo. Sed metus metus, fermentum nec pretium mollis, condimentum eget nibh. Suspendisse orci felis, imperdiet eu semper non, egestas eu odio. Morbi sagittis rhoncus tellus vitae consequat. Maecenas rutrum dapibus neque, eu gravida sapien faucibus non. Nulla magna lectus, pulvinar eget suscipit sit amet, pharetra quis nibh. Sed in purus non lectus tincidunt posuere. Aenean nunc lectus, tincidunt id rutrum a, venenatis nec nulla.\r\n</p>\r\n', '\r\n<p>\r\nCurabitur volutpat eleifend pretium. Donec metus velit, lobortis et elementum ut, posuere eget neque. Mauris consectetur nulla at nisi varius et consectetur nisi rhoncus. Quisque justo tortor, condimentum eget ultricies a, ultrices eu enim. Proin faucibus turpis vel nunc dapibus sollicitudin. Curabitur ornare pharetra arcu, tempus adipiscing nulla venenatis tempor. Proin turpis mauris, volutpat eu convallis sit amet, tempus ut velit. Cras pretium rutrum mauris ut elementum.\r\n</p>\r\n\r\n<p>\r\nSed tincidunt elit quis quam ullamcorper imperdiet. Nullam vitae massa vehicula sapien vestibulum lobortis. Ut lacus ligula, dictum eget posuere ac, interdum sed justo. Nunc quam diam, mollis in aliquam sit amet, pharetra eget mauris. Sed mauris orci, posuere ac accumsan non, vestibulum sed nibh. Nulla pulvinar iaculis commodo. Ut id ligula ut risus sagittis posuere cursus a est. Sed tellus felis, ultricies at condimentum ac, iaculis sit amet diam.\r\n</p>', NULL, NULL, '[]', '', '2012-10-04 02:22:53', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:32:59', 168, '2012-10-04 02:22:53', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 7, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(67, 'Wallace Ends Retirement to Join Knicks', 'wallace-ends-retirement-to-join-knicks', 16, 1, '<p>\r\nNam quis urna felis, in accumsan mauris. Nam non lectus ac ligula faucibus vulputate. Vestibulum sed erat eget felis eleifend pretium. Quisque id lorem ante, ac adipiscing urna. Nulla sed dapibus augue. Nulla facilisi. Aliquam vestibulum mauris aliquet nibh tempus at interdum nulla viverra. Maecenas volutpat lacinia libero et interdum. Maecenas ac libero lorem, ac pellentesque est. Aenean suscipit metus ac nulla tincidunt sollicitudin. Sed tincidunt vulputate porta. Vestibulum varius imperdiet urna vitae consectetur.\r\n</p>\r\n', '\r\n<p>\r\nVestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Praesent et hendrerit eros. Nullam ut enim eget velit dictum mattis. Sed tortor massa, ultrices non auctor ultrices, euismod at ipsum. Donec eu venenatis ipsum. Morbi aliquam imperdiet felis et ornare. Donec rhoncus bibendum augue, non tristique libero aliquet vel. Maecenas aliquet justo id orci faucibus a vestibulum velit faucibus. In hac habitasse platea dictumst. Pellentesque aliquam pretium nunc ut euismod. Nunc blandit volutpat lectus id accumsan. Maecenas id tellus non felis consectetur dictum et non nisi. In hac habitasse platea dictumst.\r\n</p>\r\n\r\n<p>\r\nInteger interdum, mi ac placerat rhoncus, nisl turpis auctor nulla, eu pharetra eros lectus ut leo. In imperdiet, leo ac ultrices commodo, enim neque blandit nulla, sed pulvinar justo lorem egestas magna. Maecenas luctus dolor in arcu accumsan mollis. Pellentesque in sapien nisi. Cras non diam urna, at placerat libero. Quisque consectetur ultricies lorem a porta. Proin aliquam dolor facilisis velit dapibus et vehicula ipsum scelerisque.\r\n</p>', NULL, NULL, '[]', '', '2012-10-04 02:28:20', 168, '', 0, '0000-00-00 00:00:00', '2012-10-05 03:32:26', 168, '2012-10-04 02:28:20', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 10, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(68, 'Our Services', 'our-services', 15, 1, '<div class="span4 zt-content">\r\n<img src="templates/zt_inga/images/data-storage.png" alt="Data storage" />\r\n<h2 class="title">Data storage</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Maecenas at purus turpis, in semper nunc. Vestibulum tempor faucibus commodo. Nullam malesuada arcu aliquam eros venenatis adipiscing.\r\n </p>\r\n<h5>\r\n<a href="index.php/component/k2/item/51" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>\r\n<div class="span4 zt-content active"><img src="templates/zt_inga/images/email.png" alt="Email contact Pro" />\r\n<h2 class="title">Email contact Pro</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Ut neque urna, adipiscing quis tristique ut, vehicula ut mi. Pellentesque consequat sodales neque, eu tristique erat sodales sed. Infacilisi .condimentum \r\n </p>\r\n<h5>\r\n<a href="index.php/component/k2/item/52" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>\r\n<div class="span4 zt-content"><img src="templates/zt_inga/images/support.png" alt="24/7 Support" />\r\n<h2 class="title">24/7 Support</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Aliquam erat volutpat. Aenean tristique tincidunt ullamcorper. Praesent vel augue risus, eu tincidunt purus. Quisque malesuada orci sed lacus\r\n</p>\r\n<h5>\r\n<a href="index.php/component/k2/item/53" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>', '', NULL, NULL, '[]', '', '2012-11-05 07:58:14', 168, '', 0, '0000-00-00 00:00:00', '2012-11-05 07:58:42', 168, '2012-11-05 07:58:14', '0000-00-00 00:00:00', 1, 1, 2, 1, 1, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');

DROP TABLE IF EXISTS `#__k2_rating`;
CREATE TABLE IF NOT EXISTS `#__k2_rating` (
  `itemID` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__k2_rating` (`itemID`, `rating_sum`, `rating_count`, `lastip`) VALUES
(46, 5, 1, '::1'),
(48, 5, 1, '::1'),
(56, 5, 1, '::1'),
(33, 5, 1, '::1'),
(24, 5, 1, '::1'),
(55, 4, 1, '::1'),
(59, 5, 1, '::1'),
(66, 5, 1, '::1');

DROP TABLE IF EXISTS `#__k2_tags`;
CREATE TABLE IF NOT EXISTS `#__k2_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=70 ;

INSERT INTO `#__k2_tags` (`id`, `name`, `published`) VALUES
(1, 'zt_inga', 1),
(2, 'zootemplate', 1),
(3, 'avengers', 1),
(4, 'lacinia', 1),
(5, 'taylor swift', 1),
(6, 'ztInga', 1),
(7, 'Hunger Games', 1),
(8, 'Aenean', 1),
(9, 'turpis', 1),
(10, 'Inga', 1),
(11, 'Vivamus', 1),
(12, 'quis', 1),
(13, 'architecture', 1),
(14, 'magna', 1),
(15, 'Earthquake', 1),
(16, 'ipsum', 1),
(17, 'magnis', 1),
(18, 'tincidunt', 1),
(19, 'dapibus', 1),
(20, 'gravida', 1),
(21, 'Donec', 1),
(22, 'family', 1),
(23, 'Curabitur', 1),
(24, 'velit', 1),
(25, 'convallis', 1),
(26, 'zoo', 1),
(27, 'together', 1),
(28, 'accumsan', 1),
(29, 'hendrerit', 1),
(30, 'Health', 1),
(31, 'semper', 1),
(32, 'Heroes', 1),
(33, 'tellus', 1),
(34, 'ultrices', 1),
(35, 'iphone5', 1),
(36, 'mauris', 1),
(37, 'venenatis', 1),
(38, 'wind', 1),
(39, 'Integer', 1),
(40, 'air', 1),
(41, 'plane', 1),
(42, 'Pellentesque', 1),
(43, 'electric', 1),
(44, 'house', 1),
(45, 'marathon', 1),
(46, 'sport', 1),
(47, 'girl', 1),
(48, 'bike', 1),
(49, 'motor', 1),
(50, 'racing', 1),
(51, 'swimming', 1),
(52, 'windsurfing', 1),
(53, 'Fearless', 1),
(54, 'Felix', 1),
(55, 'Retirement', 1),
(56, 'Knicks', 1),
(57, 'faucibus', 1),
(58, 'Prometheus', 1),
(59, 'NASA', 1),
(60, 'Mourinho', 1),
(61, 'iPhone', 1),
(62, 'Business', 1),
(63, 'joomla', 1),
(64, 'zt inga', 1),
(65, 'Manchester', 1),
(66, 'Wigan', 1),
(67, 'ride', 1),
(68, 'Katy Perry', 1),
(69, 'photo', 1);

DROP TABLE IF EXISTS `#__k2_tags_xref`;
CREATE TABLE IF NOT EXISTS `#__k2_tags_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tagID` int(11) NOT NULL,
  `itemID` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tagID` (`tagID`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=241 ;

INSERT INTO `#__k2_tags_xref` (`id`, `tagID`, `itemID`) VALUES
(227, 10, 21),
(226, 4, 21),
(225, 3, 21),
(224, 2, 21),
(230, 10, 22),
(229, 2, 22),
(228, 5, 22),
(234, 10, 23),
(233, 9, 23),
(232, 8, 23),
(231, 7, 23),
(147, 12, 25),
(146, 11, 25),
(145, 10, 25),
(144, 2, 25),
(143, 14, 26),
(142, 2, 26),
(141, 13, 26),
(140, 16, 27),
(139, 2, 27),
(138, 15, 27),
(137, 10, 28),
(136, 18, 28),
(135, 17, 28),
(134, 20, 29),
(133, 19, 29),
(132, 2, 29),
(131, 21, 30),
(130, 10, 30),
(129, 2, 30),
(128, 13, 30),
(127, 23, 31),
(126, 10, 31),
(125, 2, 31),
(124, 22, 31),
(123, 26, 32),
(122, 10, 32),
(121, 25, 32),
(120, 24, 32),
(119, 10, 33),
(118, 29, 33),
(117, 28, 33),
(116, 27, 33),
(115, 31, 34),
(114, 10, 34),
(113, 2, 34),
(112, 30, 34),
(111, 14, 35),
(110, 34, 35),
(109, 33, 35),
(108, 32, 35),
(107, 36, 36),
(106, 10, 36),
(105, 2, 36),
(104, 35, 36),
(103, 39, 38),
(102, 10, 38),
(101, 38, 38),
(100, 37, 38),
(161, 42, 39),
(160, 41, 39),
(159, 40, 39),
(96, 10, 40),
(95, 44, 40),
(94, 43, 40),
(93, 47, 41),
(92, 10, 41),
(91, 46, 41),
(90, 45, 41),
(89, 10, 42),
(88, 50, 42),
(87, 49, 42),
(86, 48, 42),
(85, 2, 43),
(84, 20, 43),
(83, 51, 43),
(82, 10, 46),
(81, 46, 46),
(80, 52, 46),
(193, 10, 66),
(192, 54, 66),
(191, 53, 66),
(190, 63, 67),
(189, 10, 67),
(188, 56, 67),
(187, 55, 67),
(223, 63, 65),
(240, 63, 63),
(239, 58, 63),
(201, 59, 62),
(200, 10, 62),
(204, 60, 61),
(203, 10, 61),
(183, 61, 60),
(184, 10, 60),
(185, 62, 59),
(186, 10, 59),
(194, 63, 66),
(222, 10, 65),
(238, 10, 63),
(202, 63, 62),
(205, 64, 58),
(206, 63, 58),
(207, 64, 57),
(208, 63, 57),
(209, 44, 57),
(210, 65, 49),
(211, 10, 49),
(212, 63, 49),
(213, 66, 49),
(214, 67, 48),
(215, 10, 48),
(216, 63, 48),
(217, 61, 47),
(218, 10, 47),
(237, 69, 24),
(236, 10, 24),
(235, 68, 24);

DROP TABLE IF EXISTS `#__k2_users`;
CREATE TABLE IF NOT EXISTS `#__k2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `gender` enum('m','f') NOT NULL DEFAULT 'm',
  `description` text NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `group` int(11) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `ip` varchar(15) NOT NULL,
  `hostname` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userID` (`userID`),
  KEY `group` (`group`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `#__k2_users` (`id`, `userID`, `userName`, `gender`, `description`, `image`, `url`, `group`, `plugins`, `ip`, `hostname`, `notes`) VALUES
(1, 168, 'Super User', 'm', '<p>\r\nPellentesque pellentesque posuere leo, nec faucibus sem pretium sed. Fusce semper vulputate odio sit amet sagittis. Morbi pulvinar, arcu et dapibus convallis, quam mauris tristique odio, id commodo sapien mauris quis leo. \r\n</p>', '1.png', 'http://www.zootemplate.com', 0, '', '192.168.1.232', 'MyWay-PC', ''),
(2, 169, 'Quynh DC', 'm', 'Nam et eros et nulla faucibus suscipit. Ut porta lorem nec elit sodales blandit. Integer vel lacus ligula.', NULL, 'http://www.zootemplate.com', 1, '', '::1', 'Admin-PC', '');

DROP TABLE IF EXISTS `#__k2_user_groups`;
CREATE TABLE IF NOT EXISTS `#__k2_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `#__k2_user_groups` (`id`, `name`, `permissions`) VALUES
(1, 'Registered', '{"comment":"1","frontEdit":"0","add":"0","editOwn":"0","editAll":"0","publish":"0","inheritance":0,"categories":"all"}'),
(2, 'Site Owner', '{"comment":"1","frontEdit":"1","add":"1","editOwn":"1","editAll":"1","publish":"1","inheritance":1,"categories":"all"}');

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE IF NOT EXISTS `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', 1, 0, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'The relative ordering of the menu item in the tree.',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(333)),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=721 ;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 535, 0, '*', 0),
(2, 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 0, 1, 1, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 201, 210, 0, '*', 1),
(3, 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 202, 203, 0, '*', 1),
(4, 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 0, 2, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 204, 205, 0, '*', 1),
(5, 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 206, 207, 0, '*', 1),
(6, 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 208, 209, 0, '*', 1),
(7, 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 0, 1, 1, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 211, 216, 0, '*', 1),
(8, 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 0, 7, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 212, 213, 0, '*', 1),
(9, 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 0, 7, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 214, 215, 0, '*', 1),
(10, 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 0, 1, 1, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 217, 222, 0, '*', 1),
(11, 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 218, 219, 0, '*', 1),
(12, 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-read', 0, '', 220, 221, 0, '*', 1),
(13, 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 1, 1, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 223, 228, 0, '*', 1),
(14, 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 13, 2, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 224, 225, 0, '*', 1),
(15, 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 0, 13, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 226, 227, 0, '*', 1),
(16, 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 0, 1, 1, 24, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 243, 244, 0, '*', 1),
(17, 'menu', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 0, 1, 1, 19, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 233, 234, 0, '*', 1),
(18, 'menu', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', 0, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 237, 242, 0, '*', 1),
(19, 'menu', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', 0, 18, 2, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 238, 239, 0, '*', 1),
(20, 'menu', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', 0, 18, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks-cat', 0, '', 240, 241, 0, '*', 1),
(21, 'menu', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 0, 1, 1, 27, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 229, 230, 0, '*', 1),
(22, 'menu', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 0, 1, 1, 28, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 231, 232, 0, '*', 1),
(201, 'usermenu', 'Your Profile', 'your-profile', '', 'your-profile', 'index.php?option=com_users&view=profile', 'component', 1, 1, 1, 25, 0, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 425, 426, 0, '*', 0),
(207, 'top', 'Joomla.org', 'joomlaorg', '', 'joomlaorg', 'http://joomla.org', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 423, 424, 0, '*', 0),
(227, 'aboutjoomla', 'Weblinks Categories', 'weblinks-categories', '', 'using-joomla/extensions/components/weblinks-component/weblinks-categories', 'index.php?option=com_weblinks&view=categories&id=18', 'component', 1, 265, 5, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"-1","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_links_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"-1","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 279, 280, 0, '*', 0),
(229, 'aboutjoomla', 'Single Contact', 'single-contact', '', 'using-joomla/extensions/components/contact-component/single-contact', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 270, 5, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_crumb":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 269, 270, 0, '*', 0),
(234, 'parks', 'Park Blog', 'park-blog', '', 'park-blog', 'index.php?option=com_content&view=category&layout=blog&id=27', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"1","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 429, 430, 0, 'en-GB', 0),
(493, 'mainmenu', 'Blockquote', 'blockquote', '', 'shortcodes/blockquote', 'index.php?option=com_k2&view=item&layout=item&id=18', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 106, 107, 0, '*', 0),
(242, 'parks', 'Write a Blog Post', 'write-a-blog-post', '', 'write-a-blog-post', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 3, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 431, 432, 0, 'en-GB', 0),
(243, 'parks', 'Parks Home', 'parks-home', '', 'parks-home', 'index.php?option=com_content&view=article&id=6', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"show_noauth":"","show_title":"0","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 427, 428, 0, 'en-GB', 0),
(244, 'parks', 'Image Gallery', 'image-gallery', '', 'image-gallery', 'index.php?option=com_content&view=categories&id=28', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"show_base_description":"1","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","drill_down_layout":"1","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 433, 438, 0, 'en-GB', 0),
(249, 'aboutjoomla', 'Submit a Weblink', 'submit-a-weblink', '', 'using-joomla/extensions/components/weblinks-component/submit-a-weblink', 'index.php?option=com_weblinks&view=form&layout=edit', 'component', 1, 265, 5, 21, 0, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 275, 276, 0, '*', 0),
(251, 'aboutjoomla', 'Contact Categories', 'contact-categories', '', 'using-joomla/extensions/components/contact-component/contact-categories', 'index.php?option=com_contact&view=categories&id=16', 'component', 1, 270, 5, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 265, 266, 0, '*', 0),
(252, 'aboutjoomla', 'News Feed Categories', 'new-feed-categories', '', 'using-joomla/extensions/components/news-feeds-component/new-feed-categories', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 267, 5, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"Because this links to the root category the "uncategorised" category is displayed. ","maxLevel":"-1","show_empty_categories":"1","show_description":"1","show_description_image":"1","show_cat_num_articles":"1","display_num":"","show_headings":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 283, 284, 0, '*', 0),
(253, 'aboutjoomla', 'News Feed Category', 'news-feed-category', '', 'using-joomla/extensions/components/news-feeds-component/news-feed-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 267, 5, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 287, 288, 0, '*', 0),
(254, 'aboutjoomla', 'Single News Feed', 'single-news-feed', '', 'using-joomla/extensions/components/news-feeds-component/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=4', 'component', 1, 267, 5, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 285, 286, 0, '*', 0),
(634, 'mainmenu', 'Search', 'search', '', 'explore/joomla/search/search', 'index.php?option=com_search&view=search&searchword=', 'component', 1, 632, 4, 19, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 40, 41, 0, '*', 0),
(256, 'aboutjoomla', 'Archived Articles', 'archived-articles', '', 'using-joomla/extensions/components/content-component/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 266, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"","order_date":"","display_num":"","filter_field":"","show_category":"1","link_category":"1","show_title":"1","link_titles":"1","show_intro":"1","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 259, 260, 0, '*', 0),
(257, 'aboutjoomla', 'Single Article', 'single-article', '', 'using-joomla/extensions/components/content-component/single-article', 'index.php?option=com_content&view=article&id=6', 'component', 1, 266, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 249, 250, 0, '*', 0),
(259, 'aboutjoomla', 'Article Category Blog', 'article-category-blog', '', 'using-joomla/extensions/components/content-component/article-category-blog', 'index.php?option=com_content&view=category&layout=blog&id=27', 'component', 1, 266, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"0","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 253, 254, 0, '*', 0),
(260, 'aboutjoomla', 'Article Category List', 'article-category-list', '', 'using-joomla/extensions/components/content-component/article-category-list', 'index.php?option=com_content&view=category&id=19', 'component', 1, 266, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 255, 256, 0, '*', 0),
(262, 'aboutjoomla', 'Featured Articles', 'featured-articles', '', 'using-joomla/extensions/components/content-component/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 266, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 257, 258, 0, '*', 0),
(263, 'aboutjoomla', 'Submit Article', 'submit-article', '', 'using-joomla/extensions/components/content-component/submit-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 266, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 261, 262, 0, '*', 0),
(265, 'aboutjoomla', 'Weblinks Component', 'weblinks-component', '', 'using-joomla/extensions/components/weblinks-component', 'index.php?option=com_content&view=article&id=54', 'component', 1, 268, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 274, 281, 0, '*', 0),
(266, 'aboutjoomla', 'Content Component', 'content-component', '', 'using-joomla/extensions/components/content-component', 'index.php?option=com_content&view=article&id=10', 'component', 1, 268, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"article-allow_ratings":"","article-allow_comments":"","show_category":"","link_category":"","show_title":"","link_titles":"","show_intro":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 248, 263, 0, '*', 0),
(267, 'aboutjoomla', 'News Feeds Component', 'news-feeds-component', '', 'using-joomla/extensions/components/news-feeds-component', 'index.php?option=com_content&view=article&id=60', 'component', 1, 268, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"Newsfeeds Categories View ","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 282, 289, 0, '*', 0),
(268, 'aboutjoomla', 'Components', 'components', '', 'using-joomla/extensions/components', 'index.php?option=com_content&view=category&layout=blog&id=21', 'component', 1, 277, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"7","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"0","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_readmore":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 247, 310, 0, '*', 0),
(270, 'aboutjoomla', 'Contact Component', 'contact-component', '', 'using-joomla/extensions/components/contact-component', 'index.php?option=com_content&view=article&id=9', 'component', 1, 268, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 264, 273, 0, '*', 0),
(271, 'aboutjoomla', 'Users Component', 'users-component', '', 'using-joomla/extensions/components/users-component', 'index.php?option=com_content&view=article&id=52', 'component', 1, 268, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 290, 303, 0, '*', 0),
(272, 'aboutjoomla', 'Article Categories', 'article-categories', '', 'using-joomla/extensions/components/content-component/article-categories', 'index.php?option=com_content&view=categories&id=14', 'component', 1, 266, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","category_layout":"","show_headings":"","show_date":"","date_format":"","filter_field":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 251, 252, 0, '*', 0),
(273, 'aboutjoomla', 'Administrator Components', 'administrator-components', '', 'using-joomla/extensions/components/administrator-components', 'index.php?option=com_content&view=article&id=1', 'component', 1, 268, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 308, 309, 0, '*', 0),
(274, 'aboutjoomla', 'Weblinks Single Category', 'weblinks-single-category', '', 'using-joomla/extensions/components/weblinks-component/weblinks-single-category', 'index.php?option=com_weblinks&view=category&id=32', 'component', 1, 265, 5, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","show_pagination":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 277, 278, 0, '*', 0),
(275, 'aboutjoomla', 'Contact Single Category', 'contact-single-category', '', 'using-joomla/extensions/components/contact-component/contact-single-category', 'index.php?option=com_contact&view=category&catid=26&id=36', 'component', 1, 270, 5, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"20","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 267, 268, 0, '*', 0),
(276, 'aboutjoomla', 'Search Components', 'search-component', '', 'using-joomla/extensions/components/search-component', 'index.php?option=com_content&view=article&id=39', 'component', 1, 268, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 304, 307, 0, '*', 0),
(277, 'aboutjoomla', 'Using Extensions', 'extensions', '', 'using-joomla/extensions', 'index.php?option=com_content&view=categories&id=20', 'component', 1, 280, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"","maxLevelcat":"1","show_empty_categories_cat":"1","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"0","drill_down_layout":"0","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"1","show_empty_categories":"1","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 246, 409, 0, '*', 0),
(278, 'aboutjoomla', 'The Joomla! Project', 'the-joomla-project', '', 'the-joomla-project', 'index.php?option=com_content&view=article&id=48', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"1","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 417, 418, 0, '*', 0),
(279, 'aboutjoomla', 'The Joomla! Community', 'the-joomla-community', '', 'the-joomla-community', 'index.php?option=com_content&view=article&id=47', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"0","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 419, 420, 0, '*', 0),
(280, 'aboutjoomla', 'Using Joomla!', 'using-joomla', '', 'using-joomla', 'index.php?option=com_content&view=article&id=53', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"1","link_titles":"0","show_intro":"1","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 245, 414, 0, '*', 0),
(281, 'aboutjoomla', 'Modules', 'modules', '', 'using-joomla/extensions/modules', 'index.php?option=com_content&view=category&id=22', 'component', 1, 277, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"1","show_empty_categories":"1","show_no_articles":"0","show_subcat_desc":"1","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_pagination":"","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 311, 370, 0, '*', 0),
(282, 'aboutjoomla', 'Templates', 'templates', '', 'using-joomla/extensions/templates', 'index.php?option=com_content&view=category&id=23', 'component', 1, 277, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"2","show_empty_categories":"1","show_no_articles":"0","show_subcat_desc":"1","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"0","filter_field":"hide","show_headings":"0","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","show_pagination":"0","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Templates","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 371, 390, 0, '*', 0),
(283, 'aboutjoomla', 'Languages', 'languages', '', 'using-joomla/extensions/languages', 'index.php?option=com_content&view=category&layout=blog&id=24', 'component', 1, 277, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 391, 392, 0, '*', 0),
(284, 'aboutjoomla', 'Plugins', 'plugins', '', 'using-joomla/extensions/plugins', 'index.php?option=com_content&view=category&layout=blog&id=25', 'component', 1, 277, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"7","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_readmore":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 393, 408, 0, '*', 0),
(285, 'aboutjoomla', 'Typography Atomic', 'typography-atomic', '', 'using-joomla/extensions/templates/atomic/typography-atomic', 'index.php?option=com_content&view=article&id=49', 'component', 1, 422, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 3, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 385, 386, 0, '*', 0),
(497, 'mainmenu', 'Lightbox', 'lightbox', '', 'shortcodes/lightbox', 'index.php?option=com_k2&view=item&layout=item&id=14', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 120, 121, 0, '*', 0),
(498, 'mainmenu', 'List Icon', 'list-icon', '', 'shortcodes/list-icon', 'index.php?option=com_k2&view=item&layout=item&id=13', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 122, 123, 0, '*', 0),
(499, 'mainmenu', 'Message Box', 'message-box', '', 'shortcodes/message-box', 'index.php?option=com_k2&view=item&layout=item&id=12', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 124, 125, 0, '*', 0),
(500, 'mainmenu', 'Social icon', 'social-icon', '', 'shortcodes/social-icon', 'index.php?option=com_k2&view=item&layout=item&id=11', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 128, 129, 0, '*', 0),
(296, 'parks', 'Park Links', 'park-links', '', 'park-links', 'index.php?option=com_weblinks&view=category&id=31', 'component', 1, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"maxLevel":"-1","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"","show_headings":"0","orderby_pri":"","show_pagination":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 439, 440, 0, 'en-GB', 0),
(300, 'aboutjoomla', 'Latest Users', 'latest-users', '', 'using-joomla/extensions/modules/user-modules/latest-users', 'index.php?option=com_content&view=article&id=66', 'component', 1, 412, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 335, 336, 0, '*', 0),
(301, 'aboutjoomla', 'Who''s Online', 'whos-online', '', 'using-joomla/extensions/modules/user-modules/whos-online', 'index.php?option=com_content&view=article&id=56', 'component', 1, 412, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 337, 338, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(302, 'aboutjoomla', 'Most Read', 'most-read', '', 'using-joomla/extensions/modules/content-modules/most-read', 'index.php?option=com_content&view=article&id=30', 'component', 1, 411, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 319, 320, 0, '*', 0),
(303, 'aboutjoomla', 'Menu', 'menu', '', 'using-joomla/extensions/modules/navigation-modules/menu', 'index.php?option=com_content&view=article&id=29', 'component', 1, 415, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 313, 314, 0, '*', 0),
(304, 'aboutjoomla', 'Statistics', 'statistics', '', 'using-joomla/extensions/modules/utility-modules/statistics', 'index.php?option=com_content&view=article&id=44', 'component', 1, 414, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 359, 360, 0, '*', 0),
(305, 'aboutjoomla', 'Banner', 'banner', '', 'using-joomla/extensions/modules/display-modules/banner', 'index.php?option=com_content&view=article&id=7', 'component', 1, 413, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 345, 346, 0, '*', 0),
(306, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/modules/utility-modules/search', 'index.php?option=com_content&view=article&id=40', 'component', 1, 414, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 361, 362, 0, '*', 0),
(307, 'aboutjoomla', 'Random Image', 'random-image', '', 'using-joomla/extensions/modules/display-modules/random-image', 'index.php?option=com_content&view=article&id=36', 'component', 1, 413, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 343, 344, 0, '*', 0),
(309, 'aboutjoomla', 'News Flash', 'news-flash', '', 'using-joomla/extensions/modules/content-modules/news-flash', 'index.php?option=com_content&view=article&id=31', 'component', 1, 411, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 321, 322, 0, '*', 0),
(310, 'aboutjoomla', 'Latest Articles', 'latest-articles', '', 'using-joomla/extensions/modules/content-modules/latest-articles', 'index.php?option=com_content&view=article&id=27', 'component', 1, 411, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 323, 324, 0, '*', 0),
(311, 'aboutjoomla', 'Syndicate', 'syndicate', '', 'using-joomla/extensions/modules/utility-modules/syndicate', 'index.php?option=com_content&view=article&id=45', 'component', 1, 414, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 357, 358, 0, '*', 0),
(312, 'aboutjoomla', 'Login', 'login', '', 'using-joomla/extensions/modules/user-modules/login', 'index.php?option=com_content&view=article&id=28', 'component', 1, 412, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 339, 340, 0, '*', 0),
(313, 'aboutjoomla', 'Wrapper', 'wrapper', '', 'using-joomla/extensions/modules/utility-modules/wrapper', 'index.php?option=com_content&view=article&id=59', 'component', 1, 414, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 365, 366, 0, '*', 0),
(316, 'aboutjoomla', 'Home Page Atomic', 'home-page-atomic', '', 'using-joomla/extensions/templates/atomic/home-page-atomic', 'index.php?option=com_content&view=featured', 'component', 1, 422, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 3, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 387, 388, 0, '*', 0),
(317, 'aboutjoomla', 'System', 'system', '', 'using-joomla/extensions/plugins/system', 'index.php?option=com_content&view=article&id=46', 'component', 1, 284, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 406, 407, 0, '*', 0),
(318, 'aboutjoomla', 'Authentication', 'authentication', '', 'using-joomla/extensions/plugins/authentication', 'index.php?option=com_content&view=article&id=5', 'component', 1, 284, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 394, 395, 0, '*', 0),
(319, 'aboutjoomla', 'Content', 'content', '', 'using-joomla/extensions/plugins/content', 'index.php?option=com_content&view=article&id=62', 'component', 1, 284, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 396, 397, 0, '*', 0),
(320, 'aboutjoomla', 'Editors', 'editors', '', 'using-joomla/extensions/plugins/editors', 'index.php?option=com_content&view=article&id=14', 'component', 1, 284, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 398, 399, 0, '*', 0),
(321, 'aboutjoomla', 'Editors Extended', 'editors-extended', '', 'using-joomla/extensions/plugins/editors-extended', 'index.php?option=com_content&view=article&id=15', 'component', 1, 284, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 400, 401, 0, '*', 0),
(322, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/plugins/search', 'index.php?option=com_content&view=article&id=41', 'component', 1, 284, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 402, 403, 0, '*', 0),
(323, 'aboutjoomla', 'User', 'user', '', 'using-joomla/extensions/plugins/user', 'index.php?option=com_content&view=article&id=51', 'component', 1, 284, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 404, 405, 0, '*', 0),
(324, 'aboutjoomla', 'Footer', 'footer', '', 'using-joomla/extensions/modules/display-modules/footer', 'index.php?option=com_content&view=article&id=19', 'component', 1, 413, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 349, 350, 0, '*', 0),
(325, 'aboutjoomla', 'Archive', 'archive', '', 'using-joomla/extensions/modules/content-modules/archive', 'index.php?option=com_content&view=article&id=2', 'component', 1, 411, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 325, 326, 0, '*', 0),
(326, 'aboutjoomla', 'Related Items', 'related-items', '', 'using-joomla/extensions/modules/content-modules/related-items', 'index.php?option=com_content&view=article&id=37', 'component', 1, 411, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 327, 328, 0, '*', 0),
(399, 'parks', 'Animals', 'animals', '', 'image-gallery/animals', 'index.php?option=com_content&view=category&layout=blog&id=72', 'component', 1, 244, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"0","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"1","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 434, 435, 0, 'en-GB', 0),
(400, 'parks', 'Scenery', 'scenery', '', 'image-gallery/scenery', 'index.php?option=com_content&view=category&layout=blog&id=73', 'component', 1, 244, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"maxLevel":"","show_empty_categories":"","show_description":"0","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"0","show_category":"1","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"1","show_readmore":"1","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 436, 437, 0, 'en-GB', 0),
(402, 'aboutjoomla', 'Login Form', 'login-form', '', 'using-joomla/extensions/components/users-component/login-form', 'index.php?option=com_users&view=login', 'component', 1, 271, 5, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 291, 292, 0, '*', 0),
(403, 'aboutjoomla', 'User Profile', 'user-profile', '', 'using-joomla/extensions/components/users-component/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 271, 5, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 293, 294, 0, '*', 0),
(404, 'aboutjoomla', 'Edit User Profile', 'edit-user-profile', '', 'using-joomla/extensions/components/users-component/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 271, 5, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 295, 296, 0, '*', 0),
(405, 'aboutjoomla', 'Registration Form', 'registration-form', '', 'using-joomla/extensions/components/users-component/registration-form', 'index.php?option=com_users&view=registration', 'component', 1, 271, 5, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 297, 298, 0, '*', 0),
(406, 'aboutjoomla', 'Username Reminder Request', 'username-reminder', '', 'using-joomla/extensions/components/users-component/username-reminder', 'index.php?option=com_users&view=remind', 'component', 1, 271, 5, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 299, 300, 0, '*', 0),
(409, 'aboutjoomla', 'Password Reset', 'password-reset', '', 'using-joomla/extensions/components/users-component/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 271, 5, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 301, 302, 0, '*', 0),
(410, 'aboutjoomla', 'Feed Display', 'feed-display', '', 'using-joomla/extensions/modules/display-modules/feed-display', 'index.php?option=com_content&view=article&id=16', 'component', 1, 413, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 347, 348, 0, '*', 0),
(411, 'aboutjoomla', 'Content Modules', 'content-modules', '', 'using-joomla/extensions/modules/content-modules', 'index.php?option=com_content&view=category&id=64', 'component', 1, 281, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"1","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 318, 333, 0, '*', 0),
(412, 'aboutjoomla', 'User Modules', 'user-modules', '', 'using-joomla/extensions/modules/user-modules', 'index.php?option=com_content&view=category&id=65', 'component', 1, 281, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 334, 341, 0, '*', 0),
(413, 'aboutjoomla', 'Display Modules', 'display-modules', '', 'using-joomla/extensions/modules/display-modules', 'index.php?option=com_content&view=category&id=66', 'component', 1, 281, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 342, 355, 0, '*', 0),
(414, 'aboutjoomla', 'Utility Modules', 'utility-modules', '', 'using-joomla/extensions/modules/utility-modules', 'index.php?option=com_content&view=category&id=67', 'component', 1, 281, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"0","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 356, 369, 0, '*', 0),
(415, 'aboutjoomla', 'Navigation Modules', 'navigation-modules', '', 'using-joomla/extensions/modules/navigation-modules', 'index.php?option=com_content&view=category&id=75', 'component', 1, 281, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_category_title":"","page_subheading":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","list_show_title":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","filter_field":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_limit":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 312, 317, 0, '*', 0),
(416, 'aboutjoomla', 'Breadcrumbs', 'breadcrumbs', '', 'using-joomla/extensions/modules/navigation-modules/breadcrumbs', 'index.php?option=com_content&view=article&id=61', 'component', 1, 415, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 315, 316, 0, '*', 0),
(417, 'aboutjoomla', 'Weblinks', 'weblinks', '', 'using-joomla/extensions/modules/display-modules/weblinks', 'index.php?option=com_content&view=article&id=55', 'component', 1, 413, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 351, 352, 0, '*', 0),
(418, 'aboutjoomla', 'Custom HTML', 'custom-html', '', 'using-joomla/extensions/modules/display-modules/custom-html', 'index.php?option=com_content&view=article&id=12', 'component', 1, 413, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 353, 354, 0, '*', 0),
(419, 'aboutjoomla', 'Beez 2', 'beez-2', '', 'using-joomla/extensions/templates/beez-2', 'index.php?option=com_content&view=category&layout=blog&id=69', 'component', 1, 282, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 372, 377, 0, '*', 0),
(422, 'aboutjoomla', 'Atomic', 'atomic', '', 'using-joomla/extensions/templates/atomic', 'index.php?option=com_content&view=category&layout=blog&id=68', 'component', 1, 282, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"2","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 384, 389, 0, '*', 0),
(423, 'aboutjoomla', 'Typography Beez 2', 'typography-beez-2', '', 'using-joomla/extensions/templates/beez-2/typography-beez-2', 'index.php?option=com_content&view=article&id=49', 'component', 1, 419, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 4, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 373, 374, 0, '*', 0),
(424, 'aboutjoomla', 'Home Page Beez 2', 'home-page-beez-2', '', 'using-joomla/extensions/templates/beez-2/home-page-beez-2', 'index.php?option=com_content&view=featured', 'component', 1, 419, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 4, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 375, 376, 0, '*', 0),
(427, 'fruitshop', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', 'fruit-encyclopedia', 'index.php?option=com_contact&view=categories&id=37', 'component', 1, 1, 1, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 6, '{"show_base_description":"1","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"1","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"0","show_position_headings":"","show_email_headings":"0","show_telephone_headings":"0","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"0","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" categories-listalphabet","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 443, 444, 0, '*', 0),
(429, 'fruitshop', 'Welcome', 'welcome', 'Fruit store front page', 'welcome', 'index.php?option=com_content&view=article&id=20', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 6, '{"show_noauth":"","show_title":"0","link_titles":"0","show_intro":"1","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 441, 442, 0, '*', 0),
(430, 'fruitshop', 'Contact Us', 'contact-us', '', 'contact-us', 'index.php?option=com_contact&view=category&catid=47&id=36', 'component', 1, 1, 1, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 6, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"20","show_headings":"0","filter_field":"hide","show_pagination":"","show_noauth":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 447, 448, 0, '*', 0),
(431, 'fruitshop', 'Growers', 'growers', '', 'growers', 'index.php?option=com_content&view=category&layout=blog&id=30', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 6, '{"maxLevel":"0","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"5","num_intro_articles":"0","num_columns":"1","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_noauth":"","show_title":"1","link_titles":"1","show_intro":"1","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 445, 446, 0, '*', 0),
(432, 'fruitshop', 'Login ', 'shop-login', '', 'shop-login', 'index.php?option=com_users&view=login', 'component', 1, 1, 1, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 6, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 449, 450, 0, '*', 0),
(433, 'fruitshop', 'Directions', 'directions', '', 'directions', 'index.php?option=com_content&view=article&id=13', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 6, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 451, 452, 0, '*', 0),
(435, 'mainmenu', 'Home', 'homepage', '', 'homepage', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, 168, '2012-11-14 04:19:33', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"ZT Inga - A responsive Joomla template!","show_page_heading":0,"page_heading":"","pageclass_sfx":" home","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 1, 2, 1, '*', 0),
(436, 'aboutjoomla', 'Getting Help', 'getting-help', '', 'using-joomla/getting-help', 'index.php?option=com_content&view=article&id=21', 'component', 1, 280, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 412, 413, 0, '*', 0),
(437, 'aboutjoomla', 'Getting Started', 'getting-started', '', 'getting-started', 'index.php?option=com_content&view=article&id=22', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"1","link_titles":"0","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 235, 236, 0, '*', 0),
(496, 'mainmenu', 'Dropcap', 'dropcap', '', 'shortcodes/dropcap', 'index.php?option=com_k2&view=item&layout=item&id=15', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 114, 115, 0, '*', 0),
(494, 'mainmenu', 'Buttons', 'buttons', '', 'shortcodes/buttons', 'index.php?option=com_k2&view=item&layout=item&id=17', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 108, 109, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(495, 'mainmenu', 'Columns', 'columns', '', 'shortcodes/columns', 'index.php?option=com_k2&view=item&layout=item&id=16', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 110, 111, 0, '*', 0),
(443, 'aboutjoomla', 'Article Categories', 'article-categories-view', '', 'using-joomla/extensions/modules/content-modules/article-categories-view', 'index.php?option=com_content&view=article&id=3', 'component', 1, 411, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 329, 330, 0, '*', 0),
(444, 'top', 'Sample Sites', 'sample-sites-2', '', 'sample-sites-2', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"238","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 421, 422, 0, '*', 0),
(492, 'mainmenu', 'Accordion', 'accordion', '', 'shortcodes/accordion', 'index.php?option=com_k2&view=item&layout=item&id=19', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 104, 105, 0, '*', 0),
(447, 'aboutjoomla', 'Language Switcher', 'language-switcher', '', 'using-joomla/extensions/modules/utility-modules/language-switcher', 'index.php?option=com_content&view=article&id=26', 'component', 1, 414, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 363, 364, 0, '*', 0),
(449, 'usermenu', 'Submit an Article', 'submit-an-article', '', 'submit-an-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 453, 454, 0, '*', 0),
(450, 'usermenu', 'Submit a Web Link', 'submit-a-web-link', '', 'submit-a-web-link', 'index.php?option=com_weblinks&view=form&layout=edit', 'component', 1, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 455, 456, 0, '*', 0),
(452, 'aboutjoomla', 'Featured Contacts', 'featured-contacts', '', 'using-joomla/extensions/components/contact-component/featured-contacts', 'index.php?option=com_contact&view=featured&id=16', 'component', 1, 270, 5, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 271, 272, 0, '*', 0),
(453, 'aboutjoomla', 'Parameters', 'parameters', '', 'using-joomla/parameters', 'index.php?option=com_content&view=article&id=32', 'component', 1, 280, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"1","show_title":"1","link_titles":"1","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"1","link_parent_category":"1","show_author":"1","link_author":"1","show_create_date":"1","show_modify_date":"1","show_publish_date":"1","show_item_navigation":"1","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 410, 411, 0, '*', 0),
(491, 'mainmenu', 'Shortcodes', 'shortcodes', '', 'shortcodes', 'index.php?option=com_k2&view=item&layout=item&id=20', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"2","mega_group":"0","mega_width":"400px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 103, 144, 0, '*', 0),
(456, 'aboutjoomla', 'Beez5', 'beez5', '', 'using-joomla/extensions/templates/beez5', 'index.php?option=com_content&view=category&layout=blog&id=70', 'component', 1, 282, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 378, 383, 0, '*', 0),
(457, 'aboutjoomla', 'Typography Beez5', 'typography-beez-5', '', 'using-joomla/extensions/templates/beez5/typography-beez-5', 'index.php?option=com_content&view=article&id=49', 'component', 1, 456, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 379, 380, 0, '*', 0),
(458, 'aboutjoomla', 'Home Page Beez5', 'home-page-beez5', '', 'using-joomla/extensions/templates/beez5/home-page-beez5', 'index.php?option=com_content&view=featured', 'component', 1, 456, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 381, 382, 0, '*', 0),
(459, 'aboutjoomla', 'Article Category', 'article-category', '', 'using-joomla/extensions/modules/content-modules/article-category', 'index.php?option=com_content&view=article&id=4', 'component', 1, 411, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 331, 332, 0, '*', 0),
(462, 'fruitshop', 'Add a recipe', 'add-a-recipe', '', 'add-a-recipe', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 4, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 457, 458, 0, '*', 0),
(463, 'fruitshop', 'Recipes', 'recipes', '', 'recipes', 'index.php?option=com_content&view=category&id=76', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 6, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"0","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","list_show_title":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","filter_field":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_limit":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 459, 460, 0, '*', 0),
(464, 'top', 'Home', 'home', '', 'home', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"435","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 415, 416, 0, '*', 0),
(466, 'aboutjoomla', 'Smart Search', 'smart-search', '', 'using-joomla/extensions/components/search-component/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 276, 5, 27, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","search_order":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 305, 306, 0, '*', 0),
(467, 'aboutjoomla', 'Smart Search', 'smart-search', '', 'using-joomla/extensions/modules/utility-modules/smart-search', 'index.php?option=com_content&view=article&id=70', 'component', 1, 414, 5, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 367, 368, 0, '*', 0),
(706, 'main', 'K2_MEDIA_MANAGER', 'k2-media-manager', '', 'com-k2/k2-media-manager', 'index.php?option=com_k2&view=media', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 518, 519, 0, '', 1),
(705, 'main', 'K2_EXTRA_FIELD_GROUPS', 'k2-extra-field-groups', '', 'com-k2/k2-extra-field-groups', 'index.php?option=com_k2&view=extrafieldsgroups', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 516, 517, 0, '', 1),
(704, 'main', 'K2_EXTRA_FIELDS', 'k2-extra-fields', '', 'com-k2/k2-extra-fields', 'index.php?option=com_k2&view=extrafields', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 514, 515, 0, '', 1),
(702, 'main', 'K2_USERS', 'k2-users', '', 'com-k2/k2-users', 'index.php?option=com_k2&view=users', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 510, 511, 0, '', 1),
(703, 'main', 'K2_USER_GROUPS', 'k2-user-groups', '', 'com-k2/k2-user-groups', 'index.php?option=com_k2&view=usergroups', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 512, 513, 0, '', 1),
(701, 'main', 'K2_COMMENTS', 'k2-comments', '', 'com-k2/k2-comments', 'index.php?option=com_k2&view=comments', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 508, 509, 0, '', 1),
(700, 'main', 'K2_TAGS', 'k2-tags', '', 'com-k2/k2-tags', 'index.php?option=com_k2&view=tags', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 506, 507, 0, '', 1),
(720, 'main', 'COM_ZO2FRAMEWORK_SUBMENU_HELP', 'com-zo2framework-submenu-help', '', 'com-zo2framework-menu/com-zo2framework-submenu-help', 'index.php?option=com_zo2framework&view=help', 'component', 0, 715, 2, 10081, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 532, 533, 0, '', 1),
(699, 'main', 'K2_CATEGORIES', 'k2-categories', '', 'com-k2/k2-categories', 'index.php?option=com_k2&view=categories', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 504, 505, 0, '', 1),
(697, 'main', 'COM_K2', 'com-k2', '', 'com-k2', 'index.php?option=com_k2', 'component', 0, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '../media/k2/assets/images/system/k2_16x16.png', 0, '', 501, 522, 0, '', 1),
(698, 'main', 'K2_ITEMS', 'k2-items', '', 'com-k2/k2-items', 'index.php?option=com_k2&view=items', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 502, 503, 0, '', 1),
(718, 'main', 'COM_ZO2FRAMEWORK_SUBMENU_FRAMEWORK_CONFIG', 'com-zo2framework-submenu-framework-config', '', 'com-zo2framework-menu/com-zo2framework-submenu-framework-config', 'index.php?option=com_zo2framework&view=config&id=1', 'component', 0, 715, 2, 10081, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 528, 529, 0, '', 1),
(719, 'main', 'COM_ZO2FRAMEWORK_SUBMENU_UPDATTES', 'com-zo2framework-submenu-updattes', '', 'com-zo2framework-menu/com-zo2framework-submenu-updattes', 'index.php?option=com_zo2framework&view=updates', 'component', 0, 715, 2, 10081, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 530, 531, 0, '', 1),
(717, 'main', 'COM_ZO2FRAMEWORK_SUBMENU_TEMPLATE_MANAGER', 'com-zo2framework-submenu-template-manager', '', 'com-zo2framework-menu/com-zo2framework-submenu-template-manager', 'index.php?option=com_zo2framework&view=templates', 'component', 0, 715, 2, 10081, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 526, 527, 0, '', 1),
(715, 'main', 'COM_ZO2FRAMEWORK_MENU', 'com-zo2framework-menu', '', 'com-zo2framework-menu', 'index.php?option=com_zo2framework', 'component', 0, 1, 1, 10081, 0, 0, '0000-00-00 00:00:00', 0, 1, '../media/com_zo2framework/images/zo2-16x16.png', 0, '', 523, 534, 0, '', 1),
(716, 'main', 'COM_ZO2FRAMEWORK_SUBMENU_DASHBOARD', 'com-zo2framework-submenu-dashboard', '', 'com-zo2framework-menu/com-zo2framework-submenu-dashboard', 'index.php?option=com_zo2framework', 'component', 0, 715, 2, 10081, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 524, 525, 0, '', 1),
(501, 'mainmenu', 'Tabs', 'tabs', '', 'shortcodes/tabs', 'index.php?option=com_k2&view=item&layout=item&id=10', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 132, 133, 0, '*', 0),
(502, 'mainmenu', 'Testimonial', 'testimonial', '', 'shortcodes/testimonial', 'index.php?option=com_k2&view=item&layout=item&id=9', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 134, 135, 0, '*', 0),
(503, 'mainmenu', 'Toggle Box', 'toggle-box', '', 'shortcodes/toggle-box', 'index.php?option=com_k2&view=item&layout=item&id=8', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 136, 137, 0, '*', 0),
(504, 'mainmenu', 'Vimeo', 'vimeo', '', 'shortcodes/vimeo', 'index.php?option=com_k2&view=item&layout=item&id=7', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 138, 139, 0, '*', 0),
(505, 'mainmenu', 'Youtube', 'youtube', '', 'shortcodes/youtube', 'index.php?option=com_k2&view=item&layout=item&id=6', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 140, 141, 0, '*', 0),
(506, 'mainmenu', 'Gallery', 'gallery', '', 'shortcodes/gallery', 'index.php?option=com_k2&view=item&layout=item&id=5', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 116, 117, 0, '*', 0),
(507, 'mainmenu', 'Divider', 'divider', '', 'shortcodes/divider', 'index.php?option=com_k2&view=item&layout=item&id=4', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 112, 113, 0, '*', 0),
(508, 'mainmenu', 'Google Map', 'google-map', '', 'shortcodes/google-map', 'index.php?option=com_k2&view=item&layout=item&id=3', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 118, 119, 0, '*', 0),
(509, 'mainmenu', 'Pricing Tables', 'pricing-tables', '', 'shortcodes/pricing-tables', 'index.php?option=com_k2&view=item&layout=item&id=2', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 126, 127, 0, '*', 0),
(510, 'mainmenu', 'Syntax Highlighting', 'syntax-highlighting', '', 'shortcodes/syntax-highlighting', 'index.php?option=com_k2&view=item&layout=item&id=1', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 130, 131, 0, '*', 0),
(511, 'mainmenu', 'Typography', 'typography', '', 'shortcodes/typography', 'index.php?option=com_k2&view=item&layout=item&id=20', 'component', 1, 491, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 142, 143, 0, '*', 0),
(512, 'mainmenu', 'K2 Contents', 'k2-contents', '', 'k2-contents', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=6', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["6"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"3","mega_group":"0","mega_width":"700px","mega_colw":"200px","mega_colxw":"colw3=300px","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 145, 176, 0, '*', 0),
(513, 'mainmenu', 'Sport', 'sport', '', 'k2-contents/k2-demo/all-categories/sport', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=1', 'component', 1, 535, 4, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["1"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 156, 157, 0, '*', 0),
(527, 'mainmenu', 'Get Supports', '2012-09-21-07-14-25', '', '2012-09-21-07-12-32/2012-09-21-07-14-25', '', 'url', 1, 523, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 184, 185, 0, '*', 0),
(526, 'mainmenu', 'Blog', '2012-09-21-07-13-58', '', '2012-09-21-07-12-32/2012-09-21-07-13-58', '', 'url', 1, 523, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 182, 183, 0, '*', 0),
(525, 'mainmenu', 'Forums', '2012-09-21-07-13-34', '', '2012-09-21-07-12-32/2012-09-21-07-13-34', '', 'url', 1, 523, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 180, 181, 0, '*', 0),
(524, 'mainmenu', 'Join Club Now', '2012-09-21-07-13-11', '', '2012-09-21-07-12-32/2012-09-21-07-13-11', 'http://www.zootemplate.com/Legal/Joomla-Templates-Club.html', 'url', 1, 523, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 178, 179, 0, '*', 0),
(523, 'mainmenu', 'Joomla Templates ', '2012-09-21-07-12-32', '', '2012-09-21-07-12-32', 'http://www.zootemplate.com/joomla-templates.html', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 177, 188, 0, '*', 0),
(528, 'mainmenu', 'Downloads', '2012-09-21-07-14-47', '', '2012-09-21-07-12-32/2012-09-21-07-14-47', '', 'url', 1, 523, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 186, 187, 0, '*', 0),
(529, 'mainmenu', 'Magento Themes', '2012-09-21-07-15-37', '', '2012-09-21-07-15-37', 'http://www.9magentothemes.com/magento-themes.html', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 189, 200, 0, '*', 0),
(530, 'mainmenu', 'Sign Up', '2012-09-21-07-16-06', '', '2012-09-21-07-15-37/2012-09-21-07-16-06', 'http://www.9magentothemes.com/Magento-Themes/Magento-Themes-Club.html', 'url', 1, 529, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 190, 191, 0, '*', 0),
(531, 'mainmenu', 'Services', '2012-09-21-07-16-35', '', '2012-09-21-07-15-37/2012-09-21-07-16-35', 'http://www.9magentothemes.com/Magento-Services.html', 'url', 1, 529, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 192, 193, 0, '*', 0),
(532, 'mainmenu', 'Forums', '2012-09-21-07-17-05', '', '2012-09-21-07-15-37/2012-09-21-07-17-05', 'http://www.9magentothemes.com/forums', 'url', 1, 529, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 194, 195, 0, '*', 0),
(533, 'mainmenu', 'Demo', '2012-09-21-07-17-35', '', '2012-09-21-07-15-37/2012-09-21-07-17-35', 'http://www.9magentothemes.com/demo', 'url', 1, 529, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 196, 197, 0, '*', 0),
(534, 'mainmenu', 'Downloads', '2012-09-21-07-18-01', '', '2012-09-21-07-15-37/2012-09-21-07-18-01', 'http://www.9magentothemes.com/forums/downloads.php', 'url', 1, 529, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 198, 199, 0, '*', 0),
(535, 'mainmenu', 'All Categories', 'all-categories', '', 'k2-contents/k2-demo/all-categories', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=6', 'component', 1, 648, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["6"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 147, 158, 0, '*', 0),
(536, 'mainmenu', 'Entertainment', 'entertainment', '', 'k2-contents/k2-demo/all-categories/entertainment', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=2', 'component', 1, 535, 4, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["2"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 148, 149, 0, '*', 0),
(537, 'mainmenu', 'Architecture', 'architecture', '', 'k2-contents/k2-demo/all-categories/architecture', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=3', 'component', 1, 535, 4, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["3"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 150, 151, 0, '*', 0),
(538, 'mainmenu', 'Family', 'family', '', 'k2-contents/k2-demo/all-categories/family', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=4', 'component', 1, 535, 4, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["4"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 152, 153, 0, '*', 0),
(539, 'mainmenu', 'Technology', 'technology', '', 'k2-contents/k2-demo/all-categories/technology', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=5', 'component', 1, 535, 4, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["5"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 154, 155, 0, '*', 0),
(540, 'mainmenu', 'K2 Item Page', 'k2-item-page', '', 'k2-contents/k2-demo/k2-item-page', 'index.php?option=com_k2&view=item&layout=item&id=24', 'component', 1, 648, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 159, 160, 0, '*', 0),
(541, 'mainmenu', 'K2 Tag Page', 'k2-tag-page', '', 'k2-contents/k2-demo/k2-tag-page', 'index.php?option=com_k2&view=itemlist&layout=tag&tag=Inga&task=tag', 'component', 1, 648, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","tagOrdering":"","tagFeedLink":"1","tagFeedIcon":"1","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 161, 162, 0, '*', 0),
(542, 'mainmenu', 'K2 Blog User', 'k2-blog-user', '', 'k2-contents/k2-demo/k2-blog-user', 'index.php?option=com_k2&view=itemlist&layout=user&id=168&task=user', 'component', 1, 648, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","userCategoriesFilter":["1","2","3","4","5"],"userOrdering":"","userFeedLink":"0","userFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 163, 164, 0, '*', 0),
(543, 'mainmenu', 'K2 Lastes Items', 'k2-lastes-items', '', 'k2-contents/k2-demo/k2-lastes-items', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 648, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","source":"1","latestItemsCols":"1","latestItemsLimit":"3","latestItemsDisplayEffect":"all","userName":"1","userImage":"1","userDescription":"1","userURL":"1","userEmail":"0","userFeed":"1","categoryIDs":["5"],"categoryTitle":"0","categoryDescription":"0","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"1","latestItemTags":"0","latestItemReadMore":"1","latestItemCommentsAnchor":"1","feedLink":"0","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 165, 166, 0, '*', 0),
(545, 'mainmenu', 'Explore', 'explore', '', 'explore', 'index.php?option=com_content&view=category&id=19', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"2","mega_group":"0","mega_width":"600px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 3, 68, 0, '*', 0),
(650, 'mainmenu', 'Popular read', 'popular-read', '', 'k2-contents/popular-read/popular-read', 'index.php?option=com_k2&view=item&layout=item&id=48', 'component', 1, 649, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"mod","mega_module_style":"xhtml","mega_subcontent_mod_modules":["124"]}', 173, 174, 0, '*', 0),
(567, 'mainmenu', 'Joomla', 'joomla', '', 'explore/joomla', 'index.php?option=com_content&view=article&id=24', 'component', 1, 545, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 4, 63, 0, '*', 0),
(649, 'mainmenu', 'Popular read', 'popular-read', '', 'k2-contents/popular-read', 'index.php?option=com_k2&view=item&layout=item&id=44', 'component', 1, 512, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"300px","mega_colw":"300px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 172, 175, 0, '*', 0),
(647, 'mainmenu', 'Hot News', 'hot-news', '', 'k2-contents/hot-news/hot-news', 'index.php?option=com_k2&view=item&layout=item&id=58', 'component', 1, 646, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"mod","mega_module_style":"xhtml","mega_subcontent_mod_modules":["119"],"mega_subcontent_pos_positions":["hotnews"]}', 169, 170, 0, '*', 0),
(707, 'main', 'K2_INFORMATION', 'k2-information', '', 'com-k2/k2-information', 'index.php?option=com_k2&view=info', 'component', 0, 697, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 520, 521, 0, '', 1),
(644, 'mainmenu', 'Username Reminder Request', 'username-reminder-request', '', 'explore/joomla/users/username-reminder-request', 'index.php?option=com_users&view=remind', 'component', 1, 639, 4, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 58, 59, 0, '*', 0),
(645, 'mainmenu', 'Password Reset', 'password-reset', '', 'explore/joomla/users/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 639, 4, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 60, 61, 0, '*', 0),
(643, 'mainmenu', 'Registration Form', 'registration-form', '', 'explore/joomla/users/registration-form', 'index.php?option=com_users&view=registration', 'component', 1, 639, 4, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 56, 57, 0, '*', 0),
(641, 'mainmenu', 'User Profile', 'user-profile', '', 'explore/joomla/users/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 639, 4, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 52, 53, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(642, 'mainmenu', 'Edit User Profile', 'edit-user-profile', '', 'explore/joomla/users/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 639, 4, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 54, 55, 0, '*', 0),
(551, 'mainmenu', 'Features', 'features', '', 'features', 'index.php?option=com_k2&view=item&layout=item&id=25', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"600px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 69, 102, 0, '*', 0),
(552, 'mainmenu', 'ZT News', 'zt-news', '', 'features/zt-news', 'index.php?option=com_k2&view=item&layout=item&id=44', 'component', 1, 551, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 70, 81, 0, '*', 0),
(553, 'mainmenu', 'ZT Layouts', 'zt-layouts', '', 'features/zt-layouts', 'index.php?option=com_k2&view=item&layout=item&id=41', 'component', 1, 551, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 82, 95, 0, '*', 0),
(554, 'mainmenu', 'ZT Languages', 'zt-languages', '', 'features/zt-languages', 'index.php?option=com_k2&view=item&layout=item&id=42', 'component', 1, 551, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 96, 101, 0, '*', 0),
(555, 'mainmenu', 'Hot guitarists', 'hot-guitarists', '', 'features/zt-news/hot-guitarists', 'index.php?option=com_k2&view=item&layout=item&id=25', 'component', 1, 552, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 71, 72, 0, '*', 0),
(556, 'mainmenu', 'Wearable Robots', 'wearable-robots', '', 'features/zt-news/wearable-robots', 'index.php?option=com_k2&view=item&layout=item&id=37', 'component', 1, 552, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 73, 74, 0, '*', 0),
(557, 'mainmenu', 'The Avengers', 'the-avengers', '', 'features/zt-news/the-avengers', 'index.php?option=com_k2&view=item&layout=item&id=21', 'component', 1, 552, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 75, 76, 0, '*', 0),
(558, 'mainmenu', 'Bristish Airways', 'bristish-airways', '', 'features/zt-news/bristish-airways', 'index.php?option=com_k2&view=item&layout=item&id=55', 'component', 1, 552, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 77, 78, 0, '*', 0),
(559, 'mainmenu', 'Iphone 5 scores', 'iphone-5-scores', '', 'features/zt-news/iphone-5-scores', 'index.php?option=com_k2&view=item&layout=item&id=47', 'component', 1, 552, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 79, 80, 0, '*', 0),
(560, 'mainmenu', 'RTL Languages', '2012-09-22-01-52-09', '', 'features/zt-languages/2012-09-22-01-52-09', '?direction=rtl', 'url', 1, 554, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 97, 98, 0, '*', 0),
(561, 'mainmenu', 'LTR Language', '2012-09-22-01-52-41', '', 'features/zt-languages/2012-09-22-01-52-41', '?direction=ltr', 'url', 1, 554, 3, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 99, 100, 0, '*', 0),
(562, 'mainmenu', 'Left+Content+Right', 'left-content-right', '', 'features/zt-layouts/left-content-right', 'index.php?option=com_k2&view=item&layout=item&id=51', 'component', 1, 553, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 83, 84, 0, '*', 0),
(563, 'mainmenu', 'Left+Content', 'left-content', '', 'features/zt-layouts/left-content', 'index.php?option=com_k2&view=item&layout=item&id=51', 'component', 1, 553, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 85, 86, 0, '*', 0),
(564, 'mainmenu', 'Content+Right', 'content-right', '', 'features/zt-layouts/content-right', 'index.php?option=com_k2&view=item&layout=item&id=51', 'component', 1, 553, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 87, 88, 0, '*', 0),
(565, 'mainmenu', 'Full Content', 'full-content', '', 'features/zt-layouts/full-content', 'index.php?option=com_k2&view=item&layout=item&id=51', 'component', 1, 553, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 89, 90, 0, '*', 0),
(566, 'mainmenu', 'Modules Positions', 'modules-positions', '', 'features/zt-layouts/modules-positions', 'index.php?option=com_k2&view=item&layout=item&id=64', 'component', 1, 553, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 91, 92, 0, '*', 0),
(648, 'mainmenu', 'K2 demo', 'k2-demo', '', 'k2-contents/k2-demo', 'index.php?option=com_k2&view=item&layout=item&id=56', 'component', 1, 512, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 146, 167, 0, '*', 0),
(640, 'mainmenu', 'Login Form', 'login-form', '', 'explore/joomla/users/login-form', 'index.php?option=com_users&view=login', 'component', 1, 639, 4, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Login Form","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 50, 51, 0, '*', 0),
(646, 'mainmenu', 'Hot News', 'hot-news', '', 'k2-contents/hot-news', 'index.php?option=com_k2&view=item&layout=item&id=60', 'component', 1, 512, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 168, 171, 0, '*', 0),
(639, 'mainmenu', 'Users', 'users', '', 'explore/joomla/users', 'index.php?option=com_users&view=login', 'component', 1, 567, 3, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Login Form","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"230px","mega_colw":"230px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 49, 62, 0, '*', 0),
(637, 'mainmenu', 'List Web Links in a Category', 'list-web-links-in-a-category', '', 'explore/joomla/weblinks/list-web-links-in-a-category', 'index.php?option=com_weblinks&view=category&id=18', 'component', 1, 635, 4, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 46, 47, 0, '*', 0),
(636, 'mainmenu', 'List All Web Link Categories', 'list-all-web-link-categories', '', 'explore/joomla/weblinks/list-all-web-link-categories', 'index.php?option=com_weblinks&view=categories&id=0', 'component', 1, 635, 4, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"-1","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_links_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 44, 45, 0, '*', 0),
(573, 'mainmenu', 'Hot Videos', 'hot-videos', '', 'explore/hot-videos', 'index.php?option=com_k2&view=item&layout=item&id=54', 'component', 1, 545, 2, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml","mega_subcontent_mod_modules":["118"],"mega_subcontent_pos_positions":["modulevideo"]}', 64, 67, 0, '*', 0),
(632, 'mainmenu', 'Search', 'search', '', 'explore/joomla/search', 'index.php?option=com_search&view=search&searchword=', 'component', 1, 567, 3, 19, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 37, 42, 0, '*', 0),
(575, 'mainmenu', 'Videos', 'videos', '', 'explore/hot-videos/videos', 'index.php?option=com_k2&view=item&layout=item&id=54', 'component', 1, 573, 3, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"1","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"pos","mega_module_style":"xhtml","mega_subcontent_pos_positions":["modulevideo"]}', 65, 66, 0, '*', 0),
(633, 'mainmenu', 'Smart Search', 'smart-search', '', 'explore/joomla/search/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 632, 4, 27, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 38, 39, 0, '*', 0),
(577, 'shortcode', 'Accordion', 'accordion', '', 'accordion', 'index.php?option=com_k2&view=item&layout=item&id=19', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 461, 462, 0, '*', 0),
(578, 'shortcode', 'Blockquote', 'blockquote', '', 'blockquote', 'index.php?option=com_k2&view=item&layout=item&id=18', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 463, 464, 0, '*', 0),
(579, 'shortcode', 'Buttons', 'buttons', '', 'buttons', 'index.php?option=com_k2&view=item&layout=item&id=17', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 465, 466, 0, '*', 0),
(580, 'shortcode', 'Columns', 'columns', '', 'columns', 'index.php?option=com_k2&view=item&layout=item&id=16', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 467, 468, 0, '*', 0),
(581, 'shortcode', 'Divider', 'divider', '', 'divider', 'index.php?option=com_k2&view=item&layout=item&id=4', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 469, 470, 0, '*', 0),
(582, 'shortcode', 'Dropcap', 'dropcap', '', 'dropcap', 'index.php?option=com_k2&view=item&layout=item&id=15', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 471, 472, 0, '*', 0),
(583, 'shortcode', 'Gallery', 'gallery', '', 'gallery', 'index.php?option=com_k2&view=item&layout=item&id=5', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 473, 474, 0, '*', 0),
(584, 'shortcode', 'Google Map', 'google-map', '', 'google-map', 'index.php?option=com_k2&view=item&layout=item&id=3', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 475, 476, 0, '*', 0),
(585, 'shortcode', 'Lightbox', 'lightbox', '', 'lightbox', 'index.php?option=com_k2&view=item&layout=item&id=14', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 477, 478, 0, '*', 0),
(586, 'shortcode', 'List Icon', 'list-icon', '', 'list-icon', 'index.php?option=com_k2&view=item&layout=item&id=13', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 479, 480, 0, '*', 0),
(587, 'shortcode', 'Message Box', 'message-box', '', 'message-box', 'index.php?option=com_k2&view=item&layout=item&id=12', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 481, 482, 0, '*', 0),
(588, 'shortcode', 'Pricing Tables', 'pricing-tables', '', 'pricing-tables', 'index.php?option=com_k2&view=item&layout=item&id=2', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 483, 484, 0, '*', 0),
(589, 'shortcode', 'Social icon', 'social-icon', '', 'social-icon', 'index.php?option=com_k2&view=item&layout=item&id=11', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 485, 486, 0, '*', 0),
(590, 'shortcode', 'Syntax Highlighting', 'syntax-highlighting', '', 'syntax-highlighting', 'index.php?option=com_k2&view=item&layout=item&id=1', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 487, 488, 0, '*', 0),
(591, 'shortcode', 'Tabs', 'tabs', '', 'tabs', 'index.php?option=com_k2&view=item&layout=item&id=10', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 489, 490, 0, '*', 0),
(592, 'shortcode', 'Testimonial', 'testimonial', '', 'testimonial', 'index.php?option=com_k2&view=item&layout=item&id=9', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 491, 492, 0, '*', 0),
(593, 'shortcode', 'Toggle Box', 'toggle-box', '', 'toggle-box', 'index.php?option=com_k2&view=item&layout=item&id=8', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 493, 494, 0, '*', 0),
(594, 'shortcode', 'Typography', 'typography', '', 'typography', 'index.php?option=com_k2&view=item&layout=item&id=20', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 495, 496, 0, '*', 0),
(595, 'shortcode', 'Vimeo', 'vimeo', '', 'vimeo', 'index.php?option=com_k2&view=item&layout=item&id=7', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 497, 498, 0, '*', 0),
(596, 'shortcode', 'Youtube', 'youtube', '', 'youtube', 'index.php?option=com_k2&view=item&layout=item&id=6', 'component', 1, 1, 1, 10012, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 499, 500, 0, '*', 0),
(635, 'mainmenu', 'Weblinks', 'weblinks', '', 'explore/joomla/weblinks', 'index.php?option=com_weblinks&view=categories&id=0', 'component', 1, 567, 3, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"-1","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_links_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"230px","mega_colw":"230px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 43, 48, 0, '*', 0),
(616, 'mainmenu', 'Articles', 'articles', '', 'explore/joomla/articles', 'index.php?option=com_content&view=category&id=19', 'component', 1, 567, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"200px","mega_colw":"200px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 5, 18, 0, '*', 0),
(617, 'mainmenu', 'Archived Articles', 'archived-articles', '', 'explore/joomla/articles/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 616, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"alpha","order_date":"created","display_num":"5","filter_field":"hide","introtext_limit":"100","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","link_titles":"","show_intro":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 6, 7, 0, '*', 0),
(618, 'mainmenu', 'Single Article', 'single-article', '', 'explore/joomla/articles/single-article', 'index.php?option=com_content&view=article&id=24', 'component', 1, 616, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 8, 9, 0, '*', 0),
(619, 'mainmenu', 'List All Categories', 'list-all-categories', '', 'explore/joomla/articles/list-all-categories', 'index.php?option=com_content&view=categories&id=19', 'component', 1, 616, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 10, 11, 0, '*', 0),
(620, 'mainmenu', 'Category Blog', 'category-blog', '', 'explore/joomla/articles/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=19', 'component', 1, 616, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"2","num_columns":"2","num_links":"3","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 12, 13, 0, '*', 0),
(621, 'mainmenu', 'Category List', 'category-list', '', 'explore/joomla/articles/category-list', 'index.php?option=com_content&view=category&id=19', 'component', 1, 616, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 14, 15, 0, '*', 0),
(622, 'mainmenu', 'Featured Articles', 'featured-articles', '', 'explore/joomla/articles/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 616, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":["19"],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"3","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 16, 17, 0, '*', 0),
(623, 'mainmenu', 'Contacts', 'contacts', '', 'explore/joomla/contacts', 'index.php?option=com_contact&view=categories&id=0', 'component', 1, 567, 3, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_position_headings":"","show_email_headings":"","show_telephone_headings":"","show_mobile_headings":"","show_fax_headings":"","show_suburb_headings":"","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"230px","mega_colw":"230px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 19, 28, 0, '*', 0),
(624, 'mainmenu', 'List Contacts in a Category', 'list-contacts-in-a-category', '', 'explore/joomla/contacts/list-contacts-in-a-category', 'index.php?option=com_contact&view=category&id=16', 'component', 1, 623, 4, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_position_headings":"","show_email_headings":"","show_telephone_headings":"","show_mobile_headings":"","show_fax_headings":"","show_suburb_headings":"","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","initial_sort":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 20, 21, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(625, 'mainmenu', 'List All Contact Categories', 'list-all-contact-categories', '', 'explore/joomla/contacts/list-all-contact-categories', 'index.php?option=com_contact&view=categories&id=0', 'component', 1, 623, 4, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_position_headings":"","show_email_headings":"","show_telephone_headings":"","show_mobile_headings":"","show_fax_headings":"","show_suburb_headings":"","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 22, 23, 0, '*', 0),
(626, 'mainmenu', 'Featured Contacts', 'featured-contacts', '', 'explore/joomla/contacts/featured-contacts', 'index.php?option=com_contact&view=featured', 'component', 1, 623, 4, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_pagination_limit":"","show_headings":"","show_position_headings":"","show_email_headings":"","show_telephone_headings":"","show_mobile_headings":"","show_fax_headings":"","show_suburb_headings":"","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 24, 25, 0, '*', 0),
(627, 'mainmenu', 'Single Contact', 'single-contact', '', 'explore/joomla/contacts/single-contact', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 623, 4, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 26, 27, 0, '*', 0),
(628, 'mainmenu', 'Newsfeeds', 'newsfeeds', '', 'explore/joomla/newsfeeds', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 567, 3, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"230px","mega_colw":"230px","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 29, 36, 0, '*', 0),
(629, 'mainmenu', 'List All News Feed Categories', 'list-all-news-feed-categories', '', 'explore/joomla/newsfeeds/list-all-news-feed-categories', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 628, 4, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 30, 31, 0, '*', 0),
(630, 'mainmenu', 'List News Feeds in a Category', 'list-news-feeds-in-a-category', '', 'explore/joomla/newsfeeds/list-news-feeds-in-a-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 628, 4, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 32, 33, 0, '*', 0),
(631, 'mainmenu', 'Single News Feed', 'single-news-feed', '', 'explore/joomla/newsfeeds/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=1', 'component', 1, 628, 4, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 34, 35, 0, '*', 0),
(714, 'mainmenu', 'Boxed Layout', 'boxed-layout', '', 'features/zt-layouts/boxed-layout', 'index.php?option=com_content&view=featured', 'component', -2, 553, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"ZT Inga - A responsive Joomla template!","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"mega_nofollow":"0","mega_showtitle":"1","mega_showcontent":"0","mega_desc":"","mega_cols":"1","mega_group":"0","mega_width":"","mega_colw":"","mega_colxw":"","mega_class":"","mega_subcontent":"0","mega_module_style":"xhtml"}', 93, 94, 0, '*', 0);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(2, 'usermenu', 'User Menu', 'A Menu for logged-in Users'),
(3, 'top', 'Top', 'Links for major types of users'),
(4, 'aboutjoomla', 'About Joomla', 'All about Joomla!'),
(5, 'parks', 'Australian Parks', 'Main menu for a site about Australian  parks'),
(6, 'mainmenu', 'Main Menu', 'Simple Home Menu'),
(7, 'fruitshop', 'Fruit Shop', 'Menu for the sample shop site.'),
(8, 'shortcode', 'Shortcode', '');

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=145 ;

INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(2, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(8, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(79, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(86, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(141, 'Lastest News', '', '', 1, 'zt-position-16', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"","getTemplate":"popular","source":"filter","catfilter":"1","category_id":["2","4","7"],"getChildren":"0","itemCount":"1","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"5","itemImage":"1","itemImgSize":"Small","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"0","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*'),
(63, 'Search', '', '', 1, 'search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 0, '{"label":"","width":"20","text":"","button":"1","button_pos":"right","imagebutton":"","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"632","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(93, 'K2 Quick Icons (admin)', '', '', 99, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_quickicons', 3, 1, '', 1, '*'),
(94, 'K2 Stats (admin)', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_stats', 3, 1, '', 1, '*'),
(97, 'Contact Numbers', '', '<div class="zt-contact">\r\n<span class="phone">Phone: (845) 123 4567</span>\r\n<span class="fax">Fax: (845) 123 4567</span>\r\n</div>', 1, 'zt-position-0', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(99, 'Breadcrumb', '', '', 1, 'breadcrumb', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 0, '{"showHere":"1","showHome":"1","homeText":"HOME","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(140, 'Our Services ', '', '<div class="span4 zt-content">\r\n<img src="templates/zt_inga/images/data-storage.png" alt="Data storage" />\r\n<h2 class="title">Data storage</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Maecenas at purus turpis, in semper nunc. Vestibulum tempor faucibus commodo. Nullam malesuada arcu aliquam eros venenatis adipiscing.\r\n </p>\r\n<h5>\r\n<a href="index.php/component/k2/item/51" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>\r\n<div class="span4 zt-content active"><img src="templates/zt_inga/images/email.png" alt="Email contact Pro" />\r\n<h2 class="title">Email contact Pro</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Ut neque urna, adipiscing quis tristique ut, vehicula ut mi. Pellentesque consequat sodales neque, eu tristique erat sodales sed. Infacilisi .condimentum \r\n </p>\r\n<h5>\r\n<a href="index.php/component/k2/item/52" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>\r\n<div class="span4 zt-content"><img src="templates/zt_inga/images/support.png" alt="24/7 Support" />\r\n<h2 class="title">24/7 Support</h2>\r\n<p>Phasellus tortor lectus tincidunt vehicula  posuere Nulla facilisi etiam odales libero elit, et sagittis orci condimentum Aliquam erat volutpat. Aenean tristique tincidunt ullamcorper. Praesent vel augue risus, eu tincidunt purus. Quisque malesuada orci sed lacus\r\n</p>\r\n<h5>\r\n<a href="index.php/component/k2/item/53" class="readon"><span>read more</span></a>\r\n</h5>\r\n</div>', 1, 'zt-position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(101, 'Recent Post', '', '', 3, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","catfilter":"1","category_id":["9"],"getChildren":"0","itemCount":"3","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"","itemImage":"1","itemImgSize":"Small","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"0","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*'),
(105, 'About Us', '', '', 1, 'zt-position-15', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"","getTemplate":"news","source":"filter","catfilter":"1","category_id":["12"],"getChildren":"0","itemCount":"1","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"0","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"","itemImage":"0","itemImgSize":"Small","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"0","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*'),
(107, 'Receive email on newsletter', '', '<div id="newletter"><p>Etiam faucibus bibendum lorem vehicula on Suspendisse lacinia sem nulla tincidunt tist aliquam sed turpis Maecenas et egestas diam. Morbi mattis, orci ut adipiscing suscipit, quam magna facilisis massa</p>\r\n<form>\r\n	<input type="text" value="Enter e-mail address..." onblur="if(this.value == '''') { this.value=''Enter e-mail address...''}" onfocus="if (this.value == ''Enter e-mail address...'') {this.value=''''}">\r\n</form>\r\n<h5><a href="#" title ="sign up" class="signup"><span>Sign Up</span></a></h5>\r\n</div>\r\n<div id="social">\r\n<h3 class="moduletitle"><span class="title1">We stay</span> <span class="title2">Connected</span> </h3>\r\n<a href="#" id="rss" title="rss"><span>RSS</span></a>\r\n<a href="#" id="twitter" title="twitter"><span>Twitter</span></a>\r\n<a href="#" id="facebook" title="facebook"><span>Facebook</span></a>\r\n<a href="#" id="vimeo" title="vimeo"><span>Vimeo</span></a>\r\n<a href="#" id="skype" title="skype"><span>Skype</span></a>\r\n</div>\r\n', 1, 'zt-position-17', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" active hidden-phone","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(144, 'Twitter Update', '', '', 1, 'zt-position-16', 168, '2012-11-13 09:36:30', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_zt_twitter', 1, 1, '{"user_name":"quynhapl","pass_word":"kiemtien8989","usernames":"zootemplates","twitter_slide":"default","show_avatar":"0","size_avatar_twitter":"48","show_follow_updates":"0","is_follow_img":"1","following_icons_count":"10","no_twitter":"3","time_get_new":"0","no_day_twitter":"0","show_title_twitter":"0","show_avatar_header":"0","show_username_header":"0","show_source":"0","show_feed":"0","show_bio":"0","show_web":"0","show_location":"0","show_updates":"0","show_followers":"0","show_following":"0","show_friendlist_icon":"0","show_viewall":"0","enable_search_twitter":"0","enable_search_avatar":"0","size_avatar_search":"48","search":"","search_count_size":"4","moduleclass_sfx":"","cache":"0","cache_time":"900"}', 0, '*'),
(139, 'Testimonial', '', '', 1, 'zt-position-10', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_zt_headline', 1, 0, '{"moduleclass_sfx":"","menuitem_type":"default","moduleWidth":"1170","moduleHeight":"60","thumbWidth":"400","thumbHeight":"400","link_limage":"0","input_itemid":"0","intro_length":"30","timming":"5000","trans_duration":"1000","text_data":"custom[]David Nguyen[][]I would like to say thank you very much for fast reply to counter my problem with my joomla template. Thank you so much! \\r\\n\\r\\n[]||custom[]Matt Damon[][]I am very happy to have chosen the Zootemplate over 2 years. You always surprise me. When I found out about the quality and the support.[]||custom[]Quynh Nguyen[][]I have been working with web design and with Joomla! for a few years and it wasn[ztquote]t until the other day I came across your site. []||","layout_style":"zt_scroller","zt_slideshow_effect":"random","thumbnavWidth":"80","thumbnavHeight":"70","zt_slideshow_enable_controlNavThumbs":"0","zt_slideshow_enable_btn":"0","zt_slideshow_autorun":"1","zt_slideshow_loadprocess":"0","zt_slideshow_enable_description":"1","zt_slideshow_no_slice":"15","zt_scroller_effect":"easeInQuad","itemWidth":"1170","zt_scroller_autorun":"1","zt_scroller_enable_btn":"0","zt_scroller_enable_description":"1","zt_scroller_running":"1","zt_scroller_no_item":"1","zt_featurelist_thumbwidth":"80","zt_featurelist_thumbheight":"70","zt_featurelist_item_height":"75","zt_featurelist_list_width":"274","zt_featurelist_main_width":"700","zt_featurelist_enable_description":"1","zt_featurelist_eventtype":"1","zt_carousel_autorun":"1","zt_accordion_item_expand":"900","zt_carousel_boxdesc":"right","zt_accordion_box_width":"650","cache":"0"}', 0, '*'),
(121, 'Member Login', '', '', 1, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(122, 'Shortcode', '', '', 7, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"shortcode","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(123, 'Main Menu', '', '', 1, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(115, 'Recent works', '', '', 1, 'zt-position-9', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_zt_news', 1, 1, '{"moduleclass_sfx":"","template_type":"recentworks","showtitlecat":"0","is_subcat":"0","is_all":"0","no_intro_items":"2","no_link_items":"0","columns":"2","thumb_main_width":"230","thumb_main_height":"260","thumb_list_width":"49","thumb_list_height":"49","show_title":"1","show_title_list":"0","is_image":"1","is_image_list":"0","show_intro":"1","show_intro_list":"0","intro_length":"30","show_date":"0","show_date_list":"0","show_readmore":"0","source":"k2_category","k2_catid":["14"],"type_image":"upload","rderingk2":"","rderingkcontent":"","cache":"0","cache_time":"900"}', 0, '*'),
(114, 'Lastest News', '', '', 1, 'zt-position-8', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_zt_news', 1, 1, '{"moduleclass_sfx":"","template_type":"lastestnews","showtitlecat":"0","is_subcat":"0","is_all":"0","no_intro_items":"2","no_link_items":"0","columns":"2","thumb_main_width":"330","thumb_main_height":"165","thumb_list_width":"49","thumb_list_height":"49","show_title":"1","show_title_list":"0","is_image":"1","is_image_list":"0","show_intro":"0","show_intro_list":"1","intro_length":"30","show_date":"1","show_date_list":"0","show_readmore":"1","source":"k2_category","k2_catid":["13"],"type_image":"upload","rderingk2":"","rderingkcontent":"","cache":"0","cache_time":"900"}', 0, '*'),
(113, 'Our Services', '', '', 1, 'zt-position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_zt_news', 1, 1, '{"moduleclass_sfx":"","template_type":"default","showtitlecat":"0","is_subcat":"0","is_all":"0","no_intro_items":"3","no_link_items":"0","columns":"3","thumb_main_width":"330","thumb_main_height":"145","thumb_list_width":"49","thumb_list_height":"49","show_title":"1","show_title_list":"1","is_image":"0","is_image_list":"0","show_intro":"1","show_intro_list":"0","intro_length":"30","show_date":"0","show_date_list":"0","show_readmore":"1","source":"k2_category","k2_catid":["11"],"type_image":"upload","rderingk2":"date","rderingkcontent":"","cache":"0","cache_time":"900"}', 0, '*'),
(118, 'Hot Videos', '', '<iframe src="http://player.vimeo.com/video/6045312" width="390" height="219" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>', 1, 'modulevideo', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(119, 'Hot News', '', '', 1, 'hotnews', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 0, '{"moduleclass_sfx":"","getTemplate":"hotnews","source":"filter","catfilter":"1","category_id":["2"],"getChildren":"0","itemCount":"1","itemsOrdering":"","FeaturedItems":"0","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"10","itemImage":"1","itemImgSize":"Small","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"1","itemHits":"1","itemReadMore":"0","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*'),
(138, 'ZT Headline', '', '', 1, 'slideshow', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_zt_headline', 1, 0, '{"moduleclass_sfx":"","menuitem_type":"default","moduleWidth":"1170","moduleHeight":"420","thumbWidth":"1170","thumbHeight":"420","link_limage":"0","input_itemid":"0","intro_length":"5","timming":"5000","trans_duration":"1000","text_data":"k2[]Business plan competitions key[]images\\/slideshow\\/1.jpg[]59[]Business plan competitions may be key to job growth||k2[]iPhone 5 launch draws crowds[]images\\/slideshow\\/2.jpg[]60[]iPhone 5 launch draws crowds at Asia Apple shops||k2[]Real Madrid coach Mourinho suing []images\\/slideshow\\/3.jpg[]61[]Real Madrid coach Mourinho suing Spanish journalist||k2[]NASA captures Earth''s chorus[]images\\/slideshow\\/4.jpg[]62[]NASA captures Earth''s chorus||k2[]Movie review: The Prometheus[]images\\/slideshow\\/5.jpg[]63[]Movie review: The Prometheus||","layout_style":"zt_slideshow","zt_slideshow_effect":"random","thumbnavWidth":"80","thumbnavHeight":"70","zt_slideshow_enable_controlNavThumbs":"0","zt_slideshow_enable_btn":"1","zt_slideshow_autorun":"1","zt_slideshow_loadprocess":"0","zt_slideshow_enable_description":"1","zt_slideshow_no_slice":"15","zt_scroller_effect":"easeOutQuad","itemWidth":"250","zt_scroller_autorun":"1","zt_scroller_enable_btn":"1","zt_scroller_enable_description":"1","zt_scroller_running":"1","zt_scroller_no_item":"4","zt_featurelist_thumbwidth":"80","zt_featurelist_thumbheight":"70","zt_featurelist_item_height":"75","zt_featurelist_list_width":"274","zt_featurelist_main_width":"700","zt_featurelist_enable_description":"1","zt_featurelist_eventtype":"1","zt_carousel_autorun":"1","zt_accordion_item_expand":"900","zt_carousel_boxdesc":"right","zt_accordion_box_width":"650","cache":"0"}', 0, '*'),
(124, 'Popular Read', '', '', 1, 'popularread', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 0, '{"moduleclass_sfx":"","getTemplate":"popular","source":"filter","catfilter":"1","category_id":["16"],"getChildren":"0","itemCount":"3","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"0","itemIntroTextWordLimit":"","itemImage":"1","itemImgSize":"XSmall","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"1","itemHits":"1","itemReadMore":"0","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*'),
(125, 'Magento Ads', '', '', 3, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_banners', 1, 1, '{"target":"1","count":"1","cid":"0","catid":["78"],"tag_search":"0","ordering":"0","header_text":"","footer_text":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(126, 'Weblinks', '', '', 2, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_weblinks', 1, 1, '{"catid":"32","count":"6","ordering":"title","direction":"asc","target":"3","description":"0","hits":"0","count_clicks":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(127, 'ZT Position-1', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/1.png" alt="" />\r\n</a>\r\n<p class="idesc">Nullam ut tellus eu dolor consectetur venenatis. Suspendisse tristique mauris vitae turpis scelerisque elementum. Suspendisse convallis consequat auctor. Sed a diam et purus tempor consectetur vel in nunc. Phasellus varius.\r\n</p>', 1, 'zt-position-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(128, 'ZT Position-2', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/2.png" alt="" />\r\n</a>\r\n<p class="idesc">Praesent commodo risus sed turpis porta nec hendrerit diam egestas. Vestibulum pulvinar, dui id adipiscing tincidunt, orci tellus sodales eros, vitae sollicitudin justo enim ut ante. Nullam aliquam libero elit.\r\n</p>', 1, 'zt-position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(129, 'ZT Position-3', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/3.png" alt="" />\r\n</a>\r\n<p class="idesc">Phasellus quis ullamcorper erat. Nunc diam orci, rutrum non tempus molestie, rutrum at orci. Morbi ac erat magna. Nunc iaculis ultrices venenatis. Mauris at eros lacus, et accumsan elit. Phasellus.\r\n</p>', 1, 'zt-position-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(130, 'ZT Position-4', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/4.png" alt="" />\r\n</a>\r\n<p class="idesc">Nam ac magna nec dolor bibendum laoreet. Proin et scelerisque mi. Morbi vitae tortor felis. Vestibulum mollis lectus eu dolor lacinia feugiat. Aenean at dapibus sem. Sed et nibh sapien.\r\n</p>', 1, 'zt-position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(131, 'ZT Position-6', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/6.png" alt="" />\r\n</a>\r\n<p class="idesc">Curabitur gravida velit eu nibh congue iaculis. Etiam sed bibendum odio. Aliquam erat volutpat. Aenean vel consectetur nisi. Cras viverra ullamcorper ligula in vehicula. Vivamus ultrices libero ac massa vehicula.\r\n</p>', 1, 'zt-position-6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(132, 'ZT Position-7', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/7.png" alt="" />\r\n</a>\r\n<p class="idesc">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis euismod pellentesque lectus quis porttitor. Aenean eu consequat nisi. Sed mi metus, rhoncus porttitor viverra a, sollicitudin non purus. Nunc elit.\r\n</p>', 1, 'zt-position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(133, 'ZT Position-11', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/8.png" alt="" />\r\n</a>\r\n<p class="idesc">Vestibulum tincidunt mattis dolor vitae gravida. Quisque in nisi sagittis dolor mollis egestas a dignissim risus. Quisque ac nisi et tellus molestie posuere vitae quis libero. Integer ut purus mi.\r\n</p>', 1, 'zt-position-11', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(134, 'ZT Position-12', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/9.png" alt="" />\r\n</a>\r\n<p class="idesc">Cras congue neque a urna consequat aliquam. Fusce eu metus ligula, sed tempus justo. Nulla et ligula ipsum, nec porta ipsum. Pellentesque pharetra rhoncus nibh, et aliquet felis tristique ac.\r\n</p>', 1, 'zt-position-12', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(135, 'ZT Position-13', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/10.png" alt="" />\r\n</a>\r\n<p class="idesc">Integer tristique, diam eget blandit euismod, nunc dui pharetra ligula, a mattis enim lectus non felis. Praesent ultricies ligula a mauris volutpat eget interdum mi vestibulum. Maecenas semper ligula non.\r\n</p>', 1, 'zt-position-13', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(136, 'ZT Position-14', '', '<a title="" href="#" class="user-img">\r\n<img class="zt-user-img" src="images/users/11.png" alt="" />\r\n</a>\r\n<p class="idesc">Praesent diam quam, faucibus nec elementum vitae, accumsan semper mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Ut sollicitudin imperdiet neque. Integer rhoncus augue.\r\n</p>', 1, 'zt-position-14', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(137, 'Who''s Online', '', '', 4, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","filter_groups":"0"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(32, 309),
(63, 0),
(79, 0),
(86, 0),
(93, 0),
(94, 0),
(97, 0),
(99, 0),
(101, -714),
(101, -596),
(101, -595),
(101, -594),
(101, -593),
(101, -592),
(101, -591),
(101, -590),
(101, -589),
(101, -588),
(101, -587),
(101, -586),
(101, -585),
(101, -584),
(101, -583),
(101, -582),
(101, -581),
(101, -580),
(101, -579),
(101, -578),
(101, -577),
(101, -565),
(101, -563),
(101, -511),
(101, -510),
(101, -509),
(101, -508),
(101, -507),
(101, -506),
(101, -505),
(101, -504),
(101, -503),
(101, -502),
(101, -501),
(101, -500),
(101, -499),
(101, -498),
(101, -497),
(101, -496),
(101, -495),
(101, -494),
(101, -493),
(101, -492),
(101, -491),
(101, -435),
(105, 0),
(107, 0),
(113, 435),
(113, 566),
(114, 435),
(114, 566),
(114, 714),
(115, 435),
(115, 566),
(115, 714),
(118, 0),
(119, 0),
(121, -714),
(121, -596),
(121, -595),
(121, -594),
(121, -593),
(121, -592),
(121, -591),
(121, -590),
(121, -589),
(121, -588),
(121, -587),
(121, -586),
(121, -585),
(121, -584),
(121, -583),
(121, -582),
(121, -581),
(121, -580),
(121, -579),
(121, -578),
(121, -577),
(121, -566),
(121, -565),
(121, -563),
(121, -511),
(121, -510),
(121, -509),
(121, -508),
(121, -507),
(121, -506),
(121, -505),
(121, -504),
(121, -503),
(121, -502),
(121, -501),
(121, -500),
(121, -499),
(121, -498),
(121, -497),
(121, -496),
(121, -495),
(121, -494),
(121, -493),
(121, -492),
(121, -491),
(121, -435),
(122, 492),
(122, 493),
(122, 494),
(122, 495),
(122, 496),
(122, 497),
(122, 498),
(122, 499),
(122, 500),
(122, 501),
(122, 502),
(122, 503),
(122, 504),
(122, 505),
(122, 506),
(122, 507),
(122, 508),
(122, 509),
(122, 510),
(122, 577),
(122, 578),
(122, 579),
(122, 580),
(122, 581),
(122, 582),
(122, 583),
(122, 584),
(122, 585),
(122, 586),
(122, 587),
(122, 588),
(122, 589),
(122, 590),
(122, 591),
(122, 592),
(122, 593),
(122, 595),
(122, 596),
(123, -714),
(123, -596),
(123, -595),
(123, -594),
(123, -593),
(123, -592),
(123, -591),
(123, -590),
(123, -589),
(123, -588),
(123, -587),
(123, -586),
(123, -585),
(123, -584),
(123, -583),
(123, -582),
(123, -581),
(123, -580),
(123, -579),
(123, -578),
(123, -577),
(123, -565),
(123, -563),
(123, -511),
(123, -510),
(123, -509),
(123, -508),
(123, -507),
(123, -506),
(123, -505),
(123, -504),
(123, -503),
(123, -502),
(123, -501),
(123, -500),
(123, -499),
(123, -498),
(123, -497),
(123, -496),
(123, -495),
(123, -494),
(123, -493),
(123, -492),
(123, -491),
(123, -435),
(124, 0),
(125, 562),
(125, 563),
(125, 566),
(126, 562),
(126, 563),
(126, 566),
(127, 566),
(128, 566),
(129, 566),
(130, 566),
(131, 566),
(132, 566),
(133, 566),
(134, 566),
(135, 566),
(136, 566),
(137, 562),
(137, 563),
(137, 566),
(138, 435),
(138, 566),
(139, 0),
(140, 435),
(140, 566),
(141, 0),
(144, 0);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `filename`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`) VALUES
(17, 1, 'Joomla! Announcements', 'joomla-announcements', 'http://www.joomla.org/announcements.feed?type=rss', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 1, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 168, '', '2011-12-27 12:25:05', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(17, 2, 'New Joomla! Extensions', 'new-joomla-extensions', 'http://feeds.joomla.org/JoomlaExtensions', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 4, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 168, '', '2011-12-27 12:25:36', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(17, 3, 'Joomla! Security News', 'joomla-security-news', 'http://feeds.joomla.org/JoomlaSecurityNews', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 2, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 168, '', '2011-12-27 12:24:55', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(17, 4, 'Joomla! Connect', 'joomla-connect', 'http://feeds.joomla.org/JoomlaConnect', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 3, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 168, '', '2011-12-27 12:25:10', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `#__redirect_links`;
CREATE TABLE IF NOT EXISTS `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) NOT NULL,
  `new_url` varchar(255) NOT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `hits`, `published`, `created_date`, `modified_date`) VALUES
(1, 'http://localhost/zt_inga/index.php?Itemid=455', '', 'http://localhost/zt_inga/index.php/sample-sites', '', 1, 0, '2012-09-18 01:09:59', '0000-00-00 00:00:00'),
(2, 'http://localhost/zt_inga/index.php/k2-content/lastes-items-one-column', '', 'http://localhost/zt_inga/index.php/k2-content/lastes-items-three-column', '', 1, 0, '2012-09-21 07:39:06', '0000-00-00 00:00:00'),
(3, 'http://localhost/zt_inga/index.php/k2-content/k2-blog-user/item/index.php', '', 'http://localhost/zt_inga/index.php/k2-content/k2-blog-user/item/63-movie-review-the-prometheus', '', 1, 0, '2012-09-27 07:06:06', '0000-00-00 00:00:00'),
(4, 'http://localhost/zt_inga/index.php/k2-content/k2/all-categories/technology/item/index.php', '', 'http://localhost/zt_inga/index.php/k2-content/k2/all-categories/technology/item/38-another-wind-project-goes-online-in-the-west-mojave', '', 2, 0, '2012-10-04 05:15:53', '0000-00-00 00:00:00'),
(5, 'http://localhost/zt_inga/index.php/k2-content/item/index.php', '', 'http://localhost/zt_inga/index.php/k2-content/item/49-manchester-united-defeats-wigan-4-0', '', 2, 0, '2012-10-04 08:55:18', '0000-00-00 00:00:00'),
(6, 'http://localhost/zt_inga/index.php/k2-content/k2/all-categories/sport/item/index.php', '', 'http://localhost/zt_inga/index.php/k2-content/k2/all-categories/sport/item/46-have-you-ever-thought-about-windsurfing?', '', 1, 0, '2012-10-05 04:54:53', '0000-00-00 00:00:00'),
(7, 'http://localhost/zt_inga/index.php/k2-content/k2/k2-item-page', '', 'http://localhost/zt_inga/index.php/tabs', '', 1, 0, '2012-10-12 07:30:07', '0000-00-00 00:00:00'),
(8, 'http://localhost/zt_inga/index.php/k2-content/k2', '', 'http://localhost/zt_inga/index.php/lightbox', '', 1, 0, '2012-10-12 07:30:14', '0000-00-00 00:00:00'),
(9, 'http://192.168.1.202/zt_inga/index.php/explore/joomla/users/registration-form', '', '', '', 1, 0, '2012-10-15 07:34:40', '0000-00-00 00:00:00'),
(10, 'http://localhost/zt_inga/index.php/explore/joomla/users/registration-form', '', 'http://localhost/zt_inga/index.php/explore/joomla/users/registration-form', '', 5, 0, '2012-10-15 07:38:36', '0000-00-00 00:00:00'),
(11, 'http://localhost/zt_inga/index.php/shortcodes/templates/zt_inga/images/email.png', '', 'http://localhost/zt_inga/index.php/shortcodes/google-map', '', 21, 0, '2012-10-30 09:01:17', '0000-00-00 00:00:00'),
(12, 'http://localhost/zt_inga/index.php/shortcodes/templates/zt_inga/images/support.png', '', 'http://localhost/zt_inga/index.php/shortcodes/google-map', '', 1, 0, '2012-10-30 09:01:17', '0000-00-00 00:00:00'),
(13, 'http://localhost/zt_inga/index.php/shortcodes/templates/zt_inga/images/data-storage.png', '', 'http://localhost/zt_inga/index.php/shortcodes/google-map', '', 1, 0, '2012-10-30 09:01:17', '0000-00-00 00:00:00'),
(14, 'http://localhost/zt_inga/index.php/component/k2/item/templates/zt_inga/images/support.png', '', 'http://localhost/zt_inga/index.php/component/k2/item/52', '', 1, 0, '2012-11-12 02:48:21', '0000-00-00 00:00:00'),
(15, 'http://localhost/zt_inga/index.php/component/k2/item/templates/zt_inga/images/email.png', '', 'http://localhost/zt_inga/index.php/component/k2/item/52', '', 1, 0, '2012-11-12 02:48:21', '0000-00-00 00:00:00'),
(16, 'http://localhost/zt_inga/index.php/component/k2/item/templates/zt_inga/images/data-storage.png', '', 'http://localhost/zt_inga/index.php/component/k2/item/52', '', 1, 0, '2012-11-12 02:48:21', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE IF NOT EXISTS `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '2.5.8'),
(10017, '0.0.1'),
(10022, '0.0.1'),
(10065, '0.0.1'),
(10081, '0.0.1');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=134 ;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(2, 'bluestork', 1, '1', 'Bluestork - Default', '{"useRoundedCorners":"1","showSiteName":"0"}'),
(3, 'atomic', 0, '0', 'Atomic - Default', '{}'),
(4, 'beez_20', 0, '0', 'Beez2 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(6, 'beez5', 0, '0', 'Beez5 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/sampledata\\/fruitshop\\/fruits.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","html5":"0"}'),
(114, 'beez_20', 0, '0', 'Beez2 - Parks Site', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"","sitetitle":"Australian Parks","sitedescription":"Parks Sample Site","navposition":"center","templatecolor":"nature"}'),
(133, 'zo2_based', 0, '0', 'ZO2_Based - Default', '[]'),
(128, 'zt_inga', 0, '1', 'ZT_Inga - Default', '[]');

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE IF NOT EXISTS `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `categoryid` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(10) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  PRIMARY KEY (`update_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Available Updates' AUTO_INCREMENT=557 ;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `categoryid`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`) VALUES
(1, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.7.3', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(2, 3, 0, 0, 'Khmer', '', 'pkg_km-KH', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/km-KH_details.xml', ''),
(3, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(4, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(5, 3, 0, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/bg-BG_details.xml', ''),
(6, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(7, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(8, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(9, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(10, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(11, 3, 0, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/uk-UA_details.xml', ''),
(12, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(13, 3, 0, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '2.5.6.1', '', 'http://update.joomla.org/language/details/be-BY_details.xml', ''),
(14, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(15, 3, 0, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/et-EE_details.xml', ''),
(16, 3, 0, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '2.5.5.1', '', 'http://update.joomla.org/language/details/ro-RO_details.xml', ''),
(17, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(18, 3, 0, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/mk-MK_details.xml', ''),
(19, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(20, 3, 0, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/sr-YU_details.xml', ''),
(21, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(22, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(23, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(24, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(25, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(26, 3, 0, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/sr-RS_details.xml', ''),
(27, 3, 0, 0, 'Lithuanian', '', 'pkg_lt-LT', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/lt-LT_details.xml', ''),
(28, 3, 0, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '2.5.1.5', '', 'http://update.joomla.org/language/details/sq-AL_details.xml', ''),
(29, 3, 0, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/fa-IR_details.xml', ''),
(30, 3, 0, 0, 'Galician', '', 'pkg_gl-ES', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/gl-ES_details.xml', ''),
(31, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(32, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(33, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(34, 3, 0, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/he-IL_details.xml', ''),
(35, 3, 0, 0, 'Laotian', '', 'pkg_lo-LA', 'package', '', 0, '2.5.6.1', '', 'http://update.joomla.org/language/details/lo-LA_details.xml', ''),
(36, 3, 0, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '2.5.6.2', '', 'http://update.joomla.org/language/details/af-ZA_details.xml', ''),
(37, 3, 0, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/zh-CN_details.xml', ''),
(38, 3, 0, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '2.5.6.1', '', 'http://update.joomla.org/language/details/el-GR_details.xml', ''),
(39, 3, 0, 0, 'Esperanto', '', 'pkg_eo-XX', 'package', '', 0, '2.5.6.1', '', 'http://update.joomla.org/language/details/eo-XX_details.xml', ''),
(40, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(41, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(42, 3, 0, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/zh-TW_details.xml', ''),
(43, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(44, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(45, 3, 0, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/bs-BA_details.xml', ''),
(46, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(47, 3, 0, 0, 'Azeri', '', 'pkg_az-AZ', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/az-AZ_details.xml', ''),
(48, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(49, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(50, 3, 0, 0, 'Scottish Gaelic', '', 'pkg_gd-GB', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/gd-GB_details.xml', ''),
(51, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(52, 3, 0, 0, 'Basque', '', 'pkg_eu-ES', 'package', '', 0, '1.7.0.1', '', 'http://update.joomla.org/language/details/eu-ES_details.xml', ''),
(53, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.6.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(54, 3, 0, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/ko-KR_details.xml', ''),
(55, 3, 0, 0, 'Hindi', '', 'pkg_hi-IN', 'package', '', 0, '2.5.6.1', '', 'http://update.joomla.org/language/details/hi-IN_details.xml', ''),
(56, 3, 0, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '2.5.6.1', '', 'http://update.joomla.org/language/details/cy-GB_details.xml', ''),
(57, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(58, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(59, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(60, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(61, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(62, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(63, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(64, 3, 0, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sw-KE_details.xml', ''),
(65, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(66, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(67, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(68, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(69, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(70, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(71, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(72, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(73, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(74, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(75, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(76, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(77, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(78, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(79, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(80, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(81, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(82, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(83, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(84, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(85, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(86, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(87, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(88, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(89, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(90, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(91, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(92, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(93, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(94, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(95, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(96, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(97, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(98, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(99, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(100, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(101, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(102, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(103, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(104, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(105, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(137, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(107, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(108, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(109, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(110, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(111, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(112, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(113, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(114, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(115, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(116, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(117, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(118, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(119, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(120, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(121, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(122, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(123, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(124, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(125, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(126, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(127, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(128, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(129, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(130, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(131, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(132, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(133, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(134, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(135, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(136, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(138, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(139, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(140, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(141, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(142, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(143, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(144, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(145, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(146, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(147, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(148, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(149, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(150, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(151, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(152, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(153, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(154, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(155, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(156, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(157, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(158, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(159, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(160, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(161, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(162, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(163, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(164, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(165, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(166, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(167, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(168, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(169, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(170, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(171, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(172, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(173, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(174, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(175, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(176, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(177, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(178, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(179, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(180, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(181, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(182, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(183, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(184, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(185, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(186, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(187, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(188, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(189, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(190, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(191, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(192, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(193, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(194, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(195, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(196, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(197, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(198, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(199, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(200, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(201, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(202, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(203, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(204, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(205, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(206, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(207, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(208, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(209, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(210, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(211, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(212, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(213, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(214, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(215, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(216, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(217, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(218, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(219, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(220, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(221, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(222, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(223, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(224, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(225, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(226, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(227, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(228, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(229, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(230, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(231, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(232, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(233, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(234, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(235, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(236, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(237, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(238, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(239, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(240, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(241, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(242, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(243, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(244, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(245, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(246, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(247, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(248, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(249, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(250, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(251, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(252, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(253, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(254, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(255, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(256, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(257, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(258, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(259, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(260, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(261, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(262, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(263, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(264, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(265, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(266, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(267, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(268, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(269, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(270, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(271, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(272, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(273, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(274, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(275, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(276, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(277, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(278, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(279, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(280, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(281, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(282, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(283, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(284, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(285, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(286, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(287, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(288, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(289, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(290, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(291, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(292, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(293, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(294, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(295, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(296, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(297, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(298, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(299, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(300, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(301, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(302, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(303, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(304, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(305, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(306, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(307, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(308, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(309, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(310, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(311, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(312, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(313, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(314, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(315, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(316, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(317, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(318, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(319, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(320, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(321, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(322, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(323, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(324, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(325, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(326, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(327, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(328, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(329, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(330, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(331, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(332, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(333, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(334, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(335, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(336, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(337, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(338, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(339, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(340, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(341, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(342, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(343, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(344, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.2', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(345, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(346, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(347, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(348, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', '');
INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `categoryid`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`) VALUES
(349, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(350, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(351, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(352, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(353, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(354, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(355, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(356, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(357, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(358, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(359, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(360, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(361, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(362, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(363, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(364, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(365, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(366, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(367, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(368, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(369, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(370, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(371, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(372, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(373, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.3', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(374, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(375, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(376, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(377, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(378, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(379, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(380, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(381, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(382, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(383, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(384, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(385, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(386, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(387, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(388, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(389, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(390, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(391, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(392, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(393, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(394, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(395, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(396, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(397, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(398, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(399, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(400, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(401, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(402, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.3', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(403, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(404, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(405, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(406, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(407, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(408, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(409, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(410, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(411, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(412, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(413, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(414, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(415, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(416, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(417, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(418, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(419, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(420, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(421, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(422, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(423, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(424, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(425, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(426, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(427, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(428, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(429, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(430, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(431, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.3', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(432, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(433, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(434, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(435, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(436, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(437, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(438, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(439, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(440, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(441, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(442, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(443, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(444, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(445, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(446, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(447, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(448, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(449, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(450, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(451, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(452, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(453, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(454, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(455, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(456, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(457, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(458, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(459, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(460, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.3', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(461, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(462, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(463, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(464, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(465, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(466, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(467, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(468, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(469, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(470, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(471, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(472, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(473, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(474, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(475, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(476, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(477, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(478, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(479, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(480, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(481, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(482, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(483, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(484, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(485, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(486, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(487, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(488, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(489, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.3', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(490, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(491, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(492, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(493, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(494, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(495, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(496, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(497, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(498, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(499, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(500, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(501, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(502, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(503, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(504, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(505, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(506, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(507, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(508, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(509, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(510, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(511, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(512, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(513, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(514, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(515, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(516, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(517, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(518, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.3', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(519, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(520, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(521, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(522, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(523, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(524, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(525, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(526, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(527, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', ''),
(528, 3, 0, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/da-DK_details.xml', ''),
(529, 3, 0, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sv-SE_details.xml', ''),
(530, 3, 0, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/hu-HU_details.xml', ''),
(531, 3, 0, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fr-FR_details.xml', ''),
(532, 3, 0, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/it-IT_details.xml', ''),
(533, 3, 0, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/es-ES_details.xml', ''),
(534, 3, 0, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-NL_details.xml', ''),
(535, 3, 0, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/tr-TR_details.xml', ''),
(536, 3, 0, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sk-SK_details.xml', ''),
(537, 3, 0, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/lv-LV_details.xml', ''),
(538, 3, 0, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nl-BE_details.xml', ''),
(539, 3, 0, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ja-JP_details.xml', ''),
(540, 3, 0, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ar-AA_details.xml', ''),
(541, 3, 0, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/de-DE_details.xml', ''),
(542, 3, 0, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nb-NO_details.xml', ''),
(543, 3, 0, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-AU_details.xml', ''),
(544, 3, 0, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/en-US_details.xml', ''),
(545, 3, 0, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pl-PL_details.xml', ''),
(546, 3, 0, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/sy-IQ_details.xml', ''),
(547, 3, 0, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '2.5.8.3', '', 'http://update.joomla.org/language/details/ru-RU_details.xml', ''),
(548, 3, 0, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/fi-FI_details.xml', ''),
(549, 3, 0, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/pt-BR_details.xml', ''),
(550, 3, 0, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/vi-VN_details.xml', ''),
(551, 3, 0, 0, 'Kurdish Sorani', '', 'pkg_ckb-IQ', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ckb-IQ_details.xml', ''),
(552, 3, 0, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '2.5.7.2', '', 'http://update.joomla.org/language/details/hr-HR_details.xml', ''),
(553, 3, 0, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/nn-NO_details.xml', ''),
(554, 3, 0, 0, 'Tamil India', '', 'pkg_ta-IN', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/ta-IN_details.xml', ''),
(555, 3, 0, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '2.5.8.1', '', 'http://update.joomla.org/language/details/th-TH_details.xml', ''),
(556, 3, 0, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '2.5.7.1', '', 'http://update.joomla.org/language/details/ug-CN_details.xml', '');

DROP TABLE IF EXISTS `#__update_categories`;
CREATE TABLE IF NOT EXISTS `#__update_categories` (
  `categoryid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) DEFAULT '',
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `updatesite` int(11) DEFAULT '0',
  PRIMARY KEY (`categoryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Update Categories' AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  PRIMARY KEY (`update_site_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Update Sites' AUTO_INCREMENT=6 ;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`) VALUES
(1, 'Joomla Core', 'collection', 'http://update.joomla.org/core/list.xml', 1, 1352878661),
(2, 'Joomla Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 1, 1352878661),
(3, 'Accredited Joomla! Translations', 'collection', 'http://update.joomla.org/language/translationlist.xml', 1, 1352878661),
(4, 'K2 Updates', 'extension', 'http://getk2.org/update.xml', 1, 1352878661);

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(3, 600),
(4, 10012);

DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE IF NOT EXISTS `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`) USING BTREE
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 20, 'Public'),
(2, 1, 6, 17, 'Registered'),
(3, 2, 7, 14, 'Author'),
(4, 3, 8, 11, 'Editor'),
(5, 4, 9, 10, 'Publisher'),
(6, 1, 2, 5, 'Manager'),
(7, 6, 3, 4, 'Administrator'),
(8, 1, 18, 19, 'Super Users'),
(12, 2, 15, 16, 'Customer Group (Example)'),
(10, 3, 12, 13, 'Shop Suppliers (Example)');

DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE IF NOT EXISTS `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE IF NOT EXISTS `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';


DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE IF NOT EXISTS `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES
(168, 8);


DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]'),
(4, 'Customer Access Level (Example)', 3, '[6,3,12]');

DROP TABLE IF EXISTS `#__weblinks`;
CREATE TABLE IF NOT EXISTS `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__weblinks` (`id`, `catid`, `sid`, `title`, `alias`, `url`, `description`, `date`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `archived`, `approved`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 32, 0, 'Joomla!', 'joomla', 'http://www.joomla.org', '<p>Home of Joomla!</p>', '0000-00-00 00:00:00', 3, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 33, 0, 'php.net', 'php', 'http://www.php.net', '<p>The language that Joomla! is developed in</p>', '0000-00-00 00:00:00', 6, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 33, 0, 'MySQL', 'mysql', 'http://www.mysql.com', '<p>The most commonly used database for Joomla!.</p>', '0000-00-00 00:00:00', 1, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2012-01-17 16:19:43', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 32, 0, 'OpenSourceMatters', 'opensourcematters', 'http://www.opensourcematters.org', '<p>Home of OSM</p>', '0000-00-00 00:00:00', 11, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 32, 0, 'Joomla! - Forums', 'joomla-forums', 'http://forum.joomla.org', '<p>Joomla! Forums</p>', '0000-00-00 00:00:00', 4, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 33, 0, 'Ohloh Tracking of Joomla!', 'ohloh-tracking-of-joomla', 'http://www.ohloh.net/projects/20', '<p>Objective reports from Ohloh about Joomla''s development activity. Joomla! has some star developers with serious kudos.</p>', '0000-00-00 00:00:00', 1, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 31, 0, 'Baw Baw National Park', 'baw-baw-national-park', 'http://www.parkweb.vic.gov.au/1park_display.cfm?park=44', '<p>Park of the Austalian Alps National Parks system, Baw Baw  features sub alpine vegetation, beautiful views, and opportunities for hiking, skiing and other outdoor activities.</p>', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 31, 0, 'Kakadu', 'kakadu', 'http://www.environment.gov.au/parks/kakadu/index.html', '<p>Kakadu is known for both its cultural heritage and its natural features. It is one of a small number of places listed as World Heritage Places for both reasons. Extensive rock art is found there.</p>', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(9, 31, 0, 'Pulu Keeling', 'pulu-keeling', 'http://www.environment.gov.au/parks/cocos/index.html', '<p>Located on an atoll 2000 kilometers north of Perth, Pulu Keeling is Australia''s smallest national park.</p>', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 168, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '2010-07-10 23:44:03', '0000-00-00 00:00:00'),
(10, 32, 0, 'Joomla Templates', 'joomla-templates', 'http://www.zootemplate.com/', '', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 4, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-10-01 09:37:44', 168, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(11, 32, 0, 'Magento Themes', 'magento-themes', 'http://www.9magentothemes.com/', '', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 5, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-10-01 09:38:08', 168, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(12, 18, 0, 'NextCMS', 'nextcms', 'http://www.nextcms.org/', '', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 6, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-10-01 09:38:25', 168, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__zof_config`;
CREATE TABLE IF NOT EXISTS `#__zof_config` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__zof_config` (`id`, `params`) VALUES
(1, '{"template_prefix":"zo2_,zt_","blogping_enable":"0","blogping_content":[""],"blogping_services":"http://rpc.pingomatic.com/","blogping_method":"0","cache_enable":"0","cache_folder":"_zo2cache","cache_time":"15","cache_filter":"0","optimize_html":"0","optimize_lazyload":"0","optimize_css":"0","optimize_exculdes_css":[""],"optimize_js":"0","optimize_exculdes_js":[""],"optimize_merge":"0","thumb_enable":"disable","thumb_width":"100","thumb_height":"150","thumb_articles_width":"300","thumb_articles_height":"300","thumb_quality":"95","thumb_alignment":"l","thumb_zoom":"3","google_map_api_key":"","google_map_width":"400","google_map_height":"400","google_map_zoom":"15"}');

DROP TABLE IF EXISTS `#__zof_extensions`;
CREATE TABLE IF NOT EXISTS `#__zof_extensions` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `element` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `version` varchar(255) NOT NULL,
  `downloadurl` tinytext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__zof_extensions` (`id`, `name`, `element`, `type`, `version`, `downloadurl`) VALUES
(1, 'System - Shortcodes', 'shortcodes', 'plugin', '2.5.2', 'http://zo2.zoodemo.com/updates/plugins/plg_shortcodes_v2.5.1.zip');

DROP TABLE IF EXISTS `#__zof_themecfg`;
CREATE TABLE IF NOT EXISTS `#__zof_themecfg` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `theme` varchar(255) NOT NULL,
  `home` int(4) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `published` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__zof_themecfg` (`id`, `theme`, `home`, `params`, `published`) VALUES
(2, 'zo2_based', 0, '{"logo_type":"0","logo_image":"templates/zo2_based/images/zo2-logo-red.png","logo_text":"Flexible and Responsive Joomla Templates Framework.","enable_top_panel":"0","include_jquery":"local","header_text":"","direction":"ltr","footer_text":"","enable_copyright":"1","copyright_text":"Copyright (c) 2012. All Rights Reserved. Designed by ZooTemplate.com.","enable_framework_copyright":"0","enable_backtop":"1","font_size":"12","font_feature":"1","color_box":"1","colors_schemes":"scolors8","color_bd":"#ffffff","image_bd":"pattern0","text_bd":"#202020","link_bd":"#0E74BC","color_zt-userwrap1":"#5caddb","image_zt-userwrap1":"pattern0","mtitle_zt-userwrap1":"#ffffff","text_zt-userwrap1":"#ffffff","link_zt-userwrap1":"#0E74BC","color_zt-header":"#ffffff","image_zt-header":"pattern0","mtitle_zt-header":"#2c2c2c","text_zt-header":"#2c2c2c","link_zt-header":"#0E74BC","color_zt-mainmenu":"#ffffff","image_zt-mainmenu":"pattern0","mtitle_zt-mainmenu":"#2c2c2c","text_zt-mainmenu":"#2c2c2c","link_zt-mainmenu":"#0E74BC","color_zt-banners":"#ffffff","image_zt-banners":"pattern0","mtitle_zt-banners":"#2c2c2c","text_zt-banners":"#2c2c2c","link_zt-banners":"#262626","color_zt-mainframe":"#ffffff","image_zt-mainframe":"pattern0","mtitle_zt-mainframe":"#2c2c2c","text_zt-mainframe":"#2c2c2c","link_zt-mainframe":"#262626","color_zt-left":"#ffffff","image_zt-left":"pattern0","mtitle_zt-left":"#000000","text_zt-left":"#2c2c2c","link_zt-left":"#0E74BC","color_zt-right":"#ffffff","image_zt-right":"pattern0","mtitle_zt-right":"#000000","text_zt-right":"#2c2c2c","link_zt-right":"#0E74BC","color_zt-userwrap6":"#ffffff","image_zt-userwrap6":"pattern0","mtitle_zt-userwrap6":"#000000","text_zt-userwrap6":"#2c2c2c","link_zt-userwrap6":"#0E74BC","color_zt-userwrap7":"#ffffff","image_zt-userwrap7":"pattern0","mtitle_zt-userwrap7":"#000000","text_zt-userwrap7":"#2c2c2c","link_zt-userwrap7":"#0E74BC","color_zt-footer":"#ffffff","image_zt-footer":"pattern0","mtitle_zt-footer":"#2F2F2F","text_zt-footer":"#2c2c2c","link_zt-footer":"#0E74BC","menutype":"mainmenu","menu_mega_show_effect":"show","menu_mega_show_duration":"350","menu_mega_hide_effect":"hide","menu_mega_hide_duration":"350","enable_fancy":"0","menu_fancy_duration":"350","google_fonts":"1","font_googlefont_body":"Default","font_googlefont_menu":"Oswald","font_googlefont_heading":"Oswald"}', 1),
(3, 'zt_inga', 0, '{"logo_type":"0","logo_image":"templates/zt_inga/images/logo.png","logo_text":"Responsive Joomla Templates ZT Inga","enable_top_panel":"0","include_jquery":"local","header_text":"","direction":"ltr","footer_text":"","enable_copyright":"0","copyright_text":"Copyright (c) 2012. All Rights Reserved. Designed by ZooTemplate.com.","enable_framework_copyright":"1","enable_backtop":"1","layouts":"wide","font_size":"12","font_feature":"1","color_box":"1","colors_schemes":"scolors1","color_bd":"#fff","text_bd":"#3d3d3d","link_bd":"#1382c9","image_bd":"pattern0","color_zt-header":"#f7f7f7","image_zt-header":"pattern0","color_zt-logo-inner":"#fff","image_zt-logo-inner":"pattern0","color_zt-mainmenu":"#ffffff","mtitle_zt-mainmenu":"#333","text_zt-mainmenu":"#333","link_zt-mainmenu":"#333","image_zt-mainmenu":"pattern0","color_zt-breadcrumb":"#fff","text_zt-breadcrumb":"#3d3d3d","link_zt-breadcrumb":"#1382c9","image_zt-breadcrumb":"pattern0","color_zt-slideshow":"#fff","image_zt-slideshow":"pattern0","color_zt-mainframe-inner":"#fff","mtitle_zt-mainframe-inner":"#1382c9","text_zt-mainframe-inner":"#3d3d3d","link_zt-mainframe-inner":"#1382c9","image_zt-mainframe-inner":"pattern0","color_zt-left":"#fff","mtitle_zt-left":"#1382c9","text_zt-left":"#3d3d3d","link_zt-left":"#1382c9","image_zt-left":"pattern0","color_zt-right":"#fff","mtitle_zt-right":"#1382c9","text_zt-right":"#3d3d3d","link_zt-right":"#1382c9","image_zt-right":"pattern0","color_zt-userwrap4":"#ffffff","mtitle_zt-userwrap4":"#1382c9","text_zt-userwrap4":"#585858","link_zt-userwrap4":"#1382c9","image_zt-userwrap4":"pattern0","color_zt-position-10":"transparent","image_zt-position-10":"pattern0","color_zt-userwrap7":"#212326","mtitle_zt-userwrap7":"#1382c9","text_zt-userwrap7":"#a1a1a1","link_zt-userwrap7":"#1382c9","image_zt-userwrap7":"pattern6","color_zt-footer":"transparent","mtitle_zt-footer":"#2F2F2F","text_zt-footer":"#454545","link_zt-footer":"#1382c9","image_zt-footer":"pattern0","menutype":"mainmenu","menu_mega_show_effect":"show","menu_mega_show_duration":"350","menu_mega_hide_effect":"hide","menu_mega_hide_duration":"350","enable_fancy":"0","menu_fancy_duration":"350","google_fonts":"1","font_googlefont_body":"Default","font_googlefont_menu":"Oswald","font_googlefont_heading":"Oswald","12d04ec2223175696d63ceb17993a034":"1"}', 1);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
